﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BpnEntityCommon
{
    public class BpnEntitySet<T> : IEnumerable<T>, IEnumerator<T>
        where T : BpnEntity
    {
        #region Instance Variables

        BpNT.AutoDataSet dataSet;
        
        #endregion

        protected BpnEntitySet(BpNT.AutoDataSet dataSet)
        {
            this.dataSet = dataSet;
        }

        #region IEnumerator<T>

        public bool MoveNext()
        {
            if (Eof == false)
            {
                dataSet.Next();
                return true;
            }

            return false;
        }

        public void Reset()
        {
            dataSet.First();
        }

        public void Dispose()
        {
        }

        public virtual T Current
        {
            get 
            {
                BpNT.AutoDataSet dataSet = DataSet;
                T ret = (T)Activator.CreateInstance(typeof(T), dataSet);

                return ret; 
            }
        }

        #endregion

        #region IEnumerable<T>

        public IEnumerator<T> GetEnumerator()
        {
            return this;
        }

        System.Collections.IEnumerator System.Collections.IEnumerable.GetEnumerator()
        {
            return GetEnumerator();
        }

        #endregion

        #region Properties

        public BpNT.AutoDataSet DataSet
        {
            get { return dataSet; }
            set { dataSet = value; }
        }

        object System.Collections.IEnumerator.Current
        {
            get { return Current; }
        }

        public bool Eof
        {
            get { return dataSet.Eof; }
        }

        public int Count
        {
            get { return dataSet.RecordCount; }
        }

        #endregion
    }
}
