using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AbteilungenSet : BpnEntitySet<Abteilungen>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Abteilungen";
			
		public static AbteilungenSet CreateInstance(BpnConnection connection)
		{
		    var abteilungensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var abteilungensetDataSet = abteilungensetInfo.CreateDataSet();
		
		    var ret = new AbteilungenSet(abteilungensetDataSet);
		    return ret;
		}
		
		internal AbteilungenSet(BpNT.AutoDataSet abteilungenDataSet) 
			: base(abteilungenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected AbteilungenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new AbteilungenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected AbteilungenSet parentSet;
		
			protected AbteilungenSetIDIndex iDIndex;
			protected AbteilungenSetNrIndex nrIndex;
			protected AbteilungenSetNrNumIndex nrNumIndex;
			protected AbteilungenSetSuchBegIndex suchBegIndex;
			protected AbteilungenSetBezIndex bezIndex;
		
			internal IndicesClass(AbteilungenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new AbteilungenSetIDIndex(parentSet.DataSet);
				nrIndex = new AbteilungenSetNrIndex(parentSet.DataSet);
				nrNumIndex = new AbteilungenSetNrNumIndex(parentSet.DataSet);
				suchBegIndex = new AbteilungenSetSuchBegIndex(parentSet.DataSet);
				bezIndex = new AbteilungenSetBezIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public AbteilungenSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Nummer</summary>
			public AbteilungenSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Nummer (numerisch)</summary>
			public AbteilungenSetNrNumIndex NrNumIndex
			{
				get { return nrNumIndex; }
			}
			
			/// <summary>Suchbegriff</summary>
			public AbteilungenSetSuchBegIndex SuchBegIndex
			{
				get { return suchBegIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public AbteilungenSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
		
			#endregion
		}

		public AbteilungenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
