using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AbwArtikelDatenSet : BpnEntitySet<AbwArtikelDaten>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "AbwArtikelDaten";
			
		public static AbwArtikelDatenSet CreateInstance(BpnConnection connection)
		{
		    var abwartikeldatensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var abwartikeldatensetDataSet = abwartikeldatensetInfo.CreateDataSet();
		
		    var ret = new AbwArtikelDatenSet(abwartikeldatensetDataSet);
		    return ret;
		}
		
		internal AbwArtikelDatenSet(BpNT.AutoDataSet abwartikeldatenDataSet) 
			: base(abwartikeldatenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected AbwArtikelDatenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new AbwArtikelDatenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected AbwArtikelDatenSet parentSet;
		
			protected AbwArtikelDatenSetIDIndex iDIndex;
			protected AbwArtikelDatenSetAdrNrArtNrIndex adrNrArtNrIndex;
			protected AbwArtikelDatenSetArtNrAdrNrIndex artNrAdrNrIndex;
			protected AbwArtikelDatenSetGrpArtNrIndex grpArtNrIndex;
			protected AbwArtikelDatenSetAbwArtNrIndex abwArtNrIndex;
			protected AbwArtikelDatenSetAdrNrAbwArtNrIndex adrNrAbwArtNrIndex;
			protected AbwArtikelDatenSetGrpAbwArtNrIndex grpAbwArtNrIndex;
		
			internal IndicesClass(AbwArtikelDatenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new AbwArtikelDatenSetIDIndex(parentSet.DataSet);
				adrNrArtNrIndex = new AbwArtikelDatenSetAdrNrArtNrIndex(parentSet.DataSet);
				artNrAdrNrIndex = new AbwArtikelDatenSetArtNrAdrNrIndex(parentSet.DataSet);
				grpArtNrIndex = new AbwArtikelDatenSetGrpArtNrIndex(parentSet.DataSet);
				abwArtNrIndex = new AbwArtikelDatenSetAbwArtNrIndex(parentSet.DataSet);
				adrNrAbwArtNrIndex = new AbwArtikelDatenSetAdrNrAbwArtNrIndex(parentSet.DataSet);
				grpAbwArtNrIndex = new AbwArtikelDatenSetGrpAbwArtNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public AbwArtikelDatenSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public AbwArtikelDatenSetAdrNrArtNrIndex AdrNrArtNrIndex
			{
				get { return adrNrArtNrIndex; }
			}
			
			/// <summary>Artikelnummer</summary>
			public AbwArtikelDatenSetArtNrAdrNrIndex ArtNrAdrNrIndex
			{
				get { return artNrAdrNrIndex; }
			}
			
			/// <summary>Gruppe</summary>
			public AbwArtikelDatenSetGrpArtNrIndex GrpArtNrIndex
			{
				get { return grpArtNrIndex; }
			}
			
			/// <summary>abweichende Artikelnummer</summary>
			public AbwArtikelDatenSetAbwArtNrIndex AbwArtNrIndex
			{
				get { return abwArtNrIndex; }
			}
			
			/// <summary>abweichende Artikelnummer</summary>
			public AbwArtikelDatenSetAdrNrAbwArtNrIndex AdrNrAbwArtNrIndex
			{
				get { return adrNrAbwArtNrIndex; }
			}
			
			/// <summary>Gruppe</summary>
			public AbwArtikelDatenSetGrpAbwArtNrIndex GrpAbwArtNrIndex
			{
				get { return grpAbwArtNrIndex; }
			}
			
		
			#endregion
		}

		public AbwArtikelDatenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
