using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AbwesenheitenSet : BpnEntitySet<Abwesenheiten>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Abwesenheiten";
			
		public static AbwesenheitenSet CreateInstance(BpnConnection connection)
		{
		    var abwesenheitensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var abwesenheitensetDataSet = abwesenheitensetInfo.CreateDataSet();
		
		    var ret = new AbwesenheitenSet(abwesenheitensetDataSet);
		    return ret;
		}
		
		internal AbwesenheitenSet(BpNT.AutoDataSet abwesenheitenDataSet) 
			: base(abwesenheitenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected AbwesenheitenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new AbwesenheitenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected AbwesenheitenSet parentSet;
		
			protected AbwesenheitenSetIDIndex iDIndex;
			protected AbwesenheitenSetMitNrIndex mitNrIndex;
			protected AbwesenheitenSetAwaNrIndex awaNrIndex;
			protected AbwesenheitenSetStartDatIndex startDatIndex;
			protected AbwesenheitenSetEndDatIndex endDatIndex;
			protected AbwesenheitenSetVertrMitNrIndex vertrMitNrIndex;
			protected AbwesenheitenSetAwJMitNrIndex awJMitNrIndex;
			protected AbwesenheitenSetAwJAwaNrIndex awJAwaNrIndex;
			protected AbwesenheitenSetAwJStartDatIndex awJStartDatIndex;
			protected AbwesenheitenSetAwJEndDatIndex awJEndDatIndex;
			protected AbwesenheitenSetAwJVertrMitNrIndex awJVertrMitNrIndex;
		
			internal IndicesClass(AbwesenheitenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new AbwesenheitenSetIDIndex(parentSet.DataSet);
				mitNrIndex = new AbwesenheitenSetMitNrIndex(parentSet.DataSet);
				awaNrIndex = new AbwesenheitenSetAwaNrIndex(parentSet.DataSet);
				startDatIndex = new AbwesenheitenSetStartDatIndex(parentSet.DataSet);
				endDatIndex = new AbwesenheitenSetEndDatIndex(parentSet.DataSet);
				vertrMitNrIndex = new AbwesenheitenSetVertrMitNrIndex(parentSet.DataSet);
				awJMitNrIndex = new AbwesenheitenSetAwJMitNrIndex(parentSet.DataSet);
				awJAwaNrIndex = new AbwesenheitenSetAwJAwaNrIndex(parentSet.DataSet);
				awJStartDatIndex = new AbwesenheitenSetAwJStartDatIndex(parentSet.DataSet);
				awJEndDatIndex = new AbwesenheitenSetAwJEndDatIndex(parentSet.DataSet);
				awJVertrMitNrIndex = new AbwesenheitenSetAwJVertrMitNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public AbwesenheitenSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Mitarbeiternummer</summary>
			public AbwesenheitenSetMitNrIndex MitNrIndex
			{
				get { return mitNrIndex; }
			}
			
			/// <summary>Abwesenheitsartennummer</summary>
			public AbwesenheitenSetAwaNrIndex AwaNrIndex
			{
				get { return awaNrIndex; }
			}
			
			/// <summary>Startdatum</summary>
			public AbwesenheitenSetStartDatIndex StartDatIndex
			{
				get { return startDatIndex; }
			}
			
			/// <summary>Enddatum</summary>
			public AbwesenheitenSetEndDatIndex EndDatIndex
			{
				get { return endDatIndex; }
			}
			
			/// <summary>Vertretungsmitarbeiter</summary>
			public AbwesenheitenSetVertrMitNrIndex VertrMitNrIndex
			{
				get { return vertrMitNrIndex; }
			}
			
			/// <summary>Mitarbeiternummer</summary>
			public AbwesenheitenSetAwJMitNrIndex AwJMitNrIndex
			{
				get { return awJMitNrIndex; }
			}
			
			/// <summary>Abwesenheitsartennummer</summary>
			public AbwesenheitenSetAwJAwaNrIndex AwJAwaNrIndex
			{
				get { return awJAwaNrIndex; }
			}
			
			/// <summary>Startdatum</summary>
			public AbwesenheitenSetAwJStartDatIndex AwJStartDatIndex
			{
				get { return awJStartDatIndex; }
			}
			
			/// <summary>Enddatum</summary>
			public AbwesenheitenSetAwJEndDatIndex AwJEndDatIndex
			{
				get { return awJEndDatIndex; }
			}
			
			/// <summary>Vertretungsmitarbeiter</summary>
			public AbwesenheitenSetAwJVertrMitNrIndex AwJVertrMitNrIndex
			{
				get { return awJVertrMitNrIndex; }
			}
			
		
			#endregion
		}

		public AbwesenheitenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
