using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AbwesenheitsArten : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "AbwesenheitsArten";
			
		public static AbwesenheitsArten CreateInstance(BpnConnection connection)
		{
		    var abwesenheitsartenInfo = connection.GetDataSetInfo(DS_NAME);
		    var abwesenheitsartenDataSet = abwesenheitsartenInfo.CreateDataSet();
		
		    var ret = new AbwesenheitsArten(abwesenheitsartenDataSet);
		    return ret;
		}
		
		public AbwesenheitsArten(BpNT.AutoDataSet abwesenheitsartenDataSet) 
			: base(abwesenheitsartenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>Abwesenheitsartennummer ( String )</summary>
		public virtual String AbwANr
		{
			get { return Convert.ToString(this["AbwANr"]); }
			set { this["AbwANr"] = value; }
		}
		/// <summary>Suchbegriff ( String )</summary>
		public virtual String SuchBeg
		{
			get { return Convert.ToString(this["SuchBeg"]); }
			set { this["SuchBeg"] = value; }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Lohnartennummer ( String )</summary>
		public virtual String LoANr
		{
			get { return Convert.ToString(this["LoANr"]); }
			set { this["LoANr"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Abwesenheitkategorie ( Byte )</summary>
		public virtual Object AbwKt
		{
			get { return this["AbwKt"]; }
			set { this["AbwKt"] = value; }
		}
		/// <summary>Abwesenheit verschiebbar ( Boolean )</summary>
		public virtual Object VerschKz
		{
			get { return this["VerschKz"]; }
		}
		/// <summary>Abwesenheit wird auf Arbeitszeit angerechnet ( Boolean )</summary>
		public virtual Object ArbZtKz
		{
			get { return this["ArbZtKz"]; }
		}
		/// <summary>Symbol ( Byte )</summary>
		public virtual Object Symbol
		{
			get { return this["Symbol"]; }
			set { this["Symbol"] = value; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
