using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AbwesenheitsArtenSet : BpnEntitySet<AbwesenheitsArten>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "AbwesenheitsArten";
			
		public static AbwesenheitsArtenSet CreateInstance(BpnConnection connection)
		{
		    var abwesenheitsartensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var abwesenheitsartensetDataSet = abwesenheitsartensetInfo.CreateDataSet();
		
		    var ret = new AbwesenheitsArtenSet(abwesenheitsartensetDataSet);
		    return ret;
		}
		
		internal AbwesenheitsArtenSet(BpNT.AutoDataSet abwesenheitsartenDataSet) 
			: base(abwesenheitsartenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected AbwesenheitsArtenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new AbwesenheitsArtenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected AbwesenheitsArtenSet parentSet;
		
			protected AbwesenheitsArtenSetNrIndex nrIndex;
			protected AbwesenheitsArtenSetNrNumIndex nrNumIndex;
			protected AbwesenheitsArtenSetSuchBegIndex suchBegIndex;
			protected AbwesenheitsArtenSetBezIndex bezIndex;
		
			internal IndicesClass(AbwesenheitsArtenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				nrIndex = new AbwesenheitsArtenSetNrIndex(parentSet.DataSet);
				nrNumIndex = new AbwesenheitsArtenSetNrNumIndex(parentSet.DataSet);
				suchBegIndex = new AbwesenheitsArtenSetSuchBegIndex(parentSet.DataSet);
				bezIndex = new AbwesenheitsArtenSetBezIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Nummer</summary>
			public AbwesenheitsArtenSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Nummer (numerisch)</summary>
			public AbwesenheitsArtenSetNrNumIndex NrNumIndex
			{
				get { return nrNumIndex; }
			}
			
			/// <summary>Suchbegriff</summary>
			public AbwesenheitsArtenSetSuchBegIndex SuchBegIndex
			{
				get { return suchBegIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public AbwesenheitsArtenSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
		
			#endregion
		}

		public AbwesenheitsArtenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
