using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Adressen : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Adressen";
			
		public static Adressen CreateInstance(BpnConnection connection)
		{
		    var adressenInfo = connection.GetDataSetInfo(DS_NAME);
		    var adressenDataSet = adressenInfo.CreateDataSet();
		
		    var ret = new Adressen(adressenDataSet);
		    return ret;
		}
		
		public Adressen(BpNT.AutoDataSet adressenDataSet) 
			: base(adressenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Adressnummer ( String )</summary>
		public virtual String AdrNr
		{
			get { return Convert.ToString(this["AdrNr"]); }
			set { this["AdrNr"] = value; }
		}
		/// <summary>Rechnungsanschriftennummer ( Integer )</summary>
		public virtual Int32 ReAnsNr
		{
			get { return Convert.ToInt32(this["ReAnsNr"]); }
			set { this["ReAnsNr"] = value; }
		}
		/// <summary>Lieferanschriftennummer ( Integer )</summary>
		public virtual Int32 LiAnsNr
		{
			get { return Convert.ToInt32(this["LiAnsNr"]); }
			set { this["LiAnsNr"] = value; }
		}
		/// <summary>Informationsanschriftennummer ( Integer )</summary>
		public virtual Int32 InAnsNr
		{
			get { return Convert.ToInt32(this["InAnsNr"]); }
			set { this["InAnsNr"] = value; }
		}
		/// <summary>Serviceanschriftennummer ( Integer )</summary>
		public virtual Int32 SeAnsNr
		{
			get { return Convert.ToInt32(this["SeAnsNr"]); }
			set { this["SeAnsNr"] = value; }
		}
		/// <summary>Suchbegriff ( String )</summary>
		public virtual String SuchBeg
		{
			get { return Convert.ToString(this["SuchBeg"]); }
			set { this["SuchBeg"] = value; }
		}
		/// <summary>Status ( String )</summary>
		public virtual String Status
		{
			get { return Convert.ToString(this["Status"]); }
			set { this["Status"] = value; }
		}
		/// <summary>Branche ( String )</summary>
		public virtual String Branche
		{
			get { return Convert.ToString(this["Branche"]); }
			set { this["Branche"] = value; }
		}
		/// <summary>Anschriften ( Table )</summary>
		public virtual Object Ans
		{
			get { return this["Ans"]; }
		}
		/// <summary>Ansprechpartner ( Table )</summary>
		public virtual Object Asp
		{
			get { return this["Asp"]; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Text Flags ( Integer )</summary>
		public virtual Int32 TextFlags
		{
			get { return Convert.ToInt32(this["TextFlags"]); }
			set { this["TextFlags"] = value; }
		}
		/// <summary>Textkennzeichen 1 ( Boolean )</summary>
		public virtual Object TextKz1
		{
			get { return this["TextKz1"]; }
		}
		/// <summary>Textkennzeichen 2 ( Boolean )</summary>
		public virtual Object TextKz2
		{
			get { return this["TextKz2"]; }
		}
		/// <summary>Textkennzeichen 3 ( Boolean )</summary>
		public virtual Object TextKz3
		{
			get { return this["TextKz3"]; }
		}
		/// <summary>Textkennzeichen 4 ( Boolean )</summary>
		public virtual Object TextKz4
		{
			get { return this["TextKz4"]; }
		}
		/// <summary>Textkennzeichen 5 ( Boolean )</summary>
		public virtual Object TextKz5
		{
			get { return this["TextKz5"]; }
		}
		/// <summary>Textkennzeichen 6 ( Boolean )</summary>
		public virtual Object TextKz6
		{
			get { return this["TextKz6"]; }
		}
		/// <summary>Textkennzeichen 7 ( Boolean )</summary>
		public virtual Object TextKz7
		{
			get { return this["TextKz7"]; }
		}
		/// <summary>Textkennzeichen 8 ( Boolean )</summary>
		public virtual Object TextKz8
		{
			get { return this["TextKz8"]; }
		}
		/// <summary>Textkennzeichen 9 ( Boolean )</summary>
		public virtual Object TextKz9
		{
			get { return this["TextKz9"]; }
		}
		/// <summary>Textkennzeichen 10 ( Boolean )</summary>
		public virtual Object TextKz10
		{
			get { return this["TextKz10"]; }
		}
		/// <summary>Textkennzeichen 11 ( Boolean )</summary>
		public virtual Object TextKz11
		{
			get { return this["TextKz11"]; }
		}
		/// <summary>Textkennzeichen 12 ( Boolean )</summary>
		public virtual Object TextKz12
		{
			get { return this["TextKz12"]; }
		}
		/// <summary>Textkennzeichen 13 ( Boolean )</summary>
		public virtual Object TextKz13
		{
			get { return this["TextKz13"]; }
		}
		/// <summary>Textkennzeichen 14 ( Boolean )</summary>
		public virtual Object TextKz14
		{
			get { return this["TextKz14"]; }
		}
		/// <summary>Textkennzeichen 15 ( Boolean )</summary>
		public virtual Object TextKz15
		{
			get { return this["TextKz15"]; }
		}
		/// <summary>Textkennzeichen 16 ( Boolean )</summary>
		public virtual Object TextKz16
		{
			get { return this["TextKz16"]; }
		}
		/// <summary>Textkennzeichen 17 ( Boolean )</summary>
		public virtual Object TextKz17
		{
			get { return this["TextKz17"]; }
		}
		/// <summary>Textkennzeichen 18 ( Boolean )</summary>
		public virtual Object TextKz18
		{
			get { return this["TextKz18"]; }
		}
		/// <summary>Textkennzeichen 19 ( Boolean )</summary>
		public virtual Object TextKz19
		{
			get { return this["TextKz19"]; }
		}
		/// <summary>Textkennzeichen 20 ( Boolean )</summary>
		public virtual Object TextKz20
		{
			get { return this["TextKz20"]; }
		}
		/// <summary>Textkennzeichen 21 ( Boolean )</summary>
		public virtual Object TextKz21
		{
			get { return this["TextKz21"]; }
		}
		/// <summary>Textkennzeichen 22 ( Boolean )</summary>
		public virtual Object TextKz22
		{
			get { return this["TextKz22"]; }
		}
		/// <summary>Textkennzeichen 23 ( Boolean )</summary>
		public virtual Object TextKz23
		{
			get { return this["TextKz23"]; }
		}
		/// <summary>Textkennzeichen 24 ( Boolean )</summary>
		public virtual Object TextKz24
		{
			get { return this["TextKz24"]; }
		}
		/// <summary>Textkennzeichen 25 ( Boolean )</summary>
		public virtual Object TextKz25
		{
			get { return this["TextKz25"]; }
		}
		/// <summary>Textkennzeichen 26 ( Boolean )</summary>
		public virtual Object TextKz26
		{
			get { return this["TextKz26"]; }
		}
		/// <summary>Textkennzeichen 27 ( Boolean )</summary>
		public virtual Object TextKz27
		{
			get { return this["TextKz27"]; }
		}
		/// <summary>Textkennzeichen 28 ( Boolean )</summary>
		public virtual Object TextKz28
		{
			get { return this["TextKz28"]; }
		}
		/// <summary>Textkennzeichen 29 ( Boolean )</summary>
		public virtual Object TextKz29
		{
			get { return this["TextKz29"]; }
		}
		/// <summary>Textkennzeichen 30 ( Boolean )</summary>
		public virtual Object TextKz30
		{
			get { return this["TextKz30"]; }
		}
		/// <summary>Inklusive Steuer ( Boolean )</summary>
		public virtual Object IklStKz
		{
			get { return this["IklStKz"]; }
		}
		/// <summary>History ( Boolean )</summary>
		public virtual Object HistKz
		{
			get { return this["HistKz"]; }
		}
		/// <summary>Dreiecksgeschft ( Boolean )</summary>
		public virtual Object DreiGsKz
		{
			get { return this["DreiGsKz"]; }
		}
		/// <summary>Gruppe fr abweichende Artikeldaten ( Integer )</summary>
		public virtual Int32 AbwArtDatGrp
		{
			get { return Convert.ToInt32(this["AbwArtDatGrp"]); }
			set { this["AbwArtDatGrp"] = value; }
		}
		/// <summary>AbwArtikelDaten ( Table )</summary>
		public virtual Object AAd
		{
			get { return this["AAd"]; }
		}
		/// <summary>Rabattfhig ( Boolean )</summary>
		public virtual Object RabKz
		{
			get { return this["RabKz"]; }
		}
		/// <summary>Rabatt (in %) ( Double )</summary>
		public virtual Object RabSz
		{
			get { return this["RabSz"]; }
			set { this["RabSz"] = value; }
		}
		/// <summary>Kundenrabattgruppe der Warengruppe ( Byte )</summary>
		public virtual Object KdRabGrpWgr
		{
			get { return this["KdRabGrpWgr"]; }
			set { this["KdRabGrpWgr"] = value; }
		}
		/// <summary>AdressenWgrRabatt ( Table )</summary>
		public virtual Object AdrR
		{
			get { return this["AdrR"]; }
		}
		/// <summary>Steuernummer (Finanzamt) ( String )</summary>
		public virtual String SteuNr
		{
			get { return Convert.ToString(this["SteuNr"]); }
			set { this["SteuNr"] = value; }
		}
		/// <summary>Umsatzsteuerkategorie ( Integer )</summary>
		public virtual Int32 UStKat
		{
			get { return Convert.ToInt32(this["UStKat"]); }
			set { this["UStKat"] = value; }
		}
		/// <summary>Auslandskunde Kennzeichen ( Boolean )</summary>
		public virtual Object AuslKdKz
		{
			get { return this["AuslKdKz"]; }
		}
		/// <summary>Auslandskunde EU Kennzeichen ( Boolean )</summary>
		public virtual Object AuslKdEUKz
		{
			get { return this["AuslKdEUKz"]; }
		}
		/// <summary>Umsatzsteuerkategorie manuell erfassen ( Boolean )</summary>
		public virtual Object UStKatMKz
		{
			get { return this["UStKatMKz"]; }
		}
		/// <summary>Umsatzsteueridentnummer ( String )</summary>
		public virtual String UStId
		{
			get { return Convert.ToString(this["UStId"]); }
			set { this["UStId"] = value; }
		}
		/// <summary>Whrung ( String )</summary>
		public virtual String Waehr
		{
			get { return Convert.ToString(this["Waehr"]); }
			set { this["Waehr"] = value; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Versandart ( Integer )</summary>
		public virtual Int32 VsdArt
		{
			get { return Convert.ToInt32(this["VsdArt"]); }
			set { this["VsdArt"] = value; }
		}
		/// <summary>Versand-Zahlweise ( Integer )</summary>
		public virtual Int32 VsdZWeise
		{
			get { return Convert.ToInt32(this["VsdZWeise"]); }
			set { this["VsdZWeise"] = value; }
		}
		/// <summary>Lieferbedingung ( String )</summary>
		public virtual String LiefBed
		{
			get { return Convert.ToString(this["LiefBed"]); }
			set { this["LiefBed"] = value; }
		}
		/// <summary>BankVerbindungen ( BlobTable )</summary>
		public virtual Object BnkVb
		{
			get { return this["BnkVb"]; }
			set { this["BnkVb"] = value; }
		}
		/// <summary>Bankleitzahl ( String )</summary>
		public virtual String BLZ
		{
			get { return Convert.ToString(this["BLZ"]); }
			set { this["BLZ"] = value; }
		}
		/// <summary>laufende Banknummer ( Integer )</summary>
		public virtual Int32 BLZNr
		{
			get { return Convert.ToInt32(this["BLZNr"]); }
			set { this["BLZNr"] = value; }
		}
		/// <summary>Bankkurzbezeichnung ( String )</summary>
		public virtual String BkKuBez
		{
			get { return Convert.ToString(this["BkKuBez"]); }
		}
		/// <summary>Kontonummer fr Bankverbindung ( String )</summary>
		public virtual String KNr
		{
			get { return Convert.ToString(this["KNr"]); }
			set { this["KNr"] = value; }
		}
		/// <summary>Name des Kontoinhabers ( String )</summary>
		public virtual String KInhab
		{
			get { return Convert.ToString(this["KInhab"]); }
			set { this["KInhab"] = value; }
		}
		/// <summary>IBAN (Internationale Bankverbindung) ( String )</summary>
		public virtual String IBAN
		{
			get { return Convert.ToString(this["IBAN"]); }
			set { this["IBAN"] = value; }
		}
		/// <summary>Zahlungsart ( Integer )</summary>
		public virtual Int32 ZahlArt
		{
			get { return Convert.ToInt32(this["ZahlArt"]); }
			set { this["ZahlArt"] = value; }
		}
		/// <summary>Art der Karte ( Integer )</summary>
		public virtual Int32 KartArt
		{
			get { return Convert.ToInt32(this["KartArt"]); }
			set { this["KartArt"] = value; }
		}
		/// <summary>Kartennummer der Kreditkarte ( String )</summary>
		public virtual String KartNr
		{
			get { return Convert.ToString(this["KartNr"]); }
			set { this["KartNr"] = value; }
		}
		/// <summary>Gltigkeit der Karte (MMJJ) ( String )</summary>
		public virtual String KartGueltig
		{
			get { return Convert.ToString(this["KartGueltig"]); }
			set { this["KartGueltig"] = value; }
		}
		/// <summary>Name des Karteninhabers ( String )</summary>
		public virtual String KartInhab
		{
			get { return Convert.ToString(this["KartInhab"]); }
			set { this["KartInhab"] = value; }
		}
		/// <summary>Hausbank ( Integer )</summary>
		public virtual Int32 ZahlHBk
		{
			get { return Convert.ToInt32(this["ZahlHBk"]); }
			set { this["ZahlHBk"] = value; }
		}
		/// <summary>Zahlungsbedingung ( String )</summary>
		public virtual String ZahlBed
		{
			get { return Convert.ToString(this["ZahlBed"]); }
			set { this["ZahlBed"] = value; }
		}
		/// <summary>Skonto (in %) 1 ( Double )</summary>
		public virtual Object SktoSz1
		{
			get { return this["SktoSz1"]; }
			set { this["SktoSz1"] = value; }
		}
		/// <summary>Skontotage 1 ( Integer )</summary>
		public virtual Int32 SktoTg1
		{
			get { return Convert.ToInt32(this["SktoTg1"]); }
			set { this["SktoTg1"] = value; }
		}
		/// <summary>Skonto (in %) 2 ( Double )</summary>
		public virtual Object SktoSz2
		{
			get { return this["SktoSz2"]; }
			set { this["SktoSz2"] = value; }
		}
		/// <summary>Skontotage 2 ( Integer )</summary>
		public virtual Int32 SktoTg2
		{
			get { return Convert.ToInt32(this["SktoTg2"]); }
			set { this["SktoTg2"] = value; }
		}
		/// <summary>Kreditlimit ( Double )</summary>
		public virtual Object KredLimit
		{
			get { return this["KredLimit"]; }
			set { this["KredLimit"] = value; }
		}
		/// <summary>Mahnung Kz ( Boolean )</summary>
		public virtual Object MahnKz
		{
			get { return this["MahnKz"]; }
		}
		/// <summary>Mahnzeiten ( String )</summary>
		public virtual String MahnZt
		{
			get { return Convert.ToString(this["MahnZt"]); }
			set { this["MahnZt"] = value; }
		}
		/// <summary>Vorgehensweise im Forderungsmanagement ( Integer )</summary>
		public virtual Int32 FoMaVgWeise
		{
			get { return Convert.ToInt32(this["FoMaVgWeise"]); }
			set { this["FoMaVgWeise"] = value; }
		}
		/// <summary>Rechtsform der Firma ( String )</summary>
		public virtual String Rechtsform
		{
			get { return Convert.ToString(this["Rechtsform"]); }
			set { this["Rechtsform"] = value; }
		}
		/// <summary>Geschftsfhrer ( String )</summary>
		public virtual String GeschFuehr
		{
			get { return Convert.ToString(this["GeschFuehr"]); }
			set { this["GeschFuehr"] = value; }
		}
		/// <summary>Handelsregister ( String )</summary>
		public virtual String HReg
		{
			get { return Convert.ToString(this["HReg"]); }
			set { this["HReg"] = value; }
		}
		/// <summary>Nettotage ( Integer )</summary>
		public virtual Int32 NettoTg
		{
			get { return Convert.ToInt32(this["NettoTg"]); }
			set { this["NettoTg"] = value; }
		}
		/// <summary>Vertreternummer ( String )</summary>
		public virtual String VtrNr
		{
			get { return Convert.ToString(this["VtrNr"]); }
			set { this["VtrNr"] = value; }
		}
		/// <summary>Vertreter ( String )</summary>
		public virtual String VtrNrInfo
		{
			get { return Convert.ToString(this["VtrNrInfo"]); }
		}
		/// <summary>Vertreterprovisionssatz (in %) ( Double )</summary>
		public virtual Object VtrProvSz
		{
			get { return this["VtrProvSz"]; }
			set { this["VtrProvSz"] = value; }
		}
		/// <summary>bergeordnete Rechnungs-Adressnummer ( String )</summary>
		public virtual String UebReAdrNr
		{
			get { return Convert.ToString(this["UebReAdrNr"]); }
			set { this["UebReAdrNr"] = value; }
		}
		/// <summary>bergeordnete Rechnungs-Anschriftennummer ( Integer )</summary>
		public virtual Int32 UebReAnsNr
		{
			get { return Convert.ToInt32(this["UebReAnsNr"]); }
			set { this["UebReAnsNr"] = value; }
		}
		/// <summary>bergeordnete Rechnungsadresse ( String )</summary>
		public virtual String UebReAdrNrInfo
		{
			get { return Convert.ToString(this["UebReAdrNrInfo"]); }
		}
		/// <summary>Kundennummer bei Lieferant ( String )</summary>
		public virtual String KdLiefNr
		{
			get { return Convert.ToString(this["KdLiefNr"]); }
			set { this["KdLiefNr"] = value; }
		}
		/// <summary>Buchungskontonummer ( String )</summary>
		public virtual String BKtoNr
		{
			get { return Convert.ToString(this["BKtoNr"]); }
			set { this["BKtoNr"] = value; }
		}
		/// <summary>Artikelpreisgruppe ( Byte )</summary>
		public virtual Object ArtPrGrp
		{
			get { return this["ArtPrGrp"]; }
			set { this["ArtPrGrp"] = value; }
		}
		/// <summary>PLZ-Bereich fr Hndler ( String )</summary>
		public virtual String HaePLZBer
		{
			get { return Convert.ToString(this["HaePLZBer"]); }
			set { this["HaePLZBer"] = value; }
		}
		/// <summary>Hndleradressnummer ( String )</summary>
		public virtual String HaeAdrNr
		{
			get { return Convert.ToString(this["HaeAdrNr"]); }
			set { this["HaeAdrNr"] = value; }
		}
		/// <summary>Hndleradressnummer Info ( String )</summary>
		public virtual String HaeAdrNrInfo
		{
			get { return Convert.ToString(this["HaeAdrNrInfo"]); }
		}
		/// <summary>Zuweisungsdatum der Hndlernummer  ( Date )</summary>
		public virtual DateTime HaeDat
		{
			get { return Convert.ToDateTime(this["HaeDat"]); }
			set { this["HaeDat"] = value; }
		}
		/// <summary>Euro Umstellungsdatum ( Date )</summary>
		public virtual DateTime EURUmstDat
		{
			get { return Convert.ToDateTime(this["EURUmstDat"]); }
			set { this["EURUmstDat"] = value; }
		}
		/// <summary>Kontakt durch ( String )</summary>
		public virtual String KontDurch
		{
			get { return Convert.ToString(this["KontDurch"]); }
			set { this["KontDurch"] = value; }
		}
		/// <summary>Vorgabe fr Abrechnung von Sammelrechnungen ( Byte )</summary>
		public virtual Object SRAbrGrp
		{
			get { return this["SRAbrGrp"]; }
			set { this["SRAbrGrp"] = value; }
		}
		/// <summary>Abrechnungszyclus (in Tagen) ( Integer )</summary>
		public virtual Int32 SRAbrZyTg
		{
			get { return Convert.ToInt32(this["SRAbrZyTg"]); }
			set { this["SRAbrZyTg"] = value; }
		}
		/// <summary>Datum der letzten Sammelrechnung ( Date )</summary>
		public virtual DateTime SRLtzDat
		{
			get { return Convert.ToDateTime(this["SRLtzDat"]); }
			set { this["SRLtzDat"] = value; }
		}
		/// <summary>Berechtigungsgruppe ( Byte )</summary>
		public virtual Object BerechtGrp
		{
			get { return this["BerechtGrp"]; }
			set { this["BerechtGrp"] = value; }
		}
		/// <summary>Bild ( Bild )</summary>
		public virtual Object Bild
		{
			get { return this["Bild"]; }
			set { this["Bild"] = value; }
		}
		/// <summary>Bild Kennzeichen ( Boolean )</summary>
		public virtual Object BildKz
		{
			get { return this["BildKz"]; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Memo-Information ( Info )</summary>
		public virtual Object Memo
		{
			get { return this["Memo"]; }
			set { this["Memo"] = value; }
		}
		/// <summary>Memo-Information Kennzeichen ( Boolean )</summary>
		public virtual Object MemoKz
		{
			get { return this["MemoKz"]; }
		}
		/// <summary>ServiceVertraege ( Table )</summary>
		public virtual Object SVt
		{
			get { return this["SVt"]; }
		}
		/// <summary>Umsatz ( BlobTable )</summary>
		public virtual Object Ums
		{
			get { return this["Ums"]; }
			set { this["Ums"] = value; }
		}
		/// <summary>Erster Umsatz ( Date )</summary>
		public virtual DateTime ErstUmsDat
		{
			get { return Convert.ToDateTime(this["ErstUmsDat"]); }
			set { this["ErstUmsDat"] = value; }
		}
		/// <summary>Letzter Umsatz ( Date )</summary>
		public virtual DateTime LtzUmsDat
		{
			get { return Convert.ToDateTime(this["LtzUmsDat"]); }
			set { this["LtzUmsDat"] = value; }
		}
		/// <summary>Umsatzinfo Image ( Integer )</summary>
		public virtual Int32 UmsInfoImg
		{
			get { return Convert.ToInt32(this["UmsInfoImg"]); }
		}
		/// <summary>Zahlungsmoralinfo Image ( Integer )</summary>
		public virtual Int32 ZMoralInfoImg
		{
			get { return Convert.ToInt32(this["ZMoralInfoImg"]); }
		}
		/// <summary>Webshop Adresse Kennzeichen ( Boolean )</summary>
		public virtual Object WShopAdrKz
		{
			get { return this["WShopAdrKz"]; }
			set { this["WShopAdrKz"] = value; }
		}
		/// <summary>ID Webshop ( String )</summary>
		public virtual String WShopID
		{
			get { return Convert.ToString(this["WShopID"]); }
			set { this["WShopID"] = value; }
		}
		/// <summary>Auktionsplattform Adresse Kennzeichen ( Boolean )</summary>
		public virtual Object AucWebKz
		{
			get { return this["AucWebKz"]; }
			set { this["AucWebKz"] = value; }
		}
		/// <summary>ID Auktionsplattform ( String )</summary>
		public virtual String AucWebID
		{
			get { return Convert.ToString(this["AucWebID"]); }
			set { this["AucWebID"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>Letzte Datensatznderung ( DateTime )</summary>
		public virtual DateTime LtzAend
		{
			get { return Convert.ToDateTime(this["LtzAend"]); }
			set { this["LtzAend"] = value; }
		}
		/// <summary>QuickInfo ( Array )</summary>
		public virtual Object QuickInfo
		{
			get { return this["QuickInfo"]; }
		}
		/// <summary>RecordRevision ( SmallInt )</summary>
		public virtual Object RecRev
		{
			get { return this["RecRev"]; }
			set { this["RecRev"] = value; }
		}
		/// <summary>Mailing - Alle ( String )</summary>
		public virtual String Sel1
		{
			get { return Convert.ToString(this["Sel1"]); }
			set { this["Sel1"] = value; }
		}
		/// <summary>Mailing - Interessenten ( String )</summary>
		public virtual String Sel2
		{
			get { return Convert.ToString(this["Sel2"]); }
			set { this["Sel2"] = value; }
		}
		/// <summary>Shop - Herstellernamr ( String )</summary>
		public virtual String Sel3
		{
			get { return Convert.ToString(this["Sel3"]); }
			set { this["Sel3"] = value; }
		}


		#endregion
	}
}
