using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AdressenWgrRabattSet : BpnEntitySet<AdressenWgrRabatt>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "AdressenWgrRabatt";
			
		public static AdressenWgrRabattSet CreateInstance(BpnConnection connection)
		{
		    var adressenwgrrabattsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var adressenwgrrabattsetDataSet = adressenwgrrabattsetInfo.CreateDataSet();
		
		    var ret = new AdressenWgrRabattSet(adressenwgrrabattsetDataSet);
		    return ret;
		}
		
		internal AdressenWgrRabattSet(BpNT.AutoDataSet adressenwgrrabattDataSet) 
			: base(adressenwgrrabattDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected AdressenWgrRabattSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new AdressenWgrRabattSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected AdressenWgrRabattSet parentSet;
		
			protected AdressenWgrRabattSetAdrNrWgrNrIndex adrNrWgrNrIndex;
			protected AdressenWgrRabattSetWgrNrAdrNrIndex wgrNrAdrNrIndex;
		
			internal IndicesClass(AdressenWgrRabattSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				adrNrWgrNrIndex = new AdressenWgrRabattSetAdrNrWgrNrIndex(parentSet.DataSet);
				wgrNrAdrNrIndex = new AdressenWgrRabattSetWgrNrAdrNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Adressnummer</summary>
			public AdressenWgrRabattSetAdrNrWgrNrIndex AdrNrWgrNrIndex
			{
				get { return adrNrWgrNrIndex; }
			}
			
			/// <summary>Warengruppennummer</summary>
			public AdressenWgrRabattSetWgrNrAdrNrIndex WgrNrAdrNrIndex
			{
				get { return wgrNrAdrNrIndex; }
			}
			
		
			#endregion
		}

		public AdressenWgrRabattSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
