using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Anlagen : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Anlagen";
			
		public static Anlagen CreateInstance(BpnConnection connection)
		{
		    var anlagenInfo = connection.GetDataSetInfo(DS_NAME);
		    var anlagenDataSet = anlagenInfo.CreateDataSet();
		
		    var ret = new Anlagen(anlagenDataSet);
		    return ret;
		}
		
		public Anlagen(BpNT.AutoDataSet anlagenDataSet) 
			: base(anlagenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Anlagennummer ( String )</summary>
		public virtual String AnlNr
		{
			get { return Convert.ToString(this["AnlNr"]); }
			set { this["AnlNr"] = value; }
		}
		/// <summary>Inventarnummer ( String )</summary>
		public virtual String InvNr
		{
			get { return Convert.ToString(this["InvNr"]); }
			set { this["InvNr"] = value; }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Suchbegriff ( String )</summary>
		public virtual String SuchBeg
		{
			get { return Convert.ToString(this["SuchBeg"]); }
			set { this["SuchBeg"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Anschaffungsdatum ( Date )</summary>
		public virtual DateTime ADat
		{
			get { return Convert.ToDateTime(this["ADat"]); }
			set { this["ADat"] = value; }
		}
		/// <summary>Anschaffungskosten ( Double )</summary>
		public virtual Object AKosten
		{
			get { return this["AKosten"]; }
			set { this["AKosten"] = value; }
		}
		/// <summary>Anschaffungsnebenkosten ( Double )</summary>
		public virtual Object ANebKosten
		{
			get { return this["ANebKosten"]; }
			set { this["ANebKosten"] = value; }
		}
		/// <summary>Restwert (zum akt. WJ-Ende) ( Double )</summary>
		public virtual Object RestwertWJ
		{
			get { return this["RestwertWJ"]; }
		}
		/// <summary>Restwert ( Double )</summary>
		public virtual Object Restwert
		{
			get { return this["Restwert"]; }
			set { this["Restwert"] = value; }
		}
		/// <summary>AfA Art ( Integer )</summary>
		public virtual Int32 AfAArt
		{
			get { return Convert.ToInt32(this["AfAArt"]); }
			set { this["AfAArt"] = value; }
		}
		/// <summary>AfA Satz in Prozent ( Double )</summary>
		public virtual Object AfASatz
		{
			get { return this["AfASatz"]; }
			set { this["AfASatz"] = value; }
		}
		/// <summary>Manuelle AfA ( Boolean )</summary>
		public virtual Object AfAManuellKz
		{
			get { return this["AfAManuellKz"]; }
		}
		/// <summary>Optimale Einstellungen verwenden ( Boolean )</summary>
		public virtual Object OptimalKz
		{
			get { return this["OptimalKz"]; }
		}
		/// <summary>Vereinfachungsregel anwenden ( Boolean )</summary>
		public virtual Object VereinfRegelKz
		{
			get { return this["VereinfRegelKz"]; }
		}
		/// <summary>Auf volle Betrge runden ( Boolean )</summary>
		public virtual Object RundenKz
		{
			get { return this["RundenKz"]; }
		}
		/// <summary>bergang von degressiv nach linear ( Boolean )</summary>
		public virtual Object UebergangKz
		{
			get { return this["UebergangKz"]; }
		}
		/// <summary>Geringwertige Wirtschaftsgter ( Boolean )</summary>
		public virtual Object GWGKz
		{
			get { return this["GWGKz"]; }
		}
		/// <summary>Gewechselt zu linear ( Boolean )</summary>
		public virtual Object WechselKz
		{
			get { return this["WechselKz"]; }
		}
		/// <summary>Manuell erfasst ( Boolean )</summary>
		public virtual Object ManuellKz
		{
			get { return this["ManuellKz"]; }
		}
		/// <summary>Gebucht ( Boolean )</summary>
		public virtual Object GebuchtKz
		{
			get { return this["GebuchtKz"]; }
		}
		/// <summary>Alle Gebucht ( Boolean )</summary>
		public virtual Object AlleGebuchtKz
		{
			get { return this["AlleGebuchtKz"]; }
		}
		/// <summary>Whrung ( String )</summary>
		public virtual String Waehr
		{
			get { return Convert.ToString(this["Waehr"]); }
			set { this["Waehr"] = value; }
		}
		/// <summary>Konto Anlagevermgen ( String )</summary>
		public virtual String KtoAV
		{
			get { return Convert.ToString(this["KtoAV"]); }
			set { this["KtoAV"] = value; }
		}
		/// <summary>Konto AfA ( String )</summary>
		public virtual String KtoAfA
		{
			get { return Convert.ToString(this["KtoAfA"]); }
			set { this["KtoAfA"] = value; }
		}
		/// <summary>AnlagenZugangAbgang ( BlobTable )</summary>
		public virtual Object AZA
		{
			get { return this["AZA"]; }
			set { this["AZA"] = value; }
		}
		/// <summary>Abschreibungsbeginn ( Date )</summary>
		public virtual DateTime AfABeginn
		{
			get { return Convert.ToDateTime(this["AfABeginn"]); }
			set { this["AfABeginn"] = value; }
		}
		/// <summary>Nutzungsdauer ( Integer )</summary>
		public virtual Int32 NutzDauer
		{
			get { return Convert.ToInt32(this["NutzDauer"]); }
			set { this["NutzDauer"] = value; }
		}
		/// <summary>Nutzungsdauerverlngerung ( Boolean )</summary>
		public virtual Object NutzDauerVerlKz
		{
			get { return this["NutzDauerVerlKz"]; }
		}
		/// <summary>Verlngerte Nutzungsdauer ( Integer )</summary>
		public virtual Int32 NutzDauerVerl
		{
			get { return Convert.ToInt32(this["NutzDauerVerl"]); }
			set { this["NutzDauerVerl"] = value; }
		}
		/// <summary>AnlagenSaetze ( BlobTable )</summary>
		public virtual Object Als
		{
			get { return this["Als"]; }
			set { this["Als"] = value; }
		}
		/// <summary>Kostenstellennummer ( String )</summary>
		public virtual String KstNr
		{
			get { return Convert.ToString(this["KstNr"]); }
			set { this["KstNr"] = value; }
		}
		/// <summary>Lieferantennummer ( String )</summary>
		public virtual String LiefNr
		{
			get { return Convert.ToString(this["LiefNr"]); }
			set { this["LiefNr"] = value; }
		}
		/// <summary>Lieferant ( String )</summary>
		public virtual String LiefNrInfo
		{
			get { return Convert.ToString(this["LiefNrInfo"]); }
		}
		/// <summary>Adressnummer des Standorts ( String )</summary>
		public virtual String StOrtAdrNr
		{
			get { return Convert.ToString(this["StOrtAdrNr"]); }
			set { this["StOrtAdrNr"] = value; }
		}
		/// <summary>Adresse des Standorts ( String )</summary>
		public virtual String StOrtAdrNrInfo
		{
			get { return Convert.ToString(this["StOrtAdrNrInfo"]); }
		}
		/// <summary>Standort ( String )</summary>
		public virtual String StOrt
		{
			get { return Convert.ToString(this["StOrt"]); }
			set { this["StOrt"] = value; }
		}
		/// <summary>Memo-Information ( Info )</summary>
		public virtual Object Memo
		{
			get { return this["Memo"]; }
			set { this["Memo"] = value; }
		}
		/// <summary>Memo-Information Kennzeichen ( Boolean )</summary>
		public virtual Object MemoKz
		{
			get { return this["MemoKz"]; }
		}
		/// <summary>Bild ( Bild )</summary>
		public virtual Object Bild
		{
			get { return this["Bild"]; }
			set { this["Bild"] = value; }
		}
		/// <summary>Bild Kennzeichen ( Boolean )</summary>
		public virtual Object BildKz
		{
			get { return this["BildKz"]; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Komplettabgang ( Boolean )</summary>
		public virtual Object AbgangKz
		{
			get { return this["AbgangKz"]; }
		}
		/// <summary>AbgangsDatum ( Date )</summary>
		public virtual DateTime AbgangDat
		{
			get { return Convert.ToDateTime(this["AbgangDat"]); }
			set { this["AbgangDat"] = value; }
		}
		/// <summary>Anzahl der gebuchten Jahre ( Integer )</summary>
		public virtual Int32 GebuchteJahre
		{
			get { return Convert.ToInt32(this["GebuchteJahre"]); }
			set { this["GebuchteJahre"] = value; }
		}
		/// <summary>Pooljahr ( Integer )</summary>
		public virtual Int32 PoolJahr
		{
			get { return Convert.ToInt32(this["PoolJahr"]); }
			set { this["PoolJahr"] = value; }
		}
		/// <summary>Anlagenpoolsammler ( Boolean )</summary>
		public virtual Object PoolKz
		{
			get { return this["PoolKz"]; }
		}
		/// <summary>Anlagenpoolgut ( Boolean )</summary>
		public virtual Object PoolGutKz
		{
			get { return this["PoolGutKz"]; }
		}
		/// <summary>ProtokolleSaetze ( BlobTable )</summary>
		public virtual Object StatusPts
		{
			get { return this["StatusPts"]; }
			set { this["StatusPts"] = value; }
		}
		/// <summary>Statusprotokoll FiBu ( Integer )</summary>
		public virtual Int32 StatusPtsImgFi
		{
			get { return Convert.ToInt32(this["StatusPtsImgFi"]); }
			set { this["StatusPtsImgFi"] = value; }
		}
		/// <summary>Nicht eigenstndig nutzbar ( Boolean )</summary>
		public virtual Object NichtEigenKz
		{
			get { return this["NichtEigenKz"]; }
		}
		/// <summary>Vorgetragenes Poolgut ( Boolean )</summary>
		public virtual Object PoolVortragKz
		{
			get { return this["PoolVortragKz"]; }
		}
		/// <summary>Maximal manuell zu bebuchenes Jahr ( Integer )</summary>
		public virtual Int32 PoolBuchJahr
		{
			get { return Convert.ToInt32(this["PoolBuchJahr"]); }
			set { this["PoolBuchJahr"] = value; }
		}
		/// <summary>Vor Betrag ( Double )</summary>
		public virtual Object VorBet
		{
			get { return this["VorBet"]; }
			set { this["VorBet"] = value; }
		}
		/// <summary>Sonderabschreibungsart ( Integer )</summary>
		public virtual Int32 SonderAfAArt
		{
			get { return Convert.ToInt32(this["SonderAfAArt"]); }
			set { this["SonderAfAArt"] = value; }
		}
		/// <summary>AnlagenSonderAfA ( BlobTable )</summary>
		public virtual Object SA
		{
			get { return this["SA"]; }
			set { this["SA"] = value; }
		}
		/// <summary>Investitionsabzugsbetrag ( Double )</summary>
		public virtual Object InvestAbzugsBet
		{
			get { return this["InvestAbzugsBet"]; }
			set { this["InvestAbzugsBet"] = value; }
		}
		/// <summary>Konto Sonder-AfA ( String )</summary>
		public virtual String KtoSonderAfA
		{
			get { return Convert.ToString(this["KtoSonderAfA"]); }
			set { this["KtoSonderAfA"] = value; }
		}
		/// <summary>Konto Investitionsabzug Soll-Seite ( String )</summary>
		public virtual String SollKtoInvestabzug
		{
			get { return Convert.ToString(this["SollKtoInvestabzug"]); }
			set { this["SollKtoInvestabzug"] = value; }
		}
		/// <summary>Konto Investitionsabzug Haben-Seite ( String )</summary>
		public virtual String HabenKtoInvestabzug
		{
			get { return Convert.ToString(this["HabenKtoInvestabzug"]); }
			set { this["HabenKtoInvestabzug"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>QuickInfo ( Array )</summary>
		public virtual Object QuickInfo
		{
			get { return this["QuickInfo"]; }
		}
		/// <summary>RecordRevision ( SmallInt )</summary>
		public virtual Object RecRev
		{
			get { return this["RecRev"]; }
			set { this["RecRev"] = value; }
		}


		#endregion
	}
}
