using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AnlagenSet : BpnEntitySet<Anlagen>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Anlagen";
			
		public static AnlagenSet CreateInstance(BpnConnection connection)
		{
		    var anlagensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var anlagensetDataSet = anlagensetInfo.CreateDataSet();
		
		    var ret = new AnlagenSet(anlagensetDataSet);
		    return ret;
		}
		
		internal AnlagenSet(BpNT.AutoDataSet anlagenDataSet) 
			: base(anlagenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected AnlagenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new AnlagenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected AnlagenSet parentSet;
		
			protected AnlagenSetIDIndex iDIndex;
			protected AnlagenSetAnlNrIndex anlNrIndex;
			protected AnlagenSetAnlNrNumIndex anlNrNumIndex;
			protected AnlagenSetInvNrIndex invNrIndex;
			protected AnlagenSetSuchBegIndex suchBegIndex;
			protected AnlagenSetBezIndex bezIndex;
			protected AnlagenSetAnDatIndex anDatIndex;
			protected AnlagenSetAnlAdrNrIndex anlAdrNrIndex;
			protected AnlagenSetAnlStandortIndex anlStandortIndex;
			protected AnlagenSetKtoNrAfaIndex ktoNrAfaIndex;
			protected AnlagenSetKtoNrAnlIndex ktoNrAnlIndex;
			protected AnlagenSetAnlPoolIndex anlPoolIndex;
			protected AnlagenSetKtoNrSonderAfAIndex ktoNrSonderAfAIndex;
			protected AnlagenSetSollKtoNrInvestAbzugIndex sollKtoNrInvestAbzugIndex;
			protected AnlagenSetHabenKtoNrInvestAbzugIndex habenKtoNrInvestAbzugIndex;
		
			internal IndicesClass(AnlagenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new AnlagenSetIDIndex(parentSet.DataSet);
				anlNrIndex = new AnlagenSetAnlNrIndex(parentSet.DataSet);
				anlNrNumIndex = new AnlagenSetAnlNrNumIndex(parentSet.DataSet);
				invNrIndex = new AnlagenSetInvNrIndex(parentSet.DataSet);
				suchBegIndex = new AnlagenSetSuchBegIndex(parentSet.DataSet);
				bezIndex = new AnlagenSetBezIndex(parentSet.DataSet);
				anDatIndex = new AnlagenSetAnDatIndex(parentSet.DataSet);
				anlAdrNrIndex = new AnlagenSetAnlAdrNrIndex(parentSet.DataSet);
				anlStandortIndex = new AnlagenSetAnlStandortIndex(parentSet.DataSet);
				ktoNrAfaIndex = new AnlagenSetKtoNrAfaIndex(parentSet.DataSet);
				ktoNrAnlIndex = new AnlagenSetKtoNrAnlIndex(parentSet.DataSet);
				anlPoolIndex = new AnlagenSetAnlPoolIndex(parentSet.DataSet);
				ktoNrSonderAfAIndex = new AnlagenSetKtoNrSonderAfAIndex(parentSet.DataSet);
				sollKtoNrInvestAbzugIndex = new AnlagenSetSollKtoNrInvestAbzugIndex(parentSet.DataSet);
				habenKtoNrInvestAbzugIndex = new AnlagenSetHabenKtoNrInvestAbzugIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public AnlagenSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Anlagennummer</summary>
			public AnlagenSetAnlNrIndex AnlNrIndex
			{
				get { return anlNrIndex; }
			}
			
			/// <summary>Anlagennummer (numerisch)</summary>
			public AnlagenSetAnlNrNumIndex AnlNrNumIndex
			{
				get { return anlNrNumIndex; }
			}
			
			/// <summary>Inventarnummer</summary>
			public AnlagenSetInvNrIndex InvNrIndex
			{
				get { return invNrIndex; }
			}
			
			/// <summary>Suchbegriff</summary>
			public AnlagenSetSuchBegIndex SuchBegIndex
			{
				get { return suchBegIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public AnlagenSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
			/// <summary>Anschaffungsdatum</summary>
			public AnlagenSetAnDatIndex AnDatIndex
			{
				get { return anDatIndex; }
			}
			
			/// <summary>Adressnummer des Standorts</summary>
			public AnlagenSetAnlAdrNrIndex AnlAdrNrIndex
			{
				get { return anlAdrNrIndex; }
			}
			
			/// <summary>Standort</summary>
			public AnlagenSetAnlStandortIndex AnlStandortIndex
			{
				get { return anlStandortIndex; }
			}
			
			/// <summary>Kontonummer AfA</summary>
			public AnlagenSetKtoNrAfaIndex KtoNrAfaIndex
			{
				get { return ktoNrAfaIndex; }
			}
			
			/// <summary>Kontonummer AV</summary>
			public AnlagenSetKtoNrAnlIndex KtoNrAnlIndex
			{
				get { return ktoNrAnlIndex; }
			}
			
			/// <summary>Anlagenpool</summary>
			public AnlagenSetAnlPoolIndex AnlPoolIndex
			{
				get { return anlPoolIndex; }
			}
			
			/// <summary>Kontonummer Sonderabschreibung</summary>
			public AnlagenSetKtoNrSonderAfAIndex KtoNrSonderAfAIndex
			{
				get { return ktoNrSonderAfAIndex; }
			}
			
			/// <summary>Soll-Kontonummer Investitionsabzug</summary>
			public AnlagenSetSollKtoNrInvestAbzugIndex SollKtoNrInvestAbzugIndex
			{
				get { return sollKtoNrInvestAbzugIndex; }
			}
			
			/// <summary>Haben-Kontonummer Investitionsabzug</summary>
			public AnlagenSetHabenKtoNrInvestAbzugIndex HabenKtoNrInvestAbzugIndex
			{
				get { return habenKtoNrInvestAbzugIndex; }
			}
			
		
			#endregion
		}

		public AnlagenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
