using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Anschriften : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Anschriften";
			
		public static Anschriften CreateInstance(BpnConnection connection)
		{
		    var anschriftenInfo = connection.GetDataSetInfo(DS_NAME);
		    var anschriftenDataSet = anschriftenInfo.CreateDataSet();
		
		    var ret = new Anschriften(anschriftenDataSet);
		    return ret;
		}
		
		public Anschriften(BpNT.AutoDataSet anschriftenDataSet) 
			: base(anschriftenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Adressnummer ( String )</summary>
		public virtual String AdrNr
		{
			get { return Convert.ToString(this["AdrNr"]); }
			set { this["AdrNr"] = value; }
		}
		/// <summary>Anschriftennummer ( Integer )</summary>
		public virtual Int32 AnsNr
		{
			get { return Convert.ToInt32(this["AnsNr"]); }
			set { this["AnsNr"] = value; }
		}
		/// <summary>Anschriftengruppe ( Integer )</summary>
		public virtual Int32 Grp
		{
			get { return Convert.ToInt32(this["Grp"]); }
			set { this["Grp"] = value; }
		}
		/// <summary>International Location Number ( String )</summary>
		public virtual String ILN
		{
			get { return Convert.ToString(this["ILN"]); }
			set { this["ILN"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Art ( Integer )</summary>
		public virtual Int32 Art
		{
			get { return Convert.ToInt32(this["Art"]); }
		}
		/// <summary>Name 1 (Anrede) ( String )</summary>
		public virtual String Na1
		{
			get { return Convert.ToString(this["Na1"]); }
			set { this["Na1"] = value; }
		}
		/// <summary>Name 2 ( String )</summary>
		public virtual String Na2
		{
			get { return Convert.ToString(this["Na2"]); }
			set { this["Na2"] = value; }
		}
		/// <summary>Name 3 ( String )</summary>
		public virtual String Na3
		{
			get { return Convert.ToString(this["Na3"]); }
			set { this["Na3"] = value; }
		}
		/// <summary>Namen ( String )</summary>
		public virtual String Namen
		{
			get { return Convert.ToString(this["Namen"]); }
		}
		/// <summary>Name 4 ( String )</summary>
		public virtual String Na4
		{
			get { return Convert.ToString(this["Na4"]); }
			set { this["Na4"] = value; }
		}
		/// <summary>Name 5 ( String )</summary>
		public virtual String Na5
		{
			get { return Convert.ToString(this["Na5"]); }
			set { this["Na5"] = value; }
		}
		/// <summary>Abteilung ( String )</summary>
		public virtual String Abt
		{
			get { return Convert.ToString(this["Abt"]); }
			set { this["Abt"] = value; }
		}
		/// <summary>Strae ( String )</summary>
		public virtual String Str
		{
			get { return Convert.ToString(this["Str"]); }
			set { this["Str"] = value; }
		}
		/// <summary>Land ( Integer )</summary>
		public virtual Int32 Land
		{
			get { return Convert.ToInt32(this["Land"]); }
			set { this["Land"] = value; }
		}
		/// <summary>Lnderkennzeichen ( String )</summary>
		public virtual String LandKennz
		{
			get { return Convert.ToString(this["LandKennz"]); }
		}
		/// <summary>Postleitzahl ( String )</summary>
		public virtual String PLZ
		{
			get { return Convert.ToString(this["PLZ"]); }
			set { this["PLZ"] = value; }
		}
		/// <summary>Land & PLZ ( String )</summary>
		public virtual String PLZInfo
		{
			get { return Convert.ToString(this["PLZInfo"]); }
		}
		/// <summary>Ort ( String )</summary>
		public virtual String Ort
		{
			get { return Convert.ToString(this["Ort"]); }
			set { this["Ort"] = value; }
		}
		/// <summary>PLZ & Ort ( String )</summary>
		public virtual String PLZOrtInfo
		{
			get { return Convert.ToString(this["PLZOrtInfo"]); }
		}
		/// <summary>Postfach ( String )</summary>
		public virtual String Postf
		{
			get { return Convert.ToString(this["Postf"]); }
			set { this["Postf"] = value; }
		}
		/// <summary>Postfach Postleitzahl ( String )</summary>
		public virtual String PfPLZ
		{
			get { return Convert.ToString(this["PfPLZ"]); }
			set { this["PfPLZ"] = value; }
		}
		/// <summary>Postfach Ort ( String )</summary>
		public virtual String PfOrt
		{
			get { return Convert.ToString(this["PfOrt"]); }
			set { this["PfOrt"] = value; }
		}
		/// <summary>DP LeitCode ( String )</summary>
		public virtual String LeitCode
		{
			get { return Convert.ToString(this["LeitCode"]); }
			set { this["LeitCode"] = value; }
		}
		/// <summary>DP Frachtzentrum ( String )</summary>
		public virtual String FZNr
		{
			get { return Convert.ToString(this["FZNr"]); }
			set { this["FZNr"] = value; }
		}
		/// <summary>Leitcode manuell erfassen ( Boolean )</summary>
		public virtual Object LcManuellKz
		{
			get { return this["LcManuellKz"]; }
		}
		/// <summary>Telefon ( String )</summary>
		public virtual String Tel
		{
			get { return Convert.ToString(this["Tel"]); }
			set { this["Tel"] = value; }
		}
		/// <summary>Telefax ( String )</summary>
		public virtual String Fax
		{
			get { return Convert.ToString(this["Fax"]); }
			set { this["Fax"] = value; }
		}
		/// <summary>Webseite ( String )</summary>
		public virtual String WSeite
		{
			get { return Convert.ToString(this["WSeite"]); }
			set { this["WSeite"] = value; }
		}
		/// <summary>E-Mail 1 ( String )</summary>
		public virtual String EMail1
		{
			get { return Convert.ToString(this["EMail1"]); }
			set { this["EMail1"] = value; }
		}
		/// <summary>E-Mail 2 ( String )</summary>
		public virtual String EMail2
		{
			get { return Convert.ToString(this["EMail2"]); }
			set { this["EMail2"] = value; }
		}
		/// <summary>Kommunikation ( BlobTable )</summary>
		public virtual Object Kom
		{
			get { return this["Kom"]; }
			set { this["Kom"] = value; }
		}
		/// <summary>ist Standard Rechnungsanschrift Kennzeichen ( Boolean )</summary>
		public virtual Object StdReKz
		{
			get { return this["StdReKz"]; }
		}
		/// <summary>ist Standard Lieferanschrift Kennzeichen ( Boolean )</summary>
		public virtual Object StdLiKz
		{
			get { return this["StdLiKz"]; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Ansprechpartnernummer ( Integer )</summary>
		public virtual Int32 AspNr
		{
			get { return Convert.ToInt32(this["AspNr"]); }
			set { this["AspNr"] = value; }
		}
		/// <summary>Ansprechpartner ( Table )</summary>
		public virtual Object Asp
		{
			get { return this["Asp"]; }
		}
		/// <summary>Verteiler ( Integer )</summary>
		public virtual Int32 Verteiler
		{
			get { return Convert.ToInt32(this["Verteiler"]); }
			set { this["Verteiler"] = value; }
		}
		/// <summary>Telefon-CD Abgleichsdatum ( Date )</summary>
		public virtual DateTime TelAbglDat
		{
			get { return Convert.ToDateTime(this["TelAbglDat"]); }
			set { this["TelAbglDat"] = value; }
		}
		/// <summary>Telefon-CD Status ( Byte )</summary>
		public virtual Object TelAbglSts
		{
			get { return this["TelAbglSts"]; }
			set { this["TelAbglSts"] = value; }
		}
		/// <summary>Telefon-CD manueller Abgleich ( Boolean )</summary>
		public virtual Object TelAbglManuellKz
		{
			get { return this["TelAbglManuellKz"]; }
		}
		/// <summary>ID Auktionsplattform ( String )</summary>
		public virtual String AucWebID
		{
			get { return Convert.ToString(this["AucWebID"]); }
			set { this["AucWebID"] = value; }
		}
		/// <summary>Berechtigungsgruppe ( Byte )</summary>
		public virtual Object BerechtGrp
		{
			get { return this["BerechtGrp"]; }
			set { this["BerechtGrp"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
