using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AnsichtenVorgaben : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "AnsichtenVorgaben";
			
		public static AnsichtenVorgaben CreateInstance(BpnConnection connection)
		{
		    var ansichtenvorgabenInfo = connection.GetDataSetInfo(DS_NAME);
		    var ansichtenvorgabenDataSet = ansichtenvorgabenInfo.CreateDataSet();
		
		    var ret = new AnsichtenVorgaben(ansichtenvorgabenDataSet);
		    return ret;
		}
		
		public AnsichtenVorgaben(BpNT.AutoDataSet ansichtenvorgabenDataSet) 
			: base(ansichtenvorgabenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>ist Standard Kennzeichen ( Boolean )</summary>
		public virtual Object StdKz
		{
			get { return this["StdKz"]; }
			set { this["StdKz"] = value; }
		}
		/// <summary>Data ( Blob )</summary>
		public virtual Object Data
		{
			get { return this["Data"]; }
			set { this["Data"] = value; }
		}


		#endregion
	}
}
