using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Ansprechpartner : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Ansprechpartner";
			
		public static Ansprechpartner CreateInstance(BpnConnection connection)
		{
		    var ansprechpartnerInfo = connection.GetDataSetInfo(DS_NAME);
		    var ansprechpartnerDataSet = ansprechpartnerInfo.CreateDataSet();
		
		    var ret = new Ansprechpartner(ansprechpartnerDataSet);
		    return ret;
		}
		
		public Ansprechpartner(BpNT.AutoDataSet ansprechpartnerDataSet) 
			: base(ansprechpartnerDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Adressnummer ( String )</summary>
		public virtual String AdrNr
		{
			get { return Convert.ToString(this["AdrNr"]); }
			set { this["AdrNr"] = value; }
		}
		/// <summary>Anschriftennummer ( Integer )</summary>
		public virtual Int32 AnsNr
		{
			get { return Convert.ToInt32(this["AnsNr"]); }
			set { this["AnsNr"] = value; }
		}
		/// <summary>Ansprechpartnernummer ( Integer )</summary>
		public virtual Int32 AspNr
		{
			get { return Convert.ToInt32(this["AspNr"]); }
			set { this["AspNr"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>ist Standard Kennzeichen ( Boolean )</summary>
		public virtual Object StdKz
		{
			get { return this["StdKz"]; }
		}
		/// <summary>Anrede ( String )</summary>
		public virtual String Anr
		{
			get { return Convert.ToString(this["Anr"]); }
			set { this["Anr"] = value; }
		}
		/// <summary>Ansprechpartner ( String )</summary>
		public virtual String Ansp
		{
			get { return Convert.ToString(this["Ansp"]); }
			set { this["Ansp"] = value; }
		}
		/// <summary>Ansprechpartneraufbau ( Byte )</summary>
		public virtual Object AnspAufbau
		{
			get { return this["AnspAufbau"]; }
			set { this["AnspAufbau"] = value; }
		}
		/// <summary>Titel ( String )</summary>
		public virtual String Tit
		{
			get { return Convert.ToString(this["Tit"]); }
			set { this["Tit"] = value; }
		}
		/// <summary>Vorname ( String )</summary>
		public virtual String VNa
		{
			get { return Convert.ToString(this["VNa"]); }
			set { this["VNa"] = value; }
		}
		/// <summary>Vorsatzwort ( String )</summary>
		public virtual String VSWort
		{
			get { return Convert.ToString(this["VSWort"]); }
			set { this["VSWort"] = value; }
		}
		/// <summary>Nachname ( String )</summary>
		public virtual String NNa
		{
			get { return Convert.ToString(this["NNa"]); }
			set { this["NNa"] = value; }
		}
		/// <summary>Namenszusatz ( String )</summary>
		public virtual String NaZus
		{
			get { return Convert.ToString(this["NaZus"]); }
			set { this["NaZus"] = value; }
		}
		/// <summary>Anrede fr Serienbrief ( String )</summary>
		public virtual String AnrSB
		{
			get { return Convert.ToString(this["AnrSB"]); }
			set { this["AnrSB"] = value; }
		}
		/// <summary>Position ( String )</summary>
		public virtual String Pos
		{
			get { return Convert.ToString(this["Pos"]); }
			set { this["Pos"] = value; }
		}
		/// <summary>Abteilung ( String )</summary>
		public virtual String Abt
		{
			get { return Convert.ToString(this["Abt"]); }
			set { this["Abt"] = value; }
		}
		/// <summary>Geburtsdatum ( Date )</summary>
		public virtual DateTime GebDat
		{
			get { return Convert.ToDateTime(this["GebDat"]); }
			set { this["GebDat"] = value; }
		}
		/// <summary>Alter aufgrund Geburtsdatum ( Integer )</summary>
		public virtual Int32 GebDatAlter
		{
			get { return Convert.ToInt32(this["GebDatAlter"]); }
		}
		/// <summary>Erreichbar von 1 ( Time )</summary>
		public virtual Object EVon1
		{
			get { return this["EVon1"]; }
			set { this["EVon1"] = value; }
		}
		/// <summary>Erreichbar bis 1 ( Time )</summary>
		public virtual Object EBis1
		{
			get { return this["EBis1"]; }
			set { this["EBis1"] = value; }
		}
		/// <summary>Erreichbarkeit 1 ( String )</summary>
		public virtual String EVonBis1
		{
			get { return Convert.ToString(this["EVonBis1"]); }
		}
		/// <summary>Erreichbar von 2 ( Time )</summary>
		public virtual Object EVon2
		{
			get { return this["EVon2"]; }
			set { this["EVon2"] = value; }
		}
		/// <summary>Erreichbar bis 2 ( Time )</summary>
		public virtual Object EBis2
		{
			get { return this["EBis2"]; }
			set { this["EBis2"] = value; }
		}
		/// <summary>Erreichbarkeit 2 ( String )</summary>
		public virtual String EVonBis2
		{
			get { return Convert.ToString(this["EVonBis2"]); }
		}
		/// <summary>Telefon 1 ( String )</summary>
		public virtual String Tel1
		{
			get { return Convert.ToString(this["Tel1"]); }
			set { this["Tel1"] = value; }
		}
		/// <summary>Telefon 2 ( String )</summary>
		public virtual String Tel2
		{
			get { return Convert.ToString(this["Tel2"]); }
			set { this["Tel2"] = value; }
		}
		/// <summary>Mobil-Telefon ( String )</summary>
		public virtual String MTel
		{
			get { return Convert.ToString(this["MTel"]); }
			set { this["MTel"] = value; }
		}
		/// <summary>Telefax ( String )</summary>
		public virtual String Fax
		{
			get { return Convert.ToString(this["Fax"]); }
			set { this["Fax"] = value; }
		}
		/// <summary>Webseite ( String )</summary>
		public virtual String WSeite
		{
			get { return Convert.ToString(this["WSeite"]); }
			set { this["WSeite"] = value; }
		}
		/// <summary>E-Mail 1 ( String )</summary>
		public virtual String EMail1
		{
			get { return Convert.ToString(this["EMail1"]); }
			set { this["EMail1"] = value; }
		}
		/// <summary>E-Mail 2 ( String )</summary>
		public virtual String EMail2
		{
			get { return Convert.ToString(this["EMail2"]); }
			set { this["EMail2"] = value; }
		}
		/// <summary>Kommunikation ( BlobTable )</summary>
		public virtual Object Kom
		{
			get { return this["Kom"]; }
			set { this["Kom"] = value; }
		}
		/// <summary>Memo-Information ( Info )</summary>
		public virtual Object Memo
		{
			get { return this["Memo"]; }
			set { this["Memo"] = value; }
		}
		/// <summary>Memo-Information Kennzeichen ( Boolean )</summary>
		public virtual Object MemoKz
		{
			get { return this["MemoKz"]; }
		}
		/// <summary>Bild ( Bild )</summary>
		public virtual Object Bild
		{
			get { return this["Bild"]; }
			set { this["Bild"] = value; }
		}
		/// <summary>Bild Kennzeichen ( Boolean )</summary>
		public virtual Object BildKz
		{
			get { return this["BildKz"]; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Verteiler ( Integer )</summary>
		public virtual Int32 Verteiler
		{
			get { return Convert.ToInt32(this["Verteiler"]); }
			set { this["Verteiler"] = value; }
		}
		/// <summary>Berechtigungsgruppe ( Byte )</summary>
		public virtual Object BerechtGrp
		{
			get { return this["BerechtGrp"]; }
			set { this["BerechtGrp"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
