using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AnsprechpartnerSet : BpnEntitySet<Ansprechpartner>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Ansprechpartner";
			
		public static AnsprechpartnerSet CreateInstance(BpnConnection connection)
		{
		    var ansprechpartnersetInfo = connection.GetDataSetInfo(DS_NAME);
		    var ansprechpartnersetDataSet = ansprechpartnersetInfo.CreateDataSet();
		
		    var ret = new AnsprechpartnerSet(ansprechpartnersetDataSet);
		    return ret;
		}
		
		internal AnsprechpartnerSet(BpNT.AutoDataSet ansprechpartnerDataSet) 
			: base(ansprechpartnerDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected AnsprechpartnerSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new AnsprechpartnerSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected AnsprechpartnerSet parentSet;
		
			protected AnsprechpartnerSetIDIndex iDIndex;
			protected AnsprechpartnerSetAdrNrAnsNrAspNrIndex adrNrAnsNrAspNrIndex;
			protected AnsprechpartnerSetAdrNrAnsNrNaIndex adrNrAnsNrNaIndex;
			protected AnsprechpartnerSetAdrNrAnsNrNNaIndex adrNrAnsNrNNaIndex;
			protected AnsprechpartnerSetAnspIndex anspIndex;
			protected AnsprechpartnerSetNNaIndex nNaIndex;
			protected AnsprechpartnerSetTel1Index tel1Index;
			protected AnsprechpartnerSetGebDatIndex gebDatIndex;
		
			internal IndicesClass(AnsprechpartnerSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new AnsprechpartnerSetIDIndex(parentSet.DataSet);
				adrNrAnsNrAspNrIndex = new AnsprechpartnerSetAdrNrAnsNrAspNrIndex(parentSet.DataSet);
				adrNrAnsNrNaIndex = new AnsprechpartnerSetAdrNrAnsNrNaIndex(parentSet.DataSet);
				adrNrAnsNrNNaIndex = new AnsprechpartnerSetAdrNrAnsNrNNaIndex(parentSet.DataSet);
				anspIndex = new AnsprechpartnerSetAnspIndex(parentSet.DataSet);
				nNaIndex = new AnsprechpartnerSetNNaIndex(parentSet.DataSet);
				tel1Index = new AnsprechpartnerSetTel1Index(parentSet.DataSet);
				gebDatIndex = new AnsprechpartnerSetGebDatIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public AnsprechpartnerSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Adress- und Anschriftennummer</summary>
			public AnsprechpartnerSetAdrNrAnsNrAspNrIndex AdrNrAnsNrAspNrIndex
			{
				get { return adrNrAnsNrAspNrIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public AnsprechpartnerSetAdrNrAnsNrNaIndex AdrNrAnsNrNaIndex
			{
				get { return adrNrAnsNrNaIndex; }
			}
			
			/// <summary>Adressnummer und Nachname</summary>
			public AnsprechpartnerSetAdrNrAnsNrNNaIndex AdrNrAnsNrNNaIndex
			{
				get { return adrNrAnsNrNNaIndex; }
			}
			
			/// <summary>Ansprechpartner (Name)</summary>
			public AnsprechpartnerSetAnspIndex AnspIndex
			{
				get { return anspIndex; }
			}
			
			/// <summary>Nachname</summary>
			public AnsprechpartnerSetNNaIndex NNaIndex
			{
				get { return nNaIndex; }
			}
			
			/// <summary>Telefon 1</summary>
			public AnsprechpartnerSetTel1Index Tel1Index
			{
				get { return tel1Index; }
			}
			
			/// <summary>Geburtsdatum</summary>
			public AnsprechpartnerSetGebDatIndex GebDatIndex
			{
				get { return gebDatIndex; }
			}
			
		
			#endregion
		}

		public AnsprechpartnerSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
