using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelEbayEinstellungen : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "ArtikelEbayEinstellungen";
			
		public static ArtikelEbayEinstellungen CreateInstance(BpnConnection connection)
		{
		    var artikelebayeinstellungenInfo = connection.GetDataSetInfo(DS_NAME);
		    var artikelebayeinstellungenDataSet = artikelebayeinstellungenInfo.CreateDataSet();
		
		    var ret = new ArtikelEbayEinstellungen(artikelebayeinstellungenDataSet);
		    return ret;
		}
		
		public ArtikelEbayEinstellungen(BpNT.AutoDataSet artikelebayeinstellungenDataSet) 
			: base(artikelebayeinstellungenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>Artikelnummer ( String )</summary>
		public virtual String ArtNr
		{
			get { return Convert.ToString(this["ArtNr"]); }
			set { this["ArtNr"] = value; }
		}
		/// <summary>Artikel ( String )</summary>
		public virtual String ArtNrInfo
		{
			get { return Convert.ToString(this["ArtNrInfo"]); }
		}
		/// <summary>Nummer ( Integer )</summary>
		public virtual Int32 Nr
		{
			get { return Convert.ToInt32(this["Nr"]); }
			set { this["Nr"] = value; }
		}
		/// <summary>Kurzinformation ( String )</summary>
		public virtual String KuInfo
		{
			get { return Convert.ToString(this["KuInfo"]); }
			set { this["KuInfo"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Bei eBay einstellen Kennzeichen ( Boolean )</summary>
		public virtual Object EinstKz
		{
			get { return this["EinstKz"]; }
		}
		/// <summary>ID zum Abgleich mit Auktionsplattform ( Integer )</summary>
		public virtual Int32 AucWebArtID
		{
			get { return Convert.ToInt32(this["AucWebArtID"]); }
			set { this["AucWebArtID"] = value; }
		}
		/// <summary>Nchste Ausfhrung Datum ( DateTime )</summary>
		public virtual DateTime NADatZt
		{
			get { return Convert.ToDateTime(this["NADatZt"]); }
			set { this["NADatZt"] = value; }
		}
		/// <summary>Hufigkeit der Einstellung ( Integer )</summary>
		public virtual Int32 Haeufig
		{
			get { return Convert.ToInt32(this["Haeufig"]); }
			set { this["Haeufig"] = value; }
		}
		/// <summary>Laufzeit ( Integer )</summary>
		public virtual Int32 LaufZt
		{
			get { return Convert.ToInt32(this["LaufZt"]); }
			set { this["LaufZt"] = value; }
		}
		/// <summary>Kategorie ( Integer )</summary>
		public virtual Int32 Kat
		{
			get { return Convert.ToInt32(this["Kat"]); }
			set { this["Kat"] = value; }
		}
		/// <summary>Kategorie Text ( String )</summary>
		public virtual String KatText
		{
			get { return Convert.ToString(this["KatText"]); }
			set { this["KatText"] = value; }
		}
		/// <summary>Kategorie 2 Kennzeichen ( Boolean )</summary>
		public virtual Object Kat2Kz
		{
			get { return this["Kat2Kz"]; }
		}
		/// <summary>Kategorie 2 ( Integer )</summary>
		public virtual Int32 Kat2
		{
			get { return Convert.ToInt32(this["Kat2"]); }
			set { this["Kat2"] = value; }
		}
		/// <summary>Kategorie 2Text ( String )</summary>
		public virtual String Kat2Text
		{
			get { return Convert.ToString(this["Kat2Text"]); }
			set { this["Kat2Text"] = value; }
		}
		/// <summary>Webseite ( String )</summary>
		public virtual String WSeite
		{
			get { return Convert.ToString(this["WSeite"]); }
			set { this["WSeite"] = value; }
		}
		/// <summary>Grafiklink ( String )</summary>
		public virtual String Grafiklink
		{
			get { return Convert.ToString(this["Grafiklink"]); }
			set { this["Grafiklink"] = value; }
		}
		/// <summary>Template ( String )</summary>
		public virtual String Template
		{
			get { return Convert.ToString(this["Template"]); }
			set { this["Template"] = value; }
		}
		/// <summary>Start Preis ( Double )</summary>
		public virtual Object StartPreis
		{
			get { return this["StartPreis"]; }
			set { this["StartPreis"] = value; }
		}
		/// <summary>Preis fr Vesand ( Double )</summary>
		public virtual Object PreisVersand
		{
			get { return this["PreisVersand"]; }
			set { this["PreisVersand"] = value; }
		}
		/// <summary>Shop Artikel Kennzeichen ( Boolean )</summary>
		public virtual Object ShopArtKz
		{
			get { return this["ShopArtKz"]; }
		}
		/// <summary>Shop Gruppe ( Integer )</summary>
		public virtual Int32 ShopGrp
		{
			get { return Convert.ToInt32(this["ShopGrp"]); }
			set { this["ShopGrp"] = value; }
		}
		/// <summary>Wiedereinstellen nach erfolgreichem Angebot Kennzeichen ( Boolean )</summary>
		public virtual Object WiederEinstKz
		{
			get { return this["WiederEinstKz"]; }
		}
		/// <summary>Sofortkauf Kennzeichen ( Boolean )</summary>
		public virtual Object SofortkaufKz
		{
			get { return this["SofortkaufKz"]; }
		}
		/// <summary>Sofort & Neu Kennzeichen ( Boolean )</summary>
		public virtual Object SofortNeuKz
		{
			get { return this["SofortNeuKz"]; }
		}
		/// <summary>SK Preis (Sofortkauf) ( Double )</summary>
		public virtual Object SKPreis
		{
			get { return this["SKPreis"]; }
			set { this["SKPreis"] = value; }
		}
		/// <summary>Privatangebot Kennzeichen ( Boolean )</summary>
		public virtual Object PrivatKz
		{
			get { return this["PrivatKz"]; }
		}
		/// <summary>Untertitel ( String )</summary>
		public virtual String UTitel
		{
			get { return Convert.ToString(this["UTitel"]); }
			set { this["UTitel"] = value; }
		}
		/// <summary>In Galerie anbieten Kennzeichen ( Boolean )</summary>
		public virtual Object InGalerieKz
		{
			get { return this["InGalerieKz"]; }
		}
		/// <summary>Titel fett Kennzeichen ( Boolean )</summary>
		public virtual Object TitelBoldKz
		{
			get { return this["TitelBoldKz"]; }
		}
		/// <summary>Titel Highlight Kennzeichen ( Boolean )</summary>
		public virtual Object TitelHLKz
		{
			get { return this["TitelHLKz"]; }
		}
		/// <summary>Top-Angebot Kennzeichen ( Boolean )</summary>
		public virtual Object TopAngebotKz
		{
			get { return this["TopAngebotKz"]; }
		}
		/// <summary>Rahmen Kennzeichen ( Boolean )</summary>
		public virtual Object RahmenKz
		{
			get { return this["RahmenKz"]; }
		}
		/// <summary>Kategorie Top-Angebot Kennzeichen ( Boolean )</summary>
		public virtual Object KatTopAngebotKz
		{
			get { return this["KatTopAngebotKz"]; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Memo-Information ( Info )</summary>
		public virtual Object Memo
		{
			get { return this["Memo"]; }
			set { this["Memo"] = value; }
		}
		/// <summary>Memo-Information Kennzeichen ( Boolean )</summary>
		public virtual Object MemoKz
		{
			get { return this["MemoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
