using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelKategorien : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "ArtikelKategorien";
			
		public static ArtikelKategorien CreateInstance(BpnConnection connection)
		{
		    var artikelkategorienInfo = connection.GetDataSetInfo(DS_NAME);
		    var artikelkategorienDataSet = artikelkategorienInfo.CreateDataSet();
		
		    var ret = new ArtikelKategorien(artikelkategorienDataSet);
		    return ret;
		}
		
		public ArtikelKategorien(BpNT.AutoDataSet artikelkategorienDataSet) 
			: base(artikelkategorienDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>Nummer ( Integer )</summary>
		public virtual Int32 Nr
		{
			get { return Convert.ToInt32(this["Nr"]); }
			set { this["Nr"] = value; }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Bild ( Bild )</summary>
		public virtual Object Bild
		{
			get { return this["Bild"]; }
			set { this["Bild"] = value; }
		}
		/// <summary>Bild Kennzeichen ( Boolean )</summary>
		public virtual Object BildKz
		{
			get { return this["BildKz"]; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Kategorienummer der bergeordneten Kategorie ( Integer )</summary>
		public virtual Int32 ParentNr
		{
			get { return Convert.ToInt32(this["ParentNr"]); }
			set { this["ParentNr"] = value; }
		}
		/// <summary>Index ( Integer )</summary>
		public virtual Int32 Index
		{
			get { return Convert.ToInt32(this["Index"]); }
			set { this["Index"] = value; }
		}
		/// <summary>Kategorie ID ( String )</summary>
		public virtual String KatID
		{
			get { return Convert.ToString(this["KatID"]); }
			set { this["KatID"] = value; }
		}
		/// <summary>Kategorie Nummer-Pfad ( String )</summary>
		public virtual String NrPath
		{
			get { return Convert.ToString(this["NrPath"]); }
		}
		/// <summary>Kategorie Bezeichnung-Pfad ( String )</summary>
		public virtual String BazPath
		{
			get { return Convert.ToString(this["BazPath"]); }
		}
		/// <summary>Kategorie ID-Pfad ( String )</summary>
		public virtual String KatIDPath
		{
			get { return Convert.ToString(this["KatIDPath"]); }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
