using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelKategorienSet : BpnEntitySet<ArtikelKategorien>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "ArtikelKategorien";
			
		public static ArtikelKategorienSet CreateInstance(BpnConnection connection)
		{
		    var artikelkategoriensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var artikelkategoriensetDataSet = artikelkategoriensetInfo.CreateDataSet();
		
		    var ret = new ArtikelKategorienSet(artikelkategoriensetDataSet);
		    return ret;
		}
		
		internal ArtikelKategorienSet(BpNT.AutoDataSet artikelkategorienDataSet) 
			: base(artikelkategorienDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected ArtikelKategorienSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new ArtikelKategorienSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected ArtikelKategorienSet parentSet;
		
			protected ArtikelKategorienSetNrIndex nrIndex;
			protected ArtikelKategorienSetBezIndex bezIndex;
			protected ArtikelKategorienSetKatIDIndex katIDIndex;
			protected ArtikelKategorienSetParentNrIndex parentNrIndex;
		
			internal IndicesClass(ArtikelKategorienSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				nrIndex = new ArtikelKategorienSetNrIndex(parentSet.DataSet);
				bezIndex = new ArtikelKategorienSetBezIndex(parentSet.DataSet);
				katIDIndex = new ArtikelKategorienSetKatIDIndex(parentSet.DataSet);
				parentNrIndex = new ArtikelKategorienSetParentNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Nummer</summary>
			public ArtikelKategorienSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public ArtikelKategorienSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
			/// <summary>KatID</summary>
			public ArtikelKategorienSetKatIDIndex KatIDIndex
			{
				get { return katIDIndex; }
			}
			
			/// <summary>ParentNr</summary>
			public ArtikelKategorienSetParentNrIndex ParentNrIndex
			{
				get { return parentNrIndex; }
			}
			
		
			#endregion
		}

		public ArtikelKategorienSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
