using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelLieferanten : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "ArtikelLieferanten";
			
		public static ArtikelLieferanten CreateInstance(BpnConnection connection)
		{
		    var artikellieferantenInfo = connection.GetDataSetInfo(DS_NAME);
		    var artikellieferantenDataSet = artikellieferantenInfo.CreateDataSet();
		
		    var ret = new ArtikelLieferanten(artikellieferantenDataSet);
		    return ret;
		}
		
		public ArtikelLieferanten(BpNT.AutoDataSet artikellieferantenDataSet) 
			: base(artikellieferantenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Artikelnummer ( String )</summary>
		public virtual String ArtNr
		{
			get { return Convert.ToString(this["ArtNr"]); }
			set { this["ArtNr"] = value; }
		}
		/// <summary>Artikel ( String )</summary>
		public virtual String ArtNrInfo
		{
			get { return Convert.ToString(this["ArtNrInfo"]); }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>ist Standard Kennzeichen ( Boolean )</summary>
		public virtual Object StdKz
		{
			get { return this["StdKz"]; }
		}
		/// <summary>Adressnummer ( String )</summary>
		public virtual String AdrNr
		{
			get { return Convert.ToString(this["AdrNr"]); }
			set { this["AdrNr"] = value; }
		}
		/// <summary>Adresse ( String )</summary>
		public virtual String AdrNrInfo
		{
			get { return Convert.ToString(this["AdrNrInfo"]); }
		}
		/// <summary>Ek0->ArtikelEkGruppe ( Array )</summary>
		public virtual Object Ek0_AEkG
		{
			get { return this["Ek0.AEkG"]; }
			set { this["Ek0.AEkG"] = value; }
		}
		/// <summary>Ek0->Menge ( Double )</summary>
		public virtual Object Ek0_Mge
		{
			get { return this["Ek0.Mge"]; }
		}
		/// <summary>Ek0->Preis ( Double )</summary>
		public virtual Object Ek0_Preis
		{
			get { return this["Ek0.Preis"]; }
		}
		/// <summary>Ek0->Einkaufspreisflags ( Integer )</summary>
		public virtual Int32 Ek0_EKFlags
		{
			get { return Convert.ToInt32(this["Ek0.EKFlags"]); }
		}
		/// <summary>Ek0->Zuschlag (in %) ( Double )</summary>
		public virtual Object Ek0_ZusSz
		{
			get { return this["Ek0.ZusSz"]; }
		}
		/// <summary>Ek0->effektiver Ek ( Double )</summary>
		public virtual Object Ek0_EffEK
		{
			get { return this["Ek0.EffEK"]; }
		}
		/// <summary>Ek0->effektiver Ek in Leitwhrung 1 ( Double )</summary>
		public virtual Object Ek0_EffEKL1
		{
			get { return this["Ek0.EffEKL1"]; }
		}
		/// <summary>Ek0->Sonderpreis gltig ab Datum ( Date )</summary>
		public virtual DateTime Ek0_SVonDat
		{
			get { return Convert.ToDateTime(this["Ek0.SVonDat"]); }
		}
		/// <summary>Ek0->Sonderpreis gltig bis Datum ( Date )</summary>
		public virtual DateTime Ek0_SBisDat
		{
			get { return Convert.ToDateTime(this["Ek0.SBisDat"]); }
		}
		/// <summary>Ek0->Sonderpreis ( Double )</summary>
		public virtual Object Ek0_SPr
		{
			get { return this["Ek0.SPr"]; }
		}
		/// <summary>Ek0->Zuschlag bei Sonderpreis gltig ( Boolean )</summary>
		public virtual Object Ek0_SZusKz
		{
			get { return this["Ek0.SZusKz"]; }
		}
		/// <summary>Ek0->Bestellnummer ( String )</summary>
		public virtual String Ek0_BstNr
		{
			get { return Convert.ToString(this["Ek0.BstNr"]); }
			set { this["Ek0.BstNr"] = value; }
		}
		/// <summary>Ek1->ArtikelEkGruppe ( Array )</summary>
		public virtual Object Ek1_AEkG
		{
			get { return this["Ek1.AEkG"]; }
			set { this["Ek1.AEkG"] = value; }
		}
		/// <summary>Ek1->Menge ( Double )</summary>
		public virtual Object Ek1_Mge
		{
			get { return this["Ek1.Mge"]; }
		}
		/// <summary>Ek1->Preis ( Double )</summary>
		public virtual Object Ek1_Preis
		{
			get { return this["Ek1.Preis"]; }
		}
		/// <summary>Ek1->Einkaufspreisflags ( Integer )</summary>
		public virtual Int32 Ek1_EKFlags
		{
			get { return Convert.ToInt32(this["Ek1.EKFlags"]); }
		}
		/// <summary>Ek1->Zuschlag (in %) ( Double )</summary>
		public virtual Object Ek1_ZusSz
		{
			get { return this["Ek1.ZusSz"]; }
		}
		/// <summary>Ek1->effektiver Ek ( Double )</summary>
		public virtual Object Ek1_EffEK
		{
			get { return this["Ek1.EffEK"]; }
		}
		/// <summary>Ek1->effektiver Ek in Leitwhrung 1 ( Double )</summary>
		public virtual Object Ek1_EffEKL1
		{
			get { return this["Ek1.EffEKL1"]; }
		}
		/// <summary>Ek1->Sonderpreis gltig ab Datum ( Date )</summary>
		public virtual DateTime Ek1_SVonDat
		{
			get { return Convert.ToDateTime(this["Ek1.SVonDat"]); }
		}
		/// <summary>Ek1->Sonderpreis gltig bis Datum ( Date )</summary>
		public virtual DateTime Ek1_SBisDat
		{
			get { return Convert.ToDateTime(this["Ek1.SBisDat"]); }
		}
		/// <summary>Ek1->Sonderpreis ( Double )</summary>
		public virtual Object Ek1_SPr
		{
			get { return this["Ek1.SPr"]; }
		}
		/// <summary>Ek1->Zuschlag bei Sonderpreis gltig ( Boolean )</summary>
		public virtual Object Ek1_SZusKz
		{
			get { return this["Ek1.SZusKz"]; }
		}
		/// <summary>Ek1->Bestellnummer ( String )</summary>
		public virtual String Ek1_BstNr
		{
			get { return Convert.ToString(this["Ek1.BstNr"]); }
			set { this["Ek1.BstNr"] = value; }
		}
		/// <summary>Ek2->ArtikelEkGruppe ( Array )</summary>
		public virtual Object Ek2_AEkG
		{
			get { return this["Ek2.AEkG"]; }
			set { this["Ek2.AEkG"] = value; }
		}
		/// <summary>Ek2->Menge ( Double )</summary>
		public virtual Object Ek2_Mge
		{
			get { return this["Ek2.Mge"]; }
		}
		/// <summary>Ek2->Preis ( Double )</summary>
		public virtual Object Ek2_Preis
		{
			get { return this["Ek2.Preis"]; }
		}
		/// <summary>Ek2->Einkaufspreisflags ( Integer )</summary>
		public virtual Int32 Ek2_EKFlags
		{
			get { return Convert.ToInt32(this["Ek2.EKFlags"]); }
		}
		/// <summary>Ek2->Zuschlag (in %) ( Double )</summary>
		public virtual Object Ek2_ZusSz
		{
			get { return this["Ek2.ZusSz"]; }
		}
		/// <summary>Ek2->effektiver Ek ( Double )</summary>
		public virtual Object Ek2_EffEK
		{
			get { return this["Ek2.EffEK"]; }
		}
		/// <summary>Ek2->effektiver Ek in Leitwhrung 1 ( Double )</summary>
		public virtual Object Ek2_EffEKL1
		{
			get { return this["Ek2.EffEKL1"]; }
		}
		/// <summary>Ek2->Sonderpreis gltig ab Datum ( Date )</summary>
		public virtual DateTime Ek2_SVonDat
		{
			get { return Convert.ToDateTime(this["Ek2.SVonDat"]); }
		}
		/// <summary>Ek2->Sonderpreis gltig bis Datum ( Date )</summary>
		public virtual DateTime Ek2_SBisDat
		{
			get { return Convert.ToDateTime(this["Ek2.SBisDat"]); }
		}
		/// <summary>Ek2->Sonderpreis ( Double )</summary>
		public virtual Object Ek2_SPr
		{
			get { return this["Ek2.SPr"]; }
		}
		/// <summary>Ek2->Zuschlag bei Sonderpreis gltig ( Boolean )</summary>
		public virtual Object Ek2_SZusKz
		{
			get { return this["Ek2.SZusKz"]; }
		}
		/// <summary>Ek2->Bestellnummer ( String )</summary>
		public virtual String Ek2_BstNr
		{
			get { return Convert.ToString(this["Ek2.BstNr"]); }
			set { this["Ek2.BstNr"] = value; }
		}
		/// <summary>Ek3->ArtikelEkGruppe ( Array )</summary>
		public virtual Object Ek3_AEkG
		{
			get { return this["Ek3.AEkG"]; }
			set { this["Ek3.AEkG"] = value; }
		}
		/// <summary>Ek3->Menge ( Double )</summary>
		public virtual Object Ek3_Mge
		{
			get { return this["Ek3.Mge"]; }
		}
		/// <summary>Ek3->Preis ( Double )</summary>
		public virtual Object Ek3_Preis
		{
			get { return this["Ek3.Preis"]; }
		}
		/// <summary>Ek3->Einkaufspreisflags ( Integer )</summary>
		public virtual Int32 Ek3_EKFlags
		{
			get { return Convert.ToInt32(this["Ek3.EKFlags"]); }
		}
		/// <summary>Ek3->Zuschlag (in %) ( Double )</summary>
		public virtual Object Ek3_ZusSz
		{
			get { return this["Ek3.ZusSz"]; }
		}
		/// <summary>Ek3->effektiver Ek ( Double )</summary>
		public virtual Object Ek3_EffEK
		{
			get { return this["Ek3.EffEK"]; }
		}
		/// <summary>Ek3->effektiver Ek in Leitwhrung 1 ( Double )</summary>
		public virtual Object Ek3_EffEKL1
		{
			get { return this["Ek3.EffEKL1"]; }
		}
		/// <summary>Ek3->Sonderpreis gltig ab Datum ( Date )</summary>
		public virtual DateTime Ek3_SVonDat
		{
			get { return Convert.ToDateTime(this["Ek3.SVonDat"]); }
		}
		/// <summary>Ek3->Sonderpreis gltig bis Datum ( Date )</summary>
		public virtual DateTime Ek3_SBisDat
		{
			get { return Convert.ToDateTime(this["Ek3.SBisDat"]); }
		}
		/// <summary>Ek3->Sonderpreis ( Double )</summary>
		public virtual Object Ek3_SPr
		{
			get { return this["Ek3.SPr"]; }
		}
		/// <summary>Ek3->Zuschlag bei Sonderpreis gltig ( Boolean )</summary>
		public virtual Object Ek3_SZusKz
		{
			get { return this["Ek3.SZusKz"]; }
		}
		/// <summary>Ek3->Bestellnummer ( String )</summary>
		public virtual String Ek3_BstNr
		{
			get { return Convert.ToString(this["Ek3.BstNr"]); }
			set { this["Ek3.BstNr"] = value; }
		}
		/// <summary>Ek4->ArtikelEkGruppe ( Array )</summary>
		public virtual Object Ek4_AEkG
		{
			get { return this["Ek4.AEkG"]; }
			set { this["Ek4.AEkG"] = value; }
		}
		/// <summary>Ek4->Menge ( Double )</summary>
		public virtual Object Ek4_Mge
		{
			get { return this["Ek4.Mge"]; }
		}
		/// <summary>Ek4->Preis ( Double )</summary>
		public virtual Object Ek4_Preis
		{
			get { return this["Ek4.Preis"]; }
		}
		/// <summary>Ek4->Einkaufspreisflags ( Integer )</summary>
		public virtual Int32 Ek4_EKFlags
		{
			get { return Convert.ToInt32(this["Ek4.EKFlags"]); }
		}
		/// <summary>Ek4->Zuschlag (in %) ( Double )</summary>
		public virtual Object Ek4_ZusSz
		{
			get { return this["Ek4.ZusSz"]; }
		}
		/// <summary>Ek4->effektiver Ek ( Double )</summary>
		public virtual Object Ek4_EffEK
		{
			get { return this["Ek4.EffEK"]; }
		}
		/// <summary>Ek4->effektiver Ek in Leitwhrung 1 ( Double )</summary>
		public virtual Object Ek4_EffEKL1
		{
			get { return this["Ek4.EffEKL1"]; }
		}
		/// <summary>Ek4->Sonderpreis gltig ab Datum ( Date )</summary>
		public virtual DateTime Ek4_SVonDat
		{
			get { return Convert.ToDateTime(this["Ek4.SVonDat"]); }
		}
		/// <summary>Ek4->Sonderpreis gltig bis Datum ( Date )</summary>
		public virtual DateTime Ek4_SBisDat
		{
			get { return Convert.ToDateTime(this["Ek4.SBisDat"]); }
		}
		/// <summary>Ek4->Sonderpreis ( Double )</summary>
		public virtual Object Ek4_SPr
		{
			get { return this["Ek4.SPr"]; }
		}
		/// <summary>Ek4->Zuschlag bei Sonderpreis gltig ( Boolean )</summary>
		public virtual Object Ek4_SZusKz
		{
			get { return this["Ek4.SZusKz"]; }
		}
		/// <summary>Ek4->Bestellnummer ( String )</summary>
		public virtual String Ek4_BstNr
		{
			get { return Convert.ToString(this["Ek4.BstNr"]); }
			set { this["Ek4.BstNr"] = value; }
		}
		/// <summary>Ek5->ArtikelEkGruppe ( Array )</summary>
		public virtual Object Ek5_AEkG
		{
			get { return this["Ek5.AEkG"]; }
			set { this["Ek5.AEkG"] = value; }
		}
		/// <summary>Ek5->Menge ( Double )</summary>
		public virtual Object Ek5_Mge
		{
			get { return this["Ek5.Mge"]; }
		}
		/// <summary>Ek5->Preis ( Double )</summary>
		public virtual Object Ek5_Preis
		{
			get { return this["Ek5.Preis"]; }
		}
		/// <summary>Ek5->Einkaufspreisflags ( Integer )</summary>
		public virtual Int32 Ek5_EKFlags
		{
			get { return Convert.ToInt32(this["Ek5.EKFlags"]); }
		}
		/// <summary>Ek5->Zuschlag (in %) ( Double )</summary>
		public virtual Object Ek5_ZusSz
		{
			get { return this["Ek5.ZusSz"]; }
		}
		/// <summary>Ek5->effektiver Ek ( Double )</summary>
		public virtual Object Ek5_EffEK
		{
			get { return this["Ek5.EffEK"]; }
		}
		/// <summary>Ek5->effektiver Ek in Leitwhrung 1 ( Double )</summary>
		public virtual Object Ek5_EffEKL1
		{
			get { return this["Ek5.EffEKL1"]; }
		}
		/// <summary>Ek5->Sonderpreis gltig ab Datum ( Date )</summary>
		public virtual DateTime Ek5_SVonDat
		{
			get { return Convert.ToDateTime(this["Ek5.SVonDat"]); }
		}
		/// <summary>Ek5->Sonderpreis gltig bis Datum ( Date )</summary>
		public virtual DateTime Ek5_SBisDat
		{
			get { return Convert.ToDateTime(this["Ek5.SBisDat"]); }
		}
		/// <summary>Ek5->Sonderpreis ( Double )</summary>
		public virtual Object Ek5_SPr
		{
			get { return this["Ek5.SPr"]; }
		}
		/// <summary>Ek5->Zuschlag bei Sonderpreis gltig ( Boolean )</summary>
		public virtual Object Ek5_SZusKz
		{
			get { return this["Ek5.SZusKz"]; }
		}
		/// <summary>Ek5->Bestellnummer ( String )</summary>
		public virtual String Ek5_BstNr
		{
			get { return Convert.ToString(this["Ek5.BstNr"]); }
			set { this["Ek5.BstNr"] = value; }
		}
		/// <summary>Ek6->ArtikelEkGruppe ( Array )</summary>
		public virtual Object Ek6_AEkG
		{
			get { return this["Ek6.AEkG"]; }
			set { this["Ek6.AEkG"] = value; }
		}
		/// <summary>Ek6->Menge ( Double )</summary>
		public virtual Object Ek6_Mge
		{
			get { return this["Ek6.Mge"]; }
		}
		/// <summary>Ek6->Preis ( Double )</summary>
		public virtual Object Ek6_Preis
		{
			get { return this["Ek6.Preis"]; }
		}
		/// <summary>Ek6->Einkaufspreisflags ( Integer )</summary>
		public virtual Int32 Ek6_EKFlags
		{
			get { return Convert.ToInt32(this["Ek6.EKFlags"]); }
		}
		/// <summary>Ek6->Zuschlag (in %) ( Double )</summary>
		public virtual Object Ek6_ZusSz
		{
			get { return this["Ek6.ZusSz"]; }
		}
		/// <summary>Ek6->effektiver Ek ( Double )</summary>
		public virtual Object Ek6_EffEK
		{
			get { return this["Ek6.EffEK"]; }
		}
		/// <summary>Ek6->effektiver Ek in Leitwhrung 1 ( Double )</summary>
		public virtual Object Ek6_EffEKL1
		{
			get { return this["Ek6.EffEKL1"]; }
		}
		/// <summary>Ek6->Sonderpreis gltig ab Datum ( Date )</summary>
		public virtual DateTime Ek6_SVonDat
		{
			get { return Convert.ToDateTime(this["Ek6.SVonDat"]); }
		}
		/// <summary>Ek6->Sonderpreis gltig bis Datum ( Date )</summary>
		public virtual DateTime Ek6_SBisDat
		{
			get { return Convert.ToDateTime(this["Ek6.SBisDat"]); }
		}
		/// <summary>Ek6->Sonderpreis ( Double )</summary>
		public virtual Object Ek6_SPr
		{
			get { return this["Ek6.SPr"]; }
		}
		/// <summary>Ek6->Zuschlag bei Sonderpreis gltig ( Boolean )</summary>
		public virtual Object Ek6_SZusKz
		{
			get { return this["Ek6.SZusKz"]; }
		}
		/// <summary>Ek6->Bestellnummer ( String )</summary>
		public virtual String Ek6_BstNr
		{
			get { return Convert.ToString(this["Ek6.BstNr"]); }
			set { this["Ek6.BstNr"] = value; }
		}
		/// <summary>Ek7->ArtikelEkGruppe ( Array )</summary>
		public virtual Object Ek7_AEkG
		{
			get { return this["Ek7.AEkG"]; }
			set { this["Ek7.AEkG"] = value; }
		}
		/// <summary>Ek7->Menge ( Double )</summary>
		public virtual Object Ek7_Mge
		{
			get { return this["Ek7.Mge"]; }
		}
		/// <summary>Ek7->Preis ( Double )</summary>
		public virtual Object Ek7_Preis
		{
			get { return this["Ek7.Preis"]; }
		}
		/// <summary>Ek7->Einkaufspreisflags ( Integer )</summary>
		public virtual Int32 Ek7_EKFlags
		{
			get { return Convert.ToInt32(this["Ek7.EKFlags"]); }
		}
		/// <summary>Ek7->Zuschlag (in %) ( Double )</summary>
		public virtual Object Ek7_ZusSz
		{
			get { return this["Ek7.ZusSz"]; }
		}
		/// <summary>Ek7->effektiver Ek ( Double )</summary>
		public virtual Object Ek7_EffEK
		{
			get { return this["Ek7.EffEK"]; }
		}
		/// <summary>Ek7->effektiver Ek in Leitwhrung 1 ( Double )</summary>
		public virtual Object Ek7_EffEKL1
		{
			get { return this["Ek7.EffEKL1"]; }
		}
		/// <summary>Ek7->Sonderpreis gltig ab Datum ( Date )</summary>
		public virtual DateTime Ek7_SVonDat
		{
			get { return Convert.ToDateTime(this["Ek7.SVonDat"]); }
		}
		/// <summary>Ek7->Sonderpreis gltig bis Datum ( Date )</summary>
		public virtual DateTime Ek7_SBisDat
		{
			get { return Convert.ToDateTime(this["Ek7.SBisDat"]); }
		}
		/// <summary>Ek7->Sonderpreis ( Double )</summary>
		public virtual Object Ek7_SPr
		{
			get { return this["Ek7.SPr"]; }
		}
		/// <summary>Ek7->Zuschlag bei Sonderpreis gltig ( Boolean )</summary>
		public virtual Object Ek7_SZusKz
		{
			get { return this["Ek7.SZusKz"]; }
		}
		/// <summary>Ek7->Bestellnummer ( String )</summary>
		public virtual String Ek7_BstNr
		{
			get { return Convert.ToString(this["Ek7.BstNr"]); }
			set { this["Ek7.BstNr"] = value; }
		}
		/// <summary>Ek8->ArtikelEkGruppe ( Array )</summary>
		public virtual Object Ek8_AEkG
		{
			get { return this["Ek8.AEkG"]; }
			set { this["Ek8.AEkG"] = value; }
		}
		/// <summary>Ek8->Menge ( Double )</summary>
		public virtual Object Ek8_Mge
		{
			get { return this["Ek8.Mge"]; }
		}
		/// <summary>Ek8->Preis ( Double )</summary>
		public virtual Object Ek8_Preis
		{
			get { return this["Ek8.Preis"]; }
		}
		/// <summary>Ek8->Einkaufspreisflags ( Integer )</summary>
		public virtual Int32 Ek8_EKFlags
		{
			get { return Convert.ToInt32(this["Ek8.EKFlags"]); }
		}
		/// <summary>Ek8->Zuschlag (in %) ( Double )</summary>
		public virtual Object Ek8_ZusSz
		{
			get { return this["Ek8.ZusSz"]; }
		}
		/// <summary>Ek8->effektiver Ek ( Double )</summary>
		public virtual Object Ek8_EffEK
		{
			get { return this["Ek8.EffEK"]; }
		}
		/// <summary>Ek8->effektiver Ek in Leitwhrung 1 ( Double )</summary>
		public virtual Object Ek8_EffEKL1
		{
			get { return this["Ek8.EffEKL1"]; }
		}
		/// <summary>Ek8->Sonderpreis gltig ab Datum ( Date )</summary>
		public virtual DateTime Ek8_SVonDat
		{
			get { return Convert.ToDateTime(this["Ek8.SVonDat"]); }
		}
		/// <summary>Ek8->Sonderpreis gltig bis Datum ( Date )</summary>
		public virtual DateTime Ek8_SBisDat
		{
			get { return Convert.ToDateTime(this["Ek8.SBisDat"]); }
		}
		/// <summary>Ek8->Sonderpreis ( Double )</summary>
		public virtual Object Ek8_SPr
		{
			get { return this["Ek8.SPr"]; }
		}
		/// <summary>Ek8->Zuschlag bei Sonderpreis gltig ( Boolean )</summary>
		public virtual Object Ek8_SZusKz
		{
			get { return this["Ek8.SZusKz"]; }
		}
		/// <summary>Ek8->Bestellnummer ( String )</summary>
		public virtual String Ek8_BstNr
		{
			get { return Convert.ToString(this["Ek8.BstNr"]); }
			set { this["Ek8.BstNr"] = value; }
		}
		/// <summary>Ek9->ArtikelEkGruppe ( Array )</summary>
		public virtual Object Ek9_AEkG
		{
			get { return this["Ek9.AEkG"]; }
			set { this["Ek9.AEkG"] = value; }
		}
		/// <summary>Ek9->Menge ( Double )</summary>
		public virtual Object Ek9_Mge
		{
			get { return this["Ek9.Mge"]; }
		}
		/// <summary>Ek9->Preis ( Double )</summary>
		public virtual Object Ek9_Preis
		{
			get { return this["Ek9.Preis"]; }
		}
		/// <summary>Ek9->Einkaufspreisflags ( Integer )</summary>
		public virtual Int32 Ek9_EKFlags
		{
			get { return Convert.ToInt32(this["Ek9.EKFlags"]); }
		}
		/// <summary>Ek9->Zuschlag (in %) ( Double )</summary>
		public virtual Object Ek9_ZusSz
		{
			get { return this["Ek9.ZusSz"]; }
		}
		/// <summary>Ek9->effektiver Ek ( Double )</summary>
		public virtual Object Ek9_EffEK
		{
			get { return this["Ek9.EffEK"]; }
		}
		/// <summary>Ek9->effektiver Ek in Leitwhrung 1 ( Double )</summary>
		public virtual Object Ek9_EffEKL1
		{
			get { return this["Ek9.EffEKL1"]; }
		}
		/// <summary>Ek9->Sonderpreis gltig ab Datum ( Date )</summary>
		public virtual DateTime Ek9_SVonDat
		{
			get { return Convert.ToDateTime(this["Ek9.SVonDat"]); }
		}
		/// <summary>Ek9->Sonderpreis gltig bis Datum ( Date )</summary>
		public virtual DateTime Ek9_SBisDat
		{
			get { return Convert.ToDateTime(this["Ek9.SBisDat"]); }
		}
		/// <summary>Ek9->Sonderpreis ( Double )</summary>
		public virtual Object Ek9_SPr
		{
			get { return this["Ek9.SPr"]; }
		}
		/// <summary>Ek9->Zuschlag bei Sonderpreis gltig ( Boolean )</summary>
		public virtual Object Ek9_SZusKz
		{
			get { return this["Ek9.SZusKz"]; }
		}
		/// <summary>Ek9->Bestellnummer ( String )</summary>
		public virtual String Ek9_BstNr
		{
			get { return Convert.ToString(this["Ek9.BstNr"]); }
			set { this["Ek9.BstNr"] = value; }
		}
		/// <summary>ArtikelLieferantenEk ( Table )</summary>
		public virtual Object ALEk
		{
			get { return this["ALEk"]; }
		}
		/// <summary>Nummer des Standard-Ek ( Byte )</summary>
		public virtual Object StdEkNr
		{
			get { return this["StdEkNr"]; }
			set { this["StdEkNr"] = value; }
		}
		/// <summary>Std. Menge ( Double )</summary>
		public virtual Object StdMge
		{
			get { return this["StdMge"]; }
		}
		/// <summary>Std. Preis ( Double )</summary>
		public virtual Object StdPreis
		{
			get { return this["StdPreis"]; }
		}
		/// <summary>Std. Zuschlag (in %) ( Double )</summary>
		public virtual Object StdZusSz
		{
			get { return this["StdZusSz"]; }
		}
		/// <summary>Std. effektiver Ek ( Double )</summary>
		public virtual Object StdEffEK
		{
			get { return this["StdEffEK"]; }
		}
		/// <summary>Std. effektiver Ek in Leitwhrung 1 ( Double )</summary>
		public virtual Object StdEffEKL1
		{
			get { return this["StdEffEKL1"]; }
		}
		/// <summary>Std. Bestellnummer ( String )</summary>
		public virtual String StdBstNr
		{
			get { return Convert.ToString(this["StdBstNr"]); }
		}
		/// <summary>Whrung ( String )</summary>
		public virtual String Waehr
		{
			get { return Convert.ToString(this["Waehr"]); }
			set { this["Waehr"] = value; }
		}
		/// <summary>Effektiver Standard Preis in LW1 ( Double )</summary>
		public virtual Object StdEkFuerIxPreis
		{
			get { return this["StdEkFuerIxPreis"]; }
			set { this["StdEkFuerIxPreis"] = value; }
		}
		/// <summary>Einheit ( String )</summary>
		public virtual String Einh
		{
			get { return Convert.ToString(this["Einh"]); }
			set { this["Einh"] = value; }
		}
		/// <summary>Preise gelten fr Menge ( Double )</summary>
		public virtual Object PreisMge
		{
			get { return this["PreisMge"]; }
			set { this["PreisMge"] = value; }
		}
		/// <summary>Mindestbestellmenge ( Double )</summary>
		public virtual Object MindBMge
		{
			get { return this["MindBMge"]; }
			set { this["MindBMge"] = value; }
		}
		/// <summary>folge Bestellmenge ( Double )</summary>
		public virtual Object FolgBMge
		{
			get { return this["FolgBMge"]; }
			set { this["FolgBMge"] = value; }
		}
		/// <summary>Letzter Wareneingang ( DateTime )</summary>
		public virtual DateTime LtzLiefDat
		{
			get { return Convert.ToDateTime(this["LtzLiefDat"]); }
			set { this["LtzLiefDat"] = value; }
		}
		/// <summary>Letzte Einkaufspreisnderung ( DateTime )</summary>
		public virtual DateTime LtzEkDat
		{
			get { return Convert.ToDateTime(this["LtzEkDat"]); }
			set { this["LtzEkDat"] = value; }
		}
		/// <summary>Lieferzeit (in Tagen) ( Double )</summary>
		public virtual Object LiefZt
		{
			get { return this["LiefZt"]; }
			set { this["LiefZt"] = value; }
		}
		/// <summary>Frachtkosten-Betrag ( Double )</summary>
		public virtual Object FrachtBet
		{
			get { return this["FrachtBet"]; }
			set { this["FrachtBet"] = value; }
		}
		/// <summary>Warengruppennummer (DataNorm) ( String )</summary>
		public virtual String DNWgrNr
		{
			get { return Convert.ToString(this["DNWgrNr"]); }
			set { this["DNWgrNr"] = value; }
		}
		/// <summary>Rabattgruppe (DataNorm) ( String )</summary>
		public virtual String DNRabGrpNr
		{
			get { return Convert.ToString(this["DNRabGrpNr"]); }
			set { this["DNRabGrpNr"] = value; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>QuickInfo ( Array )</summary>
		public virtual Object QuickInfo
		{
			get { return this["QuickInfo"]; }
		}


		#endregion
	}
}
