using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelLieferantenSet : BpnEntitySet<ArtikelLieferanten>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "ArtikelLieferanten";
			
		public static ArtikelLieferantenSet CreateInstance(BpnConnection connection)
		{
		    var artikellieferantensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var artikellieferantensetDataSet = artikellieferantensetInfo.CreateDataSet();
		
		    var ret = new ArtikelLieferantenSet(artikellieferantensetDataSet);
		    return ret;
		}
		
		internal ArtikelLieferantenSet(BpNT.AutoDataSet artikellieferantenDataSet) 
			: base(artikellieferantenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected ArtikelLieferantenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new ArtikelLieferantenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected ArtikelLieferantenSet parentSet;
		
			protected ArtikelLieferantenSetIDIndex iDIndex;
			protected ArtikelLieferantenSetArtNrAdrNrIndex artNrAdrNrIndex;
			protected ArtikelLieferantenSetAdrNrArtNrIndex adrNrArtNrIndex;
			protected ArtikelLieferantenSetBestNr0Index bestNr0Index;
			protected ArtikelLieferantenSetAdrNrBestNr0Index adrNrBestNr0Index;
			protected ArtikelLieferantenSetArtNrBestNr0Index artNrBestNr0Index;
			protected ArtikelLieferantenSetStdPreisIndex stdPreisIndex;
			protected ArtikelLieferantenSetArtNrStdPreisIndex artNrStdPreisIndex;
			protected ArtikelLieferantenSetRabGrpNrIndex rabGrpNrIndex;
		
			internal IndicesClass(ArtikelLieferantenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new ArtikelLieferantenSetIDIndex(parentSet.DataSet);
				artNrAdrNrIndex = new ArtikelLieferantenSetArtNrAdrNrIndex(parentSet.DataSet);
				adrNrArtNrIndex = new ArtikelLieferantenSetAdrNrArtNrIndex(parentSet.DataSet);
				bestNr0Index = new ArtikelLieferantenSetBestNr0Index(parentSet.DataSet);
				adrNrBestNr0Index = new ArtikelLieferantenSetAdrNrBestNr0Index(parentSet.DataSet);
				artNrBestNr0Index = new ArtikelLieferantenSetArtNrBestNr0Index(parentSet.DataSet);
				stdPreisIndex = new ArtikelLieferantenSetStdPreisIndex(parentSet.DataSet);
				artNrStdPreisIndex = new ArtikelLieferantenSetArtNrStdPreisIndex(parentSet.DataSet);
				rabGrpNrIndex = new ArtikelLieferantenSetRabGrpNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public ArtikelLieferantenSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Artikelnummer</summary>
			public ArtikelLieferantenSetArtNrAdrNrIndex ArtNrAdrNrIndex
			{
				get { return artNrAdrNrIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public ArtikelLieferantenSetAdrNrArtNrIndex AdrNrArtNrIndex
			{
				get { return adrNrArtNrIndex; }
			}
			
			/// <summary>Bestellnummer (von EK0)</summary>
			public ArtikelLieferantenSetBestNr0Index BestNr0Index
			{
				get { return bestNr0Index; }
			}
			
			/// <summary>AdrNrBestNr0</summary>
			public ArtikelLieferantenSetAdrNrBestNr0Index AdrNrBestNr0Index
			{
				get { return adrNrBestNr0Index; }
			}
			
			/// <summary>ArtNrBestNr0</summary>
			public ArtikelLieferantenSetArtNrBestNr0Index ArtNrBestNr0Index
			{
				get { return artNrBestNr0Index; }
			}
			
			/// <summary>eff. Standard Preis</summary>
			public ArtikelLieferantenSetStdPreisIndex StdPreisIndex
			{
				get { return stdPreisIndex; }
			}
			
			/// <summary>ArtNrStdPreis</summary>
			public ArtikelLieferantenSetArtNrStdPreisIndex ArtNrStdPreisIndex
			{
				get { return artNrStdPreisIndex; }
			}
			
			/// <summary>RabGrpNr</summary>
			public ArtikelLieferantenSetRabGrpNrIndex RabGrpNrIndex
			{
				get { return rabGrpNrIndex; }
			}
			
		
			#endregion
		}

		public ArtikelLieferantenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
