using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelStueckliste : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "ArtikelStueckliste";
			
		public static ArtikelStueckliste CreateInstance(BpnConnection connection)
		{
		    var artikelstuecklisteInfo = connection.GetDataSetInfo(DS_NAME);
		    var artikelstuecklisteDataSet = artikelstuecklisteInfo.CreateDataSet();
		
		    var ret = new ArtikelStueckliste(artikelstuecklisteDataSet);
		    return ret;
		}
		
		public ArtikelStueckliste(BpNT.AutoDataSet artikelstuecklisteDataSet) 
			: base(artikelstuecklisteDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Stckliste von Artikelnummer ( String )</summary>
		public virtual String SlArtNr
		{
			get { return Convert.ToString(this["SlArtNr"]); }
			set { this["SlArtNr"] = value; }
		}
		/// <summary>Stckliste ( String )</summary>
		public virtual String SlArtNrInfo
		{
			get { return Convert.ToString(this["SlArtNrInfo"]); }
		}
		/// <summary>Zeilennummer ( SmallInt )</summary>
		public virtual Object ZeilenNr
		{
			get { return this["ZeilenNr"]; }
			set { this["ZeilenNr"] = value; }
		}
		/// <summary>Nr. ( Integer )</summary>
		public virtual Int32 Nr
		{
			get { return Convert.ToInt32(this["Nr"]); }
		}
		/// <summary>Artikelnummer ( String )</summary>
		public virtual String ArtNr
		{
			get { return Convert.ToString(this["ArtNr"]); }
			set { this["ArtNr"] = value; }
		}
		/// <summary>Artikel ( String )</summary>
		public virtual String ArtNrInfo
		{
			get { return Convert.ToString(this["ArtNrInfo"]); }
		}
		/// <summary>Flags ( SmallInt )</summary>
		public virtual Object Flags
		{
			get { return this["Flags"]; }
			set { this["Flags"] = value; }
		}
		/// <summary>Menge ( Double )</summary>
		public virtual Object Mge
		{
			get { return this["Mge"]; }
			set { this["Mge"] = value; }
		}
		/// <summary>Mengenfaktor ( Double )</summary>
		public virtual Object MgeFak
		{
			get { return this["MgeFak"]; }
			set { this["MgeFak"] = value; }
		}
		/// <summary>Einheit ( String )</summary>
		public virtual String Einh
		{
			get { return Convert.ToString(this["Einh"]); }
			set { this["Einh"] = value; }
		}
		/// <summary>Buchungsmenge (= Menge * Mengenfaktor) ( Double )</summary>
		public virtual Object BuchMge
		{
			get { return this["BuchMge"]; }
		}
		/// <summary>Artikelpreisgruppe ( Byte )</summary>
		public virtual Object ArtPrGrp
		{
			get { return this["ArtPrGrp"]; }
			set { this["ArtPrGrp"] = value; }
		}
		/// <summary>Einzelpreis ( Array )</summary>
		public virtual Object EPr
		{
			get { return this["EPr"]; }
			set { this["EPr"] = value; }
		}
		/// <summary>Einzelpreis (Netto) ( Double )</summary>
		public virtual Object EPrNt
		{
			get { return this["EPrNt"]; }
		}
		/// <summary>Einzelpreis (Steuer) ( Double )</summary>
		public virtual Object EPrSt
		{
			get { return this["EPrSt"]; }
		}
		/// <summary>Einzelpreis (Brutto) ( Double )</summary>
		public virtual Object EPrBt
		{
			get { return this["EPrBt"]; }
		}
		/// <summary>Einzel-Vk ( Double )</summary>
		public virtual Object EVk
		{
			get { return this["EVk"]; }
		}
		/// <summary>Einzelpreisfaktor ( Double )</summary>
		public virtual Object EPreisFak
		{
			get { return this["EPreisFak"]; }
			set { this["EPreisFak"] = value; }
		}
		/// <summary>Einzelpreise gelten fr Menge ( Double )</summary>
		public virtual Object EPreisMge
		{
			get { return this["EPreisMge"]; }
			set { this["EPreisMge"] = value; }
		}
		/// <summary>Einzel-Verkaufspreis (Original) ( Double )</summary>
		public virtual Object EVkOrg
		{
			get { return this["EVkOrg"]; }
			set { this["EVkOrg"] = value; }
		}
		/// <summary>Einzel-Ek (fr Roherls) ( Double )</summary>
		public virtual Object EEkRoh
		{
			get { return this["EEkRoh"]; }
			set { this["EEkRoh"] = value; }
		}
		/// <summary>Nicht Roherlsfhig ( Boolean )</summary>
		public virtual Object NichtRohKz
		{
			get { return this["NichtRohKz"]; }
		}
		/// <summary>Roherls (in %) ( Double )</summary>
		public virtual Object RohSz
		{
			get { return this["RohSz"]; }
		}
		/// <summary>Roherlsbetrag ( Double )</summary>
		public virtual Object RohBet
		{
			get { return this["RohBet"]; }
		}
		/// <summary>Einzel-Ek (fr Kalkulation) ( Double )</summary>
		public virtual Object EEkKalk
		{
			get { return this["EEkKalk"]; }
			set { this["EEkKalk"] = value; }
		}
		/// <summary>Einzel-Gewicht ( Double )</summary>
		public virtual Object EGew
		{
			get { return this["EGew"]; }
			set { this["EGew"] = value; }
		}
		/// <summary>Zuschlagsgruppe ( Integer )</summary>
		public virtual Int32 ZuschlGrp
		{
			get { return Convert.ToInt32(this["ZuschlGrp"]); }
			set { this["ZuschlGrp"] = value; }
		}
		/// <summary>Zuschlagssatz ( Double )</summary>
		public virtual Object ZuschlSz
		{
			get { return this["ZuschlSz"]; }
			set { this["ZuschlSz"] = value; }
		}
		/// <summary>Zuschlagsformel (Berechnungsformel) ( String )</summary>
		public virtual String ZuschlFl
		{
			get { return Convert.ToString(this["ZuschlFl"]); }
			set { this["ZuschlFl"] = value; }
		}
		/// <summary>Zuschlagsbetrag ( Double )</summary>
		public virtual Object ZuschlBet
		{
			get { return this["ZuschlBet"]; }
			set { this["ZuschlBet"] = value; }
		}
		/// <summary>Preis ( Double )</summary>
		public virtual Object Preis
		{
			get { return this["Preis"]; }
		}
		/// <summary>Kalk.->ArtikelKalkGruppe ( Array )</summary>
		public virtual Object Kalk_AKalG
		{
			get { return this["Kalk.AKalG"]; }
			set { this["Kalk.AKalG"] = value; }
		}
		/// <summary>Kalk.->Kalkulationsschema ( Byte )</summary>
		public virtual Object Kalk_Schema
		{
			get { return this["Kalk.Schema"]; }
		}
		/// <summary>Kalk.->Materialeinkauf-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Kalk_MEkZus1
		{
			get { return this["Kalk.MEkZus1"]; }
		}
		/// <summary>Kalk.->Materialeinkauf-Zuschlagssatz 2 ( Single )</summary>
		public virtual Object Kalk_MEkZus2
		{
			get { return this["Kalk.MEkZus2"]; }
		}
		/// <summary>Kalk.->Materialeinkauf-Zuschlagssatz 3 ( Single )</summary>
		public virtual Object Kalk_MEkZus3
		{
			get { return this["Kalk.MEkZus3"]; }
		}
		/// <summary>Kalk.->Material-Zuschlagssatz ( Single )</summary>
		public virtual Object Kalk_MZus
		{
			get { return this["Kalk.MZus"]; }
		}
		/// <summary>Kalk.->Material-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Kalk_MKGrp
		{
			get { return this["Kalk.MKGrp"]; }
		}
		/// <summary>Kalk.->Material-Kalkulationssatz ( Single )</summary>
		public virtual Object Kalk_MKSz
		{
			get { return this["Kalk.MKSz"]; }
		}
		/// <summary>Kalk.->Lohn-Zeit ( Double )</summary>
		public virtual Object Kalk_LZt
		{
			get { return this["Kalk.LZt"]; }
		}
		/// <summary>Kalk.->Lohn-Zeiteinheit ( Byte )</summary>
		public virtual Object Kalk_LZtEh
		{
			get { return this["Kalk.LZtEh"]; }
		}
		/// <summary>Kalk.->Lohn-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Kalk_LZus1
		{
			get { return this["Kalk.LZus1"]; }
		}
		/// <summary>Kalk.->Lohn-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Kalk_LKGrp
		{
			get { return this["Kalk.LKGrp"]; }
		}
		/// <summary>Kalk.->Lohn-Lohnbetrag ( Double )</summary>
		public virtual Object Kalk_LLBet
		{
			get { return this["Kalk.LLBet"]; }
		}
		/// <summary>Kalk.->Lohn-Lohn Zeiteinheit ( Byte )</summary>
		public virtual Object Kalk_LLZtEh
		{
			get { return this["Kalk.LLZtEh"]; }
		}
		/// <summary>Kalk.->Material-Anteilssatz ( Single )</summary>
		public virtual Object Kalk_MAntSz
		{
			get { return this["Kalk.MAntSz"]; }
		}
		/// <summary>Kalk.->Lohn-Anteilssatz ( Single )</summary>
		public virtual Object Kalk_LAntSz
		{
			get { return this["Kalk.LAntSz"]; }
		}
		/// <summary>Kalk.->Herstellkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Kalk_HKZus
		{
			get { return this["Kalk.HKZus"]; }
		}
		/// <summary>Kalk.->Selbstkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Kalk_SKZus
		{
			get { return this["Kalk.SKZus"]; }
		}
		/// <summary>Kalk.->SK-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Kalk_SKKGrp
		{
			get { return this["Kalk.SKKGrp"]; }
		}
		/// <summary>Kalk.->SK-Kalkulationssatz (in %) ( Single )</summary>
		public virtual Object Kalk_SKKSz
		{
			get { return this["Kalk.SKKSz"]; }
		}
		/// <summary>Kalk.->Skontosatz (in %) ( Single )</summary>
		public virtual Object Kalk_SktoSz
		{
			get { return this["Kalk.SktoSz"]; }
		}
		/// <summary>Kalk.->Provisionssatz (in %) ( Single )</summary>
		public virtual Object Kalk_ProvSz
		{
			get { return this["Kalk.ProvSz"]; }
		}
		/// <summary>Kalk.->Rabattsatz (in %) ( Single )</summary>
		public virtual Object Kalk_RabSz
		{
			get { return this["Kalk.RabSz"]; }
		}
		/// <summary>Kalk.->Preisfindungsgruppe ( Byte )</summary>
		public virtual Object Kalk_PFGrp
		{
			get { return this["Kalk.PFGrp"]; }
		}
		/// <summary>Preiszuordnung Material Satz (in %) ( Double )</summary>
		public virtual Object PrZuMatSz
		{
			get { return this["PrZuMatSz"]; }
			set { this["PrZuMatSz"] = value; }
		}
		/// <summary>Preiszuordnung Lohn Satz (in %) ( Double )</summary>
		public virtual Object PrZuLohnSz
		{
			get { return this["PrZuLohnSz"]; }
			set { this["PrZuLohnSz"] = value; }
		}
		/// <summary>Preiszuordnung Fremdleistung Satz (in %) ( Double )</summary>
		public virtual Object PrZuFremdSz
		{
			get { return this["PrZuFremdSz"]; }
			set { this["PrZuFremdSz"] = value; }
		}
		/// <summary>Preiszuordnung Sonstige Satz (in %) ( Double )</summary>
		public virtual Object PrZuSonstSz
		{
			get { return this["PrZuSonstSz"]; }
			set { this["PrZuSonstSz"] = value; }
		}
		/// <summary>Beschreibung ( Info )</summary>
		public virtual Object Beschr
		{
			get { return this["Beschr"]; }
			set { this["Beschr"] = value; }
		}
		/// <summary>Beschreibung Kennzeichen ( Boolean )</summary>
		public virtual Object BeschrKz
		{
			get { return this["BeschrKz"]; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
