using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelZusaetze : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "ArtikelZusaetze";
			
		public static ArtikelZusaetze CreateInstance(BpnConnection connection)
		{
		    var artikelzusaetzeInfo = connection.GetDataSetInfo(DS_NAME);
		    var artikelzusaetzeDataSet = artikelzusaetzeInfo.CreateDataSet();
		
		    var ret = new ArtikelZusaetze(artikelzusaetzeDataSet);
		    return ret;
		}
		
		public ArtikelZusaetze(BpNT.AutoDataSet artikelzusaetzeDataSet) 
			: base(artikelzusaetzeDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Zusatz fr Artikelnummer ( String )</summary>
		public virtual String ZArtNr
		{
			get { return Convert.ToString(this["ZArtNr"]); }
			set { this["ZArtNr"] = value; }
		}
		/// <summary>Zusatz fr Artikel ( String )</summary>
		public virtual String ZArtNrInfo
		{
			get { return Convert.ToString(this["ZArtNrInfo"]); }
		}
		/// <summary>Zeilennummer ( SmallInt )</summary>
		public virtual Object ZeilenNr
		{
			get { return this["ZeilenNr"]; }
			set { this["ZeilenNr"] = value; }
		}
		/// <summary>Artikelnummer ( String )</summary>
		public virtual String ArtNr
		{
			get { return Convert.ToString(this["ArtNr"]); }
			set { this["ArtNr"] = value; }
		}
		/// <summary>Artikel ( String )</summary>
		public virtual String ArtNrInfo
		{
			get { return Convert.ToString(this["ArtNrInfo"]); }
		}
		/// <summary>Flags ( SmallInt )</summary>
		public virtual Object Flags
		{
			get { return this["Flags"]; }
			set { this["Flags"] = value; }
		}
		/// <summary>Menge ( Double )</summary>
		public virtual Object Mge
		{
			get { return this["Mge"]; }
			set { this["Mge"] = value; }
		}
		/// <summary>Einheit ( String )</summary>
		public virtual String Einh
		{
			get { return Convert.ToString(this["Einh"]); }
			set { this["Einh"] = value; }
		}
		/// <summary>Menge ist Multiplikator ( Boolean )</summary>
		public virtual Object MgeMulKz
		{
			get { return this["MgeMulKz"]; }
		}
		/// <summary>Zusatz ist fr Einkauf ( Boolean )</summary>
		public virtual Object FaktEkKz
		{
			get { return this["FaktEkKz"]; }
		}
		/// <summary>Zusatz ist fr Verkauf ( Boolean )</summary>
		public virtual Object FaktVkKz
		{
			get { return this["FaktVkKz"]; }
		}
		/// <summary>Formel fr Bedingungen fr die Fakturierung ( String )</summary>
		public virtual String FaktBedFormel
		{
			get { return Convert.ToString(this["FaktBedFormel"]); }
			set { this["FaktBedFormel"] = value; }
		}
		/// <summary>Formel fr Bedingungen fr die Fakturierung von aufgelsten Stcklistenpositionen ( String )</summary>
		public virtual String FaktBedFormelSLi
		{
			get { return Convert.ToString(this["FaktBedFormelSLi"]); }
			set { this["FaktBedFormelSLi"] = value; }
		}
		/// <summary>Bei Fakturierung abfragen ( Boolean )</summary>
		public virtual Object FaktAbfKz
		{
			get { return this["FaktAbfKz"]; }
		}
		/// <summary>Immer einfgen (Vorgabe) ( Boolean )</summary>
		public virtual Object VgbEinfKz
		{
			get { return this["VgbEinfKz"]; }
		}
		/// <summary>Gruppenbezeichnung ( String )</summary>
		public virtual String GrpBez
		{
			get { return Convert.ToString(this["GrpBez"]); }
			set { this["GrpBez"] = value; }
		}
		/// <summary>Auswahl auf einen Zusatz der Gruppe ( Boolean )</summary>
		public virtual Object GrpEinzelKz
		{
			get { return this["GrpEinzelKz"]; }
		}
		/// <summary>Dieser Zusatz der Gruppe ist aktiviert (Vorgabe) ( Boolean )</summary>
		public virtual Object GrpEinzelSelKz
		{
			get { return this["GrpEinzelSelKz"]; }
		}
		/// <summary>Der Einzelpreis dieses Zusatzes ist die Summe der Gruppe ( Boolean )</summary>
		public virtual Object GrpSumEPrKz
		{
			get { return this["GrpSumEPrKz"]; }
		}
		/// <summary>Gruppenbezeichner nicht separat ausweisen ( Boolean )</summary>
		public virtual Object GrpBezNAKz
		{
			get { return this["GrpBezNAKz"]; }
		}
		/// <summary>Position ( String )</summary>
		public virtual String Pos
		{
			get { return Convert.ToString(this["Pos"]); }
			set { this["Pos"] = value; }
		}
		/// <summary>Adresspezifischer Preis (nur in Positionserfassung) ( Double )</summary>
		public virtual Object AdrSpezPr
		{
			get { return this["AdrSpezPr"]; }
		}
		/// <summary>RegelnZuweisungsAnweisungen ( BlobTable )</summary>
		public virtual Object RglZuA
		{
			get { return this["RglZuA"]; }
			set { this["RglZuA"] = value; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
