using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AssistentenSchemen : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "AssistentenSchemen";
			
		public static AssistentenSchemen CreateInstance(BpnConnection connection)
		{
		    var assistentenschemenInfo = connection.GetDataSetInfo(DS_NAME);
		    var assistentenschemenDataSet = assistentenschemenInfo.CreateDataSet();
		
		    var ret = new AssistentenSchemen(assistentenschemenDataSet);
		    return ret;
		}
		
		public AssistentenSchemen(BpNT.AutoDataSet assistentenschemenDataSet) 
			: base(assistentenschemenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>Name ( String )</summary>
		public virtual String Na
		{
			get { return Convert.ToString(this["Na"]); }
			set { this["Na"] = value; }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Vorgaben ( StringList )</summary>
		public virtual Object Vorgaben
		{
			get { return this["Vorgaben"]; }
			set { this["Vorgaben"] = value; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
