using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AssistentenSchemenSet : BpnEntitySet<AssistentenSchemen>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "AssistentenSchemen";
			
		public static AssistentenSchemenSet CreateInstance(BpnConnection connection)
		{
		    var assistentenschemensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var assistentenschemensetDataSet = assistentenschemensetInfo.CreateDataSet();
		
		    var ret = new AssistentenSchemenSet(assistentenschemensetDataSet);
		    return ret;
		}
		
		internal AssistentenSchemenSet(BpNT.AutoDataSet assistentenschemenDataSet) 
			: base(assistentenschemenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected AssistentenSchemenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new AssistentenSchemenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected AssistentenSchemenSet parentSet;
		
			protected AssistentenSchemenSetNameBezIndex nameBezIndex;
		
			internal IndicesClass(AssistentenSchemenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				nameBezIndex = new AssistentenSchemenSetNameBezIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Name & Bezeichnung</summary>
			public AssistentenSchemenSetNameBezIndex NameBezIndex
			{
				get { return nameBezIndex; }
			}
			
		
			#endregion
		}

		public AssistentenSchemenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
