using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BankKontoAuszuege : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "BankKontoAuszuege";
			
		public static BankKontoAuszuege CreateInstance(BpnConnection connection)
		{
		    var bankkontoauszuegeInfo = connection.GetDataSetInfo(DS_NAME);
		    var bankkontoauszuegeDataSet = bankkontoauszuegeInfo.CreateDataSet();
		
		    var ret = new BankKontoAuszuege(bankkontoauszuegeDataSet);
		    return ret;
		}
		
		public BankKontoAuszuege(BpNT.AutoDataSet bankkontoauszuegeDataSet) 
			: base(bankkontoauszuegeDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Nummer der Hausbank ( Integer )</summary>
		public virtual Int32 HBk
		{
			get { return Convert.ToInt32(this["HBk"]); }
			set { this["HBk"] = value; }
		}
		/// <summary>Hausbank ( String )</summary>
		public virtual String HBkInfo
		{
			get { return Convert.ToString(this["HBkInfo"]); }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Buchungsdatum ( DateTime )</summary>
		public virtual DateTime BchDat
		{
			get { return Convert.ToDateTime(this["BchDat"]); }
			set { this["BchDat"] = value; }
		}
		/// <summary>Valutadatum ( DateTime )</summary>
		public virtual DateTime ValutaDat
		{
			get { return Convert.ToDateTime(this["ValutaDat"]); }
			set { this["ValutaDat"] = value; }
		}
		/// <summary>Empfnger ( String )</summary>
		public virtual String EmName
		{
			get { return Convert.ToString(this["EmName"]); }
			set { this["EmName"] = value; }
		}
		/// <summary>Bankleitzahl des Empfngers ( String )</summary>
		public virtual String EmBLZ
		{
			get { return Convert.ToString(this["EmBLZ"]); }
			set { this["EmBLZ"] = value; }
		}
		/// <summary>laufende Banknummer des Empfngers ( Integer )</summary>
		public virtual Int32 EmBLZNr
		{
			get { return Convert.ToInt32(this["EmBLZNr"]); }
			set { this["EmBLZNr"] = value; }
		}
		/// <summary>Kontonummer des Empfngers ( String )</summary>
		public virtual String EmKNr
		{
			get { return Convert.ToString(this["EmKNr"]); }
			set { this["EmKNr"] = value; }
		}
		/// <summary>Text ( String )</summary>
		public virtual String Txt
		{
			get { return Convert.ToString(this["Txt"]); }
			set { this["Txt"] = value; }
		}
		/// <summary>Betrag ( Double )</summary>
		public virtual Object Bet
		{
			get { return this["Bet"]; }
			set { this["Bet"] = value; }
		}
		/// <summary>Ist Saldo ( Boolean )</summary>
		public virtual Object SaldoKz
		{
			get { return this["SaldoKz"]; }
			set { this["SaldoKz"] = value; }
		}
		/// <summary>Data ( StringList )</summary>
		public virtual Object Data
		{
			get { return this["Data"]; }
			set { this["Data"] = value; }
		}
		/// <summary>Status ( Integer )</summary>
		public virtual Int32 Status
		{
			get { return Convert.ToInt32(this["Status"]); }
			set { this["Status"] = value; }
		}
		/// <summary>Status Info ( Integer )</summary>
		public virtual Int32 StatusInfo
		{
			get { return Convert.ToInt32(this["StatusInfo"]); }
		}
		/// <summary>Manuell erfasst ( Boolean )</summary>
		public virtual Object ManuellKz
		{
			get { return this["ManuellKz"]; }
		}
		/// <summary>Adressnummer ( String )</summary>
		public virtual String AdrNr
		{
			get { return Convert.ToString(this["AdrNr"]); }
			set { this["AdrNr"] = value; }
		}
		/// <summary>Anschriftennummer ( Integer )</summary>
		public virtual Int32 AnsNr
		{
			get { return Convert.ToInt32(this["AnsNr"]); }
			set { this["AnsNr"] = value; }
		}
		/// <summary>Adresse ( String )</summary>
		public virtual String AdrNrInfo
		{
			get { return Convert.ToString(this["AdrNrInfo"]); }
		}
		/// <summary>Buchungskontonummer ( String )</summary>
		public virtual String BKtoNr
		{
			get { return Convert.ToString(this["BKtoNr"]); }
			set { this["BKtoNr"] = value; }
		}
		/// <summary>Buchungskonto ( String )</summary>
		public virtual String BKtoNrInfo
		{
			get { return Convert.ToString(this["BKtoNrInfo"]); }
		}
		/// <summary>Belegnummern ( StringList )</summary>
		public virtual Object BelegNr
		{
			get { return this["BelegNr"]; }
			set { this["BelegNr"] = value; }
		}
		/// <summary>Belegnummern ( String )</summary>
		public virtual String BelegNrInfo
		{
			get { return Convert.ToString(this["BelegNrInfo"]); }
			set { this["BelegNrInfo"] = value; }
		}
		/// <summary>getroffene Regeln ( String )</summary>
		public virtual String RegelHit
		{
			get { return Convert.ToString(this["RegelHit"]); }
			set { this["RegelHit"] = value; }
		}
		/// <summary>getroffene Regeln Info ( String )</summary>
		public virtual String RegelHitInfo
		{
			get { return Convert.ToString(this["RegelHitInfo"]); }
		}
		/// <summary>Geschfts Vorfall Text ( String )</summary>
		public virtual String GVCodeText
		{
			get { return Convert.ToString(this["GVCodeText"]); }
			set { this["GVCodeText"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>RecordRevision ( SmallInt )</summary>
		public virtual Object RecRev
		{
			get { return this["RecRev"]; }
			set { this["RecRev"] = value; }
		}


		#endregion
	}
}
