using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BankKontoAuszuegeSet : BpnEntitySet<BankKontoAuszuege>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "BankKontoAuszuege";
			
		public static BankKontoAuszuegeSet CreateInstance(BpnConnection connection)
		{
		    var bankkontoauszuegesetInfo = connection.GetDataSetInfo(DS_NAME);
		    var bankkontoauszuegesetDataSet = bankkontoauszuegesetInfo.CreateDataSet();
		
		    var ret = new BankKontoAuszuegeSet(bankkontoauszuegesetDataSet);
		    return ret;
		}
		
		internal BankKontoAuszuegeSet(BpNT.AutoDataSet bankkontoauszuegeDataSet) 
			: base(bankkontoauszuegeDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected BankKontoAuszuegeSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new BankKontoAuszuegeSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected BankKontoAuszuegeSet parentSet;
		
			protected BankKontoAuszuegeSetIDIndex iDIndex;
			protected BankKontoAuszuegeSetBchDatIndex bchDatIndex;
			protected BankKontoAuszuegeSetHBkBchDatIndex hBkBchDatIndex;
			protected BankKontoAuszuegeSetNeuIndex neuIndex;
			protected BankKontoAuszuegeSetHBkNeuIndex hBkNeuIndex;
			protected BankKontoAuszuegeSetSaldoIndex saldoIndex;
			protected BankKontoAuszuegeSetHBkSaldoIndex hBkSaldoIndex;
			protected BankKontoAuszuegeSetValDatIndex valDatIndex;
			protected BankKontoAuszuegeSetHBkValDatIndex hBkValDatIndex;
			protected BankKontoAuszuegeSetEmNameIndex emNameIndex;
			protected BankKontoAuszuegeSetHBkEmNameIndex hBkEmNameIndex;
			protected BankKontoAuszuegeSetTxtIndex txtIndex;
			protected BankKontoAuszuegeSetHBkTxtIndex hBkTxtIndex;
			protected BankKontoAuszuegeSetBetIndex betIndex;
			protected BankKontoAuszuegeSetHBkBetIndex hBkBetIndex;
		
			internal IndicesClass(BankKontoAuszuegeSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new BankKontoAuszuegeSetIDIndex(parentSet.DataSet);
				bchDatIndex = new BankKontoAuszuegeSetBchDatIndex(parentSet.DataSet);
				hBkBchDatIndex = new BankKontoAuszuegeSetHBkBchDatIndex(parentSet.DataSet);
				neuIndex = new BankKontoAuszuegeSetNeuIndex(parentSet.DataSet);
				hBkNeuIndex = new BankKontoAuszuegeSetHBkNeuIndex(parentSet.DataSet);
				saldoIndex = new BankKontoAuszuegeSetSaldoIndex(parentSet.DataSet);
				hBkSaldoIndex = new BankKontoAuszuegeSetHBkSaldoIndex(parentSet.DataSet);
				valDatIndex = new BankKontoAuszuegeSetValDatIndex(parentSet.DataSet);
				hBkValDatIndex = new BankKontoAuszuegeSetHBkValDatIndex(parentSet.DataSet);
				emNameIndex = new BankKontoAuszuegeSetEmNameIndex(parentSet.DataSet);
				hBkEmNameIndex = new BankKontoAuszuegeSetHBkEmNameIndex(parentSet.DataSet);
				txtIndex = new BankKontoAuszuegeSetTxtIndex(parentSet.DataSet);
				hBkTxtIndex = new BankKontoAuszuegeSetHBkTxtIndex(parentSet.DataSet);
				betIndex = new BankKontoAuszuegeSetBetIndex(parentSet.DataSet);
				hBkBetIndex = new BankKontoAuszuegeSetHBkBetIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public BankKontoAuszuegeSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Buchungsdatum</summary>
			public BankKontoAuszuegeSetBchDatIndex BchDatIndex
			{
				get { return bchDatIndex; }
			}
			
			/// <summary>Buchungsdatum</summary>
			public BankKontoAuszuegeSetHBkBchDatIndex HBkBchDatIndex
			{
				get { return hBkBchDatIndex; }
			}
			
			/// <summary>Buchungsdatum (neue Bewegungen)</summary>
			public BankKontoAuszuegeSetNeuIndex NeuIndex
			{
				get { return neuIndex; }
			}
			
			/// <summary>Buchungsdatum (neue Bewegungen)</summary>
			public BankKontoAuszuegeSetHBkNeuIndex HBkNeuIndex
			{
				get { return hBkNeuIndex; }
			}
			
			/// <summary>Buchungsdatum (nur Salden)</summary>
			public BankKontoAuszuegeSetSaldoIndex SaldoIndex
			{
				get { return saldoIndex; }
			}
			
			/// <summary>Buchungsdatum (nur Salden)</summary>
			public BankKontoAuszuegeSetHBkSaldoIndex HBkSaldoIndex
			{
				get { return hBkSaldoIndex; }
			}
			
			/// <summary>Valutadatum</summary>
			public BankKontoAuszuegeSetValDatIndex ValDatIndex
			{
				get { return valDatIndex; }
			}
			
			/// <summary>Valutadatum</summary>
			public BankKontoAuszuegeSetHBkValDatIndex HBkValDatIndex
			{
				get { return hBkValDatIndex; }
			}
			
			/// <summary>Empfnger</summary>
			public BankKontoAuszuegeSetEmNameIndex EmNameIndex
			{
				get { return emNameIndex; }
			}
			
			/// <summary>Empfnger</summary>
			public BankKontoAuszuegeSetHBkEmNameIndex HBkEmNameIndex
			{
				get { return hBkEmNameIndex; }
			}
			
			/// <summary>Text (Verwendungszweck)</summary>
			public BankKontoAuszuegeSetTxtIndex TxtIndex
			{
				get { return txtIndex; }
			}
			
			/// <summary>Text (Verwendungszweck)</summary>
			public BankKontoAuszuegeSetHBkTxtIndex HBkTxtIndex
			{
				get { return hBkTxtIndex; }
			}
			
			/// <summary>Betrag</summary>
			public BankKontoAuszuegeSetBetIndex BetIndex
			{
				get { return betIndex; }
			}
			
			/// <summary>Betrag</summary>
			public BankKontoAuszuegeSetHBkBetIndex HBkBetIndex
			{
				get { return hBkBetIndex; }
			}
			
		
			#endregion
		}

		public BankKontoAuszuegeSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
