using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Banken : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Banken";
			
		public static Banken CreateInstance(BpnConnection connection)
		{
		    var bankenInfo = connection.GetDataSetInfo(DS_NAME);
		    var bankenDataSet = bankenInfo.CreateDataSet();
		
		    var ret = new Banken(bankenDataSet);
		    return ret;
		}
		
		public Banken(BpNT.AutoDataSet bankenDataSet) 
			: base(bankenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Bankleitzahl ( String )</summary>
		public virtual String BLZ
		{
			get { return Convert.ToString(this["BLZ"]); }
			set { this["BLZ"] = value; }
		}
		/// <summary>Laufende Nummer ( Integer )</summary>
		public virtual Int32 LfdNr
		{
			get { return Convert.ToInt32(this["LfdNr"]); }
			set { this["LfdNr"] = value; }
		}
		/// <summary>BIC (SWIFT Code) ( String )</summary>
		public virtual String BIC
		{
			get { return Convert.ToString(this["BIC"]); }
			set { this["BIC"] = value; }
		}
		/// <summary>Kurzbezeichnung ( String )</summary>
		public virtual String KuBez
		{
			get { return Convert.ToString(this["KuBez"]); }
			set { this["KuBez"] = value; }
		}
		/// <summary>Eindeutige Datensatznummer (fremdvergeben) ( Integer )</summary>
		public virtual Int32 EDsNr
		{
			get { return Convert.ToInt32(this["EDsNr"]); }
			set { this["EDsNr"] = value; }
		}
		/// <summary>Name 1 (Anrede) ( String )</summary>
		public virtual String Na1
		{
			get { return Convert.ToString(this["Na1"]); }
			set { this["Na1"] = value; }
		}
		/// <summary>Name 2 ( String )</summary>
		public virtual String Na2
		{
			get { return Convert.ToString(this["Na2"]); }
			set { this["Na2"] = value; }
		}
		/// <summary>Name 3 (Zusatz) ( String )</summary>
		public virtual String Na3
		{
			get { return Convert.ToString(this["Na3"]); }
			set { this["Na3"] = value; }
		}
		/// <summary>Strae ( String )</summary>
		public virtual String Str
		{
			get { return Convert.ToString(this["Str"]); }
			set { this["Str"] = value; }
		}
		/// <summary>Land ( Integer )</summary>
		public virtual Int32 Land
		{
			get { return Convert.ToInt32(this["Land"]); }
			set { this["Land"] = value; }
		}
		/// <summary>Lnderkennzeichen ( String )</summary>
		public virtual String LandKennz
		{
			get { return Convert.ToString(this["LandKennz"]); }
		}
		/// <summary>Postleitzahl ( String )</summary>
		public virtual String PLZ
		{
			get { return Convert.ToString(this["PLZ"]); }
			set { this["PLZ"] = value; }
		}
		/// <summary>Land & PLZ ( String )</summary>
		public virtual String PLZInfo
		{
			get { return Convert.ToString(this["PLZInfo"]); }
		}
		/// <summary>Ort ( String )</summary>
		public virtual String Ort
		{
			get { return Convert.ToString(this["Ort"]); }
			set { this["Ort"] = value; }
		}
		/// <summary>PLZ & Ort ( String )</summary>
		public virtual String PLZOrtInfo
		{
			get { return Convert.ToString(this["PLZOrtInfo"]); }
		}
		/// <summary>Telefon ( String )</summary>
		public virtual String Tel
		{
			get { return Convert.ToString(this["Tel"]); }
			set { this["Tel"] = value; }
		}
		/// <summary>Telefax ( String )</summary>
		public virtual String Fax
		{
			get { return Convert.ToString(this["Fax"]); }
			set { this["Fax"] = value; }
		}
		/// <summary>PTTNr. der schweizer Banken ( String )</summary>
		public virtual String PTTNr
		{
			get { return Convert.ToString(this["PTTNr"]); }
			set { this["PTTNr"] = value; }
		}
		/// <summary>Webseite ( String )</summary>
		public virtual String WSeite
		{
			get { return Convert.ToString(this["WSeite"]); }
			set { this["WSeite"] = value; }
		}
		/// <summary>E-Mail ( String )</summary>
		public virtual String EMail
		{
			get { return Convert.ToString(this["EMail"]); }
			set { this["EMail"] = value; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
