using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BankenSet : BpnEntitySet<Banken>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Banken";
			
		public static BankenSet CreateInstance(BpnConnection connection)
		{
		    var bankensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var bankensetDataSet = bankensetInfo.CreateDataSet();
		
		    var ret = new BankenSet(bankensetDataSet);
		    return ret;
		}
		
		internal BankenSet(BpNT.AutoDataSet bankenDataSet) 
			: base(bankenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected BankenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new BankenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected BankenSet parentSet;
		
			protected BankenSetIDIndex iDIndex;
			protected BankenSetBLZIndex bLZIndex;
			protected BankenSetBICIndex bICIndex;
			protected BankenSetKuBezIndex kuBezIndex;
			protected BankenSetPLZIndex pLZIndex;
			protected BankenSetOrtIndex ortIndex;
		
			internal IndicesClass(BankenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new BankenSetIDIndex(parentSet.DataSet);
				bLZIndex = new BankenSetBLZIndex(parentSet.DataSet);
				bICIndex = new BankenSetBICIndex(parentSet.DataSet);
				kuBezIndex = new BankenSetKuBezIndex(parentSet.DataSet);
				pLZIndex = new BankenSetPLZIndex(parentSet.DataSet);
				ortIndex = new BankenSetOrtIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public BankenSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Bankleitzahl</summary>
			public BankenSetBLZIndex BLZIndex
			{
				get { return bLZIndex; }
			}
			
			/// <summary>BIC (SWIFT Code)</summary>
			public BankenSetBICIndex BICIndex
			{
				get { return bICIndex; }
			}
			
			/// <summary>Kurzbezeichnung</summary>
			public BankenSetKuBezIndex KuBezIndex
			{
				get { return kuBezIndex; }
			}
			
			/// <summary>Postleitzahl</summary>
			public BankenSetPLZIndex PLZIndex
			{
				get { return pLZIndex; }
			}
			
			/// <summary>Ort</summary>
			public BankenSetOrtIndex OrtIndex
			{
				get { return ortIndex; }
			}
			
		
			#endregion
		}

		public BankenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
