using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BarCodesSet : BpnEntitySet<BarCodes>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "BarCodes";
			
		public static BarCodesSet CreateInstance(BpnConnection connection)
		{
		    var barcodessetInfo = connection.GetDataSetInfo(DS_NAME);
		    var barcodessetDataSet = barcodessetInfo.CreateDataSet();
		
		    var ret = new BarCodesSet(barcodessetDataSet);
		    return ret;
		}
		
		internal BarCodesSet(BpNT.AutoDataSet barcodesDataSet) 
			: base(barcodesDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected BarCodesSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new BarCodesSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected BarCodesSet parentSet;
		
			protected BarCodesSetBarCodeIndex barCodeIndex;
			protected BarCodesSetDBBkzBezIDIndex dBBkzBezIDIndex;
		
			internal IndicesClass(BarCodesSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				barCodeIndex = new BarCodesSetBarCodeIndex(parentSet.DataSet);
				dBBkzBezIDIndex = new BarCodesSetDBBkzBezIDIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>BarCode</summary>
			public BarCodesSetBarCodeIndex BarCodeIndex
			{
				get { return barCodeIndex; }
			}
			
			/// <summary>DBBkzBezID</summary>
			public BarCodesSetDBBkzBezIDIndex DBBkzBezIDIndex
			{
				get { return dBBkzBezIDIndex; }
			}
			
		
			#endregion
		}

		public BarCodesSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
