using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BeitragsAbrechnungenSet : BpnEntitySet<BeitragsAbrechnungen>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "BeitragsAbrechnungen";
			
		public static BeitragsAbrechnungenSet CreateInstance(BpnConnection connection)
		{
		    var beitragsabrechnungensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var beitragsabrechnungensetDataSet = beitragsabrechnungensetInfo.CreateDataSet();
		
		    var ret = new BeitragsAbrechnungenSet(beitragsabrechnungensetDataSet);
		    return ret;
		}
		
		internal BeitragsAbrechnungenSet(BpNT.AutoDataSet beitragsabrechnungenDataSet) 
			: base(beitragsabrechnungenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected BeitragsAbrechnungenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new BeitragsAbrechnungenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected BeitragsAbrechnungenSet parentSet;
		
			protected BeitragsAbrechnungenSetIDIndex iDIndex;
			protected BeitragsAbrechnungenSetKrkNrKbuDatIndex krkNrKbuDatIndex;
			protected BeitragsAbrechnungenSetKbuDatIndex kbuDatIndex;
			protected BeitragsAbrechnungenSetKbuVorlaeufigIndex kbuVorlaeufigIndex;
			protected BeitragsAbrechnungenSetDatIndex datIndex;
		
			internal IndicesClass(BeitragsAbrechnungenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new BeitragsAbrechnungenSetIDIndex(parentSet.DataSet);
				krkNrKbuDatIndex = new BeitragsAbrechnungenSetKrkNrKbuDatIndex(parentSet.DataSet);
				kbuDatIndex = new BeitragsAbrechnungenSetKbuDatIndex(parentSet.DataSet);
				kbuVorlaeufigIndex = new BeitragsAbrechnungenSetKbuVorlaeufigIndex(parentSet.DataSet);
				datIndex = new BeitragsAbrechnungenSetDatIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public BeitragsAbrechnungenSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Datum fr Beitragsabrechnung</summary>
			public BeitragsAbrechnungenSetKrkNrKbuDatIndex KrkNrKbuDatIndex
			{
				get { return krkNrKbuDatIndex; }
			}
			
			/// <summary>KbuDat</summary>
			public BeitragsAbrechnungenSetKbuDatIndex KbuDatIndex
			{
				get { return kbuDatIndex; }
			}
			
			/// <summary>KbuVorlaeufig</summary>
			public BeitragsAbrechnungenSetKbuVorlaeufigIndex KbuVorlaeufigIndex
			{
				get { return kbuVorlaeufigIndex; }
			}
			
			/// <summary>Dat</summary>
			public BeitragsAbrechnungenSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
		
			#endregion
		}

		public BeitragsAbrechnungenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
