using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BenutzerNachrichtenSet : BpnEntitySet<BenutzerNachrichten>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "BenutzerNachrichten";
			
		public static BenutzerNachrichtenSet CreateInstance(BpnConnection connection)
		{
		    var benutzernachrichtensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var benutzernachrichtensetDataSet = benutzernachrichtensetInfo.CreateDataSet();
		
		    var ret = new BenutzerNachrichtenSet(benutzernachrichtensetDataSet);
		    return ret;
		}
		
		internal BenutzerNachrichtenSet(BpNT.AutoDataSet benutzernachrichtenDataSet) 
			: base(benutzernachrichtenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected BenutzerNachrichtenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new BenutzerNachrichtenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected BenutzerNachrichtenSet parentSet;
		
			protected BenutzerNachrichtenSetIDIndex iDIndex;
			protected BenutzerNachrichtenSetBzrNrErfDatIndex bzrNrErfDatIndex;
			protected BenutzerNachrichtenSetBzrNrPrioIndex bzrNrPrioIndex;
			protected BenutzerNachrichtenSetBzrNrZuErlIndex bzrNrZuErlIndex;
			protected BenutzerNachrichtenSetKuInfoIndex kuInfoIndex;
			protected BenutzerNachrichtenSetErfDatIndex erfDatIndex;
			protected BenutzerNachrichtenSetArtGrpBzrNrIndex artGrpBzrNrIndex;
			protected BenutzerNachrichtenSetArtGrpBzrNrAllIndex artGrpBzrNrAllIndex;
		
			internal IndicesClass(BenutzerNachrichtenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new BenutzerNachrichtenSetIDIndex(parentSet.DataSet);
				bzrNrErfDatIndex = new BenutzerNachrichtenSetBzrNrErfDatIndex(parentSet.DataSet);
				bzrNrPrioIndex = new BenutzerNachrichtenSetBzrNrPrioIndex(parentSet.DataSet);
				bzrNrZuErlIndex = new BenutzerNachrichtenSetBzrNrZuErlIndex(parentSet.DataSet);
				kuInfoIndex = new BenutzerNachrichtenSetKuInfoIndex(parentSet.DataSet);
				erfDatIndex = new BenutzerNachrichtenSetErfDatIndex(parentSet.DataSet);
				artGrpBzrNrIndex = new BenutzerNachrichtenSetArtGrpBzrNrIndex(parentSet.DataSet);
				artGrpBzrNrAllIndex = new BenutzerNachrichtenSetArtGrpBzrNrAllIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public BenutzerNachrichtenSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Sachbearbeiter (Benutzernummer)</summary>
			public BenutzerNachrichtenSetBzrNrErfDatIndex BzrNrErfDatIndex
			{
				get { return bzrNrErfDatIndex; }
			}
			
			/// <summary>Sachbearbeiter (und Prioritt)</summary>
			public BenutzerNachrichtenSetBzrNrPrioIndex BzrNrPrioIndex
			{
				get { return bzrNrPrioIndex; }
			}
			
			/// <summary>Sachbearbeiter (zu erledigen)</summary>
			public BenutzerNachrichtenSetBzrNrZuErlIndex BzrNrZuErlIndex
			{
				get { return bzrNrZuErlIndex; }
			}
			
			/// <summary>Kurzinfo</summary>
			public BenutzerNachrichtenSetKuInfoIndex KuInfoIndex
			{
				get { return kuInfoIndex; }
			}
			
			/// <summary>Erfassungsdatum</summary>
			public BenutzerNachrichtenSetErfDatIndex ErfDatIndex
			{
				get { return erfDatIndex; }
			}
			
			/// <summary>Sachbearbeiter (Benutzernummer)</summary>
			public BenutzerNachrichtenSetArtGrpBzrNrIndex ArtGrpBzrNrIndex
			{
				get { return artGrpBzrNrIndex; }
			}
			
			/// <summary>Sachbearbeiter (Benutzernummer)</summary>
			public BenutzerNachrichtenSetArtGrpBzrNrAllIndex ArtGrpBzrNrAllIndex
			{
				get { return artGrpBzrNrAllIndex; }
			}
			
		
			#endregion
		}

		public BenutzerNachrichtenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
