using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BenutzerNachrichtenSetErfDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ErfDat";
			

		internal BenutzerNachrichtenSetErfDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BenutzerNachrichtenSetErfDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BenutzerNachrichtenSetErfDatIndex.IndexFields rangeBegin, BenutzerNachrichtenSetErfDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Erfassungsdatum ( DateTime )</summary>
			public virtual DateTime ErfDat {
				get { return Convert.ToDateTime(this["ErfDat"]); }
				set { this["ErfDat"] = value; }
			}
			/// <summary>Sachbearbeiter (Benutzernummer) ( String )</summary>
			public virtual String SBzrNr {
				get { return Convert.ToString(this["SBzrNr"]); }
				set { this["SBzrNr"] = value; }
			}
			/// <summary>Prioritt ( Integer )</summary>
			public virtual Int32 Prio {
				get { return Convert.ToInt32(this["Prio"]); }
				set { this["Prio"] = value; }
			}
			/// <summary>Neg Erfassungsdatum ( DateTime )</summary>
			public virtual DateTime NegErfDat {
				get { return Convert.ToDateTime(this["NegErfDat"]); }
				set { this["NegErfDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
