using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BenutzerSet : BpnEntitySet<Benutzer>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Benutzer";
			
		public static BenutzerSet CreateInstance(BpnConnection connection)
		{
		    var benutzersetInfo = connection.GetDataSetInfo(DS_NAME);
		    var benutzersetDataSet = benutzersetInfo.CreateDataSet();
		
		    var ret = new BenutzerSet(benutzersetDataSet);
		    return ret;
		}
		
		internal BenutzerSet(BpNT.AutoDataSet benutzerDataSet) 
			: base(benutzerDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected BenutzerSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new BenutzerSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected BenutzerSet parentSet;
		
			protected BenutzerSetIDIndex iDIndex;
			protected BenutzerSetNrIndex nrIndex;
			protected BenutzerSetNrNumIndex nrNumIndex;
			protected BenutzerSetAnmNaIndex anmNaIndex;
			protected BenutzerSetKennZIndex kennZIndex;
			protected BenutzerSetNaNaIndex naNaIndex;
			protected BenutzerSetLandPLZIndex landPLZIndex;
			protected BenutzerSetPLZIndex pLZIndex;
			protected BenutzerSetOrtIndex ortIndex;
			protected BenutzerSetTel1Index tel1Index;
		
			internal IndicesClass(BenutzerSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new BenutzerSetIDIndex(parentSet.DataSet);
				nrIndex = new BenutzerSetNrIndex(parentSet.DataSet);
				nrNumIndex = new BenutzerSetNrNumIndex(parentSet.DataSet);
				anmNaIndex = new BenutzerSetAnmNaIndex(parentSet.DataSet);
				kennZIndex = new BenutzerSetKennZIndex(parentSet.DataSet);
				naNaIndex = new BenutzerSetNaNaIndex(parentSet.DataSet);
				landPLZIndex = new BenutzerSetLandPLZIndex(parentSet.DataSet);
				pLZIndex = new BenutzerSetPLZIndex(parentSet.DataSet);
				ortIndex = new BenutzerSetOrtIndex(parentSet.DataSet);
				tel1Index = new BenutzerSetTel1Index(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public BenutzerSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Nummer</summary>
			public BenutzerSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Nummer (numerisch)</summary>
			public BenutzerSetNrNumIndex NrNumIndex
			{
				get { return nrNumIndex; }
			}
			
			/// <summary>Anmeldename</summary>
			public BenutzerSetAnmNaIndex AnmNaIndex
			{
				get { return anmNaIndex; }
			}
			
			/// <summary>Kennzeichen</summary>
			public BenutzerSetKennZIndex KennZIndex
			{
				get { return kennZIndex; }
			}
			
			/// <summary>Nachname</summary>
			public BenutzerSetNaNaIndex NaNaIndex
			{
				get { return naNaIndex; }
			}
			
			/// <summary>Land</summary>
			public BenutzerSetLandPLZIndex LandPLZIndex
			{
				get { return landPLZIndex; }
			}
			
			/// <summary>Postleitzahl</summary>
			public BenutzerSetPLZIndex PLZIndex
			{
				get { return pLZIndex; }
			}
			
			/// <summary>Ort</summary>
			public BenutzerSetOrtIndex OrtIndex
			{
				get { return ortIndex; }
			}
			
			/// <summary>Telefon 1</summary>
			public BenutzerSetTel1Index Tel1Index
			{
				get { return tel1Index; }
			}
			
		
			#endregion
		}

		public BenutzerSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
