using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BestelleingangSet : BpnEntitySet<Bestelleingang>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Bestelleingang";
			
		public static BestelleingangSet CreateInstance(BpnConnection connection)
		{
		    var bestelleingangsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var bestelleingangsetDataSet = bestelleingangsetInfo.CreateDataSet();
		
		    var ret = new BestelleingangSet(bestelleingangsetDataSet);
		    return ret;
		}
		
		internal BestelleingangSet(BpNT.AutoDataSet bestelleingangDataSet) 
			: base(bestelleingangDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected BestelleingangSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new BestelleingangSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected BestelleingangSet parentSet;
		
			protected BestelleingangSetIDIndex iDIndex;
			protected BestelleingangSetArtNrLagNrIndex artNrLagNrIndex;
			protected BestelleingangSetAdrAuftrArtLagLiefDatIndex adrAuftrArtLagLiefDatIndex;
			protected BestelleingangSetArtNrIndex artNrIndex;
			protected BestelleingangSetAdrNrArtNrIndex adrNrArtNrIndex;
			protected BestelleingangSetBestNrIndex bestNrIndex;
			protected BestelleingangSetAdrNrBestNrIndex adrNrBestNrIndex;
			protected BestelleingangSetLiefDatIndex liefDatIndex;
			protected BestelleingangSetAdrNrLiefDatIndex adrNrLiefDatIndex;
			protected BestelleingangSetBelegNrIndex belegNrIndex;
			protected BestelleingangSetAdrNrBelegNrIndex adrNrBelegNrIndex;
			protected BestelleingangSetAuftrNrIndex auftrNrIndex;
			protected BestelleingangSetAdrNrAuftrNrIndex adrNrAuftrNrIndex;
			protected BestelleingangSetKstNrIndex kstNrIndex;
			protected BestelleingangSetAdrNrKstNrIndex adrNrKstNrIndex;
		
			internal IndicesClass(BestelleingangSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new BestelleingangSetIDIndex(parentSet.DataSet);
				artNrLagNrIndex = new BestelleingangSetArtNrLagNrIndex(parentSet.DataSet);
				adrAuftrArtLagLiefDatIndex = new BestelleingangSetAdrAuftrArtLagLiefDatIndex(parentSet.DataSet);
				artNrIndex = new BestelleingangSetArtNrIndex(parentSet.DataSet);
				adrNrArtNrIndex = new BestelleingangSetAdrNrArtNrIndex(parentSet.DataSet);
				bestNrIndex = new BestelleingangSetBestNrIndex(parentSet.DataSet);
				adrNrBestNrIndex = new BestelleingangSetAdrNrBestNrIndex(parentSet.DataSet);
				liefDatIndex = new BestelleingangSetLiefDatIndex(parentSet.DataSet);
				adrNrLiefDatIndex = new BestelleingangSetAdrNrLiefDatIndex(parentSet.DataSet);
				belegNrIndex = new BestelleingangSetBelegNrIndex(parentSet.DataSet);
				adrNrBelegNrIndex = new BestelleingangSetAdrNrBelegNrIndex(parentSet.DataSet);
				auftrNrIndex = new BestelleingangSetAuftrNrIndex(parentSet.DataSet);
				adrNrAuftrNrIndex = new BestelleingangSetAdrNrAuftrNrIndex(parentSet.DataSet);
				kstNrIndex = new BestelleingangSetKstNrIndex(parentSet.DataSet);
				adrNrKstNrIndex = new BestelleingangSetAdrNrKstNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public BestelleingangSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>ArtNrLagNr</summary>
			public BestelleingangSetArtNrLagNrIndex ArtNrLagNrIndex
			{
				get { return artNrLagNrIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public BestelleingangSetAdrAuftrArtLagLiefDatIndex AdrAuftrArtLagLiefDatIndex
			{
				get { return adrAuftrArtLagLiefDatIndex; }
			}
			
			/// <summary>Artikelnummer</summary>
			public BestelleingangSetArtNrIndex ArtNrIndex
			{
				get { return artNrIndex; }
			}
			
			/// <summary>Artikelnummer</summary>
			public BestelleingangSetAdrNrArtNrIndex AdrNrArtNrIndex
			{
				get { return adrNrArtNrIndex; }
			}
			
			/// <summary>Bestellnummer</summary>
			public BestelleingangSetBestNrIndex BestNrIndex
			{
				get { return bestNrIndex; }
			}
			
			/// <summary>Bestellnummer</summary>
			public BestelleingangSetAdrNrBestNrIndex AdrNrBestNrIndex
			{
				get { return adrNrBestNrIndex; }
			}
			
			/// <summary>Lieferdatum</summary>
			public BestelleingangSetLiefDatIndex LiefDatIndex
			{
				get { return liefDatIndex; }
			}
			
			/// <summary>Lieferdatum</summary>
			public BestelleingangSetAdrNrLiefDatIndex AdrNrLiefDatIndex
			{
				get { return adrNrLiefDatIndex; }
			}
			
			/// <summary>Belegnummer</summary>
			public BestelleingangSetBelegNrIndex BelegNrIndex
			{
				get { return belegNrIndex; }
			}
			
			/// <summary>Belegnummer</summary>
			public BestelleingangSetAdrNrBelegNrIndex AdrNrBelegNrIndex
			{
				get { return adrNrBelegNrIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public BestelleingangSetAuftrNrIndex AuftrNrIndex
			{
				get { return auftrNrIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public BestelleingangSetAdrNrAuftrNrIndex AdrNrAuftrNrIndex
			{
				get { return adrNrAuftrNrIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public BestelleingangSetKstNrIndex KstNrIndex
			{
				get { return kstNrIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public BestelleingangSetAdrNrKstNrIndex AdrNrKstNrIndex
			{
				get { return adrNrKstNrIndex; }
			}
			
		
			#endregion
		}

		public BestelleingangSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
