using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BuchungenAuftragArchivSet : BpnEntitySet<BuchungenAuftragArchiv>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "BuchungenAuftragArchiv";
			
		public static BuchungenAuftragArchivSet CreateInstance(BpnConnection connection)
		{
		    var buchungenauftragarchivsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var buchungenauftragarchivsetDataSet = buchungenauftragarchivsetInfo.CreateDataSet();
		
		    var ret = new BuchungenAuftragArchivSet(buchungenauftragarchivsetDataSet);
		    return ret;
		}
		
		internal BuchungenAuftragArchivSet(BpNT.AutoDataSet buchungenauftragarchivDataSet) 
			: base(buchungenauftragarchivDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected BuchungenAuftragArchivSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new BuchungenAuftragArchivSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected BuchungenAuftragArchivSet parentSet;
		
			protected BuchungenAuftragArchivSetHiDatIndex hiDatIndex;
			protected BuchungenAuftragArchivSetIDIndex iDIndex;
			protected BuchungenAuftragArchivSetKtoNrIndex ktoNrIndex;
			protected BuchungenAuftragArchivSetGKtoNrIndex gKtoNrIndex;
			protected BuchungenAuftragArchivSetDatIndex datIndex;
			protected BuchungenAuftragArchivSetBelegNr1Index belegNr1Index;
			protected BuchungenAuftragArchivSetBelegNr1NumIndex belegNr1NumIndex;
			protected BuchungenAuftragArchivSetBelegNr2Index belegNr2Index;
			protected BuchungenAuftragArchivSetBelegNr2NumIndex belegNr2NumIndex;
			protected BuchungenAuftragArchivSetTextIndex textIndex;
			protected BuchungenAuftragArchivSetAdrNrIndex adrNrIndex;
			protected BuchungenAuftragArchivSetBetIndex betIndex;
		
			internal IndicesClass(BuchungenAuftragArchivSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				hiDatIndex = new BuchungenAuftragArchivSetHiDatIndex(parentSet.DataSet);
				iDIndex = new BuchungenAuftragArchivSetIDIndex(parentSet.DataSet);
				ktoNrIndex = new BuchungenAuftragArchivSetKtoNrIndex(parentSet.DataSet);
				gKtoNrIndex = new BuchungenAuftragArchivSetGKtoNrIndex(parentSet.DataSet);
				datIndex = new BuchungenAuftragArchivSetDatIndex(parentSet.DataSet);
				belegNr1Index = new BuchungenAuftragArchivSetBelegNr1Index(parentSet.DataSet);
				belegNr1NumIndex = new BuchungenAuftragArchivSetBelegNr1NumIndex(parentSet.DataSet);
				belegNr2Index = new BuchungenAuftragArchivSetBelegNr2Index(parentSet.DataSet);
				belegNr2NumIndex = new BuchungenAuftragArchivSetBelegNr2NumIndex(parentSet.DataSet);
				textIndex = new BuchungenAuftragArchivSetTextIndex(parentSet.DataSet);
				adrNrIndex = new BuchungenAuftragArchivSetAdrNrIndex(parentSet.DataSet);
				betIndex = new BuchungenAuftragArchivSetBetIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Historydatum</summary>
			public BuchungenAuftragArchivSetHiDatIndex HiDatIndex
			{
				get { return hiDatIndex; }
			}
			
			/// <summary>ID</summary>
			public BuchungenAuftragArchivSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Kontonummer</summary>
			public BuchungenAuftragArchivSetKtoNrIndex KtoNrIndex
			{
				get { return ktoNrIndex; }
			}
			
			/// <summary>Gegenkontonummer</summary>
			public BuchungenAuftragArchivSetGKtoNrIndex GKtoNrIndex
			{
				get { return gKtoNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public BuchungenAuftragArchivSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>Belegnummer 1</summary>
			public BuchungenAuftragArchivSetBelegNr1Index BelegNr1Index
			{
				get { return belegNr1Index; }
			}
			
			/// <summary>Belegnummer 1 (numerisch)</summary>
			public BuchungenAuftragArchivSetBelegNr1NumIndex BelegNr1NumIndex
			{
				get { return belegNr1NumIndex; }
			}
			
			/// <summary>Belegnummer 2</summary>
			public BuchungenAuftragArchivSetBelegNr2Index BelegNr2Index
			{
				get { return belegNr2Index; }
			}
			
			/// <summary>Belegnummer 2 (numerisch)</summary>
			public BuchungenAuftragArchivSetBelegNr2NumIndex BelegNr2NumIndex
			{
				get { return belegNr2NumIndex; }
			}
			
			/// <summary>Text</summary>
			public BuchungenAuftragArchivSetTextIndex TextIndex
			{
				get { return textIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public BuchungenAuftragArchivSetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
			/// <summary>Saldo Betrag</summary>
			public BuchungenAuftragArchivSetBetIndex BetIndex
			{
				get { return betIndex; }
			}
			
		
			#endregion
		}

		public BuchungenAuftragArchivSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
