using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BuchungenAuftragSet : BpnEntitySet<BuchungenAuftrag>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "BuchungenAuftrag";
			
		public static BuchungenAuftragSet CreateInstance(BpnConnection connection)
		{
		    var buchungenauftragsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var buchungenauftragsetDataSet = buchungenauftragsetInfo.CreateDataSet();
		
		    var ret = new BuchungenAuftragSet(buchungenauftragsetDataSet);
		    return ret;
		}
		
		internal BuchungenAuftragSet(BpNT.AutoDataSet buchungenauftragDataSet) 
			: base(buchungenauftragDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected BuchungenAuftragSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new BuchungenAuftragSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected BuchungenAuftragSet parentSet;
		
			protected BuchungenAuftragSetIDIndex iDIndex;
			protected BuchungenAuftragSetKtoNrIndex ktoNrIndex;
			protected BuchungenAuftragSetGKtoNrIndex gKtoNrIndex;
			protected BuchungenAuftragSetDatIndex datIndex;
			protected BuchungenAuftragSetBelegNr1Index belegNr1Index;
			protected BuchungenAuftragSetBelegNr1NumIndex belegNr1NumIndex;
			protected BuchungenAuftragSetBelegNr2Index belegNr2Index;
			protected BuchungenAuftragSetBelegNr2NumIndex belegNr2NumIndex;
			protected BuchungenAuftragSetTextIndex textIndex;
			protected BuchungenAuftragSetAdrNrIndex adrNrIndex;
			protected BuchungenAuftragSetBetIndex betIndex;
		
			internal IndicesClass(BuchungenAuftragSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new BuchungenAuftragSetIDIndex(parentSet.DataSet);
				ktoNrIndex = new BuchungenAuftragSetKtoNrIndex(parentSet.DataSet);
				gKtoNrIndex = new BuchungenAuftragSetGKtoNrIndex(parentSet.DataSet);
				datIndex = new BuchungenAuftragSetDatIndex(parentSet.DataSet);
				belegNr1Index = new BuchungenAuftragSetBelegNr1Index(parentSet.DataSet);
				belegNr1NumIndex = new BuchungenAuftragSetBelegNr1NumIndex(parentSet.DataSet);
				belegNr2Index = new BuchungenAuftragSetBelegNr2Index(parentSet.DataSet);
				belegNr2NumIndex = new BuchungenAuftragSetBelegNr2NumIndex(parentSet.DataSet);
				textIndex = new BuchungenAuftragSetTextIndex(parentSet.DataSet);
				adrNrIndex = new BuchungenAuftragSetAdrNrIndex(parentSet.DataSet);
				betIndex = new BuchungenAuftragSetBetIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public BuchungenAuftragSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Kontonummer</summary>
			public BuchungenAuftragSetKtoNrIndex KtoNrIndex
			{
				get { return ktoNrIndex; }
			}
			
			/// <summary>Gegenkontonummer</summary>
			public BuchungenAuftragSetGKtoNrIndex GKtoNrIndex
			{
				get { return gKtoNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public BuchungenAuftragSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>Belegnummer 1</summary>
			public BuchungenAuftragSetBelegNr1Index BelegNr1Index
			{
				get { return belegNr1Index; }
			}
			
			/// <summary>Belegnummer 1 (numerisch)</summary>
			public BuchungenAuftragSetBelegNr1NumIndex BelegNr1NumIndex
			{
				get { return belegNr1NumIndex; }
			}
			
			/// <summary>Belegnummer 2</summary>
			public BuchungenAuftragSetBelegNr2Index BelegNr2Index
			{
				get { return belegNr2Index; }
			}
			
			/// <summary>Belegnummer 2 (numerisch)</summary>
			public BuchungenAuftragSetBelegNr2NumIndex BelegNr2NumIndex
			{
				get { return belegNr2NumIndex; }
			}
			
			/// <summary>Text</summary>
			public BuchungenAuftragSetTextIndex TextIndex
			{
				get { return textIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public BuchungenAuftragSetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
			/// <summary>Saldo Betrag</summary>
			public BuchungenAuftragSetBetIndex BetIndex
			{
				get { return betIndex; }
			}
			
		
			#endregion
		}

		public BuchungenAuftragSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
