using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BuchungenKasseSet : BpnEntitySet<BuchungenKasse>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "BuchungenKasse";
			
		public static BuchungenKasseSet CreateInstance(BpnConnection connection)
		{
		    var buchungenkassesetInfo = connection.GetDataSetInfo(DS_NAME);
		    var buchungenkassesetDataSet = buchungenkassesetInfo.CreateDataSet();
		
		    var ret = new BuchungenKasseSet(buchungenkassesetDataSet);
		    return ret;
		}
		
		internal BuchungenKasseSet(BpNT.AutoDataSet buchungenkasseDataSet) 
			: base(buchungenkasseDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected BuchungenKasseSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new BuchungenKasseSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected BuchungenKasseSet parentSet;
		
			protected BuchungenKasseSetZNrIndex zNrIndex;
			protected BuchungenKasseSetIDIndex iDIndex;
			protected BuchungenKasseSetKtoNrIndex ktoNrIndex;
			protected BuchungenKasseSetGKtoNrIndex gKtoNrIndex;
			protected BuchungenKasseSetDatIndex datIndex;
			protected BuchungenKasseSetBelegNr1Index belegNr1Index;
			protected BuchungenKasseSetBelegNr1NumIndex belegNr1NumIndex;
			protected BuchungenKasseSetBelegNr2Index belegNr2Index;
			protected BuchungenKasseSetBelegNr2NumIndex belegNr2NumIndex;
			protected BuchungenKasseSetKstNrIndex kstNrIndex;
			protected BuchungenKasseSetJPKstNrIndex jPKstNrIndex;
			protected BuchungenKasseSetGKstNrIndex gKstNrIndex;
			protected BuchungenKasseSetJPGKstNrIndex jPGKstNrIndex;
			protected BuchungenKasseSetTextIndex textIndex;
			protected BuchungenKasseSetAdrNrIndex adrNrIndex;
			protected BuchungenKasseSetBetIndex betIndex;
			protected BuchungenKasseSetJPLfdBchNrIndex jPLfdBchNrIndex;
			protected BuchungenKasseSetFBchNrZNrIndex fBchNrZNrIndex;
			protected BuchungenKasseSetFBchNrJPZNrIndex fBchNrJPZNrIndex;
			protected BuchungenKasseSetFBchNrJPDatIndex fBchNrJPDatIndex;
			protected BuchungenKasseSetJPStSchlIndex jPStSchlIndex;
		
			internal IndicesClass(BuchungenKasseSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				zNrIndex = new BuchungenKasseSetZNrIndex(parentSet.DataSet);
				iDIndex = new BuchungenKasseSetIDIndex(parentSet.DataSet);
				ktoNrIndex = new BuchungenKasseSetKtoNrIndex(parentSet.DataSet);
				gKtoNrIndex = new BuchungenKasseSetGKtoNrIndex(parentSet.DataSet);
				datIndex = new BuchungenKasseSetDatIndex(parentSet.DataSet);
				belegNr1Index = new BuchungenKasseSetBelegNr1Index(parentSet.DataSet);
				belegNr1NumIndex = new BuchungenKasseSetBelegNr1NumIndex(parentSet.DataSet);
				belegNr2Index = new BuchungenKasseSetBelegNr2Index(parentSet.DataSet);
				belegNr2NumIndex = new BuchungenKasseSetBelegNr2NumIndex(parentSet.DataSet);
				kstNrIndex = new BuchungenKasseSetKstNrIndex(parentSet.DataSet);
				jPKstNrIndex = new BuchungenKasseSetJPKstNrIndex(parentSet.DataSet);
				gKstNrIndex = new BuchungenKasseSetGKstNrIndex(parentSet.DataSet);
				jPGKstNrIndex = new BuchungenKasseSetJPGKstNrIndex(parentSet.DataSet);
				textIndex = new BuchungenKasseSetTextIndex(parentSet.DataSet);
				adrNrIndex = new BuchungenKasseSetAdrNrIndex(parentSet.DataSet);
				betIndex = new BuchungenKasseSetBetIndex(parentSet.DataSet);
				jPLfdBchNrIndex = new BuchungenKasseSetJPLfdBchNrIndex(parentSet.DataSet);
				fBchNrZNrIndex = new BuchungenKasseSetFBchNrZNrIndex(parentSet.DataSet);
				fBchNrJPZNrIndex = new BuchungenKasseSetFBchNrJPZNrIndex(parentSet.DataSet);
				fBchNrJPDatIndex = new BuchungenKasseSetFBchNrJPDatIndex(parentSet.DataSet);
				jPStSchlIndex = new BuchungenKasseSetJPStSchlIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Zeilennummer</summary>
			public BuchungenKasseSetZNrIndex ZNrIndex
			{
				get { return zNrIndex; }
			}
			
			/// <summary>ID</summary>
			public BuchungenKasseSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Kontonummer</summary>
			public BuchungenKasseSetKtoNrIndex KtoNrIndex
			{
				get { return ktoNrIndex; }
			}
			
			/// <summary>Gegenkontonummer</summary>
			public BuchungenKasseSetGKtoNrIndex GKtoNrIndex
			{
				get { return gKtoNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public BuchungenKasseSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>Belegnummer 1</summary>
			public BuchungenKasseSetBelegNr1Index BelegNr1Index
			{
				get { return belegNr1Index; }
			}
			
			/// <summary>Belegnummer 1 (numerisch)</summary>
			public BuchungenKasseSetBelegNr1NumIndex BelegNr1NumIndex
			{
				get { return belegNr1NumIndex; }
			}
			
			/// <summary>Belegnummer 2</summary>
			public BuchungenKasseSetBelegNr2Index BelegNr2Index
			{
				get { return belegNr2Index; }
			}
			
			/// <summary>Belegnummer 2 (numerisch)</summary>
			public BuchungenKasseSetBelegNr2NumIndex BelegNr2NumIndex
			{
				get { return belegNr2NumIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public BuchungenKasseSetKstNrIndex KstNrIndex
			{
				get { return kstNrIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public BuchungenKasseSetJPKstNrIndex JPKstNrIndex
			{
				get { return jPKstNrIndex; }
			}
			
			/// <summary>Gegenkostenstellennummer</summary>
			public BuchungenKasseSetGKstNrIndex GKstNrIndex
			{
				get { return gKstNrIndex; }
			}
			
			/// <summary>Gegenkostenstellennummer</summary>
			public BuchungenKasseSetJPGKstNrIndex JPGKstNrIndex
			{
				get { return jPGKstNrIndex; }
			}
			
			/// <summary>Text</summary>
			public BuchungenKasseSetTextIndex TextIndex
			{
				get { return textIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public BuchungenKasseSetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
			/// <summary>Saldo Betrag</summary>
			public BuchungenKasseSetBetIndex BetIndex
			{
				get { return betIndex; }
			}
			
			/// <summary>Laufende Buchnummer</summary>
			public BuchungenKasseSetJPLfdBchNrIndex JPLfdBchNrIndex
			{
				get { return jPLfdBchNrIndex; }
			}
			
			/// <summary>Zeilennummer</summary>
			public BuchungenKasseSetFBchNrZNrIndex FBchNrZNrIndex
			{
				get { return fBchNrZNrIndex; }
			}
			
			/// <summary>Zeilennummer</summary>
			public BuchungenKasseSetFBchNrJPZNrIndex FBchNrJPZNrIndex
			{
				get { return fBchNrJPZNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public BuchungenKasseSetFBchNrJPDatIndex FBchNrJPDatIndex
			{
				get { return fBchNrJPDatIndex; }
			}
			
			/// <summary>JPStSchl</summary>
			public BuchungenKasseSetJPStSchlIndex JPStSchlIndex
			{
				get { return jPStSchlIndex; }
			}
			
		
			#endregion
		}

		public BuchungenKasseSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
