using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BuchungenLohnSet : BpnEntitySet<BuchungenLohn>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "BuchungenLohn";
			
		public static BuchungenLohnSet CreateInstance(BpnConnection connection)
		{
		    var buchungenlohnsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var buchungenlohnsetDataSet = buchungenlohnsetInfo.CreateDataSet();
		
		    var ret = new BuchungenLohnSet(buchungenlohnsetDataSet);
		    return ret;
		}
		
		internal BuchungenLohnSet(BpNT.AutoDataSet buchungenlohnDataSet) 
			: base(buchungenlohnDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected BuchungenLohnSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new BuchungenLohnSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected BuchungenLohnSet parentSet;
		
			protected BuchungenLohnSetIDIndex iDIndex;
			protected BuchungenLohnSetKtoNrIndex ktoNrIndex;
			protected BuchungenLohnSetGKtoNrIndex gKtoNrIndex;
			protected BuchungenLohnSetDatIndex datIndex;
			protected BuchungenLohnSetBelegNr1Index belegNr1Index;
			protected BuchungenLohnSetBelegNr1NumIndex belegNr1NumIndex;
			protected BuchungenLohnSetBelegNr2Index belegNr2Index;
			protected BuchungenLohnSetBelegNr2NumIndex belegNr2NumIndex;
			protected BuchungenLohnSetTextIndex textIndex;
			protected BuchungenLohnSetAdrNrIndex adrNrIndex;
			protected BuchungenLohnSetBetIndex betIndex;
		
			internal IndicesClass(BuchungenLohnSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new BuchungenLohnSetIDIndex(parentSet.DataSet);
				ktoNrIndex = new BuchungenLohnSetKtoNrIndex(parentSet.DataSet);
				gKtoNrIndex = new BuchungenLohnSetGKtoNrIndex(parentSet.DataSet);
				datIndex = new BuchungenLohnSetDatIndex(parentSet.DataSet);
				belegNr1Index = new BuchungenLohnSetBelegNr1Index(parentSet.DataSet);
				belegNr1NumIndex = new BuchungenLohnSetBelegNr1NumIndex(parentSet.DataSet);
				belegNr2Index = new BuchungenLohnSetBelegNr2Index(parentSet.DataSet);
				belegNr2NumIndex = new BuchungenLohnSetBelegNr2NumIndex(parentSet.DataSet);
				textIndex = new BuchungenLohnSetTextIndex(parentSet.DataSet);
				adrNrIndex = new BuchungenLohnSetAdrNrIndex(parentSet.DataSet);
				betIndex = new BuchungenLohnSetBetIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public BuchungenLohnSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Kontonummer</summary>
			public BuchungenLohnSetKtoNrIndex KtoNrIndex
			{
				get { return ktoNrIndex; }
			}
			
			/// <summary>Gegenkontonummer</summary>
			public BuchungenLohnSetGKtoNrIndex GKtoNrIndex
			{
				get { return gKtoNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public BuchungenLohnSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>Belegnummer 1</summary>
			public BuchungenLohnSetBelegNr1Index BelegNr1Index
			{
				get { return belegNr1Index; }
			}
			
			/// <summary>Belegnummer 1 (numerisch)</summary>
			public BuchungenLohnSetBelegNr1NumIndex BelegNr1NumIndex
			{
				get { return belegNr1NumIndex; }
			}
			
			/// <summary>Belegnummer 2</summary>
			public BuchungenLohnSetBelegNr2Index BelegNr2Index
			{
				get { return belegNr2Index; }
			}
			
			/// <summary>Belegnummer 2 (numerisch)</summary>
			public BuchungenLohnSetBelegNr2NumIndex BelegNr2NumIndex
			{
				get { return belegNr2NumIndex; }
			}
			
			/// <summary>Text</summary>
			public BuchungenLohnSetTextIndex TextIndex
			{
				get { return textIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public BuchungenLohnSetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
			/// <summary>Saldo Betrag</summary>
			public BuchungenLohnSetBetIndex BetIndex
			{
				get { return betIndex; }
			}
			
		
			#endregion
		}

		public BuchungenLohnSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
