using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Dokumente : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Dokumente";
			
		public static Dokumente CreateInstance(BpnConnection connection)
		{
		    var dokumenteInfo = connection.GetDataSetInfo(DS_NAME);
		    var dokumenteDataSet = dokumenteInfo.CreateDataSet();
		
		    var ret = new Dokumente(dokumenteDataSet);
		    return ret;
		}
		
		public Dokumente(BpNT.AutoDataSet dokumenteDataSet) 
			: base(dokumenteDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Bereich ( String )</summary>
		public virtual String DBBkzBez
		{
			get { return Convert.ToString(this["DBBkzBez"]); }
			set { this["DBBkzBez"] = value; }
		}
		/// <summary>Indexname ( String )</summary>
		public virtual String IxName
		{
			get { return Convert.ToString(this["IxName"]); }
			set { this["IxName"] = value; }
		}
		/// <summary>Nummer ( String )</summary>
		public virtual String Nr
		{
			get { return Convert.ToString(this["Nr"]); }
			set { this["Nr"] = value; }
		}
		/// <summary>Laufende Nummer ( Integer )</summary>
		public virtual Int32 LfdNr
		{
			get { return Convert.ToInt32(this["LfdNr"]); }
			set { this["LfdNr"] = value; }
		}
		/// <summary>Datensatzinformation ( String )</summary>
		public virtual String DSInfo
		{
			get { return Convert.ToString(this["DSInfo"]); }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Kein OLE Dokument ( Boolean )</summary>
		public virtual Object NoOLEKz
		{
			get { return this["NoOLEKz"]; }
		}
		/// <summary>Dokumentenart ( Integer )</summary>
		public virtual Int32 DoKuArt
		{
			get { return Convert.ToInt32(this["DoKuArt"]); }
		}
		/// <summary>Datensatz kann als Anlage verwendet werden ( Boolean )</summary>
		public virtual Object AnlageKz
		{
			get { return this["AnlageKz"]; }
			set { this["AnlageKz"] = value; }
		}
		/// <summary>Name ( String )</summary>
		public virtual String Na
		{
			get { return Convert.ToString(this["Na"]); }
			set { this["Na"] = value; }
		}
		/// <summary>Dateinamenserweiterung ( String )</summary>
		public virtual String Ext
		{
			get { return Convert.ToString(this["Ext"]); }
			set { this["Ext"] = value; }
		}
		/// <summary>Dokumententyp Information ( String )</summary>
		public virtual String TypInfo
		{
			get { return Convert.ToString(this["TypInfo"]); }
		}
		/// <summary>Dateiname ( String )</summary>
		public virtual String DateiName
		{
			get { return Convert.ToString(this["DateiName"]); }
		}
		/// <summary>Name der Datei, die auf dem Server gespeichert wurde ( String )</summary>
		public virtual String SFNa
		{
			get { return Convert.ToString(this["SFNa"]); }
			set { this["SFNa"] = value; }
		}
		/// <summary>Dokumentendaten ( Blob )</summary>
		public virtual Object Data
		{
			get { return this["Data"]; }
			set { this["Data"] = value; }
		}
		/// <summary>StringListData ( StringList )</summary>
		public virtual Object SlData
		{
			get { return this["SlData"]; }
			set { this["SlData"] = value; }
		}
		/// <summary>abw. Dokument fr Brief- / Fax-Ausgabe verwenden ( Boolean )</summary>
		public virtual Object AbwBriefFaxKz
		{
			get { return this["AbwBriefFaxKz"]; }
		}
		/// <summary>abw. Dokumentendaten fr Brief- / Fax-Ausgabe ( Blob )</summary>
		public virtual Object AbwData
		{
			get { return this["AbwData"]; }
			set { this["AbwData"] = value; }
		}
		/// <summary>Dokumentensymbol ( Blob )</summary>
		public virtual Object Symbol
		{
			get { return this["Symbol"]; }
			set { this["Symbol"] = value; }
		}
		/// <summary>Wichtigkeit ( Byte )</summary>
		public virtual Object Wichtig
		{
			get { return this["Wichtig"]; }
			set { this["Wichtig"] = value; }
		}
		/// <summary>Dokument im Webshop bereitstellen Kennzeichen ( Boolean )</summary>
		public virtual Object WShopKz
		{
			get { return this["WShopKz"]; }
			set { this["WShopKz"] = value; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Berechtigungsgruppe ( Byte )</summary>
		public virtual Object BerechtGrp
		{
			get { return this["BerechtGrp"]; }
			set { this["BerechtGrp"] = value; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Memo-Information ( Info )</summary>
		public virtual Object Memo
		{
			get { return this["Memo"]; }
			set { this["Memo"] = value; }
		}
		/// <summary>Memo-Information Kennzeichen ( Boolean )</summary>
		public virtual Object MemoKz
		{
			get { return this["MemoKz"]; }
		}
		/// <summary>IDString ( String )</summary>
		public virtual String IDStr
		{
			get { return Convert.ToString(this["IDStr"]); }
			set { this["IDStr"] = value; }
		}
		/// <summary>Link ID ( Integer )</summary>
		public virtual Int32 LinkID
		{
			get { return Convert.ToInt32(this["LinkID"]); }
			set { this["LinkID"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>RecordRevision ( SmallInt )</summary>
		public virtual Object RecRev
		{
			get { return this["RecRev"]; }
			set { this["RecRev"] = value; }
		}


		#endregion
	}
}
