using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class EinsatzSet : BpnEntitySet<Einsatz>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Einsatz";
			
		public static EinsatzSet CreateInstance(BpnConnection connection)
		{
		    var einsatzsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var einsatzsetDataSet = einsatzsetInfo.CreateDataSet();
		
		    var ret = new EinsatzSet(einsatzsetDataSet);
		    return ret;
		}
		
		internal EinsatzSet(BpNT.AutoDataSet einsatzDataSet) 
			: base(einsatzDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected EinsatzSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new EinsatzSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected EinsatzSet parentSet;
		
			protected EinsatzSetSuchBegIndex suchBegIndex;
			protected EinsatzSetMitNrIndex mitNrIndex;
		
			internal IndicesClass(EinsatzSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				suchBegIndex = new EinsatzSetSuchBegIndex(parentSet.DataSet);
				mitNrIndex = new EinsatzSetMitNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Suchbegriff</summary>
			public EinsatzSetSuchBegIndex SuchBegIndex
			{
				get { return suchBegIndex; }
			}
			
			/// <summary>Mitarbeiternummer</summary>
			public EinsatzSetMitNrIndex MitNrIndex
			{
				get { return mitNrIndex; }
			}
			
		
			#endregion
		}

		public EinsatzSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
