using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class FilialenSet : BpnEntitySet<Filialen>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Filialen";
			
		public static FilialenSet CreateInstance(BpnConnection connection)
		{
		    var filialensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var filialensetDataSet = filialensetInfo.CreateDataSet();
		
		    var ret = new FilialenSet(filialensetDataSet);
		    return ret;
		}
		
		internal FilialenSet(BpNT.AutoDataSet filialenDataSet) 
			: base(filialenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected FilialenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new FilialenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected FilialenSet parentSet;
		
			protected FilialenSetIDIndex iDIndex;
			protected FilialenSetFilNrIndex filNrIndex;
		
			internal IndicesClass(FilialenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new FilialenSetIDIndex(parentSet.DataSet);
				filNrIndex = new FilialenSetFilNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public FilialenSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Filialnummer</summary>
			public FilialenSetFilNrIndex FilNrIndex
			{
				get { return filNrIndex; }
			}
			
		
			#endregion
		}

		public FilialenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
