using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class FilterDefinitionen : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "FilterDefinitionen";
			
		public static FilterDefinitionen CreateInstance(BpnConnection connection)
		{
		    var filterdefinitionenInfo = connection.GetDataSetInfo(DS_NAME);
		    var filterdefinitionenDataSet = filterdefinitionenInfo.CreateDataSet();
		
		    var ret = new FilterDefinitionen(filterdefinitionenDataSet);
		    return ret;
		}
		
		public FilterDefinitionen(BpNT.AutoDataSet filterdefinitionenDataSet) 
			: base(filterdefinitionenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Bereich fr Filterdefinition ( String )</summary>
		public virtual String Bereich
		{
			get { return Convert.ToString(this["Bereich"]); }
			set { this["Bereich"] = value; }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Name ( String )</summary>
		public virtual String Na
		{
			get { return Convert.ToString(this["Na"]); }
			set { this["Na"] = value; }
		}
		/// <summary>Filterdefinition ( String )</summary>
		public virtual String FilterDef
		{
			get { return Convert.ToString(this["FilterDef"]); }
			set { this["FilterDef"] = value; }
		}
		/// <summary>Information ( Blob )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>RecordRevision ( SmallInt )</summary>
		public virtual Object RecRev
		{
			get { return this["RecRev"]; }
			set { this["RecRev"] = value; }
		}


		#endregion
	}
}
