using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class GlobalData : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "GlobalData";
			
		public static GlobalData CreateInstance(BpnConnection connection)
		{
		    var globaldataInfo = connection.GetDataSetInfo(DS_NAME);
		    var globaldataDataSet = globaldataInfo.CreateDataSet();
		
		    var ret = new GlobalData(globaldataDataSet);
		    return ret;
		}
		
		public GlobalData(BpNT.AutoDataSet globaldataDataSet) 
			: base(globaldataDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>Laender ( BlobTable )</summary>
		public virtual Object Lae
		{
			get { return this["Lae"]; }
			set { this["Lae"] = value; }
		}
		/// <summary>VerteilerBenutzer ( BlobTable )</summary>
		public virtual Object Vtl
		{
			get { return this["Vtl"]; }
			set { this["Vtl"] = value; }
		}
		/// <summary>BenutzerAbteilungen ( BlobTable )</summary>
		public virtual Object BzrAbt
		{
			get { return this["BzrAbt"]; }
			set { this["BzrAbt"] = value; }
		}
		/// <summary>SVAnnahmestellen ( BlobTable )</summary>
		public virtual Object SVAnSt
		{
			get { return this["SVAnSt"]; }
			set { this["SVAnSt"] = value; }
		}
		/// <summary>ZertifikatSpeicher ( BlobTable )</summary>
		public virtual Object ZrtSp
		{
			get { return this["ZrtSp"]; }
			set { this["ZrtSp"] = value; }
		}
		/// <summary>StringListData ( StringList )</summary>
		public virtual Object VgbEASlData
		{
			get { return this["VgbEASlData"]; }
			set { this["VgbEASlData"] = value; }
		}
		/// <summary>SpellCheckParam ( BlobTable )</summary>
		public virtual Object SpP
		{
			get { return this["SpP"]; }
			set { this["SpP"] = value; }
		}
		/// <summary>Globale-COM-Konfigurationsdaten ( StringList )</summary>
		public virtual Object GloCOMKonfig
		{
			get { return this["GloCOMKonfig"]; }
			set { this["GloCOMKonfig"] = value; }
		}
		/// <summary>KalenderFarben ( BlobTable )</summary>
		public virtual Object KdrFbn
		{
			get { return this["KdrFbn"]; }
			set { this["KdrFbn"] = value; }
		}
		/// <summary>NeedWartung Kennzeichen ( Boolean )</summary>
		public virtual Object NeedWartungKz
		{
			get { return this["NeedWartungKz"]; }
			set { this["NeedWartungKz"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}


		#endregion
	}
}
