using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class History : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "History";
			
		public static History CreateInstance(BpnConnection connection)
		{
		    var historyInfo = connection.GetDataSetInfo(DS_NAME);
		    var historyDataSet = historyInfo.CreateDataSet();
		
		    var ret = new History(historyDataSet);
		    return ret;
		}
		
		public History(BpNT.AutoDataSet historyDataSet) 
			: base(historyDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Datum ( Date )</summary>
		public virtual DateTime Dat
		{
			get { return Convert.ToDateTime(this["Dat"]); }
			set { this["Dat"] = value; }
		}
		/// <summary>Adressnummer ( String )</summary>
		public virtual String AdrNr
		{
			get { return Convert.ToString(this["AdrNr"]); }
			set { this["AdrNr"] = value; }
		}
		/// <summary>Anschriftennummer ( Integer )</summary>
		public virtual Int32 AnsNr
		{
			get { return Convert.ToInt32(this["AnsNr"]); }
			set { this["AnsNr"] = value; }
		}
		/// <summary>Adresse ( String )</summary>
		public virtual String AdrNrInfo
		{
			get { return Convert.ToString(this["AdrNrInfo"]); }
		}
		/// <summary>Berechtigungsgruppe der Adresse ( Byte )</summary>
		public virtual Object AdrBerechtGrp
		{
			get { return this["AdrBerechtGrp"]; }
			set { this["AdrBerechtGrp"] = value; }
		}
		/// <summary>Erledigt Kennzeichen ( Boolean )</summary>
		public virtual Object ErledigtKz
		{
			get { return this["ErledigtKz"]; }
		}
		/// <summary>Belegnummer ( String )</summary>
		public virtual String BelegNr
		{
			get { return Convert.ToString(this["BelegNr"]); }
			set { this["BelegNr"] = value; }
		}
		/// <summary>Belegpositionsnummer ( SmallInt )</summary>
		public virtual Object BelegPosNr
		{
			get { return this["BelegPosNr"]; }
			set { this["BelegPosNr"] = value; }
		}
		/// <summary>Berechtigungsgruppe des Belegs ( Byte )</summary>
		public virtual Object BelegBerechtGrp
		{
			get { return this["BelegBerechtGrp"]; }
			set { this["BelegBerechtGrp"] = value; }
		}
		/// <summary>Projektnummer ( String )</summary>
		public virtual String PrjNr
		{
			get { return Convert.ToString(this["PrjNr"]); }
			set { this["PrjNr"] = value; }
		}
		/// <summary>Projekt ( String )</summary>
		public virtual String PrjNrInfo
		{
			get { return Convert.ToString(this["PrjNrInfo"]); }
		}
		/// <summary>Auftragsnummer ( String )</summary>
		public virtual String AuftrNr
		{
			get { return Convert.ToString(this["AuftrNr"]); }
			set { this["AuftrNr"] = value; }
		}
		/// <summary>Versandart ( String )</summary>
		public virtual String VsdArtBez
		{
			get { return Convert.ToString(this["VsdArtBez"]); }
			set { this["VsdArtBez"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Bewegungsart ( Byte )</summary>
		public virtual Object BewArt
		{
			get { return this["BewArt"]; }
			set { this["BewArt"] = value; }
		}
		/// <summary>Artikelnummer ( String )</summary>
		public virtual String ArtNr
		{
			get { return Convert.ToString(this["ArtNr"]); }
			set { this["ArtNr"] = value; }
		}
		/// <summary>Artikelbezeichnung ( String )</summary>
		public virtual String ArtBez
		{
			get { return Convert.ToString(this["ArtBez"]); }
			set { this["ArtBez"] = value; }
		}
		/// <summary>Referenz ( String )</summary>
		public virtual String Ref
		{
			get { return Convert.ToString(this["Ref"]); }
			set { this["Ref"] = value; }
		}
		/// <summary>Artikeldatum ( Date )</summary>
		public virtual DateTime ArtDat
		{
			get { return Convert.ToDateTime(this["ArtDat"]); }
			set { this["ArtDat"] = value; }
		}
		/// <summary>Menge ( Double )</summary>
		public virtual Object Mge
		{
			get { return this["Mge"]; }
			set { this["Mge"] = value; }
		}
		/// <summary>Einheit ( String )</summary>
		public virtual String Einh
		{
			get { return Convert.ToString(this["Einh"]); }
			set { this["Einh"] = value; }
		}
		/// <summary>Buchungsmenge (= Menge * Mengenfaktor) ( Double )</summary>
		public virtual Object BuchMge
		{
			get { return this["BuchMge"]; }
			set { this["BuchMge"] = value; }
		}
		/// <summary>Artikelpreisgruppe ( Byte )</summary>
		public virtual Object ArtPrGrp
		{
			get { return this["ArtPrGrp"]; }
			set { this["ArtPrGrp"] = value; }
		}
		/// <summary>Einzelpreis BG ( Array )</summary>
		public virtual Object EPreisBG
		{
			get { return this["EPreisBG"]; }
		}
		/// <summary>Einzelpreis (Netto) ( Double )</summary>
		public virtual Object EPreisNt
		{
			get { return this["EPreisNt"]; }
		}
		/// <summary>Einzelpreis (Steuer) ( Double )</summary>
		public virtual Object EPreisSt
		{
			get { return this["EPreisSt"]; }
		}
		/// <summary>Einzelpreis (Brutto) ( Double )</summary>
		public virtual Object EPreisBt
		{
			get { return this["EPreisBt"]; }
		}
		/// <summary>ges. Preis ( Double )</summary>
		public virtual Object GPreis
		{
			get { return this["GPreis"]; }
			set { this["GPreis"] = value; }
		}
		/// <summary>ges. Preis BG ( Array )</summary>
		public virtual Object GPreisBG
		{
			get { return this["GPreisBG"]; }
			set { this["GPreisBG"] = value; }
		}
		/// <summary>ges. Preis [2 Mehrwertsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisM7Nt
		{
			get { return this["GPreisM7Nt"]; }
		}
		/// <summary>ges. Preis [2 Mehrwertsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisM7St
		{
			get { return this["GPreisM7St"]; }
		}
		/// <summary>ges. Preis [2 Mehrwertsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisM7Bt
		{
			get { return this["GPreisM7Bt"]; }
		}
		/// <summary>ges. Preis [3 Mehrwertsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisM16Nt
		{
			get { return this["GPreisM16Nt"]; }
		}
		/// <summary>ges. Preis [3 Mehrwertsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisM16St
		{
			get { return this["GPreisM16St"]; }
		}
		/// <summary>ges. Preis [3 Mehrwertsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisM16Bt
		{
			get { return this["GPreisM16Bt"]; }
		}
		/// <summary>ges. Preis [4 Mehrwertsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisM19Nt
		{
			get { return this["GPreisM19Nt"]; }
		}
		/// <summary>ges. Preis [4 Mehrwertsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisM19St
		{
			get { return this["GPreisM19St"]; }
		}
		/// <summary>ges. Preis [4 Mehrwertsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisM19Bt
		{
			get { return this["GPreisM19Bt"]; }
		}
		/// <summary>ges. Preis [5 Mehrwertsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisM15Nt
		{
			get { return this["GPreisM15Nt"]; }
		}
		/// <summary>ges. Preis [5 Mehrwertsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisM15St
		{
			get { return this["GPreisM15St"]; }
		}
		/// <summary>ges. Preis [5 Mehrwertsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisM15Bt
		{
			get { return this["GPreisM15Bt"]; }
		}
		/// <summary>ges. Preis [6 Vorsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisV19Nt
		{
			get { return this["GPreisV19Nt"]; }
		}
		/// <summary>ges. Preis [6 Vorsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisV19St
		{
			get { return this["GPreisV19St"]; }
		}
		/// <summary>ges. Preis [6 Vorsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisV19Bt
		{
			get { return this["GPreisV19Bt"]; }
		}
		/// <summary>ges. Preis [7 Vorsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisV15Nt
		{
			get { return this["GPreisV15Nt"]; }
		}
		/// <summary>ges. Preis [7 Vorsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisV15St
		{
			get { return this["GPreisV15St"]; }
		}
		/// <summary>ges. Preis [7 Vorsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisV15Bt
		{
			get { return this["GPreisV15Bt"]; }
		}
		/// <summary>ges. Preis [8 Vorsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisV7Nt
		{
			get { return this["GPreisV7Nt"]; }
		}
		/// <summary>ges. Preis [8 Vorsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisV7St
		{
			get { return this["GPreisV7St"]; }
		}
		/// <summary>ges. Preis [8 Vorsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisV7Bt
		{
			get { return this["GPreisV7Bt"]; }
		}
		/// <summary>ges. Preis [9 Vorsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisV16Nt
		{
			get { return this["GPreisV16Nt"]; }
		}
		/// <summary>ges. Preis [9 Vorsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisV16St
		{
			get { return this["GPreisV16St"]; }
		}
		/// <summary>ges. Preis [9 Vorsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisV16Bt
		{
			get { return this["GPreisV16Bt"]; }
		}
		/// <summary>ges. Preis [10 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object GPreisUSFNt
		{
			get { return this["GPreisUSFNt"]; }
		}
		/// <summary>ges. Preis [10 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object GPreisUSFSt
		{
			get { return this["GPreisUSFSt"]; }
		}
		/// <summary>ges. Preis [10 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object GPreisUSFBt
		{
			get { return this["GPreisUSFBt"]; }
		}
		/// <summary>ges. Preis [11 EU Umsatzsteuerfrei mit ID-Nr.] (Netto) ( Double )</summary>
		public virtual Object GPreisEFINt
		{
			get { return this["GPreisEFINt"]; }
		}
		/// <summary>ges. Preis [11 EU Umsatzsteuerfrei mit ID-Nr.] (Steuer) ( Double )</summary>
		public virtual Object GPreisEFISt
		{
			get { return this["GPreisEFISt"]; }
		}
		/// <summary>ges. Preis [11 EU Umsatzsteuerfrei mit ID-Nr.] (Brutto) ( Double )</summary>
		public virtual Object GPreisEFIBt
		{
			get { return this["GPreisEFIBt"]; }
		}
		/// <summary>ges. Preis [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisEM7Nt
		{
			get { return this["GPreisEM7Nt"]; }
		}
		/// <summary>ges. Preis [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisEM7St
		{
			get { return this["GPreisEM7St"]; }
		}
		/// <summary>ges. Preis [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisEM7Bt
		{
			get { return this["GPreisEM7Bt"]; }
		}
		/// <summary>ges. Preis [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisEM16Nt
		{
			get { return this["GPreisEM16Nt"]; }
		}
		/// <summary>ges. Preis [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisEM16St
		{
			get { return this["GPreisEM16St"]; }
		}
		/// <summary>ges. Preis [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisEM16Bt
		{
			get { return this["GPreisEM16Bt"]; }
		}
		/// <summary>ges. Preis [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisEM19Nt
		{
			get { return this["GPreisEM19Nt"]; }
		}
		/// <summary>ges. Preis [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisEM19St
		{
			get { return this["GPreisEM19St"]; }
		}
		/// <summary>ges. Preis [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisEM19Bt
		{
			get { return this["GPreisEM19Bt"]; }
		}
		/// <summary>ges. Preis [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisEM15Nt
		{
			get { return this["GPreisEM15Nt"]; }
		}
		/// <summary>ges. Preis [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisEM15St
		{
			get { return this["GPreisEM15St"]; }
		}
		/// <summary>ges. Preis [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisEM15Bt
		{
			get { return this["GPreisEM15Bt"]; }
		}
		/// <summary>ges. Preis [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisEV19Nt
		{
			get { return this["GPreisEV19Nt"]; }
		}
		/// <summary>ges. Preis [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisEV19St
		{
			get { return this["GPreisEV19St"]; }
		}
		/// <summary>ges. Preis [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisEV19Bt
		{
			get { return this["GPreisEV19Bt"]; }
		}
		/// <summary>ges. Preis [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisEV15Nt
		{
			get { return this["GPreisEV15Nt"]; }
		}
		/// <summary>ges. Preis [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisEV15St
		{
			get { return this["GPreisEV15St"]; }
		}
		/// <summary>ges. Preis [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisEV15Bt
		{
			get { return this["GPreisEV15Bt"]; }
		}
		/// <summary>ges. Preis [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisEV7Nt
		{
			get { return this["GPreisEV7Nt"]; }
		}
		/// <summary>ges. Preis [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisEV7St
		{
			get { return this["GPreisEV7St"]; }
		}
		/// <summary>ges. Preis [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisEV7Bt
		{
			get { return this["GPreisEV7Bt"]; }
		}
		/// <summary>ges. Preis [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisEV16Nt
		{
			get { return this["GPreisEV16Nt"]; }
		}
		/// <summary>ges. Preis [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisEV16St
		{
			get { return this["GPreisEV16St"]; }
		}
		/// <summary>ges. Preis [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisEV16Bt
		{
			get { return this["GPreisEV16Bt"]; }
		}
		/// <summary>ges. Preis [48 VSt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object GPreisBV19Nt
		{
			get { return this["GPreisBV19Nt"]; }
		}
		/// <summary>ges. Preis [48 VSt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object GPreisBV19St
		{
			get { return this["GPreisBV19St"]; }
		}
		/// <summary>ges. Preis [48 VSt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object GPreisBV19Bt
		{
			get { return this["GPreisBV19Bt"]; }
		}
		/// <summary>ges. Preis [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object GPreisBV16Nt
		{
			get { return this["GPreisBV16Nt"]; }
		}
		/// <summary>ges. Preis [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object GPreisBV16St
		{
			get { return this["GPreisBV16St"]; }
		}
		/// <summary>ges. Preis [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object GPreisBV16Bt
		{
			get { return this["GPreisBV16Bt"]; }
		}
		/// <summary>ges. Preis [58 USt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object GPreisBU19Nt
		{
			get { return this["GPreisBU19Nt"]; }
		}
		/// <summary>ges. Preis [58 USt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object GPreisBU19St
		{
			get { return this["GPreisBU19St"]; }
		}
		/// <summary>ges. Preis [58 USt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object GPreisBU19Bt
		{
			get { return this["GPreisBU19Bt"]; }
		}
		/// <summary>ges. Preis [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object GPreisBU16Nt
		{
			get { return this["GPreisBU16Nt"]; }
		}
		/// <summary>ges. Preis [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object GPreisBU16St
		{
			get { return this["GPreisBU16St"]; }
		}
		/// <summary>ges. Preis [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object GPreisBU16Bt
		{
			get { return this["GPreisBU16Bt"]; }
		}
		/// <summary>ges. Preis [69 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object GPreisBOSNt
		{
			get { return this["GPreisBOSNt"]; }
		}
		/// <summary>ges. Preis [69 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object GPreisBOSSt
		{
			get { return this["GPreisBOSSt"]; }
		}
		/// <summary>ges. Preis [69 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object GPreisBOSBt
		{
			get { return this["GPreisBOSBt"]; }
		}
		/// <summary>ges. Preis [102 Ohne Steuer (Einkauf)] (Netto) ( Double )</summary>
		public virtual Object GPreisOS_EKNt
		{
			get { return this["GPreisOS_EKNt"]; }
		}
		/// <summary>ges. Preis [102 Ohne Steuer (Einkauf)] (Steuer) ( Double )</summary>
		public virtual Object GPreisOS_EKSt
		{
			get { return this["GPreisOS_EKSt"]; }
		}
		/// <summary>ges. Preis [102 Ohne Steuer (Einkauf)] (Brutto) ( Double )</summary>
		public virtual Object GPreisOS_EKBt
		{
			get { return this["GPreisOS_EKBt"]; }
		}
		/// <summary>ges. Preis (Netto) ( Double )</summary>
		public virtual Object GPreisNt
		{
			get { return this["GPreisNt"]; }
		}
		/// <summary>ges. Preis (Steuer) ( Double )</summary>
		public virtual Object GPreisSt
		{
			get { return this["GPreisSt"]; }
		}
		/// <summary>ges. Preis (Brutto) ( Double )</summary>
		public virtual Object GPreisBt
		{
			get { return this["GPreisBt"]; }
		}
		/// <summary>Steuerschlssel ( String )</summary>
		public virtual String StSchl
		{
			get { return Convert.ToString(this["StSchl"]); }
		}
		/// <summary>Einzelpreis den Kunde bezahlt hat (Netto) ( Double )</summary>
		public virtual Object KdBezEPrNt
		{
			get { return this["KdBezEPrNt"]; }
		}
		/// <summary>Betrag den Kunde bezahlt hat (Netto) ( Double )</summary>
		public virtual Object KdBezBetNt
		{
			get { return this["KdBezBetNt"]; }
			set { this["KdBezBetNt"] = value; }
		}
		/// <summary>Restbetrag ist Preisnachlass ( Boolean )</summary>
		public virtual Object RBetPrNaKz
		{
			get { return this["RBetPrNaKz"]; }
			set { this["RBetPrNaKz"] = value; }
		}
		/// <summary>Einzel-Ek (fr Roherls) ( Double )</summary>
		public virtual Object EEkRoh
		{
			get { return this["EEkRoh"]; }
		}
		/// <summary>ges. Einkaufspreis (Roherls) ( Double )</summary>
		public virtual Object GEkRoh
		{
			get { return this["GEkRoh"]; }
			set { this["GEkRoh"] = value; }
		}
		/// <summary>Einzel-Rabattbetrag (Netto) ( Double )</summary>
		public virtual Object ERabBetNt
		{
			get { return this["ERabBetNt"]; }
		}
		/// <summary>ges. Rabattbetrag (Netto) ( Double )</summary>
		public virtual Object GRabBetNt
		{
			get { return this["GRabBetNt"]; }
			set { this["GRabBetNt"] = value; }
		}
		/// <summary>Rabatt (in %) ( Double )</summary>
		public virtual Object RabSz
		{
			get { return this["RabSz"]; }
		}
		/// <summary>Warengruppennummer ( String )</summary>
		public virtual String WgrNr
		{
			get { return Convert.ToString(this["WgrNr"]); }
			set { this["WgrNr"] = value; }
		}
		/// <summary>Warengruppe ( String )</summary>
		public virtual String WgrNrInfo
		{
			get { return Convert.ToString(this["WgrNrInfo"]); }
		}
		/// <summary>Vertreternummer ( String )</summary>
		public virtual String VtrNr
		{
			get { return Convert.ToString(this["VtrNr"]); }
			set { this["VtrNr"] = value; }
		}
		/// <summary>Vertreter ( String )</summary>
		public virtual String VtrNrInfo
		{
			get { return Convert.ToString(this["VtrNrInfo"]); }
		}
		/// <summary>Kostenstellennummer ( String )</summary>
		public virtual String KstNr
		{
			get { return Convert.ToString(this["KstNr"]); }
			set { this["KstNr"] = value; }
		}
		/// <summary>Kostenstelle ( String )</summary>
		public virtual String KstNrInfo
		{
			get { return Convert.ToString(this["KstNrInfo"]); }
		}
		/// <summary>Seriennummer ( String )</summary>
		public virtual String SerienNr
		{
			get { return Convert.ToString(this["SerienNr"]); }
		}
		/// <summary>Statusimage ( Integer )</summary>
		public virtual Int32 StatusImg
		{
			get { return Convert.ToInt32(this["StatusImg"]); }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>QuickInfo ( Array )</summary>
		public virtual Object QuickInfo
		{
			get { return this["QuickInfo"]; }
		}


		#endregion
	}
}
