using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class IdentifikationenZO : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "IdentifikationenZO";
			
		public static IdentifikationenZO CreateInstance(BpnConnection connection)
		{
		    var identifikationenzoInfo = connection.GetDataSetInfo(DS_NAME);
		    var identifikationenzoDataSet = identifikationenzoInfo.CreateDataSet();
		
		    var ret = new IdentifikationenZO(identifikationenzoDataSet);
		    return ret;
		}
		
		public IdentifikationenZO(BpNT.AutoDataSet identifikationenzoDataSet) 
			: base(identifikationenzoDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Identifikationennummer ( String )</summary>
		public virtual String IdtNr
		{
			get { return Convert.ToString(this["IdtNr"]); }
			set { this["IdtNr"] = value; }
		}
		/// <summary>Mandantnummer ( String )</summary>
		public virtual String MandNr
		{
			get { return Convert.ToString(this["MandNr"]); }
			set { this["MandNr"] = value; }
		}
		/// <summary>Bereich ( String )</summary>
		public virtual String DBBkzBez
		{
			get { return Convert.ToString(this["DBBkzBez"]); }
			set { this["DBBkzBez"] = value; }
		}
		/// <summary>Nummer ( String )</summary>
		public virtual String Nr
		{
			get { return Convert.ToString(this["Nr"]); }
			set { this["Nr"] = value; }
		}
		/// <summary>Laufende Nummer ( Integer )</summary>
		public virtual Int32 LfdNr
		{
			get { return Convert.ToInt32(this["LfdNr"]); }
			set { this["LfdNr"] = value; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}


		#endregion
	}
}
