using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Kalendarium : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Kalendarium";
			
		public static Kalendarium CreateInstance(BpnConnection connection)
		{
		    var kalendariumInfo = connection.GetDataSetInfo(DS_NAME);
		    var kalendariumDataSet = kalendariumInfo.CreateDataSet();
		
		    var ret = new Kalendarium(kalendariumDataSet);
		    return ret;
		}
		
		public Kalendarium(BpNT.AutoDataSet kalendariumDataSet) 
			: base(kalendariumDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Mitarbeiternummer ( String )</summary>
		public virtual String MitNr
		{
			get { return Convert.ToString(this["MitNr"]); }
			set { this["MitNr"] = value; }
		}
		/// <summary>Datum ( Date )</summary>
		public virtual DateTime Dat
		{
			get { return Convert.ToDateTime(this["Dat"]); }
			set { this["Dat"] = value; }
		}
		/// <summary>Kalendariumsaetze ( BlobTable )</summary>
		public virtual Object Kls
		{
			get { return this["Kls"]; }
			set { this["Kls"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>RecordRevision ( SmallInt )</summary>
		public virtual Object RecRev
		{
			get { return this["RecRev"]; }
			set { this["RecRev"] = value; }
		}


		#endregion
	}
}
