using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KalenderArchivSet : BpnEntitySet<KalenderArchiv>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "KalenderArchiv";
			
		public static KalenderArchivSet CreateInstance(BpnConnection connection)
		{
		    var kalenderarchivsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var kalenderarchivsetDataSet = kalenderarchivsetInfo.CreateDataSet();
		
		    var ret = new KalenderArchivSet(kalenderarchivsetDataSet);
		    return ret;
		}
		
		internal KalenderArchivSet(BpNT.AutoDataSet kalenderarchivDataSet) 
			: base(kalenderarchivDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected KalenderArchivSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new KalenderArchivSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected KalenderArchivSet parentSet;
		
			protected KalenderArchivSetIDIndex iDIndex;
			protected KalenderArchivSetArtDatIndex artDatIndex;
			protected KalenderArchivSetDatIndex datIndex;
			protected KalenderArchivSetKuInfoIndex kuInfoIndex;
			protected KalenderArchivSetAspNrDatIndex aspNrDatIndex;
			protected KalenderArchivSetAspNrArtDatIndex aspNrArtDatIndex;
			protected KalenderArchivSetAnhNrDatIndex anhNrDatIndex;
			protected KalenderArchivSetAnhNrArtDatIndex anhNrArtDatIndex;
			protected KalenderArchivSetPrjNrIndex prjNrIndex;
			protected KalenderArchivSetBzrDatIndex bzrDatIndex;
			protected KalenderArchivSetBzrArtDatIndex bzrArtDatIndex;
			protected KalenderArchivSetParentIDTerminTypWiedIDIndex parentIDTerminTypWiedIDIndex;
			protected KalenderArchivSetArtTypDatIndex artTypDatIndex;
		
			internal IndicesClass(KalenderArchivSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new KalenderArchivSetIDIndex(parentSet.DataSet);
				artDatIndex = new KalenderArchivSetArtDatIndex(parentSet.DataSet);
				datIndex = new KalenderArchivSetDatIndex(parentSet.DataSet);
				kuInfoIndex = new KalenderArchivSetKuInfoIndex(parentSet.DataSet);
				aspNrDatIndex = new KalenderArchivSetAspNrDatIndex(parentSet.DataSet);
				aspNrArtDatIndex = new KalenderArchivSetAspNrArtDatIndex(parentSet.DataSet);
				anhNrDatIndex = new KalenderArchivSetAnhNrDatIndex(parentSet.DataSet);
				anhNrArtDatIndex = new KalenderArchivSetAnhNrArtDatIndex(parentSet.DataSet);
				prjNrIndex = new KalenderArchivSetPrjNrIndex(parentSet.DataSet);
				bzrDatIndex = new KalenderArchivSetBzrDatIndex(parentSet.DataSet);
				bzrArtDatIndex = new KalenderArchivSetBzrArtDatIndex(parentSet.DataSet);
				parentIDTerminTypWiedIDIndex = new KalenderArchivSetParentIDTerminTypWiedIDIndex(parentSet.DataSet);
				artTypDatIndex = new KalenderArchivSetArtTypDatIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public KalenderArchivSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Art</summary>
			public KalenderArchivSetArtDatIndex ArtDatIndex
			{
				get { return artDatIndex; }
			}
			
			/// <summary>Startdatum</summary>
			public KalenderArchivSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>Kurzinfo</summary>
			public KalenderArchivSetKuInfoIndex KuInfoIndex
			{
				get { return kuInfoIndex; }
			}
			
			/// <summary>Nummer</summary>
			public KalenderArchivSetAspNrDatIndex AspNrDatIndex
			{
				get { return aspNrDatIndex; }
			}
			
			/// <summary>Nummer</summary>
			public KalenderArchivSetAspNrArtDatIndex AspNrArtDatIndex
			{
				get { return aspNrArtDatIndex; }
			}
			
			/// <summary>Anhang</summary>
			public KalenderArchivSetAnhNrDatIndex AnhNrDatIndex
			{
				get { return anhNrDatIndex; }
			}
			
			/// <summary>Anhang</summary>
			public KalenderArchivSetAnhNrArtDatIndex AnhNrArtDatIndex
			{
				get { return anhNrArtDatIndex; }
			}
			
			/// <summary>Projektnummer</summary>
			public KalenderArchivSetPrjNrIndex PrjNrIndex
			{
				get { return prjNrIndex; }
			}
			
			/// <summary>Sachbearbeiter (Benutzernummer)</summary>
			public KalenderArchivSetBzrDatIndex BzrDatIndex
			{
				get { return bzrDatIndex; }
			}
			
			/// <summary>Benutzer, Art und Datum</summary>
			public KalenderArchivSetBzrArtDatIndex BzrArtDatIndex
			{
				get { return bzrArtDatIndex; }
			}
			
			/// <summary>ParentID, TerminTyp, Wiederholungsindex</summary>
			public KalenderArchivSetParentIDTerminTypWiedIDIndex ParentIDTerminTypWiedIDIndex
			{
				get { return parentIDTerminTypWiedIDIndex; }
			}
			
			/// <summary>Art, Typ, Datum</summary>
			public KalenderArchivSetArtTypDatIndex ArtTypDatIndex
			{
				get { return artTypDatIndex; }
			}
			
		
			#endregion
		}

		public KalenderArchivSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
