using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KalenderSet : BpnEntitySet<Kalender>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Kalender";
			
		public static KalenderSet CreateInstance(BpnConnection connection)
		{
		    var kalendersetInfo = connection.GetDataSetInfo(DS_NAME);
		    var kalendersetDataSet = kalendersetInfo.CreateDataSet();
		
		    var ret = new KalenderSet(kalendersetDataSet);
		    return ret;
		}
		
		internal KalenderSet(BpNT.AutoDataSet kalenderDataSet) 
			: base(kalenderDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected KalenderSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new KalenderSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected KalenderSet parentSet;
		
			protected KalenderSetIDIndex iDIndex;
			protected KalenderSetArtDatIndex artDatIndex;
			protected KalenderSetDatIndex datIndex;
			protected KalenderSetKuInfoIndex kuInfoIndex;
			protected KalenderSetAspNrDatIndex aspNrDatIndex;
			protected KalenderSetAspNrArtDatIndex aspNrArtDatIndex;
			protected KalenderSetAnhNrDatIndex anhNrDatIndex;
			protected KalenderSetAnhNrArtDatIndex anhNrArtDatIndex;
			protected KalenderSetPrjNrIndex prjNrIndex;
			protected KalenderSetBzrDatIndex bzrDatIndex;
			protected KalenderSetBzrArtDatIndex bzrArtDatIndex;
			protected KalenderSetParentIDTerminTypWiedIDIndex parentIDTerminTypWiedIDIndex;
			protected KalenderSetArtTypDatIndex artTypDatIndex;
			protected KalenderSetBzrMeldDatZtIndex bzrMeldDatZtIndex;
		
			internal IndicesClass(KalenderSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new KalenderSetIDIndex(parentSet.DataSet);
				artDatIndex = new KalenderSetArtDatIndex(parentSet.DataSet);
				datIndex = new KalenderSetDatIndex(parentSet.DataSet);
				kuInfoIndex = new KalenderSetKuInfoIndex(parentSet.DataSet);
				aspNrDatIndex = new KalenderSetAspNrDatIndex(parentSet.DataSet);
				aspNrArtDatIndex = new KalenderSetAspNrArtDatIndex(parentSet.DataSet);
				anhNrDatIndex = new KalenderSetAnhNrDatIndex(parentSet.DataSet);
				anhNrArtDatIndex = new KalenderSetAnhNrArtDatIndex(parentSet.DataSet);
				prjNrIndex = new KalenderSetPrjNrIndex(parentSet.DataSet);
				bzrDatIndex = new KalenderSetBzrDatIndex(parentSet.DataSet);
				bzrArtDatIndex = new KalenderSetBzrArtDatIndex(parentSet.DataSet);
				parentIDTerminTypWiedIDIndex = new KalenderSetParentIDTerminTypWiedIDIndex(parentSet.DataSet);
				artTypDatIndex = new KalenderSetArtTypDatIndex(parentSet.DataSet);
				bzrMeldDatZtIndex = new KalenderSetBzrMeldDatZtIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public KalenderSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Art</summary>
			public KalenderSetArtDatIndex ArtDatIndex
			{
				get { return artDatIndex; }
			}
			
			/// <summary>Startdatum</summary>
			public KalenderSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>Kurzinfo</summary>
			public KalenderSetKuInfoIndex KuInfoIndex
			{
				get { return kuInfoIndex; }
			}
			
			/// <summary>Nummer</summary>
			public KalenderSetAspNrDatIndex AspNrDatIndex
			{
				get { return aspNrDatIndex; }
			}
			
			/// <summary>Nummer</summary>
			public KalenderSetAspNrArtDatIndex AspNrArtDatIndex
			{
				get { return aspNrArtDatIndex; }
			}
			
			/// <summary>Anhang</summary>
			public KalenderSetAnhNrDatIndex AnhNrDatIndex
			{
				get { return anhNrDatIndex; }
			}
			
			/// <summary>Anhang</summary>
			public KalenderSetAnhNrArtDatIndex AnhNrArtDatIndex
			{
				get { return anhNrArtDatIndex; }
			}
			
			/// <summary>Projektnummer</summary>
			public KalenderSetPrjNrIndex PrjNrIndex
			{
				get { return prjNrIndex; }
			}
			
			/// <summary>Sachbearbeiter (Benutzernummer)</summary>
			public KalenderSetBzrDatIndex BzrDatIndex
			{
				get { return bzrDatIndex; }
			}
			
			/// <summary>Benutzer, Art und Datum</summary>
			public KalenderSetBzrArtDatIndex BzrArtDatIndex
			{
				get { return bzrArtDatIndex; }
			}
			
			/// <summary>ParentID, TerminTyp, Wiederholungsindex</summary>
			public KalenderSetParentIDTerminTypWiedIDIndex ParentIDTerminTypWiedIDIndex
			{
				get { return parentIDTerminTypWiedIDIndex; }
			}
			
			/// <summary>Art, Typ, Datum</summary>
			public KalenderSetArtTypDatIndex ArtTypDatIndex
			{
				get { return artTypDatIndex; }
			}
			
			/// <summary>Meldedatum und Zeit</summary>
			public KalenderSetBzrMeldDatZtIndex BzrMeldDatZtIndex
			{
				get { return bzrMeldDatZtIndex; }
			}
			
		
			#endregion
		}

		public KalenderSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
