using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KasseDefinitionSet : BpnEntitySet<KasseDefinition>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "KasseDefinition";
			
		public static KasseDefinitionSet CreateInstance(BpnConnection connection)
		{
		    var kassedefinitionsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var kassedefinitionsetDataSet = kassedefinitionsetInfo.CreateDataSet();
		
		    var ret = new KasseDefinitionSet(kassedefinitionsetDataSet);
		    return ret;
		}
		
		internal KasseDefinitionSet(BpNT.AutoDataSet kassedefinitionDataSet) 
			: base(kassedefinitionDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected KasseDefinitionSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new KasseDefinitionSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected KasseDefinitionSet parentSet;
		
			protected KasseDefinitionSetNrIndex nrIndex;
			protected KasseDefinitionSetZNrIndex zNrIndex;
		
			internal IndicesClass(KasseDefinitionSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				nrIndex = new KasseDefinitionSetNrIndex(parentSet.DataSet);
				zNrIndex = new KasseDefinitionSetZNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Nummer</summary>
			public KasseDefinitionSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>ZNr</summary>
			public KasseDefinitionSetZNrIndex ZNrIndex
			{
				get { return zNrIndex; }
			}
			
		
			#endregion
		}

		public KasseDefinitionSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
