using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Kassen : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Kassen";
			
		public static Kassen CreateInstance(BpnConnection connection)
		{
		    var kassenInfo = connection.GetDataSetInfo(DS_NAME);
		    var kassenDataSet = kassenInfo.CreateDataSet();
		
		    var ret = new Kassen(kassenDataSet);
		    return ret;
		}
		
		public Kassen(BpNT.AutoDataSet kassenDataSet) 
			: base(kassenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>Kassennummer ( Byte )</summary>
		public virtual Object KasseNr
		{
			get { return this["KasseNr"]; }
			set { this["KasseNr"] = value; }
		}
		/// <summary>Filialnummer ( Integer )</summary>
		public virtual Int32 FilNr
		{
			get { return Convert.ToInt32(this["FilNr"]); }
			set { this["FilNr"] = value; }
		}
		/// <summary>Datum ( Date )</summary>
		public virtual DateTime Dat
		{
			get { return Convert.ToDateTime(this["Dat"]); }
			set { this["Dat"] = value; }
		}
		/// <summary>Zeit ( Time )</summary>
		public virtual Object Zt
		{
			get { return this["Zt"]; }
			set { this["Zt"] = value; }
		}
		/// <summary>Kassenbeleggruppe ( Byte )</summary>
		public virtual Object KBelegGrp
		{
			get { return this["KBelegGrp"]; }
			set { this["KBelegGrp"] = value; }
		}
		/// <summary>Belegart ( Byte )</summary>
		public virtual Object BelegArt
		{
			get { return this["BelegArt"]; }
			set { this["BelegArt"] = value; }
		}
		/// <summary>Belegart Info ( String )</summary>
		public virtual String BelegArtInfo
		{
			get { return Convert.ToString(this["BelegArtInfo"]); }
		}
		/// <summary>interne Belegnummer ( AutoInc )</summary>
		public virtual Int32 IntBelegNr
		{
			get { return Convert.ToInt32(this["IntBelegNr"]); }
			set { this["IntBelegNr"] = value; }
		}
		/// <summary>alte interne Belegnummer ( Integer )</summary>
		public virtual Int32 IntBelegNrAlt
		{
			get { return Convert.ToInt32(this["IntBelegNrAlt"]); }
			set { this["IntBelegNrAlt"] = value; }
		}
		/// <summary>Belegnummer ( String )</summary>
		public virtual String BelegNr
		{
			get { return Convert.ToString(this["BelegNr"]); }
			set { this["BelegNr"] = value; }
		}
		/// <summary>Adressnummer ( String )</summary>
		public virtual String AdrNr
		{
			get { return Convert.ToString(this["AdrNr"]); }
			set { this["AdrNr"] = value; }
		}
		/// <summary>Anschriftennummer ( Integer )</summary>
		public virtual Int32 AnsNr
		{
			get { return Convert.ToInt32(this["AnsNr"]); }
			set { this["AnsNr"] = value; }
		}
		/// <summary>Adresse ( String )</summary>
		public virtual String AdrNrInfo
		{
			get { return Convert.ToString(this["AdrNrInfo"]); }
		}
		/// <summary>Zahlungsbedingung ( String )</summary>
		public virtual String ZahlBed
		{
			get { return Convert.ToString(this["ZahlBed"]); }
			set { this["ZahlBed"] = value; }
		}
		/// <summary>Skonto (in %) 1 ( Double )</summary>
		public virtual Object SktoSz1
		{
			get { return this["SktoSz1"]; }
			set { this["SktoSz1"] = value; }
		}
		/// <summary>Skontotage 1 ( Integer )</summary>
		public virtual Int32 SktoTg1
		{
			get { return Convert.ToInt32(this["SktoTg1"]); }
			set { this["SktoTg1"] = value; }
		}
		/// <summary>Skonto (in %) 2 ( Double )</summary>
		public virtual Object SktoSz2
		{
			get { return this["SktoSz2"]; }
			set { this["SktoSz2"] = value; }
		}
		/// <summary>Skontotage 2 ( Integer )</summary>
		public virtual Int32 SktoTg2
		{
			get { return Convert.ToInt32(this["SktoTg2"]); }
			set { this["SktoTg2"] = value; }
		}
		/// <summary>Nettotage ( Integer )</summary>
		public virtual Int32 NettoTg
		{
			get { return Convert.ToInt32(this["NettoTg"]); }
			set { this["NettoTg"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Flags 2 ( Integer )</summary>
		public virtual Int32 Flags2
		{
			get { return Convert.ToInt32(this["Flags2"]); }
			set { this["Flags2"] = value; }
		}
		/// <summary>Verkufer (Abk.) ( String )</summary>
		public virtual String Verk
		{
			get { return Convert.ToString(this["Verk"]); }
			set { this["Verk"] = value; }
		}
		/// <summary>Ist Kassenerffnung ( Boolean )</summary>
		public virtual Object EroeffKz
		{
			get { return this["EroeffKz"]; }
		}
		/// <summary>Ist Kassenabschlu ( Boolean )</summary>
		public virtual Object AbschlKz
		{
			get { return this["AbschlKz"]; }
		}
		/// <summary>Wurde storniert ( Boolean )</summary>
		public virtual Object StornoKz
		{
			get { return this["StornoKz"]; }
		}
		/// <summary>Filialabgleichsbuchung ( Boolean )</summary>
		public virtual Object FilGebKz
		{
			get { return this["FilGebKz"]; }
		}
		/// <summary>Text Flags ( Integer )</summary>
		public virtual Int32 TextFlags
		{
			get { return Convert.ToInt32(this["TextFlags"]); }
			set { this["TextFlags"] = value; }
		}
		/// <summary>Rabatt (in %) ( Double )</summary>
		public virtual Object RabSz
		{
			get { return this["RabSz"]; }
			set { this["RabSz"] = value; }
		}
		/// <summary>Kundenrabattgruppe der Warengruppe ( Byte )</summary>
		public virtual Object KdRabGrpWgr
		{
			get { return this["KdRabGrpWgr"]; }
			set { this["KdRabGrpWgr"] = value; }
		}
		/// <summary>Umsatzsteuerkategorie ( Integer )</summary>
		public virtual Int32 UStKat
		{
			get { return Convert.ToInt32(this["UStKat"]); }
			set { this["UStKat"] = value; }
		}
		/// <summary>Auslandskunde Kennzeichen ( Boolean )</summary>
		public virtual Object AuslKdKz
		{
			get { return this["AuslKdKz"]; }
		}
		/// <summary>Auslandskunde EU Kennzeichen ( Boolean )</summary>
		public virtual Object AuslKdEUKz
		{
			get { return this["AuslKdEUKz"]; }
		}
		/// <summary>Umsatzsteueridentnummer ( String )</summary>
		public virtual String UStId
		{
			get { return Convert.ToString(this["UStId"]); }
			set { this["UStId"] = value; }
		}
		/// <summary>Ausgabebeleg ( String )</summary>
		public virtual String AusgBeleg
		{
			get { return Convert.ToString(this["AusgBeleg"]); }
			set { this["AusgBeleg"] = value; }
		}
		/// <summary>Zahlungsart 1 ( Integer )</summary>
		public virtual Int32 ZahlArt1
		{
			get { return Convert.ToInt32(this["ZahlArt1"]); }
			set { this["ZahlArt1"] = value; }
		}
		/// <summary>Gegeben 1 ( Double )</summary>
		public virtual Object Gegeben1
		{
			get { return this["Gegeben1"]; }
			set { this["Gegeben1"] = value; }
		}
		/// <summary>Gegeben in Whrung 1 ( String )</summary>
		public virtual String GegWaehr1
		{
			get { return Convert.ToString(this["GegWaehr1"]); }
			set { this["GegWaehr1"] = value; }
		}
		/// <summary>G1Fremdwhrungsfaktor ( Double )</summary>
		public virtual Object G1FrWFak
		{
			get { return this["G1FrWFak"]; }
			set { this["G1FrWFak"] = value; }
		}
		/// <summary>G1Basiswhrungsfaktor ( Double )</summary>
		public virtual Object G1BaWFak
		{
			get { return this["G1BaWFak"]; }
			set { this["G1BaWFak"] = value; }
		}
		/// <summary>EZS Beleg 1 ( String )</summary>
		public virtual String EZSBel1
		{
			get { return Convert.ToString(this["EZSBel1"]); }
			set { this["EZSBel1"] = value; }
		}
		/// <summary>EZS Trace-Nr 1 ( String )</summary>
		public virtual String EZSTNr1
		{
			get { return Convert.ToString(this["EZSTNr1"]); }
			set { this["EZSTNr1"] = value; }
		}
		/// <summary>EZS Karteninfo 1 ( Byte )</summary>
		public virtual Object EZSKartenInfo1
		{
			get { return this["EZSKartenInfo1"]; }
			set { this["EZSKartenInfo1"] = value; }
		}
		/// <summary>Gegeben 1 in Leitwhrung 1 ( Double )</summary>
		public virtual Object Gegeben1L1
		{
			get { return this["Gegeben1L1"]; }
		}
		/// <summary>Gegeben 1 in Leitwhrung 2 ( Double )</summary>
		public virtual Object Gegeben1L2
		{
			get { return this["Gegeben1L2"]; }
		}
		/// <summary>Skontobetrag 1 ( Double )</summary>
		public virtual Object SktoBet1
		{
			get { return this["SktoBet1"]; }
			set { this["SktoBet1"] = value; }
		}
		/// <summary>Zahlungsart 2 ( Integer )</summary>
		public virtual Int32 ZahlArt2
		{
			get { return Convert.ToInt32(this["ZahlArt2"]); }
			set { this["ZahlArt2"] = value; }
		}
		/// <summary>Gegeben 2 ( Double )</summary>
		public virtual Object Gegeben2
		{
			get { return this["Gegeben2"]; }
			set { this["Gegeben2"] = value; }
		}
		/// <summary>Gegeben in Whrung 2 ( String )</summary>
		public virtual String GegWaehr2
		{
			get { return Convert.ToString(this["GegWaehr2"]); }
			set { this["GegWaehr2"] = value; }
		}
		/// <summary>G2Fremdwhrungsfaktor ( Double )</summary>
		public virtual Object G2FrWFak
		{
			get { return this["G2FrWFak"]; }
			set { this["G2FrWFak"] = value; }
		}
		/// <summary>G2Basiswhrungsfaktor ( Double )</summary>
		public virtual Object G2BaWFak
		{
			get { return this["G2BaWFak"]; }
			set { this["G2BaWFak"] = value; }
		}
		/// <summary>EZS Beleg 2 ( String )</summary>
		public virtual String EZSBel2
		{
			get { return Convert.ToString(this["EZSBel2"]); }
			set { this["EZSBel2"] = value; }
		}
		/// <summary>EZS Trace-Nr 2 ( String )</summary>
		public virtual String EZSTNr2
		{
			get { return Convert.ToString(this["EZSTNr2"]); }
			set { this["EZSTNr2"] = value; }
		}
		/// <summary>EZS Karteninfo 2 ( Byte )</summary>
		public virtual Object EZSKartenInfo2
		{
			get { return this["EZSKartenInfo2"]; }
			set { this["EZSKartenInfo2"] = value; }
		}
		/// <summary>Gegeben 2 in Leitwhrung 1 ( Double )</summary>
		public virtual Object Gegeben2L1
		{
			get { return this["Gegeben2L1"]; }
		}
		/// <summary>Gegeben 2 in Leitwhrung 2 ( Double )</summary>
		public virtual Object Gegeben2L2
		{
			get { return this["Gegeben2L2"]; }
		}
		/// <summary>Skontobetrag 2 ( Double )</summary>
		public virtual Object SktoBet2
		{
			get { return this["SktoBet2"]; }
			set { this["SktoBet2"] = value; }
		}
		/// <summary>Zahlartinformation ( Integer )</summary>
		public virtual Int32 ZahlArtInfo
		{
			get { return Convert.ToInt32(this["ZahlArtInfo"]); }
		}
		/// <summary>gesamter Skontobetrag ( Double )</summary>
		public virtual Object GesSktoBet
		{
			get { return this["GesSktoBet"]; }
		}
		/// <summary>Vertreternummer ( String )</summary>
		public virtual String VtrNr
		{
			get { return Convert.ToString(this["VtrNr"]); }
			set { this["VtrNr"] = value; }
		}
		/// <summary>Vertreterprovisionssatz (in %) ( Double )</summary>
		public virtual Object VtrProvSz
		{
			get { return this["VtrProvSz"]; }
			set { this["VtrProvSz"] = value; }
		}
		/// <summary>Buchungskontonummer ( String )</summary>
		public virtual String BKtoNr
		{
			get { return Convert.ToString(this["BKtoNr"]); }
			set { this["BKtoNr"] = value; }
		}
		/// <summary>Artikelpreisgruppe ( Byte )</summary>
		public virtual Object ArtPrGrp
		{
			get { return this["ArtPrGrp"]; }
			set { this["ArtPrGrp"] = value; }
		}
		/// <summary>Whrung ( String )</summary>
		public virtual String Waehr
		{
			get { return Convert.ToString(this["Waehr"]); }
			set { this["Waehr"] = value; }
		}
		/// <summary>Fremdwhrungsfaktor ( Double )</summary>
		public virtual Object FrWFak
		{
			get { return this["FrWFak"]; }
			set { this["FrWFak"] = value; }
		}
		/// <summary>Basiswhrungsfaktor ( Double )</summary>
		public virtual Object BaWFak
		{
			get { return this["BaWFak"]; }
			set { this["BaWFak"] = value; }
		}
		/// <summary>Zurck ( Double )</summary>
		public virtual Object Zurueck
		{
			get { return this["Zurueck"]; }
		}
		/// <summary>Zurck in Leitwhrung 1 ( Double )</summary>
		public virtual Object ZurueckL1
		{
			get { return this["ZurueckL1"]; }
		}
		/// <summary>Zurck in Leitwhrung 2 ( Double )</summary>
		public virtual Object ZurueckL2
		{
			get { return this["ZurueckL2"]; }
		}
		/// <summary>Prm Parameter fr das Buchen OK ( Array )</summary>
		public virtual Object PrmBuchenOK
		{
			get { return this["PrmBuchenOK"]; }
			set { this["PrmBuchenOK"] = value; }
		}
		/// <summary>Prm sonstige Parameter ( Array )</summary>
		public virtual Object PrmSonst
		{
			get { return this["PrmSonst"]; }
			set { this["PrmSonst"] = value; }
		}
		/// <summary>ges. Gewicht ( Double )</summary>
		public virtual Object GGew
		{
			get { return this["GGew"]; }
			set { this["GGew"] = value; }
		}
		/// <summary>ges. Einkaufspreis (Roherls) ( Double )</summary>
		public virtual Object GEkRoh
		{
			get { return this["GEkRoh"]; }
			set { this["GEkRoh"] = value; }
		}
		/// <summary>ges. Einkaufspreis (Roherls) in Leitwhrung 1 ( Double )</summary>
		public virtual Object GEkRohL1
		{
			get { return this["GEkRohL1"]; }
		}
		/// <summary>ges. Einkaufspreis (Roherls) in Leitwhrung 1 (Stand: laut Faktoren zu Basiswhrung) ( Double )</summary>
		public virtual Object GEkRohL1S
		{
			get { return this["GEkRohL1S"]; }
		}
		/// <summary>Nachlassbetrag ( Double )</summary>
		public virtual Object NachlBet
		{
			get { return this["NachlBet"]; }
			set { this["NachlBet"] = value; }
		}
		/// <summary>ges. Preis ( Array )</summary>
		public virtual Object GPreis
		{
			get { return this["GPreis"]; }
			set { this["GPreis"] = value; }
		}
		/// <summary>ges. Preis [2 Mehrwertsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisM7Nt
		{
			get { return this["GPreisM7Nt"]; }
		}
		/// <summary>ges. Preis [2 Mehrwertsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisM7St
		{
			get { return this["GPreisM7St"]; }
		}
		/// <summary>ges. Preis [2 Mehrwertsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisM7Bt
		{
			get { return this["GPreisM7Bt"]; }
		}
		/// <summary>ges. Preis [3 Mehrwertsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisM16Nt
		{
			get { return this["GPreisM16Nt"]; }
		}
		/// <summary>ges. Preis [3 Mehrwertsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisM16St
		{
			get { return this["GPreisM16St"]; }
		}
		/// <summary>ges. Preis [3 Mehrwertsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisM16Bt
		{
			get { return this["GPreisM16Bt"]; }
		}
		/// <summary>ges. Preis [4 Mehrwertsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisM19Nt
		{
			get { return this["GPreisM19Nt"]; }
		}
		/// <summary>ges. Preis [4 Mehrwertsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisM19St
		{
			get { return this["GPreisM19St"]; }
		}
		/// <summary>ges. Preis [4 Mehrwertsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisM19Bt
		{
			get { return this["GPreisM19Bt"]; }
		}
		/// <summary>ges. Preis [5 Mehrwertsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisM15Nt
		{
			get { return this["GPreisM15Nt"]; }
		}
		/// <summary>ges. Preis [5 Mehrwertsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisM15St
		{
			get { return this["GPreisM15St"]; }
		}
		/// <summary>ges. Preis [5 Mehrwertsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisM15Bt
		{
			get { return this["GPreisM15Bt"]; }
		}
		/// <summary>ges. Preis [6 Vorsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisV19Nt
		{
			get { return this["GPreisV19Nt"]; }
		}
		/// <summary>ges. Preis [6 Vorsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisV19St
		{
			get { return this["GPreisV19St"]; }
		}
		/// <summary>ges. Preis [6 Vorsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisV19Bt
		{
			get { return this["GPreisV19Bt"]; }
		}
		/// <summary>ges. Preis [7 Vorsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisV15Nt
		{
			get { return this["GPreisV15Nt"]; }
		}
		/// <summary>ges. Preis [7 Vorsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisV15St
		{
			get { return this["GPreisV15St"]; }
		}
		/// <summary>ges. Preis [7 Vorsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisV15Bt
		{
			get { return this["GPreisV15Bt"]; }
		}
		/// <summary>ges. Preis [8 Vorsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisV7Nt
		{
			get { return this["GPreisV7Nt"]; }
		}
		/// <summary>ges. Preis [8 Vorsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisV7St
		{
			get { return this["GPreisV7St"]; }
		}
		/// <summary>ges. Preis [8 Vorsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisV7Bt
		{
			get { return this["GPreisV7Bt"]; }
		}
		/// <summary>ges. Preis [9 Vorsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisV16Nt
		{
			get { return this["GPreisV16Nt"]; }
		}
		/// <summary>ges. Preis [9 Vorsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisV16St
		{
			get { return this["GPreisV16St"]; }
		}
		/// <summary>ges. Preis [9 Vorsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisV16Bt
		{
			get { return this["GPreisV16Bt"]; }
		}
		/// <summary>ges. Preis [10 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object GPreisUSFNt
		{
			get { return this["GPreisUSFNt"]; }
		}
		/// <summary>ges. Preis [10 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object GPreisUSFSt
		{
			get { return this["GPreisUSFSt"]; }
		}
		/// <summary>ges. Preis [10 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object GPreisUSFBt
		{
			get { return this["GPreisUSFBt"]; }
		}
		/// <summary>ges. Preis [11 EU Umsatzsteuerfrei mit ID-Nr.] (Netto) ( Double )</summary>
		public virtual Object GPreisEFINt
		{
			get { return this["GPreisEFINt"]; }
		}
		/// <summary>ges. Preis [11 EU Umsatzsteuerfrei mit ID-Nr.] (Steuer) ( Double )</summary>
		public virtual Object GPreisEFISt
		{
			get { return this["GPreisEFISt"]; }
		}
		/// <summary>ges. Preis [11 EU Umsatzsteuerfrei mit ID-Nr.] (Brutto) ( Double )</summary>
		public virtual Object GPreisEFIBt
		{
			get { return this["GPreisEFIBt"]; }
		}
		/// <summary>ges. Preis [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisEM7Nt
		{
			get { return this["GPreisEM7Nt"]; }
		}
		/// <summary>ges. Preis [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisEM7St
		{
			get { return this["GPreisEM7St"]; }
		}
		/// <summary>ges. Preis [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisEM7Bt
		{
			get { return this["GPreisEM7Bt"]; }
		}
		/// <summary>ges. Preis [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisEM16Nt
		{
			get { return this["GPreisEM16Nt"]; }
		}
		/// <summary>ges. Preis [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisEM16St
		{
			get { return this["GPreisEM16St"]; }
		}
		/// <summary>ges. Preis [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisEM16Bt
		{
			get { return this["GPreisEM16Bt"]; }
		}
		/// <summary>ges. Preis [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisEM19Nt
		{
			get { return this["GPreisEM19Nt"]; }
		}
		/// <summary>ges. Preis [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisEM19St
		{
			get { return this["GPreisEM19St"]; }
		}
		/// <summary>ges. Preis [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisEM19Bt
		{
			get { return this["GPreisEM19Bt"]; }
		}
		/// <summary>ges. Preis [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisEM15Nt
		{
			get { return this["GPreisEM15Nt"]; }
		}
		/// <summary>ges. Preis [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisEM15St
		{
			get { return this["GPreisEM15St"]; }
		}
		/// <summary>ges. Preis [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisEM15Bt
		{
			get { return this["GPreisEM15Bt"]; }
		}
		/// <summary>ges. Preis [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisEV19Nt
		{
			get { return this["GPreisEV19Nt"]; }
		}
		/// <summary>ges. Preis [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisEV19St
		{
			get { return this["GPreisEV19St"]; }
		}
		/// <summary>ges. Preis [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisEV19Bt
		{
			get { return this["GPreisEV19Bt"]; }
		}
		/// <summary>ges. Preis [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisEV15Nt
		{
			get { return this["GPreisEV15Nt"]; }
		}
		/// <summary>ges. Preis [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisEV15St
		{
			get { return this["GPreisEV15St"]; }
		}
		/// <summary>ges. Preis [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisEV15Bt
		{
			get { return this["GPreisEV15Bt"]; }
		}
		/// <summary>ges. Preis [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisEV7Nt
		{
			get { return this["GPreisEV7Nt"]; }
		}
		/// <summary>ges. Preis [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisEV7St
		{
			get { return this["GPreisEV7St"]; }
		}
		/// <summary>ges. Preis [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisEV7Bt
		{
			get { return this["GPreisEV7Bt"]; }
		}
		/// <summary>ges. Preis [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisEV16Nt
		{
			get { return this["GPreisEV16Nt"]; }
		}
		/// <summary>ges. Preis [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisEV16St
		{
			get { return this["GPreisEV16St"]; }
		}
		/// <summary>ges. Preis [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisEV16Bt
		{
			get { return this["GPreisEV16Bt"]; }
		}
		/// <summary>ges. Preis [48 VSt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object GPreisBV19Nt
		{
			get { return this["GPreisBV19Nt"]; }
		}
		/// <summary>ges. Preis [48 VSt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object GPreisBV19St
		{
			get { return this["GPreisBV19St"]; }
		}
		/// <summary>ges. Preis [48 VSt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object GPreisBV19Bt
		{
			get { return this["GPreisBV19Bt"]; }
		}
		/// <summary>ges. Preis [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object GPreisBV16Nt
		{
			get { return this["GPreisBV16Nt"]; }
		}
		/// <summary>ges. Preis [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object GPreisBV16St
		{
			get { return this["GPreisBV16St"]; }
		}
		/// <summary>ges. Preis [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object GPreisBV16Bt
		{
			get { return this["GPreisBV16Bt"]; }
		}
		/// <summary>ges. Preis [58 USt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object GPreisBU19Nt
		{
			get { return this["GPreisBU19Nt"]; }
		}
		/// <summary>ges. Preis [58 USt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object GPreisBU19St
		{
			get { return this["GPreisBU19St"]; }
		}
		/// <summary>ges. Preis [58 USt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object GPreisBU19Bt
		{
			get { return this["GPreisBU19Bt"]; }
		}
		/// <summary>ges. Preis [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object GPreisBU16Nt
		{
			get { return this["GPreisBU16Nt"]; }
		}
		/// <summary>ges. Preis [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object GPreisBU16St
		{
			get { return this["GPreisBU16St"]; }
		}
		/// <summary>ges. Preis [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object GPreisBU16Bt
		{
			get { return this["GPreisBU16Bt"]; }
		}
		/// <summary>ges. Preis [69 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object GPreisBOSNt
		{
			get { return this["GPreisBOSNt"]; }
		}
		/// <summary>ges. Preis [69 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object GPreisBOSSt
		{
			get { return this["GPreisBOSSt"]; }
		}
		/// <summary>ges. Preis [69 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object GPreisBOSBt
		{
			get { return this["GPreisBOSBt"]; }
		}
		/// <summary>ges. Preis [101 Ohne Steuer (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object GPreisOSNt
		{
			get { return this["GPreisOSNt"]; }
		}
		/// <summary>ges. Preis [101 Ohne Steuer (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object GPreisOSSt
		{
			get { return this["GPreisOSSt"]; }
		}
		/// <summary>ges. Preis [101 Ohne Steuer (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object GPreisOSBt
		{
			get { return this["GPreisOSBt"]; }
		}
		/// <summary>ges. Preis [102 Ohne Steuer (Einkauf)] (Netto) ( Double )</summary>
		public virtual Object GPreisOS_EKNt
		{
			get { return this["GPreisOS_EKNt"]; }
		}
		/// <summary>ges. Preis [102 Ohne Steuer (Einkauf)] (Steuer) ( Double )</summary>
		public virtual Object GPreisOS_EKSt
		{
			get { return this["GPreisOS_EKSt"]; }
		}
		/// <summary>ges. Preis [102 Ohne Steuer (Einkauf)] (Brutto) ( Double )</summary>
		public virtual Object GPreisOS_EKBt
		{
			get { return this["GPreisOS_EKBt"]; }
		}
		/// <summary>ges. Preis (Netto) ( Double )</summary>
		public virtual Object GPreisNt
		{
			get { return this["GPreisNt"]; }
		}
		/// <summary>ges. Preis (Steuer) ( Double )</summary>
		public virtual Object GPreisSt
		{
			get { return this["GPreisSt"]; }
		}
		/// <summary>ges. Preis (Brutto) ( Double )</summary>
		public virtual Object GPreisBt
		{
			get { return this["GPreisBt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 ( Array )</summary>
		public virtual Object GPreisL1
		{
			get { return this["GPreisL1"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [2 Mehrwertsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1M7Nt
		{
			get { return this["GPreisL1M7Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [2 Mehrwertsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1M7St
		{
			get { return this["GPreisL1M7St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [2 Mehrwertsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1M7Bt
		{
			get { return this["GPreisL1M7Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [3 Mehrwertsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1M16Nt
		{
			get { return this["GPreisL1M16Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [3 Mehrwertsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1M16St
		{
			get { return this["GPreisL1M16St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [3 Mehrwertsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1M16Bt
		{
			get { return this["GPreisL1M16Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [4 Mehrwertsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1M19Nt
		{
			get { return this["GPreisL1M19Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [4 Mehrwertsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1M19St
		{
			get { return this["GPreisL1M19St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [4 Mehrwertsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1M19Bt
		{
			get { return this["GPreisL1M19Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [5 Mehrwertsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1M15Nt
		{
			get { return this["GPreisL1M15Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [5 Mehrwertsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1M15St
		{
			get { return this["GPreisL1M15St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [5 Mehrwertsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1M15Bt
		{
			get { return this["GPreisL1M15Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [6 Vorsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1V19Nt
		{
			get { return this["GPreisL1V19Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [6 Vorsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1V19St
		{
			get { return this["GPreisL1V19St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [6 Vorsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1V19Bt
		{
			get { return this["GPreisL1V19Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [7 Vorsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1V15Nt
		{
			get { return this["GPreisL1V15Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [7 Vorsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1V15St
		{
			get { return this["GPreisL1V15St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [7 Vorsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1V15Bt
		{
			get { return this["GPreisL1V15Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [8 Vorsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1V7Nt
		{
			get { return this["GPreisL1V7Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [8 Vorsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1V7St
		{
			get { return this["GPreisL1V7St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [8 Vorsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1V7Bt
		{
			get { return this["GPreisL1V7Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [9 Vorsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1V16Nt
		{
			get { return this["GPreisL1V16Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [9 Vorsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1V16St
		{
			get { return this["GPreisL1V16St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [9 Vorsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1V16Bt
		{
			get { return this["GPreisL1V16Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [10 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object GPreisL1USFNt
		{
			get { return this["GPreisL1USFNt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [10 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1USFSt
		{
			get { return this["GPreisL1USFSt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [10 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1USFBt
		{
			get { return this["GPreisL1USFBt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [11 EU Umsatzsteuerfrei mit ID-Nr.] (Netto) ( Double )</summary>
		public virtual Object GPreisL1EFINt
		{
			get { return this["GPreisL1EFINt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [11 EU Umsatzsteuerfrei mit ID-Nr.] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1EFISt
		{
			get { return this["GPreisL1EFISt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [11 EU Umsatzsteuerfrei mit ID-Nr.] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1EFIBt
		{
			get { return this["GPreisL1EFIBt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1EM7Nt
		{
			get { return this["GPreisL1EM7Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1EM7St
		{
			get { return this["GPreisL1EM7St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1EM7Bt
		{
			get { return this["GPreisL1EM7Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1EM16Nt
		{
			get { return this["GPreisL1EM16Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1EM16St
		{
			get { return this["GPreisL1EM16St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1EM16Bt
		{
			get { return this["GPreisL1EM16Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1EM19Nt
		{
			get { return this["GPreisL1EM19Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1EM19St
		{
			get { return this["GPreisL1EM19St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1EM19Bt
		{
			get { return this["GPreisL1EM19Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1EM15Nt
		{
			get { return this["GPreisL1EM15Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1EM15St
		{
			get { return this["GPreisL1EM15St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1EM15Bt
		{
			get { return this["GPreisL1EM15Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1EV19Nt
		{
			get { return this["GPreisL1EV19Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1EV19St
		{
			get { return this["GPreisL1EV19St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1EV19Bt
		{
			get { return this["GPreisL1EV19Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1EV15Nt
		{
			get { return this["GPreisL1EV15Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1EV15St
		{
			get { return this["GPreisL1EV15St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1EV15Bt
		{
			get { return this["GPreisL1EV15Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1EV7Nt
		{
			get { return this["GPreisL1EV7Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1EV7St
		{
			get { return this["GPreisL1EV7St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1EV7Bt
		{
			get { return this["GPreisL1EV7Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1EV16Nt
		{
			get { return this["GPreisL1EV16Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1EV16St
		{
			get { return this["GPreisL1EV16St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1EV16Bt
		{
			get { return this["GPreisL1EV16Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [48 VSt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object GPreisL1BV19Nt
		{
			get { return this["GPreisL1BV19Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [48 VSt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1BV19St
		{
			get { return this["GPreisL1BV19St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [48 VSt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1BV19Bt
		{
			get { return this["GPreisL1BV19Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object GPreisL1BV16Nt
		{
			get { return this["GPreisL1BV16Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1BV16St
		{
			get { return this["GPreisL1BV16St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1BV16Bt
		{
			get { return this["GPreisL1BV16Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [58 USt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object GPreisL1BU19Nt
		{
			get { return this["GPreisL1BU19Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [58 USt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1BU19St
		{
			get { return this["GPreisL1BU19St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [58 USt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1BU19Bt
		{
			get { return this["GPreisL1BU19Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object GPreisL1BU16Nt
		{
			get { return this["GPreisL1BU16Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1BU16St
		{
			get { return this["GPreisL1BU16St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1BU16Bt
		{
			get { return this["GPreisL1BU16Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [69 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object GPreisL1BOSNt
		{
			get { return this["GPreisL1BOSNt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [69 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1BOSSt
		{
			get { return this["GPreisL1BOSSt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [69 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1BOSBt
		{
			get { return this["GPreisL1BOSBt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [102 Ohne Steuer (Einkauf)] (Netto) ( Double )</summary>
		public virtual Object GPreisL1OS_EKNt
		{
			get { return this["GPreisL1OS_EKNt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [102 Ohne Steuer (Einkauf)] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1OS_EKSt
		{
			get { return this["GPreisL1OS_EKSt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [102 Ohne Steuer (Einkauf)] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1OS_EKBt
		{
			get { return this["GPreisL1OS_EKBt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 (Netto) ( Double )</summary>
		public virtual Object GPreisL1Nt
		{
			get { return this["GPreisL1Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 (Steuer) ( Double )</summary>
		public virtual Object GPreisL1St
		{
			get { return this["GPreisL1St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 (Brutto) ( Double )</summary>
		public virtual Object GPreisL1Bt
		{
			get { return this["GPreisL1Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 ( Array )</summary>
		public virtual Object GPreisL2
		{
			get { return this["GPreisL2"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [2 Mehrwertsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2M7Nt
		{
			get { return this["GPreisL2M7Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [2 Mehrwertsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2M7St
		{
			get { return this["GPreisL2M7St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [2 Mehrwertsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2M7Bt
		{
			get { return this["GPreisL2M7Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [3 Mehrwertsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2M16Nt
		{
			get { return this["GPreisL2M16Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [3 Mehrwertsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2M16St
		{
			get { return this["GPreisL2M16St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [3 Mehrwertsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2M16Bt
		{
			get { return this["GPreisL2M16Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [4 Mehrwertsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2M19Nt
		{
			get { return this["GPreisL2M19Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [4 Mehrwertsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2M19St
		{
			get { return this["GPreisL2M19St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [4 Mehrwertsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2M19Bt
		{
			get { return this["GPreisL2M19Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [5 Mehrwertsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2M15Nt
		{
			get { return this["GPreisL2M15Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [5 Mehrwertsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2M15St
		{
			get { return this["GPreisL2M15St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [5 Mehrwertsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2M15Bt
		{
			get { return this["GPreisL2M15Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [6 Vorsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2V19Nt
		{
			get { return this["GPreisL2V19Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [6 Vorsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2V19St
		{
			get { return this["GPreisL2V19St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [6 Vorsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2V19Bt
		{
			get { return this["GPreisL2V19Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [7 Vorsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2V15Nt
		{
			get { return this["GPreisL2V15Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [7 Vorsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2V15St
		{
			get { return this["GPreisL2V15St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [7 Vorsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2V15Bt
		{
			get { return this["GPreisL2V15Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [8 Vorsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2V7Nt
		{
			get { return this["GPreisL2V7Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [8 Vorsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2V7St
		{
			get { return this["GPreisL2V7St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [8 Vorsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2V7Bt
		{
			get { return this["GPreisL2V7Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [9 Vorsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2V16Nt
		{
			get { return this["GPreisL2V16Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [9 Vorsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2V16St
		{
			get { return this["GPreisL2V16St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [9 Vorsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2V16Bt
		{
			get { return this["GPreisL2V16Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [10 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object GPreisL2USFNt
		{
			get { return this["GPreisL2USFNt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [10 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2USFSt
		{
			get { return this["GPreisL2USFSt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [10 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2USFBt
		{
			get { return this["GPreisL2USFBt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [11 EU Umsatzsteuerfrei mit ID-Nr.] (Netto) ( Double )</summary>
		public virtual Object GPreisL2EFINt
		{
			get { return this["GPreisL2EFINt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [11 EU Umsatzsteuerfrei mit ID-Nr.] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2EFISt
		{
			get { return this["GPreisL2EFISt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [11 EU Umsatzsteuerfrei mit ID-Nr.] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2EFIBt
		{
			get { return this["GPreisL2EFIBt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2EM7Nt
		{
			get { return this["GPreisL2EM7Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2EM7St
		{
			get { return this["GPreisL2EM7St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2EM7Bt
		{
			get { return this["GPreisL2EM7Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2EM16Nt
		{
			get { return this["GPreisL2EM16Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2EM16St
		{
			get { return this["GPreisL2EM16St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2EM16Bt
		{
			get { return this["GPreisL2EM16Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2EM19Nt
		{
			get { return this["GPreisL2EM19Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2EM19St
		{
			get { return this["GPreisL2EM19St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2EM19Bt
		{
			get { return this["GPreisL2EM19Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2EM15Nt
		{
			get { return this["GPreisL2EM15Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2EM15St
		{
			get { return this["GPreisL2EM15St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2EM15Bt
		{
			get { return this["GPreisL2EM15Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2EV19Nt
		{
			get { return this["GPreisL2EV19Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2EV19St
		{
			get { return this["GPreisL2EV19St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2EV19Bt
		{
			get { return this["GPreisL2EV19Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2EV15Nt
		{
			get { return this["GPreisL2EV15Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2EV15St
		{
			get { return this["GPreisL2EV15St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2EV15Bt
		{
			get { return this["GPreisL2EV15Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2EV7Nt
		{
			get { return this["GPreisL2EV7Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2EV7St
		{
			get { return this["GPreisL2EV7St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2EV7Bt
		{
			get { return this["GPreisL2EV7Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2EV16Nt
		{
			get { return this["GPreisL2EV16Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2EV16St
		{
			get { return this["GPreisL2EV16St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2EV16Bt
		{
			get { return this["GPreisL2EV16Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [48 VSt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object GPreisL2BV19Nt
		{
			get { return this["GPreisL2BV19Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [48 VSt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2BV19St
		{
			get { return this["GPreisL2BV19St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [48 VSt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2BV19Bt
		{
			get { return this["GPreisL2BV19Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object GPreisL2BV16Nt
		{
			get { return this["GPreisL2BV16Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2BV16St
		{
			get { return this["GPreisL2BV16St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2BV16Bt
		{
			get { return this["GPreisL2BV16Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [58 USt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object GPreisL2BU19Nt
		{
			get { return this["GPreisL2BU19Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [58 USt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2BU19St
		{
			get { return this["GPreisL2BU19St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [58 USt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2BU19Bt
		{
			get { return this["GPreisL2BU19Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object GPreisL2BU16Nt
		{
			get { return this["GPreisL2BU16Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2BU16St
		{
			get { return this["GPreisL2BU16St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2BU16Bt
		{
			get { return this["GPreisL2BU16Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [69 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object GPreisL2BOSNt
		{
			get { return this["GPreisL2BOSNt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [69 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2BOSSt
		{
			get { return this["GPreisL2BOSSt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [69 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2BOSBt
		{
			get { return this["GPreisL2BOSBt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [102 Ohne Steuer (Einkauf)] (Netto) ( Double )</summary>
		public virtual Object GPreisL2OS_EKNt
		{
			get { return this["GPreisL2OS_EKNt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [102 Ohne Steuer (Einkauf)] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2OS_EKSt
		{
			get { return this["GPreisL2OS_EKSt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [102 Ohne Steuer (Einkauf)] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2OS_EKBt
		{
			get { return this["GPreisL2OS_EKBt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 (Netto) ( Double )</summary>
		public virtual Object GPreisL2Nt
		{
			get { return this["GPreisL2Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 (Steuer) ( Double )</summary>
		public virtual Object GPreisL2St
		{
			get { return this["GPreisL2St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 (Brutto) ( Double )</summary>
		public virtual Object GPreisL2Bt
		{
			get { return this["GPreisL2Bt"]; }
		}
		/// <summary>Gesamt Roherls (in %) ( Double )</summary>
		public virtual Object GRohSz
		{
			get { return this["GRohSz"]; }
		}
		/// <summary>Gesamt Roherlsbetrag ( Double )</summary>
		public virtual Object GRohBet
		{
			get { return this["GRohBet"]; }
		}
		/// <summary>ges. Rabatt ( Array )</summary>
		public virtual Object GRab
		{
			get { return this["GRab"]; }
			set { this["GRab"] = value; }
		}
		/// <summary>ges. Rabatt [2 Mehrwertsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object GRabM7Nt
		{
			get { return this["GRabM7Nt"]; }
		}
		/// <summary>ges. Rabatt [2 Mehrwertsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object GRabM7St
		{
			get { return this["GRabM7St"]; }
		}
		/// <summary>ges. Rabatt [2 Mehrwertsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object GRabM7Bt
		{
			get { return this["GRabM7Bt"]; }
		}
		/// <summary>ges. Rabatt [3 Mehrwertsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object GRabM16Nt
		{
			get { return this["GRabM16Nt"]; }
		}
		/// <summary>ges. Rabatt [3 Mehrwertsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object GRabM16St
		{
			get { return this["GRabM16St"]; }
		}
		/// <summary>ges. Rabatt [3 Mehrwertsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object GRabM16Bt
		{
			get { return this["GRabM16Bt"]; }
		}
		/// <summary>ges. Rabatt [4 Mehrwertsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object GRabM19Nt
		{
			get { return this["GRabM19Nt"]; }
		}
		/// <summary>ges. Rabatt [4 Mehrwertsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object GRabM19St
		{
			get { return this["GRabM19St"]; }
		}
		/// <summary>ges. Rabatt [4 Mehrwertsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object GRabM19Bt
		{
			get { return this["GRabM19Bt"]; }
		}
		/// <summary>ges. Rabatt [5 Mehrwertsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object GRabM15Nt
		{
			get { return this["GRabM15Nt"]; }
		}
		/// <summary>ges. Rabatt [5 Mehrwertsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object GRabM15St
		{
			get { return this["GRabM15St"]; }
		}
		/// <summary>ges. Rabatt [5 Mehrwertsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object GRabM15Bt
		{
			get { return this["GRabM15Bt"]; }
		}
		/// <summary>ges. Rabatt [6 Vorsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object GRabV19Nt
		{
			get { return this["GRabV19Nt"]; }
		}
		/// <summary>ges. Rabatt [6 Vorsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object GRabV19St
		{
			get { return this["GRabV19St"]; }
		}
		/// <summary>ges. Rabatt [6 Vorsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object GRabV19Bt
		{
			get { return this["GRabV19Bt"]; }
		}
		/// <summary>ges. Rabatt [7 Vorsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object GRabV15Nt
		{
			get { return this["GRabV15Nt"]; }
		}
		/// <summary>ges. Rabatt [7 Vorsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object GRabV15St
		{
			get { return this["GRabV15St"]; }
		}
		/// <summary>ges. Rabatt [7 Vorsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object GRabV15Bt
		{
			get { return this["GRabV15Bt"]; }
		}
		/// <summary>ges. Rabatt [8 Vorsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object GRabV7Nt
		{
			get { return this["GRabV7Nt"]; }
		}
		/// <summary>ges. Rabatt [8 Vorsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object GRabV7St
		{
			get { return this["GRabV7St"]; }
		}
		/// <summary>ges. Rabatt [8 Vorsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object GRabV7Bt
		{
			get { return this["GRabV7Bt"]; }
		}
		/// <summary>ges. Rabatt [9 Vorsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object GRabV16Nt
		{
			get { return this["GRabV16Nt"]; }
		}
		/// <summary>ges. Rabatt [9 Vorsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object GRabV16St
		{
			get { return this["GRabV16St"]; }
		}
		/// <summary>ges. Rabatt [9 Vorsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object GRabV16Bt
		{
			get { return this["GRabV16Bt"]; }
		}
		/// <summary>ges. Rabatt [10 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object GRabUSFNt
		{
			get { return this["GRabUSFNt"]; }
		}
		/// <summary>ges. Rabatt [10 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object GRabUSFSt
		{
			get { return this["GRabUSFSt"]; }
		}
		/// <summary>ges. Rabatt [10 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object GRabUSFBt
		{
			get { return this["GRabUSFBt"]; }
		}
		/// <summary>ges. Rabatt [11 EU Umsatzsteuerfrei mit ID-Nr.] (Netto) ( Double )</summary>
		public virtual Object GRabEFINt
		{
			get { return this["GRabEFINt"]; }
		}
		/// <summary>ges. Rabatt [11 EU Umsatzsteuerfrei mit ID-Nr.] (Steuer) ( Double )</summary>
		public virtual Object GRabEFISt
		{
			get { return this["GRabEFISt"]; }
		}
		/// <summary>ges. Rabatt [11 EU Umsatzsteuerfrei mit ID-Nr.] (Brutto) ( Double )</summary>
		public virtual Object GRabEFIBt
		{
			get { return this["GRabEFIBt"]; }
		}
		/// <summary>ges. Rabatt [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object GRabEM7Nt
		{
			get { return this["GRabEM7Nt"]; }
		}
		/// <summary>ges. Rabatt [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object GRabEM7St
		{
			get { return this["GRabEM7St"]; }
		}
		/// <summary>ges. Rabatt [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object GRabEM7Bt
		{
			get { return this["GRabEM7Bt"]; }
		}
		/// <summary>ges. Rabatt [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object GRabEM16Nt
		{
			get { return this["GRabEM16Nt"]; }
		}
		/// <summary>ges. Rabatt [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object GRabEM16St
		{
			get { return this["GRabEM16St"]; }
		}
		/// <summary>ges. Rabatt [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object GRabEM16Bt
		{
			get { return this["GRabEM16Bt"]; }
		}
		/// <summary>ges. Rabatt [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object GRabEM19Nt
		{
			get { return this["GRabEM19Nt"]; }
		}
		/// <summary>ges. Rabatt [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object GRabEM19St
		{
			get { return this["GRabEM19St"]; }
		}
		/// <summary>ges. Rabatt [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object GRabEM19Bt
		{
			get { return this["GRabEM19Bt"]; }
		}
		/// <summary>ges. Rabatt [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object GRabEM15Nt
		{
			get { return this["GRabEM15Nt"]; }
		}
		/// <summary>ges. Rabatt [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object GRabEM15St
		{
			get { return this["GRabEM15St"]; }
		}
		/// <summary>ges. Rabatt [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object GRabEM15Bt
		{
			get { return this["GRabEM15Bt"]; }
		}
		/// <summary>ges. Rabatt [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object GRabEV19Nt
		{
			get { return this["GRabEV19Nt"]; }
		}
		/// <summary>ges. Rabatt [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object GRabEV19St
		{
			get { return this["GRabEV19St"]; }
		}
		/// <summary>ges. Rabatt [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object GRabEV19Bt
		{
			get { return this["GRabEV19Bt"]; }
		}
		/// <summary>ges. Rabatt [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object GRabEV15Nt
		{
			get { return this["GRabEV15Nt"]; }
		}
		/// <summary>ges. Rabatt [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object GRabEV15St
		{
			get { return this["GRabEV15St"]; }
		}
		/// <summary>ges. Rabatt [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object GRabEV15Bt
		{
			get { return this["GRabEV15Bt"]; }
		}
		/// <summary>ges. Rabatt [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object GRabEV7Nt
		{
			get { return this["GRabEV7Nt"]; }
		}
		/// <summary>ges. Rabatt [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object GRabEV7St
		{
			get { return this["GRabEV7St"]; }
		}
		/// <summary>ges. Rabatt [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object GRabEV7Bt
		{
			get { return this["GRabEV7Bt"]; }
		}
		/// <summary>ges. Rabatt [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object GRabEV16Nt
		{
			get { return this["GRabEV16Nt"]; }
		}
		/// <summary>ges. Rabatt [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object GRabEV16St
		{
			get { return this["GRabEV16St"]; }
		}
		/// <summary>ges. Rabatt [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object GRabEV16Bt
		{
			get { return this["GRabEV16Bt"]; }
		}
		/// <summary>ges. Rabatt [48 VSt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object GRabBV19Nt
		{
			get { return this["GRabBV19Nt"]; }
		}
		/// <summary>ges. Rabatt [48 VSt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object GRabBV19St
		{
			get { return this["GRabBV19St"]; }
		}
		/// <summary>ges. Rabatt [48 VSt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object GRabBV19Bt
		{
			get { return this["GRabBV19Bt"]; }
		}
		/// <summary>ges. Rabatt [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object GRabBV16Nt
		{
			get { return this["GRabBV16Nt"]; }
		}
		/// <summary>ges. Rabatt [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object GRabBV16St
		{
			get { return this["GRabBV16St"]; }
		}
		/// <summary>ges. Rabatt [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object GRabBV16Bt
		{
			get { return this["GRabBV16Bt"]; }
		}
		/// <summary>ges. Rabatt [58 USt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object GRabBU19Nt
		{
			get { return this["GRabBU19Nt"]; }
		}
		/// <summary>ges. Rabatt [58 USt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object GRabBU19St
		{
			get { return this["GRabBU19St"]; }
		}
		/// <summary>ges. Rabatt [58 USt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object GRabBU19Bt
		{
			get { return this["GRabBU19Bt"]; }
		}
		/// <summary>ges. Rabatt [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object GRabBU16Nt
		{
			get { return this["GRabBU16Nt"]; }
		}
		/// <summary>ges. Rabatt [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object GRabBU16St
		{
			get { return this["GRabBU16St"]; }
		}
		/// <summary>ges. Rabatt [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object GRabBU16Bt
		{
			get { return this["GRabBU16Bt"]; }
		}
		/// <summary>ges. Rabatt [69 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object GRabBOSNt
		{
			get { return this["GRabBOSNt"]; }
		}
		/// <summary>ges. Rabatt [69 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object GRabBOSSt
		{
			get { return this["GRabBOSSt"]; }
		}
		/// <summary>ges. Rabatt [69 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object GRabBOSBt
		{
			get { return this["GRabBOSBt"]; }
		}
		/// <summary>ges. Rabatt [101 Ohne Steuer (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object GRabOSNt
		{
			get { return this["GRabOSNt"]; }
		}
		/// <summary>ges. Rabatt [101 Ohne Steuer (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object GRabOSSt
		{
			get { return this["GRabOSSt"]; }
		}
		/// <summary>ges. Rabatt [101 Ohne Steuer (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object GRabOSBt
		{
			get { return this["GRabOSBt"]; }
		}
		/// <summary>ges. Rabatt [102 Ohne Steuer (Einkauf)] (Netto) ( Double )</summary>
		public virtual Object GRabOS_EKNt
		{
			get { return this["GRabOS_EKNt"]; }
		}
		/// <summary>ges. Rabatt [102 Ohne Steuer (Einkauf)] (Steuer) ( Double )</summary>
		public virtual Object GRabOS_EKSt
		{
			get { return this["GRabOS_EKSt"]; }
		}
		/// <summary>ges. Rabatt [102 Ohne Steuer (Einkauf)] (Brutto) ( Double )</summary>
		public virtual Object GRabOS_EKBt
		{
			get { return this["GRabOS_EKBt"]; }
		}
		/// <summary>ges. Rabatt (Netto) ( Double )</summary>
		public virtual Object GRabNt
		{
			get { return this["GRabNt"]; }
		}
		/// <summary>ges. Rabatt (Steuer) ( Double )</summary>
		public virtual Object GRabSt
		{
			get { return this["GRabSt"]; }
		}
		/// <summary>ges. Rabatt (Brutto) ( Double )</summary>
		public virtual Object GRabBt
		{
			get { return this["GRabBt"]; }
		}
		/// <summary>ges. skontofhiger Betrag ( Array )</summary>
		public virtual Object GSkto
		{
			get { return this["GSkto"]; }
			set { this["GSkto"] = value; }
		}
		/// <summary>ges. skontofhiger Betrag (Netto) ( Double )</summary>
		public virtual Object GSktoNt
		{
			get { return this["GSktoNt"]; }
		}
		/// <summary>ges. skontofhiger Betrag (Steuer) ( Double )</summary>
		public virtual Object GSktoSt
		{
			get { return this["GSktoSt"]; }
		}
		/// <summary>ges. skontofhiger Betrag (Brutto) ( Double )</summary>
		public virtual Object GSktoBt
		{
			get { return this["GSktoBt"]; }
		}
		/// <summary>skontofhiger Bruttobetrag ( Double )</summary>
		public virtual Object SktoBrtBet
		{
			get { return this["SktoBrtBet"]; }
			set { this["SktoBrtBet"] = value; }
		}
		/// <summary>Umsatz Netto ( Double )</summary>
		public virtual Object UmsNetto
		{
			get { return this["UmsNetto"]; }
			set { this["UmsNetto"] = value; }
		}
		/// <summary>Umsatz Ek (fr Roherls) ( Double )</summary>
		public virtual Object UmsEkRoh
		{
			get { return this["UmsEkRoh"]; }
			set { this["UmsEkRoh"] = value; }
		}
		/// <summary>Original gesamt Preis (Brutto) ( Double )</summary>
		public virtual Object GPrBrtOrg
		{
			get { return this["GPrBrtOrg"]; }
			set { this["GPrBrtOrg"] = value; }
		}
		/// <summary>ges. Abgang Gutscheinbetrag (eigene) ( Array )</summary>
		public virtual Object GGutscheinAb
		{
			get { return this["GGutscheinAb"]; }
			set { this["GGutscheinAb"] = value; }
		}
		/// <summary>ges. Abgang Gutscheinbetrag (eigene) (Netto) ( Double )</summary>
		public virtual Object GGutscheinAbNt
		{
			get { return this["GGutscheinAbNt"]; }
		}
		/// <summary>ges. Abgang Gutscheinbetrag (eigene) (Steuer) ( Double )</summary>
		public virtual Object GGutscheinAbSt
		{
			get { return this["GGutscheinAbSt"]; }
		}
		/// <summary>ges. Abgang Gutscheinbetrag (eigene) (Brutto) ( Double )</summary>
		public virtual Object GGutscheinAbBt
		{
			get { return this["GGutscheinAbBt"]; }
		}
		/// <summary>ges. Zugang Gutscheinbetrag (eigene) ( Array )</summary>
		public virtual Object GGutscheinZu
		{
			get { return this["GGutscheinZu"]; }
			set { this["GGutscheinZu"] = value; }
		}
		/// <summary>ges. Zugang Gutscheinbetrag (eigene) (Netto) ( Double )</summary>
		public virtual Object GGutscheinZuNt
		{
			get { return this["GGutscheinZuNt"]; }
		}
		/// <summary>ges. Zugang Gutscheinbetrag (eigene) (Steuer) ( Double )</summary>
		public virtual Object GGutscheinZuSt
		{
			get { return this["GGutscheinZuSt"]; }
		}
		/// <summary>ges. Zugang Gutscheinbetrag (eigene) (Brutto) ( Double )</summary>
		public virtual Object GGutscheinZuBt
		{
			get { return this["GGutscheinZuBt"]; }
		}
		/// <summary>Kassendaten ( StringList )</summary>
		public virtual Object KassenDaten
		{
			get { return this["KassenDaten"]; }
			set { this["KassenDaten"] = value; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>RecordRevision ( SmallInt )</summary>
		public virtual Object RecRev
		{
			get { return this["RecRev"]; }
			set { this["RecRev"] = value; }
		}


		#endregion
	}
}
