using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KontakteArchivSet : BpnEntitySet<KontakteArchiv>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "KontakteArchiv";
			
		public static KontakteArchivSet CreateInstance(BpnConnection connection)
		{
		    var kontaktearchivsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var kontaktearchivsetDataSet = kontaktearchivsetInfo.CreateDataSet();
		
		    var ret = new KontakteArchivSet(kontaktearchivsetDataSet);
		    return ret;
		}
		
		internal KontakteArchivSet(BpNT.AutoDataSet kontaktearchivDataSet) 
			: base(kontaktearchivDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected KontakteArchivSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new KontakteArchivSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected KontakteArchivSet parentSet;
		
			protected KontakteArchivSetHiDatIndex hiDatIndex;
			protected KontakteArchivSetDBBkzBezHiDatIndex dBBkzBezHiDatIndex;
			protected KontakteArchivSetIDIndex iDIndex;
			protected KontakteArchivSetIntIDIndex intIDIndex;
			protected KontakteArchivSetNrIndex nrIndex;
			protected KontakteArchivSetAnspIndex anspIndex;
			protected KontakteArchivSetKuInfoIndex kuInfoIndex;
			protected KontakteArchivSetBzrNrIndex bzrNrIndex;
			protected KontakteArchivSetErfDatIndex erfDatIndex;
			protected KontakteArchivSetPrjNrIndex prjNrIndex;
			protected KontakteArchivSetDBBkzBezNrIndex dBBkzBezNrIndex;
			protected KontakteArchivSetDBBkzBezAnspIndex dBBkzBezAnspIndex;
			protected KontakteArchivSetDBBkzBezKuInfoIndex dBBkzBezKuInfoIndex;
			protected KontakteArchivSetDBBkzBezBzrNrIndex dBBkzBezBzrNrIndex;
			protected KontakteArchivSetDBBkzBezErfDatIndex dBBkzBezErfDatIndex;
			protected KontakteArchivSetDBBkzBezPrjNrIndex dBBkzBezPrjNrIndex;
		
			internal IndicesClass(KontakteArchivSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				hiDatIndex = new KontakteArchivSetHiDatIndex(parentSet.DataSet);
				dBBkzBezHiDatIndex = new KontakteArchivSetDBBkzBezHiDatIndex(parentSet.DataSet);
				iDIndex = new KontakteArchivSetIDIndex(parentSet.DataSet);
				intIDIndex = new KontakteArchivSetIntIDIndex(parentSet.DataSet);
				nrIndex = new KontakteArchivSetNrIndex(parentSet.DataSet);
				anspIndex = new KontakteArchivSetAnspIndex(parentSet.DataSet);
				kuInfoIndex = new KontakteArchivSetKuInfoIndex(parentSet.DataSet);
				bzrNrIndex = new KontakteArchivSetBzrNrIndex(parentSet.DataSet);
				erfDatIndex = new KontakteArchivSetErfDatIndex(parentSet.DataSet);
				prjNrIndex = new KontakteArchivSetPrjNrIndex(parentSet.DataSet);
				dBBkzBezNrIndex = new KontakteArchivSetDBBkzBezNrIndex(parentSet.DataSet);
				dBBkzBezAnspIndex = new KontakteArchivSetDBBkzBezAnspIndex(parentSet.DataSet);
				dBBkzBezKuInfoIndex = new KontakteArchivSetDBBkzBezKuInfoIndex(parentSet.DataSet);
				dBBkzBezBzrNrIndex = new KontakteArchivSetDBBkzBezBzrNrIndex(parentSet.DataSet);
				dBBkzBezErfDatIndex = new KontakteArchivSetDBBkzBezErfDatIndex(parentSet.DataSet);
				dBBkzBezPrjNrIndex = new KontakteArchivSetDBBkzBezPrjNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Historydatum</summary>
			public KontakteArchivSetHiDatIndex HiDatIndex
			{
				get { return hiDatIndex; }
			}
			
			/// <summary>Historydatum</summary>
			public KontakteArchivSetDBBkzBezHiDatIndex DBBkzBezHiDatIndex
			{
				get { return dBBkzBezHiDatIndex; }
			}
			
			/// <summary>ID</summary>
			public KontakteArchivSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>IntID</summary>
			public KontakteArchivSetIntIDIndex IntIDIndex
			{
				get { return intIDIndex; }
			}
			
			/// <summary>Nummer</summary>
			public KontakteArchivSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Ansprechpartner</summary>
			public KontakteArchivSetAnspIndex AnspIndex
			{
				get { return anspIndex; }
			}
			
			/// <summary>Kurzinfo</summary>
			public KontakteArchivSetKuInfoIndex KuInfoIndex
			{
				get { return kuInfoIndex; }
			}
			
			/// <summary>Sachbearbeiter (Benutzernummer)</summary>
			public KontakteArchivSetBzrNrIndex BzrNrIndex
			{
				get { return bzrNrIndex; }
			}
			
			/// <summary>Erfassungsdatum</summary>
			public KontakteArchivSetErfDatIndex ErfDatIndex
			{
				get { return erfDatIndex; }
			}
			
			/// <summary>Projektnummer</summary>
			public KontakteArchivSetPrjNrIndex PrjNrIndex
			{
				get { return prjNrIndex; }
			}
			
			/// <summary>Nummer (mit Bereich)</summary>
			public KontakteArchivSetDBBkzBezNrIndex DBBkzBezNrIndex
			{
				get { return dBBkzBezNrIndex; }
			}
			
			/// <summary>Ansprechpartner</summary>
			public KontakteArchivSetDBBkzBezAnspIndex DBBkzBezAnspIndex
			{
				get { return dBBkzBezAnspIndex; }
			}
			
			/// <summary>Kurzinfo</summary>
			public KontakteArchivSetDBBkzBezKuInfoIndex DBBkzBezKuInfoIndex
			{
				get { return dBBkzBezKuInfoIndex; }
			}
			
			/// <summary>Sachbearbeiter (Benutzernummer)</summary>
			public KontakteArchivSetDBBkzBezBzrNrIndex DBBkzBezBzrNrIndex
			{
				get { return dBBkzBezBzrNrIndex; }
			}
			
			/// <summary>Erfassungsdatum</summary>
			public KontakteArchivSetDBBkzBezErfDatIndex DBBkzBezErfDatIndex
			{
				get { return dBBkzBezErfDatIndex; }
			}
			
			/// <summary>Projektnummer</summary>
			public KontakteArchivSetDBBkzBezPrjNrIndex DBBkzBezPrjNrIndex
			{
				get { return dBBkzBezPrjNrIndex; }
			}
			
		
			#endregion
		}

		public KontakteArchivSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
