using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KontenBlaetter : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "KontenBlaetter";
			
		public static KontenBlaetter CreateInstance(BpnConnection connection)
		{
		    var kontenblaetterInfo = connection.GetDataSetInfo(DS_NAME);
		    var kontenblaetterDataSet = kontenblaetterInfo.CreateDataSet();
		
		    var ret = new KontenBlaetter(kontenblaetterDataSet);
		    return ret;
		}
		
		public KontenBlaetter(BpNT.AutoDataSet kontenblaetterDataSet) 
			: base(kontenblaetterDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>VerbuchungsArt ( Byte )</summary>
		public virtual Object VBArt
		{
			get { return this["VBArt"]; }
			set { this["VBArt"] = value; }
		}
		/// <summary>Bereich ( String )</summary>
		public virtual String DBBkzBez
		{
			get { return Convert.ToString(this["DBBkzBez"]); }
			set { this["DBBkzBez"] = value; }
		}
		/// <summary>Buchungs-ID Nummer ( Integer )</summary>
		public virtual Int32 BchIDNr
		{
			get { return Convert.ToInt32(this["BchIDNr"]); }
			set { this["BchIDNr"] = value; }
		}
		/// <summary>Jahr ( SmallInt )</summary>
		public virtual Object Jahr
		{
			get { return this["Jahr"]; }
			set { this["Jahr"] = value; }
		}
		/// <summary>Periode ( Byte )</summary>
		public virtual Object Per
		{
			get { return this["Per"]; }
			set { this["Per"] = value; }
		}
		/// <summary>Laufende Buchungsnummer ( Integer )</summary>
		public virtual Int32 LfdBchNr
		{
			get { return Convert.ToInt32(this["LfdBchNr"]); }
			set { this["LfdBchNr"] = value; }
		}
		/// <summary>Laufende Schreibnummer ( Byte )</summary>
		public virtual Object LfdSchreibNr
		{
			get { return this["LfdSchreibNr"]; }
			set { this["LfdSchreibNr"] = value; }
		}
		/// <summary>Buchungsprotokollnummer innerhalb der Periode ( Integer )</summary>
		public virtual Int32 PerPtkNr
		{
			get { return Convert.ToInt32(this["PerPtkNr"]); }
			set { this["PerPtkNr"] = value; }
		}
		/// <summary>Arbeitsdatum der Protokollnummer ( Date )</summary>
		public virtual DateTime PerPtkADat
		{
			get { return Convert.ToDateTime(this["PerPtkADat"]); }
			set { this["PerPtkADat"] = value; }
		}
		/// <summary>Buchungsinfo ( String )</summary>
		public virtual String BchInfo
		{
			get { return Convert.ToString(this["BchInfo"]); }
		}
		/// <summary>Seite ( Integer )</summary>
		public virtual Int32 Seite
		{
			get { return Convert.ToInt32(this["Seite"]); }
			set { this["Seite"] = value; }
		}
		/// <summary>Jahr und Periode der Seite ( Integer )</summary>
		public virtual Int32 SeiteJP
		{
			get { return Convert.ToInt32(this["SeiteJP"]); }
			set { this["SeiteJP"] = value; }
		}
		/// <summary>Filialnummer ( Integer )</summary>
		public virtual Int32 FilNr
		{
			get { return Convert.ToInt32(this["FilNr"]); }
			set { this["FilNr"] = value; }
		}
		/// <summary>Kontonummer ( String )</summary>
		public virtual String KtoNr
		{
			get { return Convert.ToString(this["KtoNr"]); }
			set { this["KtoNr"] = value; }
		}
		/// <summary>Konto ( String )</summary>
		public virtual String KtoNrInfo
		{
			get { return Convert.ToString(this["KtoNrInfo"]); }
		}
		/// <summary>Gegenkontonummer ( String )</summary>
		public virtual String GKtoNr
		{
			get { return Convert.ToString(this["GKtoNr"]); }
			set { this["GKtoNr"] = value; }
		}
		/// <summary>Gegenkonto ( String )</summary>
		public virtual String GKtoNrInfo
		{
			get { return Convert.ToString(this["GKtoNrInfo"]); }
		}
		/// <summary>Ist EB-Buchung ( Boolean )</summary>
		public virtual Object EBBuchKz
		{
			get { return this["EBBuchKz"]; }
		}
		/// <summary>Soll-Betrag ( Double )</summary>
		public virtual Object SollBet
		{
			get { return this["SollBet"]; }
			set { this["SollBet"] = value; }
		}
		/// <summary>Haben-Betrag ( Double )</summary>
		public virtual Object HabenBet
		{
			get { return this["HabenBet"]; }
			set { this["HabenBet"] = value; }
		}
		/// <summary>Saldo-Betrag ( Double )</summary>
		public virtual Object SaldoBet
		{
			get { return this["SaldoBet"]; }
		}
		/// <summary>Soll-Betrag in Leitwhrung 2 ( Double )</summary>
		public virtual Object SollBetLW2
		{
			get { return this["SollBetLW2"]; }
			set { this["SollBetLW2"] = value; }
		}
		/// <summary>Haben-Betrag in Leitwhrung 2 ( Double )</summary>
		public virtual Object HabenBetLW2
		{
			get { return this["HabenBetLW2"]; }
			set { this["HabenBetLW2"] = value; }
		}
		/// <summary>Saldo-Betrag in Leitwhrung 2 ( Double )</summary>
		public virtual Object SaldoBetLW2
		{
			get { return this["SaldoBetLW2"]; }
		}
		/// <summary>Soll-Betrag aus Buchung ( Double )</summary>
		public virtual Object BchSollBet
		{
			get { return this["BchSollBet"]; }
			set { this["BchSollBet"] = value; }
		}
		/// <summary>Haben-Betrag aus Buchung ( Double )</summary>
		public virtual Object BchHabenBet
		{
			get { return this["BchHabenBet"]; }
			set { this["BchHabenBet"] = value; }
		}
		/// <summary>Whrung des Buchungsbetrags ( String )</summary>
		public virtual String BchWaehr
		{
			get { return Convert.ToString(this["BchWaehr"]); }
			set { this["BchWaehr"] = value; }
		}
		/// <summary>Fremdwhrungsfaktor ( Double )</summary>
		public virtual Object FrWFak
		{
			get { return this["FrWFak"]; }
			set { this["FrWFak"] = value; }
		}
		/// <summary>Basiswhrungsfaktor ( Double )</summary>
		public virtual Object BaWFak
		{
			get { return this["BaWFak"]; }
			set { this["BaWFak"] = value; }
		}
		/// <summary>Steuerschlssel ( Byte )</summary>
		public virtual Object StSchl
		{
			get { return this["StSchl"]; }
			set { this["StSchl"] = value; }
		}
		/// <summary>Suffix der Steuer ( String )</summary>
		public virtual String StSuf
		{
			get { return Convert.ToString(this["StSuf"]); }
			set { this["StSuf"] = value; }
		}
		/// <summary>Steuer in Konto ( Boolean )</summary>
		public virtual Object StInKtoKz
		{
			get { return this["StInKtoKz"]; }
		}
		/// <summary>Steuer-Bemssungsgrenze ( Double )</summary>
		public virtual Object StBmgLW1Bet
		{
			get { return this["StBmgLW1Bet"]; }
			set { this["StBmgLW1Bet"] = value; }
		}
		/// <summary>Steuer-Bemssungsgrenze in Leitwhrung 2 ( Double )</summary>
		public virtual Object StBmgLW2Bet
		{
			get { return this["StBmgLW2Bet"]; }
			set { this["StBmgLW2Bet"] = value; }
		}
		/// <summary>Datum ( Date )</summary>
		public virtual DateTime Dat
		{
			get { return Convert.ToDateTime(this["Dat"]); }
			set { this["Dat"] = value; }
		}
		/// <summary>Belegnummer 1 ( String )</summary>
		public virtual String BelegNr1
		{
			get { return Convert.ToString(this["BelegNr1"]); }
			set { this["BelegNr1"] = value; }
		}
		/// <summary>Belegnummer 2 ( String )</summary>
		public virtual String BelegNr2
		{
			get { return Convert.ToString(this["BelegNr2"]); }
			set { this["BelegNr2"] = value; }
		}
		/// <summary>Kostenstellennummer ( String )</summary>
		public virtual String KstNr
		{
			get { return Convert.ToString(this["KstNr"]); }
			set { this["KstNr"] = value; }
		}
		/// <summary>Kostenstelle ( String )</summary>
		public virtual String KstNrInfo
		{
			get { return Convert.ToString(this["KstNrInfo"]); }
		}
		/// <summary>Gegenkostenstellennummer ( String )</summary>
		public virtual String GKstNr
		{
			get { return Convert.ToString(this["GKstNr"]); }
			set { this["GKstNr"] = value; }
		}
		/// <summary>Gegenkostenstelle ( String )</summary>
		public virtual String GKstNrInfo
		{
			get { return Convert.ToString(this["GKstNrInfo"]); }
		}
		/// <summary>Text ( String )</summary>
		public virtual String Text
		{
			get { return Convert.ToString(this["Text"]); }
			set { this["Text"] = value; }
		}
		/// <summary>Adressnummer ( String )</summary>
		public virtual String AdrNr
		{
			get { return Convert.ToString(this["AdrNr"]); }
			set { this["AdrNr"] = value; }
		}
		/// <summary>lfd. Saldo in Leitwhrung 1 ( Double )</summary>
		public virtual Object LfdSaldoBetLW1
		{
			get { return this["LfdSaldoBetLW1"]; }
			set { this["LfdSaldoBetLW1"] = value; }
		}
		/// <summary>lfd. Saldo in Leitwhrung 2 ( Double )</summary>
		public virtual Object LfdSaldoBetLW2
		{
			get { return this["LfdSaldoBetLW2"]; }
			set { this["LfdSaldoBetLW2"] = value; }
		}
		/// <summary>Dreiecksgeschft ( Boolean )</summary>
		public virtual Object DreiGsKz
		{
			get { return this["DreiGsKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
