using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KontenBlaetterSet : BpnEntitySet<KontenBlaetter>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "KontenBlaetter";
			
		public static KontenBlaetterSet CreateInstance(BpnConnection connection)
		{
		    var kontenblaettersetInfo = connection.GetDataSetInfo(DS_NAME);
		    var kontenblaettersetDataSet = kontenblaettersetInfo.CreateDataSet();
		
		    var ret = new KontenBlaetterSet(kontenblaettersetDataSet);
		    return ret;
		}
		
		internal KontenBlaetterSet(BpNT.AutoDataSet kontenblaetterDataSet) 
			: base(kontenblaetterDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected KontenBlaetterSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new KontenBlaetterSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected KontenBlaetterSet parentSet;
		
			protected KontenBlaetterSetJPPtkNrLfdBchNrIndex jPPtkNrLfdBchNrIndex;
			protected KontenBlaetterSetKtoNrJSeitePDatBchNrIndex ktoNrJSeitePDatBchNrIndex;
			protected KontenBlaetterSetIDIndex iDIndex;
			protected KontenBlaetterSetJahrLfdBchNrIndex jahrLfdBchNrIndex;
			protected KontenBlaetterSetKtoNrIndex ktoNrIndex;
			protected KontenBlaetterSetKtoNrNumIndex ktoNrNumIndex;
			protected KontenBlaetterSetGKtoNrIndex gKtoNrIndex;
			protected KontenBlaetterSetSollIndex sollIndex;
			protected KontenBlaetterSetHabenIndex habenIndex;
			protected KontenBlaetterSetDatIndex datIndex;
			protected KontenBlaetterSetBelegNr1Index belegNr1Index;
			protected KontenBlaetterSetBelegNr2Index belegNr2Index;
			protected KontenBlaetterSetTextIndex textIndex;
			protected KontenBlaetterSetBchIDNrIndex bchIDNrIndex;
			protected KontenBlaetterSetKstNrIndex kstNrIndex;
			protected KontenBlaetterSetGKstNrIndex gKstNrIndex;
			protected KontenBlaetterSetAdrNrIndex adrNrIndex;
			protected KontenBlaetterSetJPKtoNrGKtoNrIndex jPKtoNrGKtoNrIndex;
			protected KontenBlaetterSetJPKtoNrSollIndex jPKtoNrSollIndex;
			protected KontenBlaetterSetJPKtoNrHabenIndex jPKtoNrHabenIndex;
			protected KontenBlaetterSetJPKtoNrDatIndex jPKtoNrDatIndex;
			protected KontenBlaetterSetJPKtoNrBelegNr1Index jPKtoNrBelegNr1Index;
			protected KontenBlaetterSetJPKtoNrBelegNr2Index jPKtoNrBelegNr2Index;
			protected KontenBlaetterSetJPKtoNrTextIndex jPKtoNrTextIndex;
		
			internal IndicesClass(KontenBlaetterSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				jPPtkNrLfdBchNrIndex = new KontenBlaetterSetJPPtkNrLfdBchNrIndex(parentSet.DataSet);
				ktoNrJSeitePDatBchNrIndex = new KontenBlaetterSetKtoNrJSeitePDatBchNrIndex(parentSet.DataSet);
				iDIndex = new KontenBlaetterSetIDIndex(parentSet.DataSet);
				jahrLfdBchNrIndex = new KontenBlaetterSetJahrLfdBchNrIndex(parentSet.DataSet);
				ktoNrIndex = new KontenBlaetterSetKtoNrIndex(parentSet.DataSet);
				ktoNrNumIndex = new KontenBlaetterSetKtoNrNumIndex(parentSet.DataSet);
				gKtoNrIndex = new KontenBlaetterSetGKtoNrIndex(parentSet.DataSet);
				sollIndex = new KontenBlaetterSetSollIndex(parentSet.DataSet);
				habenIndex = new KontenBlaetterSetHabenIndex(parentSet.DataSet);
				datIndex = new KontenBlaetterSetDatIndex(parentSet.DataSet);
				belegNr1Index = new KontenBlaetterSetBelegNr1Index(parentSet.DataSet);
				belegNr2Index = new KontenBlaetterSetBelegNr2Index(parentSet.DataSet);
				textIndex = new KontenBlaetterSetTextIndex(parentSet.DataSet);
				bchIDNrIndex = new KontenBlaetterSetBchIDNrIndex(parentSet.DataSet);
				kstNrIndex = new KontenBlaetterSetKstNrIndex(parentSet.DataSet);
				gKstNrIndex = new KontenBlaetterSetGKstNrIndex(parentSet.DataSet);
				adrNrIndex = new KontenBlaetterSetAdrNrIndex(parentSet.DataSet);
				jPKtoNrGKtoNrIndex = new KontenBlaetterSetJPKtoNrGKtoNrIndex(parentSet.DataSet);
				jPKtoNrSollIndex = new KontenBlaetterSetJPKtoNrSollIndex(parentSet.DataSet);
				jPKtoNrHabenIndex = new KontenBlaetterSetJPKtoNrHabenIndex(parentSet.DataSet);
				jPKtoNrDatIndex = new KontenBlaetterSetJPKtoNrDatIndex(parentSet.DataSet);
				jPKtoNrBelegNr1Index = new KontenBlaetterSetJPKtoNrBelegNr1Index(parentSet.DataSet);
				jPKtoNrBelegNr2Index = new KontenBlaetterSetJPKtoNrBelegNr2Index(parentSet.DataSet);
				jPKtoNrTextIndex = new KontenBlaetterSetJPKtoNrTextIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>JPPtkNrLfdBchNr</summary>
			public KontenBlaetterSetJPPtkNrLfdBchNrIndex JPPtkNrLfdBchNrIndex
			{
				get { return jPPtkNrLfdBchNrIndex; }
			}
			
			/// <summary>KtoNrJSeitePDatBchNr</summary>
			public KontenBlaetterSetKtoNrJSeitePDatBchNrIndex KtoNrJSeitePDatBchNrIndex
			{
				get { return ktoNrJSeitePDatBchNrIndex; }
			}
			
			/// <summary>ID</summary>
			public KontenBlaetterSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Jahr & Buchungsnummer</summary>
			public KontenBlaetterSetJahrLfdBchNrIndex JahrLfdBchNrIndex
			{
				get { return jahrLfdBchNrIndex; }
			}
			
			/// <summary>Kontonummer</summary>
			public KontenBlaetterSetKtoNrIndex KtoNrIndex
			{
				get { return ktoNrIndex; }
			}
			
			/// <summary>Kontonummer (numerisch)</summary>
			public KontenBlaetterSetKtoNrNumIndex KtoNrNumIndex
			{
				get { return ktoNrNumIndex; }
			}
			
			/// <summary>Gegenkontonummer</summary>
			public KontenBlaetterSetGKtoNrIndex GKtoNrIndex
			{
				get { return gKtoNrIndex; }
			}
			
			/// <summary>Betrag im Soll</summary>
			public KontenBlaetterSetSollIndex SollIndex
			{
				get { return sollIndex; }
			}
			
			/// <summary>Betrag im Haben</summary>
			public KontenBlaetterSetHabenIndex HabenIndex
			{
				get { return habenIndex; }
			}
			
			/// <summary>Datum</summary>
			public KontenBlaetterSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>Belegnummer 1</summary>
			public KontenBlaetterSetBelegNr1Index BelegNr1Index
			{
				get { return belegNr1Index; }
			}
			
			/// <summary>Belegnummer 2</summary>
			public KontenBlaetterSetBelegNr2Index BelegNr2Index
			{
				get { return belegNr2Index; }
			}
			
			/// <summary>Text</summary>
			public KontenBlaetterSetTextIndex TextIndex
			{
				get { return textIndex; }
			}
			
			/// <summary>Bereich</summary>
			public KontenBlaetterSetBchIDNrIndex BchIDNrIndex
			{
				get { return bchIDNrIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public KontenBlaetterSetKstNrIndex KstNrIndex
			{
				get { return kstNrIndex; }
			}
			
			/// <summary>Gegenkostenstellennummer</summary>
			public KontenBlaetterSetGKstNrIndex GKstNrIndex
			{
				get { return gKstNrIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public KontenBlaetterSetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
			/// <summary>Gegenkontonummer</summary>
			public KontenBlaetterSetJPKtoNrGKtoNrIndex JPKtoNrGKtoNrIndex
			{
				get { return jPKtoNrGKtoNrIndex; }
			}
			
			/// <summary>Betrag fr Kosten</summary>
			public KontenBlaetterSetJPKtoNrSollIndex JPKtoNrSollIndex
			{
				get { return jPKtoNrSollIndex; }
			}
			
			/// <summary>Betrag fr Leistungen</summary>
			public KontenBlaetterSetJPKtoNrHabenIndex JPKtoNrHabenIndex
			{
				get { return jPKtoNrHabenIndex; }
			}
			
			/// <summary>Datum</summary>
			public KontenBlaetterSetJPKtoNrDatIndex JPKtoNrDatIndex
			{
				get { return jPKtoNrDatIndex; }
			}
			
			/// <summary>Belegnummer 1</summary>
			public KontenBlaetterSetJPKtoNrBelegNr1Index JPKtoNrBelegNr1Index
			{
				get { return jPKtoNrBelegNr1Index; }
			}
			
			/// <summary>Belegnummer 2</summary>
			public KontenBlaetterSetJPKtoNrBelegNr2Index JPKtoNrBelegNr2Index
			{
				get { return jPKtoNrBelegNr2Index; }
			}
			
			/// <summary>Text</summary>
			public KontenBlaetterSetJPKtoNrTextIndex JPKtoNrTextIndex
			{
				get { return jPKtoNrTextIndex; }
			}
			
		
			#endregion
		}

		public KontenBlaetterSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
