using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KontenPlan : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "KontenPlan";
			
		public static KontenPlan CreateInstance(BpnConnection connection)
		{
		    var kontenplanInfo = connection.GetDataSetInfo(DS_NAME);
		    var kontenplanDataSet = kontenplanInfo.CreateDataSet();
		
		    var ret = new KontenPlan(kontenplanDataSet);
		    return ret;
		}
		
		public KontenPlan(BpNT.AutoDataSet kontenplanDataSet) 
			: base(kontenplanDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Kontonummer ( String )</summary>
		public virtual String KtoNr
		{
			get { return Convert.ToString(this["KtoNr"]); }
			set { this["KtoNr"] = value; }
		}
		/// <summary>Suchbegriff ( String )</summary>
		public virtual String SuchBeg
		{
			get { return Convert.ToString(this["SuchBeg"]); }
			set { this["SuchBeg"] = value; }
		}
		/// <summary>Kontokategorie ( Integer )</summary>
		public virtual Int32 Kategorie
		{
			get { return Convert.ToInt32(this["Kategorie"]); }
			set { this["Kategorie"] = value; }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Kostenstellennummer ( String )</summary>
		public virtual String KstNr
		{
			get { return Convert.ToString(this["KstNr"]); }
			set { this["KstNr"] = value; }
		}
		/// <summary>Kostenstelle ( String )</summary>
		public virtual String KstNrInfo
		{
			get { return Convert.ToString(this["KstNrInfo"]); }
		}
		/// <summary>Steuerschlssel ( Byte )</summary>
		public virtual Object StSchl
		{
			get { return this["StSchl"]; }
			set { this["StSchl"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Sammelbuchungskonto ( Boolean )</summary>
		public virtual Object SammelKz
		{
			get { return this["SammelKz"]; }
		}
		/// <summary>EB-Buchung bei Jahresabschluss erzeugen ( Boolean )</summary>
		public virtual Object EBBuchKz
		{
			get { return this["EBBuchKz"]; }
		}
		/// <summary>Keine Offene Posten buchen ( Boolean )</summary>
		public virtual Object KeineOPKz
		{
			get { return this["KeineOPKz"]; }
		}
		/// <summary>Kontoblattinformation ( String )</summary>
		public virtual String KBlattInfo
		{
			get { return Convert.ToString(this["KBlattInfo"]); }
			set { this["KBlattInfo"] = value; }
		}
		/// <summary>KontoPeriodenDaten ( BlobTable )</summary>
		public virtual Object KtoPD
		{
			get { return this["KtoPD"]; }
			set { this["KtoPD"] = value; }
		}
		/// <summary>FiBuUmsatz ( BlobTable )</summary>
		public virtual Object FUms
		{
			get { return this["FUms"]; }
			set { this["FUms"] = value; }
		}
		/// <summary>FiBu proformaUmsatz ( BlobTable )</summary>
		public virtual Object FPUms
		{
			get { return this["FPUms"]; }
			set { this["FPUms"] = value; }
		}
		/// <summary>FiBuUmsatzin Leitwhrung 2 ( BlobTable )</summary>
		public virtual Object FUmsLW2
		{
			get { return this["FUmsLW2"]; }
			set { this["FUmsLW2"] = value; }
		}
		/// <summary>FiBu proformaUmsatzin Leitwhrung 2 ( BlobTable )</summary>
		public virtual Object FPUmsLW2
		{
			get { return this["FPUmsLW2"]; }
			set { this["FPUmsLW2"] = value; }
		}
		/// <summary>FiBu Budget fr die Perioden 1 bis 12 eingebbar ( Boolean )</summary>
		public virtual Object FBudget12Kz
		{
			get { return this["FBudget12Kz"]; }
		}
		/// <summary>Letztes Buchungsdatum ( DateTime )</summary>
		public virtual DateTime LtzBuchDat
		{
			get { return Convert.ToDateTime(this["LtzBuchDat"]); }
			set { this["LtzBuchDat"] = value; }
		}
		/// <summary>INTERN ( Date )</summary>
		public virtual DateTime LtzBuchDatum
		{
			get { return Convert.ToDateTime(this["LtzBuchDatum"]); }
		}
		/// <summary>Konto wurde in aktuellen Periode bebucht ( Integer )</summary>
		public virtual Int32 BIPeriode
		{
			get { return Convert.ToInt32(this["BIPeriode"]); }
		}
		/// <summary>Konto wurde in aktuellen Wirtschaftsjahr bebucht ( Integer )</summary>
		public virtual Int32 BIJahr
		{
			get { return Convert.ToInt32(this["BIJahr"]); }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>QuickInfo ( Array )</summary>
		public virtual Object QuickInfo
		{
			get { return this["QuickInfo"]; }
		}
		/// <summary>RecordRevision ( SmallInt )</summary>
		public virtual Object RecRev
		{
			get { return this["RecRev"]; }
			set { this["RecRev"] = value; }
		}


		#endregion
	}
}
