using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KontenPlanSet : BpnEntitySet<KontenPlan>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "KontenPlan";
			
		public static KontenPlanSet CreateInstance(BpnConnection connection)
		{
		    var kontenplansetInfo = connection.GetDataSetInfo(DS_NAME);
		    var kontenplansetDataSet = kontenplansetInfo.CreateDataSet();
		
		    var ret = new KontenPlanSet(kontenplansetDataSet);
		    return ret;
		}
		
		internal KontenPlanSet(BpNT.AutoDataSet kontenplanDataSet) 
			: base(kontenplanDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected KontenPlanSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new KontenPlanSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected KontenPlanSet parentSet;
		
			protected KontenPlanSetIDIndex iDIndex;
			protected KontenPlanSetNrIndex nrIndex;
			protected KontenPlanSetNrNumIndex nrNumIndex;
			protected KontenPlanSetSuchBegIndex suchBegIndex;
			protected KontenPlanSetBezIndex bezIndex;
			protected KontenPlanSetKostNrIndex kostNrIndex;
			protected KontenPlanSetKostNrNumIndex kostNrNumIndex;
		
			internal IndicesClass(KontenPlanSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new KontenPlanSetIDIndex(parentSet.DataSet);
				nrIndex = new KontenPlanSetNrIndex(parentSet.DataSet);
				nrNumIndex = new KontenPlanSetNrNumIndex(parentSet.DataSet);
				suchBegIndex = new KontenPlanSetSuchBegIndex(parentSet.DataSet);
				bezIndex = new KontenPlanSetBezIndex(parentSet.DataSet);
				kostNrIndex = new KontenPlanSetKostNrIndex(parentSet.DataSet);
				kostNrNumIndex = new KontenPlanSetKostNrNumIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public KontenPlanSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Nummer</summary>
			public KontenPlanSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Nummer (numerisch)</summary>
			public KontenPlanSetNrNumIndex NrNumIndex
			{
				get { return nrNumIndex; }
			}
			
			/// <summary>Suchbegriff</summary>
			public KontenPlanSetSuchBegIndex SuchBegIndex
			{
				get { return suchBegIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public KontenPlanSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public KontenPlanSetKostNrIndex KostNrIndex
			{
				get { return kostNrIndex; }
			}
			
			/// <summary>Kostenstellennummer (numerisch)</summary>
			public KontenPlanSetKostNrNumIndex KostNrNumIndex
			{
				get { return kostNrNumIndex; }
			}
			
		
			#endregion
		}

		public KontenPlanSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
