using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KostenstellenBlaetterSet : BpnEntitySet<KostenstellenBlaetter>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "KostenstellenBlaetter";
			
		public static KostenstellenBlaetterSet CreateInstance(BpnConnection connection)
		{
		    var kostenstellenblaettersetInfo = connection.GetDataSetInfo(DS_NAME);
		    var kostenstellenblaettersetDataSet = kostenstellenblaettersetInfo.CreateDataSet();
		
		    var ret = new KostenstellenBlaetterSet(kostenstellenblaettersetDataSet);
		    return ret;
		}
		
		internal KostenstellenBlaetterSet(BpNT.AutoDataSet kostenstellenblaetterDataSet) 
			: base(kostenstellenblaetterDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected KostenstellenBlaetterSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new KostenstellenBlaetterSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected KostenstellenBlaetterSet parentSet;
		
			protected KostenstellenBlaetterSetKstNrIndex kstNrIndex;
			protected KostenstellenBlaetterSetGKstNrIndex gKstNrIndex;
			protected KostenstellenBlaetterSetKstNrJPDatBchNrIndex kstNrJPDatBchNrIndex;
			protected KostenstellenBlaetterSetIDIndex iDIndex;
			protected KostenstellenBlaetterSetJahrLfdBchNrIndex jahrLfdBchNrIndex;
			protected KostenstellenBlaetterSetKtoNrIndex ktoNrIndex;
			protected KostenstellenBlaetterSetGKtoNrIndex gKtoNrIndex;
			protected KostenstellenBlaetterSetSollIndex sollIndex;
			protected KostenstellenBlaetterSetHabenIndex habenIndex;
			protected KostenstellenBlaetterSetDatIndex datIndex;
			protected KostenstellenBlaetterSetBelegNr1Index belegNr1Index;
			protected KostenstellenBlaetterSetBelegNr2Index belegNr2Index;
			protected KostenstellenBlaetterSetTextIndex textIndex;
			protected KostenstellenBlaetterSetBchIDNrIndex bchIDNrIndex;
			protected KostenstellenBlaetterSetJPKstNrGKstNrIndex jPKstNrGKstNrIndex;
			protected KostenstellenBlaetterSetJPKstNrKtoNrIndex jPKstNrKtoNrIndex;
			protected KostenstellenBlaetterSetJPKstNrGKtoNrIndex jPKstNrGKtoNrIndex;
			protected KostenstellenBlaetterSetJPKstNrDatIndex jPKstNrDatIndex;
			protected KostenstellenBlaetterSetJPKstNrBelegNr1Index jPKstNrBelegNr1Index;
			protected KostenstellenBlaetterSetJPKstNrBelegNr2Index jPKstNrBelegNr2Index;
			protected KostenstellenBlaetterSetJPKstNrTextIndex jPKstNrTextIndex;
			protected KostenstellenBlaetterSetJPKstNrSollIndex jPKstNrSollIndex;
			protected KostenstellenBlaetterSetJPKstNrHabenIndex jPKstNrHabenIndex;
		
			internal IndicesClass(KostenstellenBlaetterSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				kstNrIndex = new KostenstellenBlaetterSetKstNrIndex(parentSet.DataSet);
				gKstNrIndex = new KostenstellenBlaetterSetGKstNrIndex(parentSet.DataSet);
				kstNrJPDatBchNrIndex = new KostenstellenBlaetterSetKstNrJPDatBchNrIndex(parentSet.DataSet);
				iDIndex = new KostenstellenBlaetterSetIDIndex(parentSet.DataSet);
				jahrLfdBchNrIndex = new KostenstellenBlaetterSetJahrLfdBchNrIndex(parentSet.DataSet);
				ktoNrIndex = new KostenstellenBlaetterSetKtoNrIndex(parentSet.DataSet);
				gKtoNrIndex = new KostenstellenBlaetterSetGKtoNrIndex(parentSet.DataSet);
				sollIndex = new KostenstellenBlaetterSetSollIndex(parentSet.DataSet);
				habenIndex = new KostenstellenBlaetterSetHabenIndex(parentSet.DataSet);
				datIndex = new KostenstellenBlaetterSetDatIndex(parentSet.DataSet);
				belegNr1Index = new KostenstellenBlaetterSetBelegNr1Index(parentSet.DataSet);
				belegNr2Index = new KostenstellenBlaetterSetBelegNr2Index(parentSet.DataSet);
				textIndex = new KostenstellenBlaetterSetTextIndex(parentSet.DataSet);
				bchIDNrIndex = new KostenstellenBlaetterSetBchIDNrIndex(parentSet.DataSet);
				jPKstNrGKstNrIndex = new KostenstellenBlaetterSetJPKstNrGKstNrIndex(parentSet.DataSet);
				jPKstNrKtoNrIndex = new KostenstellenBlaetterSetJPKstNrKtoNrIndex(parentSet.DataSet);
				jPKstNrGKtoNrIndex = new KostenstellenBlaetterSetJPKstNrGKtoNrIndex(parentSet.DataSet);
				jPKstNrDatIndex = new KostenstellenBlaetterSetJPKstNrDatIndex(parentSet.DataSet);
				jPKstNrBelegNr1Index = new KostenstellenBlaetterSetJPKstNrBelegNr1Index(parentSet.DataSet);
				jPKstNrBelegNr2Index = new KostenstellenBlaetterSetJPKstNrBelegNr2Index(parentSet.DataSet);
				jPKstNrTextIndex = new KostenstellenBlaetterSetJPKstNrTextIndex(parentSet.DataSet);
				jPKstNrSollIndex = new KostenstellenBlaetterSetJPKstNrSollIndex(parentSet.DataSet);
				jPKstNrHabenIndex = new KostenstellenBlaetterSetJPKstNrHabenIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Kostenstellennummer</summary>
			public KostenstellenBlaetterSetKstNrIndex KstNrIndex
			{
				get { return kstNrIndex; }
			}
			
			/// <summary>Gegenkostenstellennummer</summary>
			public KostenstellenBlaetterSetGKstNrIndex GKstNrIndex
			{
				get { return gKstNrIndex; }
			}
			
			/// <summary>KstNrJPDatBchNr</summary>
			public KostenstellenBlaetterSetKstNrJPDatBchNrIndex KstNrJPDatBchNrIndex
			{
				get { return kstNrJPDatBchNrIndex; }
			}
			
			/// <summary>ID</summary>
			public KostenstellenBlaetterSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Jahr & Buchungsnummer</summary>
			public KostenstellenBlaetterSetJahrLfdBchNrIndex JahrLfdBchNrIndex
			{
				get { return jahrLfdBchNrIndex; }
			}
			
			/// <summary>Kontonummer</summary>
			public KostenstellenBlaetterSetKtoNrIndex KtoNrIndex
			{
				get { return ktoNrIndex; }
			}
			
			/// <summary>Gegenkontonummer</summary>
			public KostenstellenBlaetterSetGKtoNrIndex GKtoNrIndex
			{
				get { return gKtoNrIndex; }
			}
			
			/// <summary>Betrag fr Kosten</summary>
			public KostenstellenBlaetterSetSollIndex SollIndex
			{
				get { return sollIndex; }
			}
			
			/// <summary>Betrag fr Leistungen</summary>
			public KostenstellenBlaetterSetHabenIndex HabenIndex
			{
				get { return habenIndex; }
			}
			
			/// <summary>Datum</summary>
			public KostenstellenBlaetterSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>Belegnummer 1</summary>
			public KostenstellenBlaetterSetBelegNr1Index BelegNr1Index
			{
				get { return belegNr1Index; }
			}
			
			/// <summary>Belegnummer 2</summary>
			public KostenstellenBlaetterSetBelegNr2Index BelegNr2Index
			{
				get { return belegNr2Index; }
			}
			
			/// <summary>Text</summary>
			public KostenstellenBlaetterSetTextIndex TextIndex
			{
				get { return textIndex; }
			}
			
			/// <summary>Bereich</summary>
			public KostenstellenBlaetterSetBchIDNrIndex BchIDNrIndex
			{
				get { return bchIDNrIndex; }
			}
			
			/// <summary>Gegenkostenstellennummer</summary>
			public KostenstellenBlaetterSetJPKstNrGKstNrIndex JPKstNrGKstNrIndex
			{
				get { return jPKstNrGKstNrIndex; }
			}
			
			/// <summary>Kontonummer</summary>
			public KostenstellenBlaetterSetJPKstNrKtoNrIndex JPKstNrKtoNrIndex
			{
				get { return jPKstNrKtoNrIndex; }
			}
			
			/// <summary>Gegenkontonummer</summary>
			public KostenstellenBlaetterSetJPKstNrGKtoNrIndex JPKstNrGKtoNrIndex
			{
				get { return jPKstNrGKtoNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public KostenstellenBlaetterSetJPKstNrDatIndex JPKstNrDatIndex
			{
				get { return jPKstNrDatIndex; }
			}
			
			/// <summary>Belegnummer 1</summary>
			public KostenstellenBlaetterSetJPKstNrBelegNr1Index JPKstNrBelegNr1Index
			{
				get { return jPKstNrBelegNr1Index; }
			}
			
			/// <summary>Belegnummer 2</summary>
			public KostenstellenBlaetterSetJPKstNrBelegNr2Index JPKstNrBelegNr2Index
			{
				get { return jPKstNrBelegNr2Index; }
			}
			
			/// <summary>Text</summary>
			public KostenstellenBlaetterSetJPKstNrTextIndex JPKstNrTextIndex
			{
				get { return jPKstNrTextIndex; }
			}
			
			/// <summary>Betrag im Soll</summary>
			public KostenstellenBlaetterSetJPKstNrSollIndex JPKstNrSollIndex
			{
				get { return jPKstNrSollIndex; }
			}
			
			/// <summary>Betrag im Haben</summary>
			public KostenstellenBlaetterSetJPKstNrHabenIndex JPKstNrHabenIndex
			{
				get { return jPKstNrHabenIndex; }
			}
			
		
			#endregion
		}

		public KostenstellenBlaetterSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
