using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Lager : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Lager";
			
		public static Lager CreateInstance(BpnConnection connection)
		{
		    var lagerInfo = connection.GetDataSetInfo(DS_NAME);
		    var lagerDataSet = lagerInfo.CreateDataSet();
		
		    var ret = new Lager(lagerDataSet);
		    return ret;
		}
		
		public Lager(BpNT.AutoDataSet lagerDataSet) 
			: base(lagerDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Lagernummer ( String )</summary>
		public virtual String LagNr
		{
			get { return Convert.ToString(this["LagNr"]); }
			set { this["LagNr"] = value; }
		}
		/// <summary>Artikelnummer ( String )</summary>
		public virtual String ArtNr
		{
			get { return Convert.ToString(this["ArtNr"]); }
			set { this["ArtNr"] = value; }
		}
		/// <summary>Artikel ( String )</summary>
		public virtual String ArtNrInfo
		{
			get { return Convert.ToString(this["ArtNrInfo"]); }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>ist Standard Kennzeichen ( Boolean )</summary>
		public virtual Object StdKz
		{
			get { return this["StdKz"]; }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Position ( String )</summary>
		public virtual String Pos
		{
			get { return Convert.ToString(this["Pos"]); }
			set { this["Pos"] = value; }
		}
		/// <summary>Adressnummer ( String )</summary>
		public virtual String AdrNr
		{
			get { return Convert.ToString(this["AdrNr"]); }
			set { this["AdrNr"] = value; }
		}
		/// <summary>Anschriftennummer ( Integer )</summary>
		public virtual Int32 AnsNr
		{
			get { return Convert.ToInt32(this["AnsNr"]); }
			set { this["AnsNr"] = value; }
		}
		/// <summary>Adresse ( String )</summary>
		public virtual String AdrNrInfo
		{
			get { return Convert.ToString(this["AdrNrInfo"]); }
		}
		/// <summary>Strae ( String )</summary>
		public virtual String Str
		{
			get { return Convert.ToString(this["Str"]); }
			set { this["Str"] = value; }
		}
		/// <summary>Land ( Integer )</summary>
		public virtual Int32 Land
		{
			get { return Convert.ToInt32(this["Land"]); }
			set { this["Land"] = value; }
		}
		/// <summary>Postleitzahl ( String )</summary>
		public virtual String PLZ
		{
			get { return Convert.ToString(this["PLZ"]); }
			set { this["PLZ"] = value; }
		}
		/// <summary>Land & PLZ ( String )</summary>
		public virtual String PLZInfo
		{
			get { return Convert.ToString(this["PLZInfo"]); }
		}
		/// <summary>Ort ( String )</summary>
		public virtual String Ort
		{
			get { return Convert.ToString(this["Ort"]); }
			set { this["Ort"] = value; }
		}
		/// <summary>PLZ & Ort ( String )</summary>
		public virtual String PLZOrtInfo
		{
			get { return Convert.ToString(this["PLZOrtInfo"]); }
		}
		/// <summary>Menge ( Double )</summary>
		public virtual Object Mge
		{
			get { return this["Mge"]; }
			set { this["Mge"] = value; }
		}
		/// <summary>Reservierte Menge ( Double )</summary>
		public virtual Object ResMge
		{
			get { return this["ResMge"]; }
			set { this["ResMge"] = value; }
		}
		/// <summary>Menge in Kundenbestellungen ( Double )</summary>
		public virtual Object KBstMge
		{
			get { return this["KBstMge"]; }
			set { this["KBstMge"] = value; }
		}
		/// <summary>Menge in Kundenbestellungen zum akt. Lieferdatum ( Double )</summary>
		public virtual Object KBstLDMge
		{
			get { return this["KBstLDMge"]; }
			set { this["KBstLDMge"] = value; }
		}
		/// <summary>Menge in Kundenbestellungen die reserviert ist ( Double )</summary>
		public virtual Object KBstResMge
		{
			get { return this["KBstResMge"]; }
			set { this["KBstResMge"] = value; }
		}
		/// <summary>Verfgbare Menge ( Double )</summary>
		public virtual Object VerfMge
		{
			get { return this["VerfMge"]; }
		}
		/// <summary>Menge in nicht gebuchten Lieferantenbestellungen ( Double )</summary>
		public virtual Object LBstMge
		{
			get { return this["LBstMge"]; }
			set { this["LBstMge"] = value; }
		}
		/// <summary>Menge im Warenkorb ( Double )</summary>
		public virtual Object WKbMge
		{
			get { return this["WKbMge"]; }
			set { this["WKbMge"] = value; }
		}
		/// <summary>Menge im Lieferantenbestelleingang ( Double )</summary>
		public virtual Object BstEgMge
		{
			get { return this["BstEgMge"]; }
			set { this["BstEgMge"] = value; }
		}
		/// <summary>Menge die gesperrt wurde ( Double )</summary>
		public virtual Object GspMge
		{
			get { return this["GspMge"]; }
			set { this["GspMge"] = value; }
		}
		/// <summary>Bestandsinfo Image ( Integer )</summary>
		public virtual Int32 BstInfoImg
		{
			get { return Convert.ToInt32(this["BstInfoImg"]); }
		}
		/// <summary>Art der Lagerbewegung ( Byte )</summary>
		public virtual Object BewArt
		{
			get { return this["BewArt"]; }
			set { this["BewArt"] = value; }
		}
		/// <summary>minimale Lagermenge ( Double )</summary>
		public virtual Object MinMge
		{
			get { return this["MinMge"]; }
			set { this["MinMge"] = value; }
		}
		/// <summary>maximale Lagermenge ( Double )</summary>
		public virtual Object MaxMge
		{
			get { return this["MaxMge"]; }
			set { this["MaxMge"] = value; }
		}
		/// <summary>Inventurmenge gltig ( Boolean )</summary>
		public virtual Object InvMgeKz
		{
			get { return this["InvMgeKz"]; }
		}
		/// <summary>Inventurmenge ( Double )</summary>
		public virtual Object InvMge
		{
			get { return this["InvMge"]; }
			set { this["InvMge"] = value; }
		}
		/// <summary>Inventurdatum ( Date )</summary>
		public virtual DateTime InvDat
		{
			get { return Convert.ToDateTime(this["InvDat"]); }
			set { this["InvDat"] = value; }
		}
		/// <summary>Lagermenge bei Eintragung der Inventurmenge ( Double )</summary>
		public virtual Object InvLagMge
		{
			get { return this["InvLagMge"]; }
			set { this["InvLagMge"] = value; }
		}
		/// <summary>Stammlager ( Boolean )</summary>
		public virtual Object StammLagKz
		{
			get { return this["StammLagKz"]; }
		}
		/// <summary>Lager lschen bei Nullbestand ( Boolean )</summary>
		public virtual Object NBLoeschKz
		{
			get { return this["NBLoeschKz"]; }
		}
		/// <summary>Lager mit Seriennummernverwaltung ( Boolean )</summary>
		public virtual Object SNrVerwKz
		{
			get { return this["SNrVerwKz"]; }
		}
		/// <summary>Chargennummernverwaltung ( Boolean )</summary>
		public virtual Object ChargeKz
		{
			get { return this["ChargeKz"]; }
		}
		/// <summary>Chargenzuordnung ( Byte )</summary>
		public virtual Object ChargeZuord
		{
			get { return this["ChargeZuord"]; }
			set { this["ChargeZuord"] = value; }
		}
		/// <summary>Lagerbuch fhren ( Boolean )</summary>
		public virtual Object LagBuchKz
		{
			get { return this["LagBuchKz"]; }
		}
		/// <summary>Bestnde nicht im Gesamtbestnden des Artikels ausweisen ( Boolean )</summary>
		public virtual Object NichtInGMgeKz
		{
			get { return this["NichtInGMgeKz"]; }
		}
		/// <summary>Verwaltung fr Verfallsdatum ( Boolean )</summary>
		public virtual Object VerfallDatKz
		{
			get { return this["VerfallDatKz"]; }
		}
		/// <summary>Lagerbestand automatisch sperren wenn Verfallsdatum erreicht ( Boolean )</summary>
		public virtual Object LBeAutoSpVDatKz
		{
			get { return this["LBeAutoSpVDatKz"]; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Letzte Lagerbewegung ( DateTime )</summary>
		public virtual DateTime LtzLagBew
		{
			get { return Convert.ToDateTime(this["LtzLagBew"]); }
			set { this["LtzLagBew"] = value; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>LagerBestand ( Table )</summary>
		public virtual Object LBe
		{
			get { return this["LBe"]; }
		}
		/// <summary>Felder fr Bezeichnung ( StringList )</summary>
		public virtual Object BezFelder
		{
			get { return this["BezFelder"]; }
			set { this["BezFelder"] = value; }
		}
		/// <summary>Reservierungslager ( Boolean )</summary>
		public virtual Object ResLagKz
		{
			get { return this["ResLagKz"]; }
		}
		/// <summary>Lager wurde durch Konvertierung erzeugt ( Boolean )</summary>
		public virtual Object KonvKz
		{
			get { return this["KonvKz"]; }
		}
		/// <summary>Umsatz ( BlobTable )</summary>
		public virtual Object Ums
		{
			get { return this["Ums"]; }
			set { this["Ums"] = value; }
		}
		/// <summary>Letzter Umsatz ( Date )</summary>
		public virtual DateTime LtzUmsDat
		{
			get { return Convert.ToDateTime(this["LtzUmsDat"]); }
			set { this["LtzUmsDat"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>QuickInfo ( Array )</summary>
		public virtual Object QuickInfo
		{
			get { return this["QuickInfo"]; }
		}


		#endregion
	}
}
