using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class LagerBestand : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "LagerBestand";
			
		public static LagerBestand CreateInstance(BpnConnection connection)
		{
		    var lagerbestandInfo = connection.GetDataSetInfo(DS_NAME);
		    var lagerbestandDataSet = lagerbestandInfo.CreateDataSet();
		
		    var ret = new LagerBestand(lagerbestandDataSet);
		    return ret;
		}
		
		public LagerBestand(BpNT.AutoDataSet lagerbestandDataSet) 
			: base(lagerbestandDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Artikelnummer ( String )</summary>
		public virtual String ArtNr
		{
			get { return Convert.ToString(this["ArtNr"]); }
			set { this["ArtNr"] = value; }
		}
		/// <summary>Artikel ( String )</summary>
		public virtual String ArtNrInfo
		{
			get { return Convert.ToString(this["ArtNrInfo"]); }
		}
		/// <summary>Lagernummer ( String )</summary>
		public virtual String LagNr
		{
			get { return Convert.ToString(this["LagNr"]); }
			set { this["LagNr"] = value; }
		}
		/// <summary>Lager ( String )</summary>
		public virtual String LagNrInfo
		{
			get { return Convert.ToString(this["LagNrInfo"]); }
		}
		/// <summary>Lagerbestandsart ( Integer )</summary>
		public virtual Int32 LagBestArt
		{
			get { return Convert.ToInt32(this["LagBestArt"]); }
			set { this["LagBestArt"] = value; }
		}
		/// <summary>Menge ( Double )</summary>
		public virtual Object Mge
		{
			get { return this["Mge"]; }
			set { this["Mge"] = value; }
		}
		/// <summary>Buchungsdatum ( DateTime )</summary>
		public virtual DateTime BuchDat
		{
			get { return Convert.ToDateTime(this["BuchDat"]); }
			set { this["BuchDat"] = value; }
		}
		/// <summary>Seriennummer ( String )</summary>
		public virtual String SerienNr
		{
			get { return Convert.ToString(this["SerienNr"]); }
			set { this["SerienNr"] = value; }
		}
		/// <summary>Charge ( String )</summary>
		public virtual String Charge
		{
			get { return Convert.ToString(this["Charge"]); }
			set { this["Charge"] = value; }
		}
		/// <summary>Belegnummer ( String )</summary>
		public virtual String BelegNr
		{
			get { return Convert.ToString(this["BelegNr"]); }
			set { this["BelegNr"] = value; }
		}
		/// <summary>Belegpositionsnummer ( SmallInt )</summary>
		public virtual Object BelegPosNr
		{
			get { return this["BelegPosNr"]; }
			set { this["BelegPosNr"] = value; }
		}
		/// <summary>Auftragsnummer ( String )</summary>
		public virtual String AuftrNr
		{
			get { return Convert.ToString(this["AuftrNr"]); }
			set { this["AuftrNr"] = value; }
		}
		/// <summary>Kostenstellennummer ( String )</summary>
		public virtual String KstNr
		{
			get { return Convert.ToString(this["KstNr"]); }
			set { this["KstNr"] = value; }
		}
		/// <summary>Kostenstelle ( String )</summary>
		public virtual String KstNrInfo
		{
			get { return Convert.ToString(this["KstNrInfo"]); }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Verfallsdatum ( Date )</summary>
		public virtual DateTime VerfallDat
		{
			get { return Convert.ToDateTime(this["VerfallDat"]); }
			set { this["VerfallDat"] = value; }
		}
		/// <summary>Vormerken fr Inventur Fehlbestand ( Boolean )</summary>
		public virtual Object InvFehlKz
		{
			get { return this["InvFehlKz"]; }
		}
		/// <summary>Inventur Fehlbestandsmenge ( Double )</summary>
		public virtual Object InvFehlMge
		{
			get { return this["InvFehlMge"]; }
			set { this["InvFehlMge"] = value; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>QuickInfo ( Array )</summary>
		public virtual Object QuickInfo
		{
			get { return this["QuickInfo"]; }
		}


		#endregion
	}
}
