using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class LagerBestandSet : BpnEntitySet<LagerBestand>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "LagerBestand";
			
		public static LagerBestandSet CreateInstance(BpnConnection connection)
		{
		    var lagerbestandsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var lagerbestandsetDataSet = lagerbestandsetInfo.CreateDataSet();
		
		    var ret = new LagerBestandSet(lagerbestandsetDataSet);
		    return ret;
		}
		
		internal LagerBestandSet(BpNT.AutoDataSet lagerbestandDataSet) 
			: base(lagerbestandDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected LagerBestandSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new LagerBestandSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected LagerBestandSet parentSet;
		
			protected LagerBestandSetIDIndex iDIndex;
			protected LagerBestandSetLagNrArtBDatIndex lagNrArtBDatIndex;
			protected LagerBestandSetArtNrLagNrArtBDatIndex artNrLagNrArtBDatIndex;
			protected LagerBestandSetArtNrLagNrArtVfDatIndex artNrLagNrArtVfDatIndex;
			protected LagerBestandSetArtNrLagNrSNrIndex artNrLagNrSNrIndex;
			protected LagerBestandSetArtNrLagNrChargeIndex artNrLagNrChargeIndex;
			protected LagerBestandSetAuftrNrBDatIndex auftrNrBDatIndex;
			protected LagerBestandSetKstNrBDatIndex kstNrBDatIndex;
			protected LagerBestandSetSNrBDatIndex sNrBDatIndex;
			protected LagerBestandSetChargeIndex chargeIndex;
			protected LagerBestandSetArtNrChargeIndex artNrChargeIndex;
			protected LagerBestandSetVerfallDatIndex verfallDatIndex;
			protected LagerBestandSetArtNrLagNrArtBelegAuftrKstNrIndex artNrLagNrArtBelegAuftrKstNrIndex;
		
			internal IndicesClass(LagerBestandSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new LagerBestandSetIDIndex(parentSet.DataSet);
				lagNrArtBDatIndex = new LagerBestandSetLagNrArtBDatIndex(parentSet.DataSet);
				artNrLagNrArtBDatIndex = new LagerBestandSetArtNrLagNrArtBDatIndex(parentSet.DataSet);
				artNrLagNrArtVfDatIndex = new LagerBestandSetArtNrLagNrArtVfDatIndex(parentSet.DataSet);
				artNrLagNrSNrIndex = new LagerBestandSetArtNrLagNrSNrIndex(parentSet.DataSet);
				artNrLagNrChargeIndex = new LagerBestandSetArtNrLagNrChargeIndex(parentSet.DataSet);
				auftrNrBDatIndex = new LagerBestandSetAuftrNrBDatIndex(parentSet.DataSet);
				kstNrBDatIndex = new LagerBestandSetKstNrBDatIndex(parentSet.DataSet);
				sNrBDatIndex = new LagerBestandSetSNrBDatIndex(parentSet.DataSet);
				chargeIndex = new LagerBestandSetChargeIndex(parentSet.DataSet);
				artNrChargeIndex = new LagerBestandSetArtNrChargeIndex(parentSet.DataSet);
				verfallDatIndex = new LagerBestandSetVerfallDatIndex(parentSet.DataSet);
				artNrLagNrArtBelegAuftrKstNrIndex = new LagerBestandSetArtNrLagNrArtBelegAuftrKstNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public LagerBestandSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Lagernummer</summary>
			public LagerBestandSetLagNrArtBDatIndex LagNrArtBDatIndex
			{
				get { return lagNrArtBDatIndex; }
			}
			
			/// <summary>Artikelnummer</summary>
			public LagerBestandSetArtNrLagNrArtBDatIndex ArtNrLagNrArtBDatIndex
			{
				get { return artNrLagNrArtBDatIndex; }
			}
			
			/// <summary>Artikelnummer</summary>
			public LagerBestandSetArtNrLagNrArtVfDatIndex ArtNrLagNrArtVfDatIndex
			{
				get { return artNrLagNrArtVfDatIndex; }
			}
			
			/// <summary>Artikelnummer</summary>
			public LagerBestandSetArtNrLagNrSNrIndex ArtNrLagNrSNrIndex
			{
				get { return artNrLagNrSNrIndex; }
			}
			
			/// <summary>Artikelnummer</summary>
			public LagerBestandSetArtNrLagNrChargeIndex ArtNrLagNrChargeIndex
			{
				get { return artNrLagNrChargeIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public LagerBestandSetAuftrNrBDatIndex AuftrNrBDatIndex
			{
				get { return auftrNrBDatIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public LagerBestandSetKstNrBDatIndex KstNrBDatIndex
			{
				get { return kstNrBDatIndex; }
			}
			
			/// <summary>Seriennummer</summary>
			public LagerBestandSetSNrBDatIndex SNrBDatIndex
			{
				get { return sNrBDatIndex; }
			}
			
			/// <summary>Charge</summary>
			public LagerBestandSetChargeIndex ChargeIndex
			{
				get { return chargeIndex; }
			}
			
			/// <summary>Charge</summary>
			public LagerBestandSetArtNrChargeIndex ArtNrChargeIndex
			{
				get { return artNrChargeIndex; }
			}
			
			/// <summary>Verfallsdatum</summary>
			public LagerBestandSetVerfallDatIndex VerfallDatIndex
			{
				get { return verfallDatIndex; }
			}
			
			/// <summary>Lagerbestandsart</summary>
			public LagerBestandSetArtNrLagNrArtBelegAuftrKstNrIndex ArtNrLagNrArtBelegAuftrKstNrIndex
			{
				get { return artNrLagNrArtBelegAuftrKstNrIndex; }
			}
			
		
			#endregion
		}

		public LagerBestandSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
