using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class LagerSet : BpnEntitySet<Lager>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Lager";
			
		public static LagerSet CreateInstance(BpnConnection connection)
		{
		    var lagersetInfo = connection.GetDataSetInfo(DS_NAME);
		    var lagersetDataSet = lagersetInfo.CreateDataSet();
		
		    var ret = new LagerSet(lagersetDataSet);
		    return ret;
		}
		
		internal LagerSet(BpNT.AutoDataSet lagerDataSet) 
			: base(lagerDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected LagerSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new LagerSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected LagerSet parentSet;
		
			protected LagerSetIDIndex iDIndex;
			protected LagerSetArtNrLagNrIndex artNrLagNrIndex;
			protected LagerSetLagNrIndex lagNrIndex;
			protected LagerSetBezIndex bezIndex;
			protected LagerSetPosIndex posIndex;
			protected LagerSetAdrNrIndex adrNrIndex;
			protected LagerSetLtzLagBewIndex ltzLagBewIndex;
			protected LagerSetArtNrBezIndex artNrBezIndex;
			protected LagerSetArtNrPosIndex artNrPosIndex;
			protected LagerSetArtNrAdrNrIndex artNrAdrNrIndex;
			protected LagerSetArtNrLtzLagBewIndex artNrLtzLagBewIndex;
			protected LagerSetLtzUmsatzIndex ltzUmsatzIndex;
		
			internal IndicesClass(LagerSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new LagerSetIDIndex(parentSet.DataSet);
				artNrLagNrIndex = new LagerSetArtNrLagNrIndex(parentSet.DataSet);
				lagNrIndex = new LagerSetLagNrIndex(parentSet.DataSet);
				bezIndex = new LagerSetBezIndex(parentSet.DataSet);
				posIndex = new LagerSetPosIndex(parentSet.DataSet);
				adrNrIndex = new LagerSetAdrNrIndex(parentSet.DataSet);
				ltzLagBewIndex = new LagerSetLtzLagBewIndex(parentSet.DataSet);
				artNrBezIndex = new LagerSetArtNrBezIndex(parentSet.DataSet);
				artNrPosIndex = new LagerSetArtNrPosIndex(parentSet.DataSet);
				artNrAdrNrIndex = new LagerSetArtNrAdrNrIndex(parentSet.DataSet);
				artNrLtzLagBewIndex = new LagerSetArtNrLtzLagBewIndex(parentSet.DataSet);
				ltzUmsatzIndex = new LagerSetLtzUmsatzIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public LagerSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Artikelnummer</summary>
			public LagerSetArtNrLagNrIndex ArtNrLagNrIndex
			{
				get { return artNrLagNrIndex; }
			}
			
			/// <summary>Lagernummer</summary>
			public LagerSetLagNrIndex LagNrIndex
			{
				get { return lagNrIndex; }
			}
			
			/// <summary>Lagerbezeichnung</summary>
			public LagerSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
			/// <summary>Lagerposition</summary>
			public LagerSetPosIndex PosIndex
			{
				get { return posIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public LagerSetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
			/// <summary>Letzte Bewegung</summary>
			public LagerSetLtzLagBewIndex LtzLagBewIndex
			{
				get { return ltzLagBewIndex; }
			}
			
			/// <summary>Lagerbezeichnung</summary>
			public LagerSetArtNrBezIndex ArtNrBezIndex
			{
				get { return artNrBezIndex; }
			}
			
			/// <summary>Lagerposition</summary>
			public LagerSetArtNrPosIndex ArtNrPosIndex
			{
				get { return artNrPosIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public LagerSetArtNrAdrNrIndex ArtNrAdrNrIndex
			{
				get { return artNrAdrNrIndex; }
			}
			
			/// <summary>Letzte Bewegung</summary>
			public LagerSetArtNrLtzLagBewIndex ArtNrLtzLagBewIndex
			{
				get { return artNrLtzLagBewIndex; }
			}
			
			/// <summary>Letzter Umsatz</summary>
			public LagerSetLtzUmsatzIndex LtzUmsatzIndex
			{
				get { return ltzUmsatzIndex; }
			}
			
		
			#endregion
		}

		public LagerSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
