using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class LagerSetLtzUmsatzIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "LtzUmsatz";
			

		internal LagerSetLtzUmsatzIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(LagerSetLtzUmsatzIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(LagerSetLtzUmsatzIndex.IndexFields rangeBegin, LagerSetLtzUmsatzIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Letzter Umsatz ( Date )</summary>
			public virtual DateTime LtzUmsDat {
				get { return Convert.ToDateTime(this["LtzUmsDat"]); }
				set { this["LtzUmsDat"] = value; }
			}
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
			/// <summary>Lagernummer ( String )</summary>
			public virtual String LagNr {
				get { return Convert.ToString(this["LagNr"]); }
				set { this["LagNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
