using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class LagerbuchSet : BpnEntitySet<Lagerbuch>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Lagerbuch";
			
		public static LagerbuchSet CreateInstance(BpnConnection connection)
		{
		    var lagerbuchsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var lagerbuchsetDataSet = lagerbuchsetInfo.CreateDataSet();
		
		    var ret = new LagerbuchSet(lagerbuchsetDataSet);
		    return ret;
		}
		
		internal LagerbuchSet(BpNT.AutoDataSet lagerbuchDataSet) 
			: base(lagerbuchDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected LagerbuchSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new LagerbuchSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected LagerbuchSet parentSet;
		
			protected LagerbuchSetIDIndex iDIndex;
			protected LagerbuchSetArtNrLagNrDatIndex artNrLagNrDatIndex;
			protected LagerbuchSetLagNrDatIndex lagNrDatIndex;
			protected LagerbuchSetAdrNrDatIndex adrNrDatIndex;
			protected LagerbuchSetSNrDatIndex sNrDatIndex;
			protected LagerbuchSetChargeDatIndex chargeDatIndex;
			protected LagerbuchSetVerfallDatIndex verfallDatIndex;
			protected LagerbuchSetDatIndex datIndex;
			protected LagerbuchSetBelegNrIndex belegNrIndex;
			protected LagerbuchSetAuftrNrIndex auftrNrIndex;
			protected LagerbuchSetKstNrIndex kstNrIndex;
		
			internal IndicesClass(LagerbuchSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new LagerbuchSetIDIndex(parentSet.DataSet);
				artNrLagNrDatIndex = new LagerbuchSetArtNrLagNrDatIndex(parentSet.DataSet);
				lagNrDatIndex = new LagerbuchSetLagNrDatIndex(parentSet.DataSet);
				adrNrDatIndex = new LagerbuchSetAdrNrDatIndex(parentSet.DataSet);
				sNrDatIndex = new LagerbuchSetSNrDatIndex(parentSet.DataSet);
				chargeDatIndex = new LagerbuchSetChargeDatIndex(parentSet.DataSet);
				verfallDatIndex = new LagerbuchSetVerfallDatIndex(parentSet.DataSet);
				datIndex = new LagerbuchSetDatIndex(parentSet.DataSet);
				belegNrIndex = new LagerbuchSetBelegNrIndex(parentSet.DataSet);
				auftrNrIndex = new LagerbuchSetAuftrNrIndex(parentSet.DataSet);
				kstNrIndex = new LagerbuchSetKstNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public LagerbuchSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Artikel- und Lagernummer</summary>
			public LagerbuchSetArtNrLagNrDatIndex ArtNrLagNrDatIndex
			{
				get { return artNrLagNrDatIndex; }
			}
			
			/// <summary>Lagernummer</summary>
			public LagerbuchSetLagNrDatIndex LagNrDatIndex
			{
				get { return lagNrDatIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public LagerbuchSetAdrNrDatIndex AdrNrDatIndex
			{
				get { return adrNrDatIndex; }
			}
			
			/// <summary>Seriennummer</summary>
			public LagerbuchSetSNrDatIndex SNrDatIndex
			{
				get { return sNrDatIndex; }
			}
			
			/// <summary>Charge</summary>
			public LagerbuchSetChargeDatIndex ChargeDatIndex
			{
				get { return chargeDatIndex; }
			}
			
			/// <summary>Verfallsdatum</summary>
			public LagerbuchSetVerfallDatIndex VerfallDatIndex
			{
				get { return verfallDatIndex; }
			}
			
			/// <summary>Datum</summary>
			public LagerbuchSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>Belegnummer</summary>
			public LagerbuchSetBelegNrIndex BelegNrIndex
			{
				get { return belegNrIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public LagerbuchSetAuftrNrIndex AuftrNrIndex
			{
				get { return auftrNrIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public LagerbuchSetKstNrIndex KstNrIndex
			{
				get { return kstNrIndex; }
			}
			
		
			#endregion
		}

		public LagerbuchSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
