using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class LohnBuchungsuebersicht : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "LohnBuchungsuebersicht";
			
		public static LohnBuchungsuebersicht CreateInstance(BpnConnection connection)
		{
		    var lohnbuchungsuebersichtInfo = connection.GetDataSetInfo(DS_NAME);
		    var lohnbuchungsuebersichtDataSet = lohnbuchungsuebersichtInfo.CreateDataSet();
		
		    var ret = new LohnBuchungsuebersicht(lohnbuchungsuebersichtDataSet);
		    return ret;
		}
		
		public LohnBuchungsuebersicht(BpNT.AutoDataSet lohnbuchungsuebersichtDataSet) 
			: base(lohnbuchungsuebersichtDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>Jahr ( Integer )</summary>
		public virtual Int32 Jahr
		{
			get { return Convert.ToInt32(this["Jahr"]); }
			set { this["Jahr"] = value; }
		}
		/// <summary>Monat ( Integer )</summary>
		public virtual Int32 Monat
		{
			get { return Convert.ToInt32(this["Monat"]); }
			set { this["Monat"] = value; }
		}
		/// <summary>Andere Zahlung ( Double )</summary>
		public virtual Object AndZahl
		{
			get { return this["AndZahl"]; }
			set { this["AndZahl"] = value; }
		}
		/// <summary>Gehalt ( Double )</summary>
		public virtual Object Gehalt
		{
			get { return this["Gehalt"]; }
			set { this["Gehalt"] = value; }
		}
		/// <summary>sonstige Bezge ( Double )</summary>
		public virtual Object SonstBez
		{
			get { return this["SonstBez"]; }
			set { this["SonstBez"] = value; }
		}
		/// <summary>Stundenlohn 1 ( Double )</summary>
		public virtual Object StdLohn1
		{
			get { return this["StdLohn1"]; }
			set { this["StdLohn1"] = value; }
		}
		/// <summary>Stundenlohn 2 ( Double )</summary>
		public virtual Object StdLohn2
		{
			get { return this["StdLohn2"]; }
			set { this["StdLohn2"] = value; }
		}
		/// <summary>Stundenlohn 3 ( Double )</summary>
		public virtual Object StdLohn3
		{
			get { return this["StdLohn3"]; }
			set { this["StdLohn3"] = value; }
		}
		/// <summary>Stundenlohn 4 ( Double )</summary>
		public virtual Object StdLohn4
		{
			get { return this["StdLohn4"]; }
			set { this["StdLohn4"] = value; }
		}
		/// <summary>Stundenlohn 5 ( Double )</summary>
		public virtual Object StdLohn5
		{
			get { return this["StdLohn5"]; }
			set { this["StdLohn5"] = value; }
		}
		/// <summary>Stundenlohn 6 ( Double )</summary>
		public virtual Object StdLohn6
		{
			get { return this["StdLohn6"]; }
			set { this["StdLohn6"] = value; }
		}
		/// <summary>Stcklohn ( Double )</summary>
		public virtual Object StLohn
		{
			get { return this["StLohn"]; }
			set { this["StLohn"] = value; }
		}
		/// <summary>Abrechnungskorrektur ( Double )</summary>
		public virtual Object AbrKor
		{
			get { return this["AbrKor"]; }
			set { this["AbrKor"] = value; }
		}
		/// <summary>Lohnsteuer ( Double )</summary>
		public virtual Object LSt
		{
			get { return this["LSt"]; }
			set { this["LSt"] = value; }
		}
		/// <summary>Solidarzuschlag ( Double )</summary>
		public virtual Object Soli
		{
			get { return this["Soli"]; }
			set { this["Soli"] = value; }
		}
		/// <summary>Kirchensteuer ( Double )</summary>
		public virtual Object KSt
		{
			get { return this["KSt"]; }
			set { this["KSt"] = value; }
		}
		/// <summary>Arbeitgeberanteil KV ( Double )</summary>
		public virtual Object AGAKV
		{
			get { return this["AGAKV"]; }
			set { this["AGAKV"] = value; }
		}
		/// <summary>Arbeitgeberanteil RV ( Double )</summary>
		public virtual Object AGARV
		{
			get { return this["AGARV"]; }
			set { this["AGARV"] = value; }
		}
		/// <summary>Arbeitgeberanteil AV ( Double )</summary>
		public virtual Object AGAAV
		{
			get { return this["AGAAV"]; }
			set { this["AGAAV"] = value; }
		}
		/// <summary>Arbeitgeberanteil PV ( Double )</summary>
		public virtual Object AGAPV
		{
			get { return this["AGAPV"]; }
			set { this["AGAPV"] = value; }
		}
		/// <summary>Umlagebetrag 1 ( Double )</summary>
		public virtual Object Uml1Bet
		{
			get { return this["Uml1Bet"]; }
			set { this["Uml1Bet"] = value; }
		}
		/// <summary>Umlagebetrag 2 ( Double )</summary>
		public virtual Object Uml2Bet
		{
			get { return this["Uml2Bet"]; }
			set { this["Uml2Bet"] = value; }
		}
		/// <summary>Arbeitgeberanteil freiwillige KV ( Double )</summary>
		public virtual Object AGAFrwKV
		{
			get { return this["AGAFrwKV"]; }
			set { this["AGAFrwKV"] = value; }
		}
		/// <summary>Arbeitgeberanteil freiwillige PV ( Double )</summary>
		public virtual Object AGAFrwPV
		{
			get { return this["AGAFrwPV"]; }
			set { this["AGAFrwPV"] = value; }
		}
		/// <summary>Vermgenswirksame Leistungen 1 ( Double )</summary>
		public virtual Object VWL1
		{
			get { return this["VWL1"]; }
			set { this["VWL1"] = value; }
		}
		/// <summary>Vermgenswirksame Leistungen 2 ( Double )</summary>
		public virtual Object VWL2
		{
			get { return this["VWL2"]; }
			set { this["VWL2"] = value; }
		}
		/// <summary>Vermgenswirksame Leistungen 3 ( Double )</summary>
		public virtual Object VWL3
		{
			get { return this["VWL3"]; }
			set { this["VWL3"] = value; }
		}
		/// <summary>pauschale Kirchensteuer ( Double )</summary>
		public virtual Object PKSt
		{
			get { return this["PKSt"]; }
			set { this["PKSt"] = value; }
		}
		/// <summary>pauschale Lohnsteuer auf pauschale lohnsteuerpflichtige Bruttobezge 1 ( Double )</summary>
		public virtual Object PLSt1
		{
			get { return this["PLSt1"]; }
			set { this["PLSt1"] = value; }
		}
		/// <summary>pauschaler Solidarzuschlag 1 ( Double )</summary>
		public virtual Object PSoli1
		{
			get { return this["PSoli1"]; }
			set { this["PSoli1"] = value; }
		}
		/// <summary>Steuer auf pauschale steuerpflichtige Bruttobezge (an Bundesknappschaft) 1 ( Double )</summary>
		public virtual Object PStBK1
		{
			get { return this["PStBK1"]; }
			set { this["PStBK1"] = value; }
		}
		/// <summary>pauschale Lohnsteuer auf pauschale lohnsteuerpflichtige Bruttobezge 2 ( Double )</summary>
		public virtual Object PLSt2
		{
			get { return this["PLSt2"]; }
			set { this["PLSt2"] = value; }
		}
		/// <summary>pauschaler Solidarzuschlag 2 ( Double )</summary>
		public virtual Object PSoli2
		{
			get { return this["PSoli2"]; }
			set { this["PSoli2"] = value; }
		}
		/// <summary>Steuer auf pauschale steuerpflichtige Bruttobezge (an Bundesknappschaft) 2 ( Double )</summary>
		public virtual Object PStBK2
		{
			get { return this["PStBK2"]; }
			set { this["PStBK2"] = value; }
		}
		/// <summary>pauschale Lohnsteuer auf pauschale lohnsteuerpflichtige Bruttobezge 3 ( Double )</summary>
		public virtual Object PLSt3
		{
			get { return this["PLSt3"]; }
			set { this["PLSt3"] = value; }
		}
		/// <summary>pauschaler Solidarzuschlag 3 ( Double )</summary>
		public virtual Object PSoli3
		{
			get { return this["PSoli3"]; }
			set { this["PSoli3"] = value; }
		}
		/// <summary>Steuer auf pauschale steuerpflichtige Bruttobezge (an Bundesknappschaft) 3 ( Double )</summary>
		public virtual Object PStBK3
		{
			get { return this["PStBK3"]; }
			set { this["PStBK3"] = value; }
		}
		/// <summary>pauschale Lohnsteuer auf pauschale lohnsteuerpflichtige Bruttobezge 4 ( Double )</summary>
		public virtual Object PLSt4
		{
			get { return this["PLSt4"]; }
			set { this["PLSt4"] = value; }
		}
		/// <summary>pauschaler Solidarzuschlag 4 ( Double )</summary>
		public virtual Object PSoli4
		{
			get { return this["PSoli4"]; }
			set { this["PSoli4"] = value; }
		}
		/// <summary>Steuer auf pauschale steuerpflichtige Bruttobezge (an Bundesknappschaft) 4 ( Double )</summary>
		public virtual Object PStBK4
		{
			get { return this["PStBK4"]; }
			set { this["PStBK4"] = value; }
		}
		/// <summary>pauschale Lohnsteuer auf pauschale lohnsteuerpflichtige Bruttobezge 5 ( Double )</summary>
		public virtual Object PLSt5
		{
			get { return this["PLSt5"]; }
			set { this["PLSt5"] = value; }
		}
		/// <summary>pauschaler Solidarzuschlag 5 ( Double )</summary>
		public virtual Object PSoli5
		{
			get { return this["PSoli5"]; }
			set { this["PSoli5"] = value; }
		}
		/// <summary>Steuer auf pauschale steuerpflichtige Bruttobezge (an Bundesknappschaft) 5 ( Double )</summary>
		public virtual Object PStBK5
		{
			get { return this["PStBK5"]; }
			set { this["PStBK5"] = value; }
		}
		/// <summary>Arbeitgeberanteil pauschale KV ( Double )</summary>
		public virtual Object PAGAKV
		{
			get { return this["PAGAKV"]; }
			set { this["PAGAKV"] = value; }
		}
		/// <summary>Arbeitgeberanteil pauschale RV ( Double )</summary>
		public virtual Object PAGARV
		{
			get { return this["PAGARV"]; }
			set { this["PAGARV"] = value; }
		}
		/// <summary>Arbeitgeberanteil pauschale KV (Bundesknappschaft) ( Double )</summary>
		public virtual Object PAGAKVBK
		{
			get { return this["PAGAKVBK"]; }
			set { this["PAGAKVBK"] = value; }
		}
		/// <summary>Arbeitgeberanteil pauschale RV (Bundesknappschaft) ( Double )</summary>
		public virtual Object PAGARVBK
		{
			get { return this["PAGARVBK"]; }
			set { this["PAGARVBK"] = value; }
		}
		/// <summary>ArbeitgeberanteilInsolvenzgeldumlage ( Double )</summary>
		public virtual Object InsUmlAGA
		{
			get { return this["InsUmlAGA"]; }
			set { this["InsUmlAGA"] = value; }
		}
		/// <summary>Kug (Arbeitsamt) ( Double )</summary>
		public virtual Object KugErstBetAAmt
		{
			get { return this["KugErstBetAAmt"]; }
			set { this["KugErstBetAAmt"] = value; }
		}
		/// <summary>Kug Krank (Einzugsstelle) ( Double )</summary>
		public virtual Object KugErstBetEinz
		{
			get { return this["KugErstBetEinz"]; }
			set { this["KugErstBetEinz"] = value; }
		}
		/// <summary>RV Kug Arbeitgeberanteil ( Double )</summary>
		public virtual Object RVKugAGA
		{
			get { return this["RVKugAGA"]; }
			set { this["RVKugAGA"] = value; }
		}
		/// <summary>PV Kug Arbeitgeberanteil ( Double )</summary>
		public virtual Object PVKugAGA
		{
			get { return this["PVKugAGA"]; }
			set { this["PVKugAGA"] = value; }
		}
		/// <summary>KV Kug Arbeitgeberanteil ( Double )</summary>
		public virtual Object KVKugAGA
		{
			get { return this["KVKugAGA"]; }
			set { this["KVKugAGA"] = value; }
		}
		/// <summary>Arbeitgeberanteil der freiwilligen PV (Kug Arbeitgeberanteil) ( Double )</summary>
		public virtual Object FrwPVAGAKugAGA
		{
			get { return this["FrwPVAGAKugAGA"]; }
			set { this["FrwPVAGAKugAGA"] = value; }
		}
		/// <summary>Arbeitgeberanteil der freiwilligen KV (Kug Arbeitgeberanteil) ( Double )</summary>
		public virtual Object FrwKVAGAKugAGA
		{
			get { return this["FrwKVAGAKugAGA"]; }
			set { this["FrwKVAGAKugAGA"] = value; }
		}
		/// <summary>LohnStatistikSaetze ( BlobTable )</summary>
		public virtual Object Lss
		{
			get { return this["Lss"]; }
			set { this["Lss"] = value; }
		}


		#endregion
	}
}
