using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class MAbwesenheitssperrenSet : BpnEntitySet<MAbwesenheitssperren>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "MAbwesenheitssperren";
			
		public static MAbwesenheitssperrenSet CreateInstance(BpnConnection connection)
		{
		    var mabwesenheitssperrensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var mabwesenheitssperrensetDataSet = mabwesenheitssperrensetInfo.CreateDataSet();
		
		    var ret = new MAbwesenheitssperrenSet(mabwesenheitssperrensetDataSet);
		    return ret;
		}
		
		internal MAbwesenheitssperrenSet(BpNT.AutoDataSet mabwesenheitssperrenDataSet) 
			: base(mabwesenheitssperrenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected MAbwesenheitssperrenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new MAbwesenheitssperrenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected MAbwesenheitssperrenSet parentSet;
		
			protected MAbwesenheitssperrenSetIDIndex iDIndex;
			protected MAbwesenheitssperrenSetNrIndex nrIndex;
			protected MAbwesenheitssperrenSetBezIndex bezIndex;
			protected MAbwesenheitssperrenSetStartDatIndex startDatIndex;
			protected MAbwesenheitssperrenSetEndDatIndex endDatIndex;
			protected MAbwesenheitssperrenSetAwJNrIndex awJNrIndex;
			protected MAbwesenheitssperrenSetAwJBezIndex awJBezIndex;
			protected MAbwesenheitssperrenSetAwJStartDatIndex awJStartDatIndex;
			protected MAbwesenheitssperrenSetAwJEndDatIndex awJEndDatIndex;
		
			internal IndicesClass(MAbwesenheitssperrenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new MAbwesenheitssperrenSetIDIndex(parentSet.DataSet);
				nrIndex = new MAbwesenheitssperrenSetNrIndex(parentSet.DataSet);
				bezIndex = new MAbwesenheitssperrenSetBezIndex(parentSet.DataSet);
				startDatIndex = new MAbwesenheitssperrenSetStartDatIndex(parentSet.DataSet);
				endDatIndex = new MAbwesenheitssperrenSetEndDatIndex(parentSet.DataSet);
				awJNrIndex = new MAbwesenheitssperrenSetAwJNrIndex(parentSet.DataSet);
				awJBezIndex = new MAbwesenheitssperrenSetAwJBezIndex(parentSet.DataSet);
				awJStartDatIndex = new MAbwesenheitssperrenSetAwJStartDatIndex(parentSet.DataSet);
				awJEndDatIndex = new MAbwesenheitssperrenSetAwJEndDatIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public MAbwesenheitssperrenSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Mitarbeiternummer</summary>
			public MAbwesenheitssperrenSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public MAbwesenheitssperrenSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
			/// <summary>Startdatum</summary>
			public MAbwesenheitssperrenSetStartDatIndex StartDatIndex
			{
				get { return startDatIndex; }
			}
			
			/// <summary>Enddatum</summary>
			public MAbwesenheitssperrenSetEndDatIndex EndDatIndex
			{
				get { return endDatIndex; }
			}
			
			/// <summary>Mitarbeiternummer</summary>
			public MAbwesenheitssperrenSetAwJNrIndex AwJNrIndex
			{
				get { return awJNrIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public MAbwesenheitssperrenSetAwJBezIndex AwJBezIndex
			{
				get { return awJBezIndex; }
			}
			
			/// <summary>Startdatum</summary>
			public MAbwesenheitssperrenSetAwJStartDatIndex AwJStartDatIndex
			{
				get { return awJStartDatIndex; }
			}
			
			/// <summary>Enddatum</summary>
			public MAbwesenheitssperrenSetAwJEndDatIndex AwJEndDatIndex
			{
				get { return awJEndDatIndex; }
			}
			
		
			#endregion
		}

		public MAbwesenheitssperrenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
