using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Mandant : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Mandant";
			
		public static Mandant CreateInstance(BpnConnection connection)
		{
		    var mandantInfo = connection.GetDataSetInfo(DS_NAME);
		    var mandantDataSet = mandantInfo.CreateDataSet();
		
		    var ret = new Mandant(mandantDataSet);
		    return ret;
		}
		
		public Mandant(BpNT.AutoDataSet mandantDataSet) 
			: base(mandantDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Mandantnummer ( String )</summary>
		public virtual String MandNr
		{
			get { return Convert.ToString(this["MandNr"]); }
			set { this["MandNr"] = value; }
		}
		/// <summary>Typ ( Integer )</summary>
		public virtual Int32 MandTyp
		{
			get { return Convert.ToInt32(this["MandTyp"]); }
			set { this["MandTyp"] = value; }
		}
		/// <summary>Art der Branche ( Integer )</summary>
		public virtual Int32 BrancheArt
		{
			get { return Convert.ToInt32(this["BrancheArt"]); }
			set { this["BrancheArt"] = value; }
		}
		/// <summary>Filialnummer ( Integer )</summary>
		public virtual Int32 FilNr
		{
			get { return Convert.ToInt32(this["FilNr"]); }
			set { this["FilNr"] = value; }
		}
		/// <summary>Kurzbezeichnung ( String )</summary>
		public virtual String KuBez
		{
			get { return Convert.ToString(this["KuBez"]); }
			set { this["KuBez"] = value; }
		}
		/// <summary>International Location Number ( String )</summary>
		public virtual String ILN
		{
			get { return Convert.ToString(this["ILN"]); }
			set { this["ILN"] = value; }
		}
		/// <summary>Name 1 (Anrede) ( String )</summary>
		public virtual String Na1
		{
			get { return Convert.ToString(this["Na1"]); }
			set { this["Na1"] = value; }
		}
		/// <summary>Firmen Name 2 ( String )</summary>
		public virtual String Na2
		{
			get { return Convert.ToString(this["Na2"]); }
			set { this["Na2"] = value; }
		}
		/// <summary>Name 3 (Zusatz) ( String )</summary>
		public virtual String Na3
		{
			get { return Convert.ToString(this["Na3"]); }
			set { this["Na3"] = value; }
		}
		/// <summary>Namen ( String )</summary>
		public virtual String Namen
		{
			get { return Convert.ToString(this["Namen"]); }
		}
		/// <summary>Strae ( String )</summary>
		public virtual String Str
		{
			get { return Convert.ToString(this["Str"]); }
			set { this["Str"] = value; }
		}
		/// <summary>Land ( Integer )</summary>
		public virtual Int32 Land
		{
			get { return Convert.ToInt32(this["Land"]); }
			set { this["Land"] = value; }
		}
		/// <summary>Postleitzahl ( String )</summary>
		public virtual String PLZ
		{
			get { return Convert.ToString(this["PLZ"]); }
			set { this["PLZ"] = value; }
		}
		/// <summary>Land & PLZ ( String )</summary>
		public virtual String PLZInfo
		{
			get { return Convert.ToString(this["PLZInfo"]); }
		}
		/// <summary>Ort ( String )</summary>
		public virtual String Ort
		{
			get { return Convert.ToString(this["Ort"]); }
			set { this["Ort"] = value; }
		}
		/// <summary>PLZ & Ort ( String )</summary>
		public virtual String PLZOrtInfo
		{
			get { return Convert.ToString(this["PLZOrtInfo"]); }
		}
		/// <summary>Postfach ( String )</summary>
		public virtual String Postf
		{
			get { return Convert.ToString(this["Postf"]); }
			set { this["Postf"] = value; }
		}
		/// <summary>Postfach Postleitzahl ( String )</summary>
		public virtual String PfPLZ
		{
			get { return Convert.ToString(this["PfPLZ"]); }
			set { this["PfPLZ"] = value; }
		}
		/// <summary>Postfach Ort ( String )</summary>
		public virtual String PfOrt
		{
			get { return Convert.ToString(this["PfOrt"]); }
			set { this["PfOrt"] = value; }
		}
		/// <summary>Bundesland ( String )</summary>
		public virtual String BuLand
		{
			get { return Convert.ToString(this["BuLand"]); }
			set { this["BuLand"] = value; }
		}
		/// <summary>Branche ( String )</summary>
		public virtual String Branche
		{
			get { return Convert.ToString(this["Branche"]); }
			set { this["Branche"] = value; }
		}
		/// <summary>Telefon 1 ( String )</summary>
		public virtual String Tel1
		{
			get { return Convert.ToString(this["Tel1"]); }
			set { this["Tel1"] = value; }
		}
		/// <summary>Telefon 2 ( String )</summary>
		public virtual String Tel2
		{
			get { return Convert.ToString(this["Tel2"]); }
			set { this["Tel2"] = value; }
		}
		/// <summary>Telefon 3 ( String )</summary>
		public virtual String Tel3
		{
			get { return Convert.ToString(this["Tel3"]); }
			set { this["Tel3"] = value; }
		}
		/// <summary>Mobil-Telefon ( String )</summary>
		public virtual String MTel
		{
			get { return Convert.ToString(this["MTel"]); }
			set { this["MTel"] = value; }
		}
		/// <summary>Telefax ( String )</summary>
		public virtual String Fax
		{
			get { return Convert.ToString(this["Fax"]); }
			set { this["Fax"] = value; }
		}
		/// <summary>Webseite ( String )</summary>
		public virtual String WSeite
		{
			get { return Convert.ToString(this["WSeite"]); }
			set { this["WSeite"] = value; }
		}
		/// <summary>E-Mail 1 ( String )</summary>
		public virtual String EMail1
		{
			get { return Convert.ToString(this["EMail1"]); }
			set { this["EMail1"] = value; }
		}
		/// <summary>E-Mail 2 ( String )</summary>
		public virtual String EMail2
		{
			get { return Convert.ToString(this["EMail2"]); }
			set { this["EMail2"] = value; }
		}
		/// <summary>Leitwhrung 1 ( String )</summary>
		public virtual String LW1
		{
			get { return Convert.ToString(this["LW1"]); }
		}
		/// <summary>Leitwhrung (ISO-Bez.) 1 ( String )</summary>
		public virtual String LWISO1
		{
			get { return Convert.ToString(this["LWISO1"]); }
		}
		/// <summary>Leitwhrung 2 ( String )</summary>
		public virtual String LW2
		{
			get { return Convert.ToString(this["LW2"]); }
		}
		/// <summary>Leitwhrung (ISO-Bez.) 2 ( String )</summary>
		public virtual String LWISO2
		{
			get { return Convert.ToString(this["LWISO2"]); }
		}
		/// <summary>BankVerbindungen ( BlobTable )</summary>
		public virtual Object BnkVb
		{
			get { return this["BnkVb"]; }
			set { this["BnkVb"] = value; }
		}
		/// <summary>Firmenlogo 1 ( Bild )</summary>
		public virtual Object Logo1
		{
			get { return this["Logo1"]; }
			set { this["Logo1"] = value; }
		}
		/// <summary>Firmenlogo 1 Kennzeichen ( Boolean )</summary>
		public virtual Object Logo1Kz
		{
			get { return this["Logo1Kz"]; }
		}
		/// <summary>Firmenlogo 2 ( Bild )</summary>
		public virtual Object Logo2
		{
			get { return this["Logo2"]; }
			set { this["Logo2"] = value; }
		}
		/// <summary>Firmenlogo 2 Kennzeichen ( Boolean )</summary>
		public virtual Object Logo2Kz
		{
			get { return this["Logo2Kz"]; }
		}
		/// <summary>Firmenlogo 3 ( Bild )</summary>
		public virtual Object Logo3
		{
			get { return this["Logo3"]; }
			set { this["Logo3"] = value; }
		}
		/// <summary>Firmenlogo 3 Kennzeichen ( Boolean )</summary>
		public virtual Object Logo3Kz
		{
			get { return this["Logo3Kz"]; }
		}
		/// <summary>Briefkopf 1 ( Info )</summary>
		public virtual Object BriefKopf1
		{
			get { return this["BriefKopf1"]; }
			set { this["BriefKopf1"] = value; }
		}
		/// <summary>Briefkopf 1 Kennzeichen ( Boolean )</summary>
		public virtual Object BriefKopf1Kz
		{
			get { return this["BriefKopf1Kz"]; }
		}
		/// <summary>Briefkopf 2 ( Info )</summary>
		public virtual Object BriefKopf2
		{
			get { return this["BriefKopf2"]; }
			set { this["BriefKopf2"] = value; }
		}
		/// <summary>Briefkopf 2 Kennzeichen ( Boolean )</summary>
		public virtual Object BriefKopf2Kz
		{
			get { return this["BriefKopf2Kz"]; }
		}
		/// <summary>Rechtsform der Firma ( String )</summary>
		public virtual String Rechtsform
		{
			get { return Convert.ToString(this["Rechtsform"]); }
			set { this["Rechtsform"] = value; }
		}
		/// <summary>Firma ist vorsteuerabzugsberechtigt ( Boolean )</summary>
		public virtual Object VStAbzugBKz
		{
			get { return this["VStAbzugBKz"]; }
			set { this["VStAbzugBKz"] = value; }
		}
		/// <summary>Position der rechtsverbindlichen Person ( String )</summary>
		public virtual String PosRechtsPerson
		{
			get { return Convert.ToString(this["PosRechtsPerson"]); }
			set { this["PosRechtsPerson"] = value; }
		}
		/// <summary>Geschftsfhrer ( String )</summary>
		public virtual String GeschFuehr
		{
			get { return Convert.ToString(this["GeschFuehr"]); }
			set { this["GeschFuehr"] = value; }
		}
		/// <summary>Umsatzsteueridentnummer ( String )</summary>
		public virtual String UStId
		{
			get { return Convert.ToString(this["UStId"]); }
			set { this["UStId"] = value; }
		}
		/// <summary>Zollnummer ( String )</summary>
		public virtual String ZollNr
		{
			get { return Convert.ToString(this["ZollNr"]); }
			set { this["ZollNr"] = value; }
		}
		/// <summary>EU-Meldungnummer ( String )</summary>
		public virtual String EUMeldNr
		{
			get { return Convert.ToString(this["EUMeldNr"]); }
			set { this["EUMeldNr"] = value; }
		}
		/// <summary>Handelsregister ( String )</summary>
		public virtual String HReg
		{
			get { return Convert.ToString(this["HReg"]); }
			set { this["HReg"] = value; }
		}
		/// <summary>Gerichtsstand ( String )</summary>
		public virtual String GerStand
		{
			get { return Convert.ToString(this["GerStand"]); }
			set { this["GerStand"] = value; }
		}
		/// <summary>Nachricht ( Info )</summary>
		public virtual Object Nachricht
		{
			get { return this["Nachricht"]; }
			set { this["Nachricht"] = value; }
		}
		/// <summary>Nachricht Kennzeichen ( Boolean )</summary>
		public virtual Object NachrichtKz
		{
			get { return this["NachrichtKz"]; }
		}
		/// <summary>Steuernummer (Finanzamt) ( String )</summary>
		public virtual String SteuNr
		{
			get { return Convert.ToString(this["SteuNr"]); }
			set { this["SteuNr"] = value; }
		}
		/// <summary>Name gegenber dem Finanzamt ( String )</summary>
		public virtual String FaAnspNa
		{
			get { return Convert.ToString(this["FaAnspNa"]); }
			set { this["FaAnspNa"] = value; }
		}
		/// <summary>Telefon gegenber dem Finanzamt ( String )</summary>
		public virtual String FaAnspTel
		{
			get { return Convert.ToString(this["FaAnspTel"]); }
			set { this["FaAnspTel"] = value; }
		}
		/// <summary>E-Mail gegenber dem Finanzamt ( String )</summary>
		public virtual String FaAnspEMail
		{
			get { return Convert.ToString(this["FaAnspEMail"]); }
			set { this["FaAnspEMail"] = value; }
		}
		/// <summary>Finanzamtnummer ( String )</summary>
		public virtual String FaNr
		{
			get { return Convert.ToString(this["FaNr"]); }
			set { this["FaNr"] = value; }
		}
		/// <summary>Name 1 (Anrede) ( String )</summary>
		public virtual String FaNa1
		{
			get { return Convert.ToString(this["FaNa1"]); }
			set { this["FaNa1"] = value; }
		}
		/// <summary>Finanzamts Name 2 ( String )</summary>
		public virtual String FaNa2
		{
			get { return Convert.ToString(this["FaNa2"]); }
			set { this["FaNa2"] = value; }
		}
		/// <summary>Name 3 (Zusatz) ( String )</summary>
		public virtual String FaNa3
		{
			get { return Convert.ToString(this["FaNa3"]); }
			set { this["FaNa3"] = value; }
		}
		/// <summary>Fa Strae ( String )</summary>
		public virtual String FaStr
		{
			get { return Convert.ToString(this["FaStr"]); }
			set { this["FaStr"] = value; }
		}
		/// <summary>Fa Postleitzahl ( String )</summary>
		public virtual String FaPLZ
		{
			get { return Convert.ToString(this["FaPLZ"]); }
			set { this["FaPLZ"] = value; }
		}
		/// <summary>Fa Ort ( String )</summary>
		public virtual String FaOrt
		{
			get { return Convert.ToString(this["FaOrt"]); }
			set { this["FaOrt"] = value; }
		}
		/// <summary>Fa Telefon ( String )</summary>
		public virtual String FaTel
		{
			get { return Convert.ToString(this["FaTel"]); }
			set { this["FaTel"] = value; }
		}
		/// <summary>Fa Telefax ( String )</summary>
		public virtual String FaFax
		{
			get { return Convert.ToString(this["FaFax"]); }
			set { this["FaFax"] = value; }
		}
		/// <summary>Fa Webseite ( String )</summary>
		public virtual String FaWSeite
		{
			get { return Convert.ToString(this["FaWSeite"]); }
			set { this["FaWSeite"] = value; }
		}
		/// <summary>Fa E-Mail ( String )</summary>
		public virtual String FaEMail
		{
			get { return Convert.ToString(this["FaEMail"]); }
			set { this["FaEMail"] = value; }
		}
		/// <summary>Fa Bankleitzahl ( String )</summary>
		public virtual String FaBLZ
		{
			get { return Convert.ToString(this["FaBLZ"]); }
			set { this["FaBLZ"] = value; }
		}
		/// <summary>Fa laufende Banknummer ( Integer )</summary>
		public virtual Int32 FaBLZNr
		{
			get { return Convert.ToInt32(this["FaBLZNr"]); }
			set { this["FaBLZNr"] = value; }
		}
		/// <summary>Fa Bankkurzbezeichnung ( String )</summary>
		public virtual String FaBkKuBez
		{
			get { return Convert.ToString(this["FaBkKuBez"]); }
		}
		/// <summary>Fa Kontonummer fr Bankverbindung ( String )</summary>
		public virtual String FaKNr
		{
			get { return Convert.ToString(this["FaKNr"]); }
			set { this["FaKNr"] = value; }
		}
		/// <summary>Fa Zahlungsart ( Integer )</summary>
		public virtual Int32 FaZahlArt
		{
			get { return Convert.ToInt32(this["FaZahlArt"]); }
			set { this["FaZahlArt"] = value; }
		}
		/// <summary>Fa Hausbank ( Integer )</summary>
		public virtual Int32 FaZahlHBk
		{
			get { return Convert.ToInt32(this["FaZahlHBk"]); }
			set { this["FaZahlHBk"] = value; }
		}
		/// <summary>Fa Lohnsteueranmeldungszeitraum ( Integer )</summary>
		public virtual Int32 FaLStZtRa
		{
			get { return Convert.ToInt32(this["FaLStZtRa"]); }
			set { this["FaLStZtRa"] = value; }
		}
		/// <summary>Fa Umsatzsteuervoranmeldungszeitraum ( Integer )</summary>
		public virtual Int32 FaUStZtRa
		{
			get { return Convert.ToInt32(this["FaUStZtRa"]); }
			set { this["FaUStZtRa"] = value; }
		}
		/// <summary>Fa Buchungskontonummer ( String )</summary>
		public virtual String FaBKtoNr
		{
			get { return Convert.ToString(this["FaBKtoNr"]); }
			set { this["FaBKtoNr"] = value; }
		}
		/// <summary>Fa Buchungskontonummer Lohn ( String )</summary>
		public virtual String FaBKtoNrLohn
		{
			get { return Convert.ToString(this["FaBKtoNrLohn"]); }
			set { this["FaBKtoNrLohn"] = value; }
		}
		/// <summary>Fa Information ( Info )</summary>
		public virtual Object FaInfo
		{
			get { return this["FaInfo"]; }
			set { this["FaInfo"] = value; }
		}
		/// <summary>Fa Information Kennzeichen ( Boolean )</summary>
		public virtual Object FaInfoKz
		{
			get { return this["FaInfoKz"]; }
		}
		/// <summary>Abweichendes Finanzamt fr Lohnbuchhaltung ( Boolean )</summary>
		public virtual Object AbwFaLohnKz
		{
			get { return this["AbwFaLohnKz"]; }
			set { this["AbwFaLohnKz"] = value; }
		}
		/// <summary>Fa Lohn Steuernummer (Finanzamt) ( String )</summary>
		public virtual String FaLSteuNr
		{
			get { return Convert.ToString(this["FaLSteuNr"]); }
			set { this["FaLSteuNr"] = value; }
		}
		/// <summary>Fa Lohn Name gegenber dem Finanzamt ( String )</summary>
		public virtual String FaLAnspNa
		{
			get { return Convert.ToString(this["FaLAnspNa"]); }
			set { this["FaLAnspNa"] = value; }
		}
		/// <summary>Fa Lohn Telefon gegenber dem Finanzamt ( String )</summary>
		public virtual String FaLAnspTel
		{
			get { return Convert.ToString(this["FaLAnspTel"]); }
			set { this["FaLAnspTel"] = value; }
		}
		/// <summary>Fa Lohn E-Mail gegenber dem Finanzamt ( String )</summary>
		public virtual String FaLAnspEMail
		{
			get { return Convert.ToString(this["FaLAnspEMail"]); }
			set { this["FaLAnspEMail"] = value; }
		}
		/// <summary>Fa Lohn Finanzamtnummer ( String )</summary>
		public virtual String FaLNr
		{
			get { return Convert.ToString(this["FaLNr"]); }
			set { this["FaLNr"] = value; }
		}
		/// <summary>Fa Lohn| Name 1 (Anrede) ( String )</summary>
		public virtual String FaLNa1
		{
			get { return Convert.ToString(this["FaLNa1"]); }
			set { this["FaLNa1"] = value; }
		}
		/// <summary>Fa Lohn|Finanzamts Name 2 ( String )</summary>
		public virtual String FaLNa2
		{
			get { return Convert.ToString(this["FaLNa2"]); }
			set { this["FaLNa2"] = value; }
		}
		/// <summary>Fa Lohn| Name 3 (Zusatz) ( String )</summary>
		public virtual String FaLNa3
		{
			get { return Convert.ToString(this["FaLNa3"]); }
			set { this["FaLNa3"] = value; }
		}
		/// <summary>Fa Lohn Strae ( String )</summary>
		public virtual String FaLStr
		{
			get { return Convert.ToString(this["FaLStr"]); }
			set { this["FaLStr"] = value; }
		}
		/// <summary>Fa Lohn Postleitzahl ( String )</summary>
		public virtual String FaLPLZ
		{
			get { return Convert.ToString(this["FaLPLZ"]); }
			set { this["FaLPLZ"] = value; }
		}
		/// <summary>Fa Lohn Ort ( String )</summary>
		public virtual String FaLOrt
		{
			get { return Convert.ToString(this["FaLOrt"]); }
			set { this["FaLOrt"] = value; }
		}
		/// <summary>Fa Lohn Telefon ( String )</summary>
		public virtual String FaLTel
		{
			get { return Convert.ToString(this["FaLTel"]); }
			set { this["FaLTel"] = value; }
		}
		/// <summary>Fa Lohn Telefax ( String )</summary>
		public virtual String FaLFax
		{
			get { return Convert.ToString(this["FaLFax"]); }
			set { this["FaLFax"] = value; }
		}
		/// <summary>Fa Lohn Webseite ( String )</summary>
		public virtual String FaLWSeite
		{
			get { return Convert.ToString(this["FaLWSeite"]); }
			set { this["FaLWSeite"] = value; }
		}
		/// <summary>Fa Lohn E-Mail ( String )</summary>
		public virtual String FaLEMail
		{
			get { return Convert.ToString(this["FaLEMail"]); }
			set { this["FaLEMail"] = value; }
		}
		/// <summary>Fa Lohn Bankleitzahl ( String )</summary>
		public virtual String FaLBLZ
		{
			get { return Convert.ToString(this["FaLBLZ"]); }
			set { this["FaLBLZ"] = value; }
		}
		/// <summary>Fa Lohn laufende Banknummer ( Integer )</summary>
		public virtual Int32 FaLBLZNr
		{
			get { return Convert.ToInt32(this["FaLBLZNr"]); }
			set { this["FaLBLZNr"] = value; }
		}
		/// <summary>Fa Lohn Bankkurzbezeichnung ( String )</summary>
		public virtual String FaLBkKuBez
		{
			get { return Convert.ToString(this["FaLBkKuBez"]); }
		}
		/// <summary>Fa Lohn Kontonummer fr Bankverbindung ( String )</summary>
		public virtual String FaLKNr
		{
			get { return Convert.ToString(this["FaLKNr"]); }
			set { this["FaLKNr"] = value; }
		}
		/// <summary>Fa Lohn Zahlungsart ( Integer )</summary>
		public virtual Int32 FaLZahlArt
		{
			get { return Convert.ToInt32(this["FaLZahlArt"]); }
			set { this["FaLZahlArt"] = value; }
		}
		/// <summary>Fa Lohn Hausbank ( Integer )</summary>
		public virtual Int32 FaLZahlHBk
		{
			get { return Convert.ToInt32(this["FaLZahlHBk"]); }
			set { this["FaLZahlHBk"] = value; }
		}
		/// <summary>Fa Lohn Information ( Info )</summary>
		public virtual Object FaLInfo
		{
			get { return this["FaLInfo"]; }
			set { this["FaLInfo"] = value; }
		}
		/// <summary>Fa Lohn Information Kennzeichen ( Boolean )</summary>
		public virtual Object FaLInfoKz
		{
			get { return this["FaLInfoKz"]; }
		}
		/// <summary>Betriebsnummer ( String )</summary>
		public virtual String BetrNr
		{
			get { return Convert.ToString(this["BetrNr"]); }
			set { this["BetrNr"] = value; }
		}
		/// <summary>Interne Arbeitsamtnummer ( String )</summary>
		public virtual String AaNr
		{
			get { return Convert.ToString(this["AaNr"]); }
			set { this["AaNr"] = value; }
		}
		/// <summary>Name 1 (Anrede) ( String )</summary>
		public virtual String AaNa1
		{
			get { return Convert.ToString(this["AaNa1"]); }
			set { this["AaNa1"] = value; }
		}
		/// <summary>Agentur Name 2 ( String )</summary>
		public virtual String AaNa2
		{
			get { return Convert.ToString(this["AaNa2"]); }
			set { this["AaNa2"] = value; }
		}
		/// <summary>Name 3 (Zusatz) ( String )</summary>
		public virtual String AaNa3
		{
			get { return Convert.ToString(this["AaNa3"]); }
			set { this["AaNa3"] = value; }
		}
		/// <summary>Aa Strae ( String )</summary>
		public virtual String AaStr
		{
			get { return Convert.ToString(this["AaStr"]); }
			set { this["AaStr"] = value; }
		}
		/// <summary>Aa Postleitzahl ( String )</summary>
		public virtual String AaPLZ
		{
			get { return Convert.ToString(this["AaPLZ"]); }
			set { this["AaPLZ"] = value; }
		}
		/// <summary>Aa Ort ( String )</summary>
		public virtual String AaOrt
		{
			get { return Convert.ToString(this["AaOrt"]); }
			set { this["AaOrt"] = value; }
		}
		/// <summary>Aa Telefon ( String )</summary>
		public virtual String AaTel
		{
			get { return Convert.ToString(this["AaTel"]); }
			set { this["AaTel"] = value; }
		}
		/// <summary>Aa Telefax ( String )</summary>
		public virtual String AaFax
		{
			get { return Convert.ToString(this["AaFax"]); }
			set { this["AaFax"] = value; }
		}
		/// <summary>Aa Webseite ( String )</summary>
		public virtual String AaWSeite
		{
			get { return Convert.ToString(this["AaWSeite"]); }
			set { this["AaWSeite"] = value; }
		}
		/// <summary>Aa E-Mail ( String )</summary>
		public virtual String AaEMail
		{
			get { return Convert.ToString(this["AaEMail"]); }
			set { this["AaEMail"] = value; }
		}
		/// <summary>Aa Bankleitzahl ( String )</summary>
		public virtual String AaBLZ
		{
			get { return Convert.ToString(this["AaBLZ"]); }
			set { this["AaBLZ"] = value; }
		}
		/// <summary>Aa laufende Banknummer ( Integer )</summary>
		public virtual Int32 AaBLZNr
		{
			get { return Convert.ToInt32(this["AaBLZNr"]); }
			set { this["AaBLZNr"] = value; }
		}
		/// <summary>Aa Bankkurzbezeichnung ( String )</summary>
		public virtual String AaBkKuBez
		{
			get { return Convert.ToString(this["AaBkKuBez"]); }
		}
		/// <summary>Aa Kontonummer fr Bankverbindung ( String )</summary>
		public virtual String AaKNr
		{
			get { return Convert.ToString(this["AaKNr"]); }
			set { this["AaKNr"] = value; }
		}
		/// <summary>Aa Zahlungsart ( Integer )</summary>
		public virtual Int32 AaZahlArt
		{
			get { return Convert.ToInt32(this["AaZahlArt"]); }
			set { this["AaZahlArt"] = value; }
		}
		/// <summary>Aa Hausbank ( Integer )</summary>
		public virtual Int32 AaZahlHBk
		{
			get { return Convert.ToInt32(this["AaZahlHBk"]); }
			set { this["AaZahlHBk"] = value; }
		}
		/// <summary>Aa Information ( Info )</summary>
		public virtual Object AaInfo
		{
			get { return this["AaInfo"]; }
			set { this["AaInfo"] = value; }
		}
		/// <summary>Aa Information Kennzeichen ( Boolean )</summary>
		public virtual Object AaInfoKz
		{
			get { return this["AaInfoKz"]; }
		}
		/// <summary>Ende des Wirtschaftsjahr ( Integer )</summary>
		public virtual Int32 EndWJ
		{
			get { return Convert.ToInt32(this["EndWJ"]); }
			set { this["EndWJ"] = value; }
		}
		/// <summary>Inklusive Steuer ( Boolean )</summary>
		public virtual Object IklStKz
		{
			get { return this["IklStKz"]; }
			set { this["IklStKz"] = value; }
		}
		/// <summary>Soll-Versteuerung ( Boolean )</summary>
		public virtual Object SIVst
		{
			get { return this["SIVst"]; }
			set { this["SIVst"] = value; }
		}
		/// <summary>MandantBerechtigung ( BlobTable )</summary>
		public virtual Object MBr
		{
			get { return this["MBr"]; }
			set { this["MBr"] = value; }
		}
		/// <summary>Datum ( Date )</summary>
		public virtual DateTime Dat
		{
			get { return Convert.ToDateTime(this["Dat"]); }
			set { this["Dat"] = value; }
		}
		/// <summary>MinServerDate ( Date )</summary>
		public virtual DateTime MinSDat
		{
			get { return Convert.ToDateTime(this["MinSDat"]); }
			set { this["MinSDat"] = value; }
		}
		/// <summary>MinServerDateCount ( Integer )</summary>
		public virtual Int32 MinSDatCount
		{
			get { return Convert.ToInt32(this["MinSDatCount"]); }
			set { this["MinSDatCount"] = value; }
		}
		/// <summary>Fi Periode ( Integer )</summary>
		public virtual Int32 FiPer
		{
			get { return Convert.ToInt32(this["FiPer"]); }
			set { this["FiPer"] = value; }
		}
		/// <summary>Fi Jahr ( Integer )</summary>
		public virtual Int32 FiJahr
		{
			get { return Convert.ToInt32(this["FiJahr"]); }
			set { this["FiJahr"] = value; }
		}
		/// <summary>offene Jahre / geschlossene Perioden ( StringList )</summary>
		public virtual Object OJahrGPer
		{
			get { return this["OJahrGPer"]; }
			set { this["OJahrGPer"] = value; }
		}
		/// <summary>Status der Lohnzyklen ( StringList )</summary>
		public virtual Object OLohnZyklen
		{
			get { return this["OLohnZyklen"]; }
			set { this["OLohnZyklen"] = value; }
		}
		/// <summary>Lo Datum ( Date )</summary>
		public virtual DateTime LoDat
		{
			get { return Convert.ToDateTime(this["LoDat"]); }
			set { this["LoDat"] = value; }
		}
		/// <summary>Ze Jahr ( Integer )</summary>
		public virtual Int32 ZeJahr
		{
			get { return Convert.ToInt32(this["ZeJahr"]); }
			set { this["ZeJahr"] = value; }
		}
		/// <summary>Zeit offene Jahre ( StringList )</summary>
		public virtual Object ZeitOJahr
		{
			get { return this["ZeitOJahr"]; }
			set { this["ZeitOJahr"] = value; }
		}
		/// <summary>DEUEV Kennzeichen ( Boolean )</summary>
		public virtual Object DEUEVKz
		{
			get { return this["DEUEVKz"]; }
			set { this["DEUEVKz"] = value; }
		}
		/// <summary>DEV Start Datum ( Date )</summary>
		public virtual DateTime DEUEVStartDat
		{
			get { return Convert.ToDateTime(this["DEUEVStartDat"]); }
			set { this["DEUEVStartDat"] = value; }
		}
		/// <summary>DEUEVDaten Kennzeichen ( Boolean )</summary>
		public virtual Object DEUEVDatenKz
		{
			get { return this["DEUEVDatenKz"]; }
			set { this["DEUEVDatenKz"] = value; }
		}
		/// <summary>Aktuelle Laufene Nr fr Beitragsnachweise ( Integer )</summary>
		public virtual Int32 BnwAktNr
		{
			get { return Convert.ToInt32(this["BnwAktNr"]); }
			set { this["BnwAktNr"] = value; }
		}
		/// <summary>DEUEVCreateDataMonat Kennzeichen ( Boolean )</summary>
		public virtual Object DEUEVCreateDataMonatKz
		{
			get { return this["DEUEVCreateDataMonatKz"]; }
			set { this["DEUEVCreateDataMonatKz"] = value; }
		}
		/// <summary>DEUEVUebMonat Kennzeichen ( Boolean )</summary>
		public virtual Object DEUEVUebMonatKz
		{
			get { return this["DEUEVUebMonatKz"]; }
			set { this["DEUEVUebMonatKz"] = value; }
		}
		/// <summary>COM-Konfigurationsdaten ( StringList )</summary>
		public virtual Object COMKonfig
		{
			get { return this["COMKonfig"]; }
			set { this["COMKonfig"] = value; }
		}
		/// <summary>DATEV Vorgabe ( Boolean )</summary>
		public virtual Object DATEV
		{
			get { return this["DATEV"]; }
			set { this["DATEV"] = value; }
		}
		/// <summary>Sachkonten Lang ( Integer )</summary>
		public virtual Int32 SachKtoLang
		{
			get { return Convert.ToInt32(this["SachKtoLang"]); }
			set { this["SachKtoLang"] = value; }
		}
		/// <summary>Personenkonten Lang ( Integer )</summary>
		public virtual Int32 PersKtoLang
		{
			get { return Convert.ToInt32(this["PersKtoLang"]); }
			set { this["PersKtoLang"] = value; }
		}
		/// <summary>Sachkonten Von ( String )</summary>
		public virtual String SachKtoVon
		{
			get { return Convert.ToString(this["SachKtoVon"]); }
			set { this["SachKtoVon"] = value; }
		}
		/// <summary>Sachkonten Bis ( String )</summary>
		public virtual String SachKtoBis
		{
			get { return Convert.ToString(this["SachKtoBis"]); }
			set { this["SachKtoBis"] = value; }
		}
		/// <summary>Debitorenkonten Von ( String )</summary>
		public virtual String DebKtoVon
		{
			get { return Convert.ToString(this["DebKtoVon"]); }
			set { this["DebKtoVon"] = value; }
		}
		/// <summary>Debitorenkonten Bis ( String )</summary>
		public virtual String DebKtoBis
		{
			get { return Convert.ToString(this["DebKtoBis"]); }
			set { this["DebKtoBis"] = value; }
		}
		/// <summary>Kreditorenkonten Von ( String )</summary>
		public virtual String KredKtoVon
		{
			get { return Convert.ToString(this["KredKtoVon"]); }
			set { this["KredKtoVon"] = value; }
		}
		/// <summary>Kreditorenkonten Bis ( String )</summary>
		public virtual String KredKtoBis
		{
			get { return Convert.ToString(this["KredKtoBis"]); }
			set { this["KredKtoBis"] = value; }
		}
		/// <summary>Kontenplan ( String )</summary>
		public virtual String KontenPlan
		{
			get { return Convert.ToString(this["KontenPlan"]); }
			set { this["KontenPlan"] = value; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>COM Schnittstelle verfgbar ( Boolean )</summary>
		public virtual Object COMKz
		{
			get { return this["COMKz"]; }
			set { this["COMKz"] = value; }
		}
		/// <summary>Konv Kennzeichen ( Integer )</summary>
		public virtual Int32 KonvKz
		{
			get { return Convert.ToInt32(this["KonvKz"]); }
			set { this["KonvKz"] = value; }
		}
		/// <summary>KonvInit Kennzeichen ( Boolean )</summary>
		public virtual Object KonvInitKz
		{
			get { return this["KonvInitKz"]; }
			set { this["KonvInitKz"] = value; }
		}
		/// <summary>DSRueck Kennzeichen ( Boolean )</summary>
		public virtual Object DSRueckKz
		{
			get { return this["DSRueckKz"]; }
			set { this["DSRueckKz"] = value; }
		}
		/// <summary>BetrPruef Kennzeichen ( Boolean )</summary>
		public virtual Object BetrPruefKz
		{
			get { return this["BetrPruefKz"]; }
			set { this["BetrPruefKz"] = value; }
		}
		/// <summary>Versionsinfo ( StringList )</summary>
		public virtual Object VersInfo
		{
			get { return this["VersInfo"]; }
			set { this["VersInfo"] = value; }
		}
		/// <summary>Datum des letzten Updates ( Date )</summary>
		public virtual DateTime LztUpdate
		{
			get { return Convert.ToDateTime(this["LztUpdate"]); }
			set { this["LztUpdate"] = value; }
		}
		/// <summary>AbglAss Kennzeichen ( Boolean )</summary>
		public virtual Object AbglAssKz
		{
			get { return this["AbglAssKz"]; }
			set { this["AbglAssKz"] = value; }
		}
		/// <summary>Gl090VBs Kennzeichen ( Boolean )</summary>
		public virtual Object Gl090VBsKz
		{
			get { return this["Gl090VBsKz"]; }
			set { this["Gl090VBsKz"] = value; }
		}
		/// <summary>BkzRoherlKz Kennzeichen ( Boolean )</summary>
		public virtual Object BkzRoherlKzKz
		{
			get { return this["BkzRoherlKzKz"]; }
			set { this["BkzRoherlKzKz"] = value; }
		}
		/// <summary>Lohn-Umsatz gebucht ( Boolean )</summary>
		public virtual Object LohnUmsKz
		{
			get { return this["LohnUmsKz"]; }
			set { this["LohnUmsKz"] = value; }
		}
		/// <summary>Lohn-Buchnungsbersicht erstellt ( Boolean )</summary>
		public virtual Object LohnBchUebKz
		{
			get { return this["LohnBchUebKz"]; }
			set { this["LohnBchUebKz"] = value; }
		}
		/// <summary>Lohn-Zahlungsverkehr ber Assistent erzeugt ( Boolean )</summary>
		public virtual Object LohnZvkKz
		{
			get { return this["LohnZvkKz"]; }
			set { this["LohnZvkKz"] = value; }
		}
		/// <summary>Lohn-Buchungen ber Assistent erzeugt ( Boolean )</summary>
		public virtual Object LohnBuchKz
		{
			get { return this["LohnBuchKz"]; }
			set { this["LohnBuchKz"] = value; }
		}
		/// <summary>Mindestnettolohn- Buchungsdatum ( DateTime )</summary>
		public virtual DateTime MindNLBuchDat
		{
			get { return Convert.ToDateTime(this["MindNLBuchDat"]); }
			set { this["MindNLBuchDat"] = value; }
		}
		/// <summary>LoKor Kennzeichen ( Boolean )</summary>
		public virtual Object LoKorKz
		{
			get { return this["LoKorKz"]; }
			set { this["LoKorKz"] = value; }
		}
		/// <summary>LoKor Datum ( Date )</summary>
		public virtual DateTime LoKorDat
		{
			get { return Convert.ToDateTime(this["LoKorDat"]); }
			set { this["LoKorDat"] = value; }
		}
		/// <summary>Konfigurierte Leistungsmerkmale des Mandanten benutzen ( Boolean )</summary>
		public virtual Object LeistMerkKz
		{
			get { return this["LeistMerkKz"]; }
			set { this["LeistMerkKz"] = value; }
		}
		/// <summary>Leistungsmerkmale ( StringList )</summary>
		public virtual Object LeistMerk
		{
			get { return this["LeistMerk"]; }
			set { this["LeistMerk"] = value; }
		}
		/// <summary>Programmkonfiguration ( StringList )</summary>
		public virtual Object PrgKonfig
		{
			get { return this["PrgKonfig"]; }
			set { this["PrgKonfig"] = value; }
		}
		/// <summary>Anreden ( BlobTable )</summary>
		public virtual Object Anr
		{
			get { return this["Anr"]; }
			set { this["Anr"] = value; }
		}
		/// <summary>Titel ( BlobTable )</summary>
		public virtual Object Tit
		{
			get { return this["Tit"]; }
			set { this["Tit"] = value; }
		}
		/// <summary>Vorsatzworte ( BlobTable )</summary>
		public virtual Object VSWo
		{
			get { return this["VSWo"]; }
			set { this["VSWo"] = value; }
		}
		/// <summary>Namenszusaetze ( BlobTable )</summary>
		public virtual Object NaZus
		{
			get { return this["NaZus"]; }
			set { this["NaZus"] = value; }
		}
		/// <summary>Positionen ( BlobTable )</summary>
		public virtual Object Posit
		{
			get { return this["Posit"]; }
			set { this["Posit"] = value; }
		}
		/// <summary>AbteilungenAsp ( BlobTable )</summary>
		public virtual Object AbtAsp
		{
			get { return this["AbtAsp"]; }
			set { this["AbtAsp"] = value; }
		}
		/// <summary>ErfassungsVorlagen ( BlobTable )</summary>
		public virtual Object ErfVlg
		{
			get { return this["ErfVlg"]; }
			set { this["ErfVlg"] = value; }
		}
		/// <summary>AnzahlNKS ( BlobTable )</summary>
		public virtual Object AzNKS
		{
			get { return this["AzNKS"]; }
			set { this["AzNKS"] = value; }
		}
		/// <summary>Einheiten ( BlobTable )</summary>
		public virtual Object Einh
		{
			get { return this["Einh"]; }
			set { this["Einh"] = value; }
		}
		/// <summary>ArtikelZuschlagsGruppen ( BlobTable )</summary>
		public virtual Object AZGrp
		{
			get { return this["AZGrp"]; }
			set { this["AZGrp"] = value; }
		}
		/// <summary>Fremdwaehrung ( BlobTable )</summary>
		public virtual Object FrW
		{
			get { return this["FrW"]; }
			set { this["FrW"] = value; }
		}
		/// <summary>LohnStatistikBez ( BlobTable )</summary>
		public virtual Object LSBez
		{
			get { return this["LSBez"]; }
			set { this["LSBez"] = value; }
		}
		/// <summary>FehlzeitenKatalog ( BlobTable )</summary>
		public virtual Object FzKat
		{
			get { return this["FzKat"]; }
			set { this["FzKat"] = value; }
		}
		/// <summary>OeffungsZeiten ( BlobTable )</summary>
		public virtual Object OZt
		{
			get { return this["OZt"]; }
			set { this["OZt"] = value; }
		}
		/// <summary>LohnAbrechnungsParameter ( BlobTable )</summary>
		public virtual Object LAbrP
		{
			get { return this["LAbrP"]; }
			set { this["LAbrP"] = value; }
		}
		/// <summary>LohnAbrechnungsvorgaben ( BlobTable )</summary>
		public virtual Object LAVw
		{
			get { return this["LAVw"]; }
			set { this["LAVw"] = value; }
		}
		/// <summary>Berufsgenossenschaften ( BlobTable )</summary>
		public virtual Object BGs
		{
			get { return this["BGs"]; }
			set { this["BGs"] = value; }
		}
		/// <summary>UnternehmensBereiche ( BlobTable )</summary>
		public virtual Object UntB
		{
			get { return this["UntB"]; }
			set { this["UntB"] = value; }
		}
		/// <summary>Betriebsstaetten ( BlobTable )</summary>
		public virtual Object BetSt
		{
			get { return this["BetSt"]; }
			set { this["BetSt"] = value; }
		}
		/// <summary>LohnJahrRev bei Abgleich der Lohnabrechnungsvorgaben ( Integer )</summary>
		public virtual Int32 LohnAbrLJRAbgl
		{
			get { return Convert.ToInt32(this["LohnAbrLJRAbgl"]); }
			set { this["LohnAbrLJRAbgl"] = value; }
		}
		/// <summary>SupportBuecher ( BlobTable )</summary>
		public virtual Object SBuch
		{
			get { return this["SBuch"]; }
			set { this["SBuch"] = value; }
		}
		/// <summary>FiBuBuchungsTexteKasse ( BlobTable )</summary>
		public virtual Object KasBTxt
		{
			get { return this["KasBTxt"]; }
			set { this["KasBTxt"] = value; }
		}
		/// <summary>FiBuBuchungsTexteGV ( BlobTable )</summary>
		public virtual Object GVBTxt
		{
			get { return this["GVBTxt"]; }
			set { this["GVBTxt"] = value; }
		}
		/// <summary>BuecherKasse ( BlobTable )</summary>
		public virtual Object KasFBch
		{
			get { return this["KasFBch"]; }
			set { this["KasFBch"] = value; }
		}
		/// <summary>BuecherGV ( BlobTable )</summary>
		public virtual Object GVFBch
		{
			get { return this["GVFBch"]; }
			set { this["GVFBch"] = value; }
		}
		/// <summary>BuchHelferKasse ( BlobTable )</summary>
		public virtual Object KasBHlp
		{
			get { return this["KasBHlp"]; }
			set { this["KasBHlp"] = value; }
		}
		/// <summary>BuchHelferGV ( BlobTable )</summary>
		public virtual Object GVBHlp
		{
			get { return this["GVBHlp"]; }
			set { this["GVBHlp"] = value; }
		}
		/// <summary>FiBuSpezKonten ( BlobTable )</summary>
		public virtual Object FSK
		{
			get { return this["FSK"]; }
			set { this["FSK"] = value; }
		}
		/// <summary>UmsatzSteuer ( BlobTable )</summary>
		public virtual Object USt
		{
			get { return this["USt"]; }
			set { this["USt"] = value; }
		}
		/// <summary>Umsatzsteuerdatencache ( StringList )</summary>
		public virtual Object UStCache
		{
			get { return this["UStCache"]; }
			set { this["UStCache"] = value; }
		}
		/// <summary>UmsatzSteuerKategorien ( BlobTable )</summary>
		public virtual Object USKa
		{
			get { return this["USKa"]; }
			set { this["USKa"] = value; }
		}
		/// <summary>UmsatzSteuerKategorieKlassen ( BlobTable )</summary>
		public virtual Object USKl
		{
			get { return this["USKl"]; }
			set { this["USKl"] = value; }
		}
		/// <summary>UmsatzSteuerKatZuweisung ( BlobTable )</summary>
		public virtual Object USKZw
		{
			get { return this["USKZw"]; }
			set { this["USKZw"] = value; }
		}
		/// <summary>ElsterUmsatzsteuerWerte ( BlobTable )</summary>
		public virtual Object ElUStW
		{
			get { return this["ElUStW"]; }
			set { this["ElUStW"] = value; }
		}
		/// <summary>Branchen ( BlobTable )</summary>
		public virtual Object Bra
		{
			get { return this["Bra"]; }
			set { this["Bra"] = value; }
		}
		/// <summary>Status ( BlobTable )</summary>
		public virtual Object Sts
		{
			get { return this["Sts"]; }
			set { this["Sts"] = value; }
		}
		/// <summary>Verteiler ( BlobTable )</summary>
		public virtual Object AdrVtl
		{
			get { return this["AdrVtl"]; }
			set { this["AdrVtl"] = value; }
		}
		/// <summary>Verteiler ( BlobTable )</summary>
		public virtual Object VtrVtl
		{
			get { return this["VtrVtl"]; }
			set { this["VtrVtl"] = value; }
		}
		/// <summary>Verteiler ( BlobTable )</summary>
		public virtual Object MitVtl
		{
			get { return this["MitVtl"]; }
			set { this["MitVtl"] = value; }
		}
		/// <summary>Verteiler ( BlobTable )</summary>
		public virtual Object KrkVtl
		{
			get { return this["KrkVtl"]; }
			set { this["KrkVtl"] = value; }
		}
		/// <summary>Kontaktaufnahmen ( BlobTable )</summary>
		public virtual Object KtA
		{
			get { return this["KtA"]; }
			set { this["KtA"] = value; }
		}
		/// <summary>KontaktKurzinfo ( BlobTable )</summary>
		public virtual Object KKi
		{
			get { return this["KKi"]; }
			set { this["KKi"] = value; }
		}
		/// <summary>KontakteParameter ( BlobTable )</summary>
		public virtual Object KtP
		{
			get { return this["KtP"]; }
			set { this["KtP"] = value; }
		}
		/// <summary>Zahlungsbedingungen ( BlobTable )</summary>
		public virtual Object ZaB
		{
			get { return this["ZaB"]; }
			set { this["ZaB"] = value; }
		}
		/// <summary>Lieferbedingungen ( BlobTable )</summary>
		public virtual Object LiB
		{
			get { return this["LiB"]; }
			set { this["LiB"] = value; }
		}
		/// <summary>KalkulationSaetze ( BlobTable )</summary>
		public virtual Object KlSz
		{
			get { return this["KlSz"]; }
			set { this["KlSz"] = value; }
		}
		/// <summary>KalkulationSchemen ( BlobTable )</summary>
		public virtual Object KlSs
		{
			get { return this["KlSs"]; }
			set { this["KlSs"] = value; }
		}
		/// <summary>ZuschlagsKalkulationen ( BlobTable )</summary>
		public virtual Object ZKl
		{
			get { return this["ZKl"]; }
			set { this["ZKl"] = value; }
		}
		/// <summary>Rundungsgruppen ( BlobTable )</summary>
		public virtual Object Rdg
		{
			get { return this["Rdg"]; }
			set { this["Rdg"] = value; }
		}
		/// <summary>LagerStamm ( BlobTable )</summary>
		public virtual Object LagS
		{
			get { return this["LagS"]; }
			set { this["LagS"] = value; }
		}
		/// <summary>ArtikelKataloge ( BlobTable )</summary>
		public virtual Object AKat
		{
			get { return this["AKat"]; }
			set { this["AKat"] = value; }
		}
		/// <summary>Referenz ( BlobTable )</summary>
		public virtual Object Ref
		{
			get { return this["Ref"]; }
			set { this["Ref"] = value; }
		}
		/// <summary>AZusGruppenbezeichnungen ( BlobTable )</summary>
		public virtual Object AZusGb
		{
			get { return this["AZusGb"]; }
			set { this["AZusGb"] = value; }
		}
		/// <summary>ZvkVerwendungszweckLayouts ( BlobTable )</summary>
		public virtual Object OPZvkLy
		{
			get { return this["OPZvkLy"]; }
			set { this["OPZvkLy"] = value; }
		}
		/// <summary>ZvkVerwendungszweckLayouts ( BlobTable )</summary>
		public virtual Object LZvkLy
		{
			get { return this["LZvkLy"]; }
			set { this["LZvkLy"] = value; }
		}
		/// <summary>DatevVorgabeWerteGlobal ( BlobTable )</summary>
		public virtual Object DvGl
		{
			get { return this["DvGl"]; }
			set { this["DvGl"] = value; }
		}
		/// <summary>DatevVorgabeWerteAuftrag ( BlobTable )</summary>
		public virtual Object DvAu
		{
			get { return this["DvAu"]; }
			set { this["DvAu"] = value; }
		}
		/// <summary>DatevVorgabeWerteFiBu ( BlobTable )</summary>
		public virtual Object DvFi
		{
			get { return this["DvFi"]; }
			set { this["DvFi"] = value; }
		}
		/// <summary>DatevVorgabeWerteLohn ( BlobTable )</summary>
		public virtual Object DvLo
		{
			get { return this["DvLo"]; }
			set { this["DvLo"] = value; }
		}
		/// <summary>VorgangBezeichnung ( BlobTable )</summary>
		public virtual Object VBez
		{
			get { return this["VBez"]; }
			set { this["VBez"] = value; }
		}
		/// <summary>VorgangBuchParameter ( BlobTable )</summary>
		public virtual Object VBPa
		{
			get { return this["VBPa"]; }
			set { this["VBPa"] = value; }
		}
		/// <summary>VorgangFesteLager ( BlobTable )</summary>
		public virtual Object VFLag
		{
			get { return this["VFLag"]; }
			set { this["VFLag"] = value; }
		}
		/// <summary>VorgangInfoBlatt ( BlobTable )</summary>
		public virtual Object VIBl
		{
			get { return this["VIBl"]; }
			set { this["VIBl"] = value; }
		}
		/// <summary>VorgangRegister ( BlobTable )</summary>
		public virtual Object VReg
		{
			get { return this["VReg"]; }
			set { this["VReg"] = value; }
		}
		/// <summary>VorgangDruckInfo ( BlobTable )</summary>
		public virtual Object VorgDInf
		{
			get { return this["VorgDInf"]; }
			set { this["VorgDInf"] = value; }
		}
		/// <summary>Textbaustein ( BlobTable )</summary>
		public virtual Object TBs
		{
			get { return this["TBs"]; }
			set { this["TBs"] = value; }
		}
		/// <summary>PositionsAbschlussTexte ( BlobTable )</summary>
		public virtual Object PaTxt
		{
			get { return this["PaTxt"]; }
			set { this["PaTxt"] = value; }
		}
		/// <summary>VorgangPreisListe ( BlobTable )</summary>
		public virtual Object VorgPrL
		{
			get { return this["VorgPrL"]; }
			set { this["VorgPrL"] = value; }
		}
		/// <summary>ProjektBezeichnung ( BlobTable )</summary>
		public virtual Object PBez
		{
			get { return this["PBez"]; }
			set { this["PBez"] = value; }
		}
		/// <summary>ProjektChecklisten ( BlobTable )</summary>
		public virtual Object PCln
		{
			get { return this["PCln"]; }
			set { this["PCln"] = value; }
		}
		/// <summary>ProjektStatus ( BlobTable )</summary>
		public virtual Object PSts
		{
			get { return this["PSts"]; }
			set { this["PSts"] = value; }
		}
		/// <summary>ProjektRegister ( BlobTable )</summary>
		public virtual Object PReg
		{
			get { return this["PReg"]; }
			set { this["PReg"] = value; }
		}
		/// <summary>Mahnstufen ( BlobTable )</summary>
		public virtual Object MaSt
		{
			get { return this["MaSt"]; }
			set { this["MaSt"] = value; }
		}
		/// <summary>OPParameter ( BlobTable )</summary>
		public virtual Object OPP
		{
			get { return this["OPP"]; }
			set { this["OPP"] = value; }
		}
		/// <summary>ZahlungsverkehrsParameter ( BlobTable )</summary>
		public virtual Object ZvkP
		{
			get { return this["ZvkP"]; }
			set { this["ZvkP"] = value; }
		}
		/// <summary>LetsTradeImportRegeln ( BlobTable )</summary>
		public virtual Object LTIRgl
		{
			get { return this["LTIRgl"]; }
			set { this["LTIRgl"] = value; }
		}
		/// <summary>ArtikelKurzwahlen ( BlobTable )</summary>
		public virtual Object AKwn
		{
			get { return this["AKwn"]; }
			set { this["AKwn"] = value; }
		}
		/// <summary>ArtikelBezBezeichner ( BlobTable )</summary>
		public virtual Object ABBez
		{
			get { return this["ABBez"]; }
			set { this["ABBez"] = value; }
		}
		/// <summary>ArtikelVkBezeichnungen ( BlobTable )</summary>
		public virtual Object AVkBez
		{
			get { return this["AVkBez"]; }
			set { this["AVkBez"] = value; }
		}
		/// <summary>WarengruppenKundenRabGrpBez ( BlobTable )</summary>
		public virtual Object WKRBez
		{
			get { return this["WKRBez"]; }
			set { this["WKRBez"] = value; }
		}
		/// <summary>ArtikelParameter ( BlobTable )</summary>
		public virtual Object ArtP
		{
			get { return this["ArtP"]; }
			set { this["ArtP"] = value; }
		}
		/// <summary>AbwArtikelDatenGruppen ( BlobTable )</summary>
		public virtual Object AAdGrp
		{
			get { return this["AAdGrp"]; }
			set { this["AAdGrp"] = value; }
		}
		/// <summary>AdressenParameter ( BlobTable )</summary>
		public virtual Object AdrP
		{
			get { return this["AdrP"]; }
			set { this["AdrP"] = value; }
		}
		/// <summary>VorgangParameter ( BlobTable )</summary>
		public virtual Object VogP
		{
			get { return this["VogP"]; }
			set { this["VogP"] = value; }
		}
		/// <summary>KasseBuchParameter ( BlobTable )</summary>
		public virtual Object KBPa
		{
			get { return this["KBPa"]; }
			set { this["KBPa"] = value; }
		}
		/// <summary>AuftragFiBuBuchKonten ( BlobTable )</summary>
		public virtual Object AFBk
		{
			get { return this["AFBk"]; }
			set { this["AFBk"] = value; }
		}
		/// <summary>ZahlArten ( BlobTable )</summary>
		public virtual Object ZArt
		{
			get { return this["ZArt"]; }
			set { this["ZArt"] = value; }
		}
		/// <summary>KasseBelegArten ( BlobTable )</summary>
		public virtual Object KBArt
		{
			get { return this["KBArt"]; }
			set { this["KBArt"] = value; }
		}
		/// <summary>KasseDruckInfo ( BlobTable )</summary>
		public virtual Object KasDInf
		{
			get { return this["KasDInf"]; }
			set { this["KasDInf"] = value; }
		}
		/// <summary>KassePreisListe ( BlobTable )</summary>
		public virtual Object KasPrL
		{
			get { return this["KasPrL"]; }
			set { this["KasPrL"] = value; }
		}
		/// <summary>HistorySelektionGruppe ( BlobTable )</summary>
		public virtual Object HSG
		{
			get { return this["HSG"]; }
			set { this["HSG"] = value; }
		}
		/// <summary>SonstigeParameter ( BlobTable )</summary>
		public virtual Object SonP
		{
			get { return this["SonP"]; }
			set { this["SonP"] = value; }
		}
		/// <summary>KontenGliederungen ( BlobTable )</summary>
		public virtual Object KtoGld
		{
			get { return this["KtoGld"]; }
			set { this["KtoGld"] = value; }
		}
		/// <summary>KostenstellenGliederungen ( BlobTable )</summary>
		public virtual Object KstGld
		{
			get { return this["KstGld"]; }
			set { this["KstGld"] = value; }
		}
		/// <summary>RabattSaetze ( BlobTable )</summary>
		public virtual Object RaSz
		{
			get { return this["RaSz"]; }
			set { this["RaSz"] = value; }
		}
		/// <summary>ServiceVertraegeBezeichnungen ( BlobTable )</summary>
		public virtual Object SVtB
		{
			get { return this["SVtB"]; }
			set { this["SVtB"] = value; }
		}
		/// <summary>KalenderKurzInfo ( BlobTable )</summary>
		public virtual Object KdrKi
		{
			get { return this["KdrKi"]; }
			set { this["KdrKi"] = value; }
		}
		/// <summary>VorgangTeilZahlungsPlaene ( BlobTable )</summary>
		public virtual Object VTZPl
		{
			get { return this["VTZPl"]; }
			set { this["VTZPl"] = value; }
		}
		/// <summary>Parameter fr Bestellvorschlag ( Blob )</summary>
		public virtual Object BsVParam
		{
			get { return this["BsVParam"]; }
			set { this["BsVParam"] = value; }
		}
		/// <summary>DokumenteExt ( BlobTable )</summary>
		public virtual Object DkE
		{
			get { return this["DkE"]; }
			set { this["DkE"] = value; }
		}
		/// <summary>AdressSelektionGruppe ( BlobTable )</summary>
		public virtual Object ASG
		{
			get { return this["ASG"]; }
			set { this["ASG"] = value; }
		}
		/// <summary>AutoArchivierungen ( BlobTable )</summary>
		public virtual Object AAv
		{
			get { return this["AAv"]; }
			set { this["AAv"] = value; }
		}
		/// <summary>KeineAutomatischenNummern ( BlobTable )</summary>
		public virtual Object KAn
		{
			get { return this["KAn"]; }
			set { this["KAn"] = value; }
		}
		/// <summary>AutoKorrektur ( BlobTable )</summary>
		public virtual Object AKr
		{
			get { return this["AKr"]; }
			set { this["AKr"] = value; }
		}
		/// <summary>FeiertagsVerwaltung ( BlobTable )</summary>
		public virtual Object Ftg
		{
			get { return this["Ftg"]; }
			set { this["Ftg"] = value; }
		}
		/// <summary>Schulferien ( BlobTable )</summary>
		public virtual Object SFrn
		{
			get { return this["SFrn"]; }
			set { this["SFrn"] = value; }
		}
		/// <summary>AbwesenheitsKategorien ( BlobTable )</summary>
		public virtual Object AbwKt
		{
			get { return this["AbwKt"]; }
			set { this["AbwKt"] = value; }
		}
		/// <summary>Betriebsferien ( BlobTable )</summary>
		public virtual Object BFrn
		{
			get { return this["BFrn"]; }
			set { this["BFrn"] = value; }
		}
		/// <summary>Farben ( BlobTable )</summary>
		public virtual Object Frb
		{
			get { return this["Frb"]; }
			set { this["Frb"] = value; }
		}
		/// <summary>ProduktGruppe ( BlobTable )</summary>
		public virtual Object PrG
		{
			get { return this["PrG"]; }
			set { this["PrG"] = value; }
		}
		/// <summary>ZeitAbrechnungsvorgaben ( BlobTable )</summary>
		public virtual Object ZAVw
		{
			get { return this["ZAVw"]; }
			set { this["ZAVw"] = value; }
		}
		/// <summary>VorbestellungArten ( BlobTable )</summary>
		public virtual Object Vba
		{
			get { return this["Vba"]; }
			set { this["Vba"] = value; }
		}
		/// <summary>GesperrtGruppen ( BlobTable )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>RegulaereAusdruecke ( BlobTable )</summary>
		public virtual Object RegAus
		{
			get { return this["RegAus"]; }
			set { this["RegAus"] = value; }
		}
		/// <summary>AufgabenParameter ( BlobTable )</summary>
		public virtual Object AfgP
		{
			get { return this["AfgP"]; }
			set { this["AfgP"] = value; }
		}
		/// <summary>Druckdatum der letzten Scheckeinreicherliste ( Date )</summary>
		public virtual DateTime LztSchkLst
		{
			get { return Convert.ToDateTime(this["LztSchkLst"]); }
			set { this["LztSchkLst"] = value; }
		}
		/// <summary>Datum/Uhrzeit des letzten Filialabgleichs ( DateTime )</summary>
		public virtual DateTime LztFA
		{
			get { return Convert.ToDateTime(this["LztFA"]); }
			set { this["LztFA"] = value; }
		}
		/// <summary>Datum der letzten AutoArchivierung ( Date )</summary>
		public virtual DateTime LztAAv
		{
			get { return Convert.ToDateTime(this["LztAAv"]); }
			set { this["LztAAv"] = value; }
		}
		/// <summary>Datum der Verfallsdatumprfung ( Date )</summary>
		public virtual DateTime LztLBe
		{
			get { return Convert.ToDateTime(this["LztLBe"]); }
			set { this["LztLBe"] = value; }
		}
		/// <summary>Datum der letzten Datumswechselprfung ( Date )</summary>
		public virtual DateTime LztRglDat
		{
			get { return Convert.ToDateTime(this["LztRglDat"]); }
			set { this["LztRglDat"] = value; }
		}
		/// <summary>Datum der letzten Support Intervall-Prfung ( Date )</summary>
		public virtual DateTime LztSupDat
		{
			get { return Convert.ToDateTime(this["LztSupDat"]); }
			set { this["LztSupDat"] = value; }
		}
		/// <summary>ArtikelAuspraegungen ( BlobTable )</summary>
		public virtual Object ArtAP
		{
			get { return this["ArtAP"]; }
			set { this["ArtAP"] = value; }
		}
		/// <summary>BilderParameter ( BlobTable )</summary>
		public virtual Object BldP
		{
			get { return this["BldP"]; }
			set { this["BldP"] = value; }
		}
		/// <summary>KasseAuswertungsGruppen ( BlobTable )</summary>
		public virtual Object KAwGrp
		{
			get { return this["KAwGrp"]; }
			set { this["KAwGrp"] = value; }
		}
		/// <summary>RSA3PKeys ( StringList )</summary>
		public virtual Object RSA3PKeys
		{
			get { return this["RSA3PKeys"]; }
			set { this["RSA3PKeys"] = value; }
		}
		/// <summary>Transfer Info ( StringList )</summary>
		public virtual Object TransInfo
		{
			get { return this["TransInfo"]; }
			set { this["TransInfo"] = value; }
		}
		/// <summary>StartSeite ( BlobTable )</summary>
		public virtual Object SStn
		{
			get { return this["SStn"]; }
			set { this["SStn"] = value; }
		}
		/// <summary>Schaubilder ( BlobTable )</summary>
		public virtual Object SBld
		{
			get { return this["SBld"]; }
			set { this["SBld"] = value; }
		}
		/// <summary>StartSeite ( BlobTable )</summary>
		public virtual Object UStn
		{
			get { return this["UStn"]; }
			set { this["UStn"] = value; }
		}
		/// <summary>DokumenteParameter ( BlobTable )</summary>
		public virtual Object DokP
		{
			get { return this["DokP"]; }
			set { this["DokP"] = value; }
		}
		/// <summary>AnlagenParameter ( BlobTable )</summary>
		public virtual Object AnlP
		{
			get { return this["AnlP"]; }
			set { this["AnlP"] = value; }
		}
		/// <summary>AnlagenStandorte ( BlobTable )</summary>
		public virtual Object AnlSto
		{
			get { return this["AnlSto"]; }
			set { this["AnlSto"] = value; }
		}
		/// <summary>Vorgaben ( Blob )</summary>
		public virtual Object Vgb
		{
			get { return this["Vgb"]; }
			set { this["Vgb"] = value; }
		}
		/// <summary>ProtokolleSaetze ( BlobTable )</summary>
		public virtual Object StatusPts
		{
			get { return this["StatusPts"]; }
			set { this["StatusPts"] = value; }
		}
		/// <summary>Statusprotokoll Lohn ( Integer )</summary>
		public virtual Int32 StatusPtsImgLo
		{
			get { return Convert.ToInt32(this["StatusPtsImgLo"]); }
			set { this["StatusPtsImgLo"] = value; }
		}
		/// <summary>Text fr Wasserzeichen beim Andruck ( String )</summary>
		public virtual String Wasserzeichen
		{
			get { return Convert.ToString(this["Wasserzeichen"]); }
			set { this["Wasserzeichen"] = value; }
		}
		/// <summary>AnlagenPoolKonten ( BlobTable )</summary>
		public virtual Object AnlPK
		{
			get { return this["AnlPK"]; }
			set { this["AnlPK"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>AenderungsProtokoll ( BlobTable )</summary>
		public virtual Object Apk
		{
			get { return this["Apk"]; }
			set { this["Apk"] = value; }
		}
		/// <summary>Bankleitzahl Std ( String )</summary>
		public virtual String BLZStd
		{
			get { return Convert.ToString(this["BLZStd"]); }
		}
		/// <summary>laufende Banknummer Std ( Integer )</summary>
		public virtual Int32 BLZNrStd
		{
			get { return Convert.ToInt32(this["BLZNrStd"]); }
		}
		/// <summary>Bankkurzbezeichnung Std ( String )</summary>
		public virtual String BkKuBezStd
		{
			get { return Convert.ToString(this["BkKuBezStd"]); }
		}
		/// <summary>BIC (SWIFT Code) Std ( String )</summary>
		public virtual String BICStd
		{
			get { return Convert.ToString(this["BICStd"]); }
		}
		/// <summary>Kontonummer fr Bankverbindung Std ( String )</summary>
		public virtual String KNrStd
		{
			get { return Convert.ToString(this["KNrStd"]); }
		}
		/// <summary>IBAN (Internationale Bankverbindung) Std ( String )</summary>
		public virtual String IBANStd
		{
			get { return Convert.ToString(this["IBANStd"]); }
		}
		/// <summary>Buchungskontonummer Std ( String )</summary>
		public virtual String BKtoNrStd
		{
			get { return Convert.ToString(this["BKtoNrStd"]); }
		}
		/// <summary>Name des Kontoinhabers Std ( String )</summary>
		public virtual String InhabStd
		{
			get { return Convert.ToString(this["InhabStd"]); }
		}
		/// <summary>Filialen ( Table )</summary>
		public virtual Object Mand
		{
			get { return this["Mand"]; }
		}


		#endregion
	}
}
