using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class OffenePostenHistory : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "OffenePostenHistory";
			
		public static OffenePostenHistory CreateInstance(BpnConnection connection)
		{
		    var offenepostenhistoryInfo = connection.GetDataSetInfo(DS_NAME);
		    var offenepostenhistoryDataSet = offenepostenhistoryInfo.CreateDataSet();
		
		    var ret = new OffenePostenHistory(offenepostenhistoryDataSet);
		    return ret;
		}
		
		public OffenePostenHistory(BpNT.AutoDataSet offenepostenhistoryDataSet) 
			: base(offenepostenhistoryDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Text ( String )</summary>
		public virtual String Text
		{
			get { return Convert.ToString(this["Text"]); }
			set { this["Text"] = value; }
		}
		/// <summary>Buchungsdatum ( Date )</summary>
		public virtual DateTime BuchDat
		{
			get { return Convert.ToDateTime(this["BuchDat"]); }
			set { this["BuchDat"] = value; }
		}
		/// <summary>Buchungsdatum bei Erstellung des OP ( Date )</summary>
		public virtual DateTime BuchDat1
		{
			get { return Convert.ToDateTime(this["BuchDat1"]); }
			set { this["BuchDat1"] = value; }
		}
		/// <summary>Valutadatum ( Date )</summary>
		public virtual DateTime ValutaDat
		{
			get { return Convert.ToDateTime(this["ValutaDat"]); }
			set { this["ValutaDat"] = value; }
		}
		/// <summary>Adressnummer ( String )</summary>
		public virtual String AdrNr
		{
			get { return Convert.ToString(this["AdrNr"]); }
			set { this["AdrNr"] = value; }
		}
		/// <summary>Anschriftennummer ( Integer )</summary>
		public virtual Int32 AnsNr
		{
			get { return Convert.ToInt32(this["AnsNr"]); }
			set { this["AnsNr"] = value; }
		}
		/// <summary>Adresse ( String )</summary>
		public virtual String AdrNrInfo
		{
			get { return Convert.ToString(this["AdrNrInfo"]); }
		}
		/// <summary>Belegnummer ( String )</summary>
		public virtual String BelegNr
		{
			get { return Convert.ToString(this["BelegNr"]); }
			set { this["BelegNr"] = value; }
		}
		/// <summary>Belegpositionsnummer ( SmallInt )</summary>
		public virtual Object BelegPosNr
		{
			get { return this["BelegPosNr"]; }
			set { this["BelegPosNr"] = value; }
		}
		/// <summary>Projektnummer ( String )</summary>
		public virtual String PrjNr
		{
			get { return Convert.ToString(this["PrjNr"]); }
			set { this["PrjNr"] = value; }
		}
		/// <summary>Projekt ( String )</summary>
		public virtual String PrjNrInfo
		{
			get { return Convert.ToString(this["PrjNrInfo"]); }
		}
		/// <summary>Auftragsnummer ( String )</summary>
		public virtual String AuftrNr
		{
			get { return Convert.ToString(this["AuftrNr"]); }
			set { this["AuftrNr"] = value; }
		}
		/// <summary>Datum der nchsten Mahnung ( Date )</summary>
		public virtual DateTime MahnDat
		{
			get { return Convert.ToDateTime(this["MahnDat"]); }
			set { this["MahnDat"] = value; }
		}
		/// <summary>Mahnstufe ( Byte )</summary>
		public virtual Object MahnSt
		{
			get { return this["MahnSt"]; }
			set { this["MahnSt"] = value; }
		}
		/// <summary>Rechnungsbetrag ( Array )</summary>
		public virtual Object RBet
		{
			get { return this["RBet"]; }
			set { this["RBet"] = value; }
		}
		/// <summary>Rechnungsbetrag [2 Mehrwertsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object RBetM7Nt
		{
			get { return this["RBetM7Nt"]; }
		}
		/// <summary>Rechnungsbetrag [2 Mehrwertsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object RBetM7St
		{
			get { return this["RBetM7St"]; }
		}
		/// <summary>Rechnungsbetrag [2 Mehrwertsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object RBetM7Bt
		{
			get { return this["RBetM7Bt"]; }
		}
		/// <summary>Rechnungsbetrag [3 Mehrwertsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object RBetM16Nt
		{
			get { return this["RBetM16Nt"]; }
		}
		/// <summary>Rechnungsbetrag [3 Mehrwertsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object RBetM16St
		{
			get { return this["RBetM16St"]; }
		}
		/// <summary>Rechnungsbetrag [3 Mehrwertsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object RBetM16Bt
		{
			get { return this["RBetM16Bt"]; }
		}
		/// <summary>Rechnungsbetrag [4 Mehrwertsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object RBetM19Nt
		{
			get { return this["RBetM19Nt"]; }
		}
		/// <summary>Rechnungsbetrag [4 Mehrwertsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object RBetM19St
		{
			get { return this["RBetM19St"]; }
		}
		/// <summary>Rechnungsbetrag [4 Mehrwertsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object RBetM19Bt
		{
			get { return this["RBetM19Bt"]; }
		}
		/// <summary>Rechnungsbetrag [5 Mehrwertsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object RBetM15Nt
		{
			get { return this["RBetM15Nt"]; }
		}
		/// <summary>Rechnungsbetrag [5 Mehrwertsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object RBetM15St
		{
			get { return this["RBetM15St"]; }
		}
		/// <summary>Rechnungsbetrag [5 Mehrwertsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object RBetM15Bt
		{
			get { return this["RBetM15Bt"]; }
		}
		/// <summary>Rechnungsbetrag [6 Vorsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object RBetV19Nt
		{
			get { return this["RBetV19Nt"]; }
		}
		/// <summary>Rechnungsbetrag [6 Vorsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object RBetV19St
		{
			get { return this["RBetV19St"]; }
		}
		/// <summary>Rechnungsbetrag [6 Vorsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object RBetV19Bt
		{
			get { return this["RBetV19Bt"]; }
		}
		/// <summary>Rechnungsbetrag [7 Vorsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object RBetV15Nt
		{
			get { return this["RBetV15Nt"]; }
		}
		/// <summary>Rechnungsbetrag [7 Vorsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object RBetV15St
		{
			get { return this["RBetV15St"]; }
		}
		/// <summary>Rechnungsbetrag [7 Vorsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object RBetV15Bt
		{
			get { return this["RBetV15Bt"]; }
		}
		/// <summary>Rechnungsbetrag [8 Vorsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object RBetV7Nt
		{
			get { return this["RBetV7Nt"]; }
		}
		/// <summary>Rechnungsbetrag [8 Vorsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object RBetV7St
		{
			get { return this["RBetV7St"]; }
		}
		/// <summary>Rechnungsbetrag [8 Vorsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object RBetV7Bt
		{
			get { return this["RBetV7Bt"]; }
		}
		/// <summary>Rechnungsbetrag [9 Vorsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object RBetV16Nt
		{
			get { return this["RBetV16Nt"]; }
		}
		/// <summary>Rechnungsbetrag [9 Vorsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object RBetV16St
		{
			get { return this["RBetV16St"]; }
		}
		/// <summary>Rechnungsbetrag [9 Vorsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object RBetV16Bt
		{
			get { return this["RBetV16Bt"]; }
		}
		/// <summary>Rechnungsbetrag [10 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object RBetUSFNt
		{
			get { return this["RBetUSFNt"]; }
		}
		/// <summary>Rechnungsbetrag [10 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object RBetUSFSt
		{
			get { return this["RBetUSFSt"]; }
		}
		/// <summary>Rechnungsbetrag [10 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object RBetUSFBt
		{
			get { return this["RBetUSFBt"]; }
		}
		/// <summary>Rechnungsbetrag [11 EU Umsatzsteuerfrei mit ID-Nr.] (Netto) ( Double )</summary>
		public virtual Object RBetEFINt
		{
			get { return this["RBetEFINt"]; }
		}
		/// <summary>Rechnungsbetrag [11 EU Umsatzsteuerfrei mit ID-Nr.] (Steuer) ( Double )</summary>
		public virtual Object RBetEFISt
		{
			get { return this["RBetEFISt"]; }
		}
		/// <summary>Rechnungsbetrag [11 EU Umsatzsteuerfrei mit ID-Nr.] (Brutto) ( Double )</summary>
		public virtual Object RBetEFIBt
		{
			get { return this["RBetEFIBt"]; }
		}
		/// <summary>Rechnungsbetrag [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object RBetEM7Nt
		{
			get { return this["RBetEM7Nt"]; }
		}
		/// <summary>Rechnungsbetrag [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object RBetEM7St
		{
			get { return this["RBetEM7St"]; }
		}
		/// <summary>Rechnungsbetrag [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object RBetEM7Bt
		{
			get { return this["RBetEM7Bt"]; }
		}
		/// <summary>Rechnungsbetrag [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object RBetEM16Nt
		{
			get { return this["RBetEM16Nt"]; }
		}
		/// <summary>Rechnungsbetrag [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object RBetEM16St
		{
			get { return this["RBetEM16St"]; }
		}
		/// <summary>Rechnungsbetrag [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object RBetEM16Bt
		{
			get { return this["RBetEM16Bt"]; }
		}
		/// <summary>Rechnungsbetrag [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object RBetEM19Nt
		{
			get { return this["RBetEM19Nt"]; }
		}
		/// <summary>Rechnungsbetrag [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object RBetEM19St
		{
			get { return this["RBetEM19St"]; }
		}
		/// <summary>Rechnungsbetrag [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object RBetEM19Bt
		{
			get { return this["RBetEM19Bt"]; }
		}
		/// <summary>Rechnungsbetrag [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object RBetEM15Nt
		{
			get { return this["RBetEM15Nt"]; }
		}
		/// <summary>Rechnungsbetrag [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object RBetEM15St
		{
			get { return this["RBetEM15St"]; }
		}
		/// <summary>Rechnungsbetrag [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object RBetEM15Bt
		{
			get { return this["RBetEM15Bt"]; }
		}
		/// <summary>Rechnungsbetrag [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object RBetEV19Nt
		{
			get { return this["RBetEV19Nt"]; }
		}
		/// <summary>Rechnungsbetrag [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object RBetEV19St
		{
			get { return this["RBetEV19St"]; }
		}
		/// <summary>Rechnungsbetrag [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object RBetEV19Bt
		{
			get { return this["RBetEV19Bt"]; }
		}
		/// <summary>Rechnungsbetrag [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object RBetEV15Nt
		{
			get { return this["RBetEV15Nt"]; }
		}
		/// <summary>Rechnungsbetrag [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object RBetEV15St
		{
			get { return this["RBetEV15St"]; }
		}
		/// <summary>Rechnungsbetrag [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object RBetEV15Bt
		{
			get { return this["RBetEV15Bt"]; }
		}
		/// <summary>Rechnungsbetrag [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object RBetEV7Nt
		{
			get { return this["RBetEV7Nt"]; }
		}
		/// <summary>Rechnungsbetrag [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object RBetEV7St
		{
			get { return this["RBetEV7St"]; }
		}
		/// <summary>Rechnungsbetrag [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object RBetEV7Bt
		{
			get { return this["RBetEV7Bt"]; }
		}
		/// <summary>Rechnungsbetrag [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object RBetEV16Nt
		{
			get { return this["RBetEV16Nt"]; }
		}
		/// <summary>Rechnungsbetrag [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object RBetEV16St
		{
			get { return this["RBetEV16St"]; }
		}
		/// <summary>Rechnungsbetrag [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object RBetEV16Bt
		{
			get { return this["RBetEV16Bt"]; }
		}
		/// <summary>Rechnungsbetrag [48 VSt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object RBetBV19Nt
		{
			get { return this["RBetBV19Nt"]; }
		}
		/// <summary>Rechnungsbetrag [48 VSt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object RBetBV19St
		{
			get { return this["RBetBV19St"]; }
		}
		/// <summary>Rechnungsbetrag [48 VSt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object RBetBV19Bt
		{
			get { return this["RBetBV19Bt"]; }
		}
		/// <summary>Rechnungsbetrag [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object RBetBV16Nt
		{
			get { return this["RBetBV16Nt"]; }
		}
		/// <summary>Rechnungsbetrag [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object RBetBV16St
		{
			get { return this["RBetBV16St"]; }
		}
		/// <summary>Rechnungsbetrag [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object RBetBV16Bt
		{
			get { return this["RBetBV16Bt"]; }
		}
		/// <summary>Rechnungsbetrag [58 USt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object RBetBU19Nt
		{
			get { return this["RBetBU19Nt"]; }
		}
		/// <summary>Rechnungsbetrag [58 USt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object RBetBU19St
		{
			get { return this["RBetBU19St"]; }
		}
		/// <summary>Rechnungsbetrag [58 USt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object RBetBU19Bt
		{
			get { return this["RBetBU19Bt"]; }
		}
		/// <summary>Rechnungsbetrag [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object RBetBU16Nt
		{
			get { return this["RBetBU16Nt"]; }
		}
		/// <summary>Rechnungsbetrag [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object RBetBU16St
		{
			get { return this["RBetBU16St"]; }
		}
		/// <summary>Rechnungsbetrag [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object RBetBU16Bt
		{
			get { return this["RBetBU16Bt"]; }
		}
		/// <summary>Rechnungsbetrag [69 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object RBetBOSNt
		{
			get { return this["RBetBOSNt"]; }
		}
		/// <summary>Rechnungsbetrag [69 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object RBetBOSSt
		{
			get { return this["RBetBOSSt"]; }
		}
		/// <summary>Rechnungsbetrag [69 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object RBetBOSBt
		{
			get { return this["RBetBOSBt"]; }
		}
		/// <summary>Rechnungsbetrag [101 Ohne Steuer (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object RBetOSNt
		{
			get { return this["RBetOSNt"]; }
		}
		/// <summary>Rechnungsbetrag [101 Ohne Steuer (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object RBetOSSt
		{
			get { return this["RBetOSSt"]; }
		}
		/// <summary>Rechnungsbetrag [101 Ohne Steuer (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object RBetOSBt
		{
			get { return this["RBetOSBt"]; }
		}
		/// <summary>Rechnungsbetrag [102 Ohne Steuer (Einkauf)] (Netto) ( Double )</summary>
		public virtual Object RBetOS_EKNt
		{
			get { return this["RBetOS_EKNt"]; }
		}
		/// <summary>Rechnungsbetrag [102 Ohne Steuer (Einkauf)] (Steuer) ( Double )</summary>
		public virtual Object RBetOS_EKSt
		{
			get { return this["RBetOS_EKSt"]; }
		}
		/// <summary>Rechnungsbetrag [102 Ohne Steuer (Einkauf)] (Brutto) ( Double )</summary>
		public virtual Object RBetOS_EKBt
		{
			get { return this["RBetOS_EKBt"]; }
		}
		/// <summary>Rechnungsbetrag (Netto) ( Double )</summary>
		public virtual Object RBetNt
		{
			get { return this["RBetNt"]; }
		}
		/// <summary>Rechnungsbetrag (Steuer) ( Double )</summary>
		public virtual Object RBetSt
		{
			get { return this["RBetSt"]; }
		}
		/// <summary>Rechnungsbetrag (Brutto) ( Double )</summary>
		public virtual Object RBetBt
		{
			get { return this["RBetBt"]; }
		}
		/// <summary>skontofhiger Betrag ( Array )</summary>
		public virtual Object Skto
		{
			get { return this["Skto"]; }
			set { this["Skto"] = value; }
		}
		/// <summary>skontofhiger Betrag (Netto) ( Double )</summary>
		public virtual Object SktoNt
		{
			get { return this["SktoNt"]; }
		}
		/// <summary>skontofhiger Betrag (Steuer) ( Double )</summary>
		public virtual Object SktoSt
		{
			get { return this["SktoSt"]; }
		}
		/// <summary>skontofhiger Betrag (Brutto) ( Double )</summary>
		public virtual Object SktoBt
		{
			get { return this["SktoBt"]; }
		}
		/// <summary>skontofhiger Bruttobetrag ( Double )</summary>
		public virtual Object SktoBrtBet
		{
			get { return this["SktoBrtBet"]; }
			set { this["SktoBrtBet"] = value; }
		}
		/// <summary>Bezahlter Betrag ( Double )</summary>
		public virtual Object BezBet
		{
			get { return this["BezBet"]; }
		}
		/// <summary>Offener Betrag ( Array )</summary>
		public virtual Object OPBet
		{
			get { return this["OPBet"]; }
			set { this["OPBet"] = value; }
		}
		/// <summary>Offener Betrag [2 Mehrwertsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object OPBetM7Nt
		{
			get { return this["OPBetM7Nt"]; }
		}
		/// <summary>Offener Betrag [2 Mehrwertsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object OPBetM7St
		{
			get { return this["OPBetM7St"]; }
		}
		/// <summary>Offener Betrag [2 Mehrwertsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object OPBetM7Bt
		{
			get { return this["OPBetM7Bt"]; }
		}
		/// <summary>Offener Betrag [3 Mehrwertsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object OPBetM16Nt
		{
			get { return this["OPBetM16Nt"]; }
		}
		/// <summary>Offener Betrag [3 Mehrwertsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object OPBetM16St
		{
			get { return this["OPBetM16St"]; }
		}
		/// <summary>Offener Betrag [3 Mehrwertsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object OPBetM16Bt
		{
			get { return this["OPBetM16Bt"]; }
		}
		/// <summary>Offener Betrag [4 Mehrwertsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object OPBetM19Nt
		{
			get { return this["OPBetM19Nt"]; }
		}
		/// <summary>Offener Betrag [4 Mehrwertsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object OPBetM19St
		{
			get { return this["OPBetM19St"]; }
		}
		/// <summary>Offener Betrag [4 Mehrwertsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object OPBetM19Bt
		{
			get { return this["OPBetM19Bt"]; }
		}
		/// <summary>Offener Betrag [5 Mehrwertsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object OPBetM15Nt
		{
			get { return this["OPBetM15Nt"]; }
		}
		/// <summary>Offener Betrag [5 Mehrwertsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object OPBetM15St
		{
			get { return this["OPBetM15St"]; }
		}
		/// <summary>Offener Betrag [5 Mehrwertsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object OPBetM15Bt
		{
			get { return this["OPBetM15Bt"]; }
		}
		/// <summary>Offener Betrag [6 Vorsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object OPBetV19Nt
		{
			get { return this["OPBetV19Nt"]; }
		}
		/// <summary>Offener Betrag [6 Vorsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object OPBetV19St
		{
			get { return this["OPBetV19St"]; }
		}
		/// <summary>Offener Betrag [6 Vorsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object OPBetV19Bt
		{
			get { return this["OPBetV19Bt"]; }
		}
		/// <summary>Offener Betrag [7 Vorsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object OPBetV15Nt
		{
			get { return this["OPBetV15Nt"]; }
		}
		/// <summary>Offener Betrag [7 Vorsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object OPBetV15St
		{
			get { return this["OPBetV15St"]; }
		}
		/// <summary>Offener Betrag [7 Vorsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object OPBetV15Bt
		{
			get { return this["OPBetV15Bt"]; }
		}
		/// <summary>Offener Betrag [8 Vorsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object OPBetV7Nt
		{
			get { return this["OPBetV7Nt"]; }
		}
		/// <summary>Offener Betrag [8 Vorsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object OPBetV7St
		{
			get { return this["OPBetV7St"]; }
		}
		/// <summary>Offener Betrag [8 Vorsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object OPBetV7Bt
		{
			get { return this["OPBetV7Bt"]; }
		}
		/// <summary>Offener Betrag [9 Vorsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object OPBetV16Nt
		{
			get { return this["OPBetV16Nt"]; }
		}
		/// <summary>Offener Betrag [9 Vorsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object OPBetV16St
		{
			get { return this["OPBetV16St"]; }
		}
		/// <summary>Offener Betrag [9 Vorsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object OPBetV16Bt
		{
			get { return this["OPBetV16Bt"]; }
		}
		/// <summary>Offener Betrag [10 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object OPBetUSFNt
		{
			get { return this["OPBetUSFNt"]; }
		}
		/// <summary>Offener Betrag [10 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object OPBetUSFSt
		{
			get { return this["OPBetUSFSt"]; }
		}
		/// <summary>Offener Betrag [10 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object OPBetUSFBt
		{
			get { return this["OPBetUSFBt"]; }
		}
		/// <summary>Offener Betrag [11 EU Umsatzsteuerfrei mit ID-Nr.] (Netto) ( Double )</summary>
		public virtual Object OPBetEFINt
		{
			get { return this["OPBetEFINt"]; }
		}
		/// <summary>Offener Betrag [11 EU Umsatzsteuerfrei mit ID-Nr.] (Steuer) ( Double )</summary>
		public virtual Object OPBetEFISt
		{
			get { return this["OPBetEFISt"]; }
		}
		/// <summary>Offener Betrag [11 EU Umsatzsteuerfrei mit ID-Nr.] (Brutto) ( Double )</summary>
		public virtual Object OPBetEFIBt
		{
			get { return this["OPBetEFIBt"]; }
		}
		/// <summary>Offener Betrag [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object OPBetEM7Nt
		{
			get { return this["OPBetEM7Nt"]; }
		}
		/// <summary>Offener Betrag [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object OPBetEM7St
		{
			get { return this["OPBetEM7St"]; }
		}
		/// <summary>Offener Betrag [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object OPBetEM7Bt
		{
			get { return this["OPBetEM7Bt"]; }
		}
		/// <summary>Offener Betrag [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object OPBetEM16Nt
		{
			get { return this["OPBetEM16Nt"]; }
		}
		/// <summary>Offener Betrag [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object OPBetEM16St
		{
			get { return this["OPBetEM16St"]; }
		}
		/// <summary>Offener Betrag [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object OPBetEM16Bt
		{
			get { return this["OPBetEM16Bt"]; }
		}
		/// <summary>Offener Betrag [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object OPBetEM19Nt
		{
			get { return this["OPBetEM19Nt"]; }
		}
		/// <summary>Offener Betrag [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object OPBetEM19St
		{
			get { return this["OPBetEM19St"]; }
		}
		/// <summary>Offener Betrag [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object OPBetEM19Bt
		{
			get { return this["OPBetEM19Bt"]; }
		}
		/// <summary>Offener Betrag [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object OPBetEM15Nt
		{
			get { return this["OPBetEM15Nt"]; }
		}
		/// <summary>Offener Betrag [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object OPBetEM15St
		{
			get { return this["OPBetEM15St"]; }
		}
		/// <summary>Offener Betrag [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object OPBetEM15Bt
		{
			get { return this["OPBetEM15Bt"]; }
		}
		/// <summary>Offener Betrag [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object OPBetEV19Nt
		{
			get { return this["OPBetEV19Nt"]; }
		}
		/// <summary>Offener Betrag [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object OPBetEV19St
		{
			get { return this["OPBetEV19St"]; }
		}
		/// <summary>Offener Betrag [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object OPBetEV19Bt
		{
			get { return this["OPBetEV19Bt"]; }
		}
		/// <summary>Offener Betrag [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object OPBetEV15Nt
		{
			get { return this["OPBetEV15Nt"]; }
		}
		/// <summary>Offener Betrag [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object OPBetEV15St
		{
			get { return this["OPBetEV15St"]; }
		}
		/// <summary>Offener Betrag [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object OPBetEV15Bt
		{
			get { return this["OPBetEV15Bt"]; }
		}
		/// <summary>Offener Betrag [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object OPBetEV7Nt
		{
			get { return this["OPBetEV7Nt"]; }
		}
		/// <summary>Offener Betrag [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object OPBetEV7St
		{
			get { return this["OPBetEV7St"]; }
		}
		/// <summary>Offener Betrag [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object OPBetEV7Bt
		{
			get { return this["OPBetEV7Bt"]; }
		}
		/// <summary>Offener Betrag [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object OPBetEV16Nt
		{
			get { return this["OPBetEV16Nt"]; }
		}
		/// <summary>Offener Betrag [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object OPBetEV16St
		{
			get { return this["OPBetEV16St"]; }
		}
		/// <summary>Offener Betrag [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object OPBetEV16Bt
		{
			get { return this["OPBetEV16Bt"]; }
		}
		/// <summary>Offener Betrag [48 VSt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object OPBetBV19Nt
		{
			get { return this["OPBetBV19Nt"]; }
		}
		/// <summary>Offener Betrag [48 VSt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object OPBetBV19St
		{
			get { return this["OPBetBV19St"]; }
		}
		/// <summary>Offener Betrag [48 VSt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object OPBetBV19Bt
		{
			get { return this["OPBetBV19Bt"]; }
		}
		/// <summary>Offener Betrag [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object OPBetBV16Nt
		{
			get { return this["OPBetBV16Nt"]; }
		}
		/// <summary>Offener Betrag [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object OPBetBV16St
		{
			get { return this["OPBetBV16St"]; }
		}
		/// <summary>Offener Betrag [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object OPBetBV16Bt
		{
			get { return this["OPBetBV16Bt"]; }
		}
		/// <summary>Offener Betrag [58 USt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object OPBetBU19Nt
		{
			get { return this["OPBetBU19Nt"]; }
		}
		/// <summary>Offener Betrag [58 USt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object OPBetBU19St
		{
			get { return this["OPBetBU19St"]; }
		}
		/// <summary>Offener Betrag [58 USt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object OPBetBU19Bt
		{
			get { return this["OPBetBU19Bt"]; }
		}
		/// <summary>Offener Betrag [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object OPBetBU16Nt
		{
			get { return this["OPBetBU16Nt"]; }
		}
		/// <summary>Offener Betrag [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object OPBetBU16St
		{
			get { return this["OPBetBU16St"]; }
		}
		/// <summary>Offener Betrag [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object OPBetBU16Bt
		{
			get { return this["OPBetBU16Bt"]; }
		}
		/// <summary>Offener Betrag [69 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object OPBetBOSNt
		{
			get { return this["OPBetBOSNt"]; }
		}
		/// <summary>Offener Betrag [69 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object OPBetBOSSt
		{
			get { return this["OPBetBOSSt"]; }
		}
		/// <summary>Offener Betrag [69 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object OPBetBOSBt
		{
			get { return this["OPBetBOSBt"]; }
		}
		/// <summary>Offener Betrag [101 Ohne Steuer (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object OPBetOSNt
		{
			get { return this["OPBetOSNt"]; }
		}
		/// <summary>Offener Betrag [101 Ohne Steuer (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object OPBetOSSt
		{
			get { return this["OPBetOSSt"]; }
		}
		/// <summary>Offener Betrag [101 Ohne Steuer (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object OPBetOSBt
		{
			get { return this["OPBetOSBt"]; }
		}
		/// <summary>Offener Betrag [102 Ohne Steuer (Einkauf)] (Netto) ( Double )</summary>
		public virtual Object OPBetOS_EKNt
		{
			get { return this["OPBetOS_EKNt"]; }
		}
		/// <summary>Offener Betrag [102 Ohne Steuer (Einkauf)] (Steuer) ( Double )</summary>
		public virtual Object OPBetOS_EKSt
		{
			get { return this["OPBetOS_EKSt"]; }
		}
		/// <summary>Offener Betrag [102 Ohne Steuer (Einkauf)] (Brutto) ( Double )</summary>
		public virtual Object OPBetOS_EKBt
		{
			get { return this["OPBetOS_EKBt"]; }
		}
		/// <summary>Offener Betrag (Netto) ( Double )</summary>
		public virtual Object OPBetNt
		{
			get { return this["OPBetNt"]; }
		}
		/// <summary>Offener Betrag (Steuer) ( Double )</summary>
		public virtual Object OPBetSt
		{
			get { return this["OPBetSt"]; }
		}
		/// <summary>Offener Betrag (Brutto) ( Double )</summary>
		public virtual Object OPBetBt
		{
			get { return this["OPBetBt"]; }
		}
		/// <summary>Offener Betrag ist Sollbetrag ( Boolean )</summary>
		public virtual Object OPBetSoll
		{
			get { return this["OPBetSoll"]; }
		}
		/// <summary>Offener Betrag (Saldo) ( Double )</summary>
		public virtual Object OPSaldoBet
		{
			get { return this["OPSaldoBet"]; }
		}
		/// <summary>Whrung ( String )</summary>
		public virtual String Waehr
		{
			get { return Convert.ToString(this["Waehr"]); }
			set { this["Waehr"] = value; }
		}
		/// <summary>Offener Betrag (Brutto) in Leitwhrung 1 ( Double )</summary>
		public virtual Object OPBetBtL1
		{
			get { return this["OPBetBtL1"]; }
		}
		/// <summary>Offener Betrag (Brutto) in Leitwhrung 2 ( Double )</summary>
		public virtual Object OPBetBtL2
		{
			get { return this["OPBetBtL2"]; }
		}
		/// <summary>Offener Betrag ( Double )</summary>
		public virtual Object IOPBet
		{
			get { return this["IOPBet"]; }
			set { this["IOPBet"] = value; }
		}
		/// <summary>Offener Betrag (Soll / Haben) ( String )</summary>
		public virtual String OPSHBet
		{
			get { return Convert.ToString(this["OPSHBet"]); }
		}
		/// <summary>Offener Betrag (Soll) ( String )</summary>
		public virtual String OPSollBet
		{
			get { return Convert.ToString(this["OPSollBet"]); }
		}
		/// <summary>Offener Betrag (Haben) ( String )</summary>
		public virtual String OPHabenBet
		{
			get { return Convert.ToString(this["OPHabenBet"]); }
		}
		/// <summary>Skontobetrag ( Double )</summary>
		public virtual Object SktoBet
		{
			get { return this["SktoBet"]; }
			set { this["SktoBet"] = value; }
		}
		/// <summary>Preisnachlassbetrag ( Double )</summary>
		public virtual Object PreisNachlBet
		{
			get { return this["PreisNachlBet"]; }
			set { this["PreisNachlBet"] = value; }
		}
		/// <summary>Fremdwhrungsfaktor ( Double )</summary>
		public virtual Object FrWFak
		{
			get { return this["FrWFak"]; }
			set { this["FrWFak"] = value; }
		}
		/// <summary>Basiswhrungsfaktor ( Double )</summary>
		public virtual Object BaWFak
		{
			get { return this["BaWFak"]; }
			set { this["BaWFak"] = value; }
		}
		/// <summary>Mahnbescheid erstellt ( Boolean )</summary>
		public virtual Object MahnBKz
		{
			get { return this["MahnBKz"]; }
			set { this["MahnBKz"] = value; }
		}
		/// <summary>Datum des Mahnbescheides ( Date )</summary>
		public virtual DateTime MaBeDat
		{
			get { return Convert.ToDateTime(this["MaBeDat"]); }
			set { this["MaBeDat"] = value; }
		}
		/// <summary>Datum bergabe an Inkasso ( Date )</summary>
		public virtual DateTime InKaDat
		{
			get { return Convert.ToDateTime(this["InKaDat"]); }
			set { this["InKaDat"] = value; }
		}
		/// <summary>Nummer der Teilzahlung ( Integer )</summary>
		public virtual Int32 TeilZNr
		{
			get { return Convert.ToInt32(this["TeilZNr"]); }
			set { this["TeilZNr"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Offenkennzeichen ( Boolean )</summary>
		public virtual Object OffenKz
		{
			get { return this["OffenKz"]; }
		}
		/// <summary>Bezahltkennzeichen ( Boolean )</summary>
		public virtual Object BezahltKz
		{
			get { return this["BezahltKz"]; }
		}
		/// <summary>Teilzahlungkennzeichen ( Boolean )</summary>
		public virtual Object TeilzahlKz
		{
			get { return this["TeilzahlKz"]; }
		}
		/// <summary>Scheckkennzeichen ( Boolean )</summary>
		public virtual Object ScheckKz
		{
			get { return this["ScheckKz"]; }
		}
		/// <summary>Restbetrag ist Preisnachlass ( Boolean )</summary>
		public virtual Object PreisNachlKz
		{
			get { return this["PreisNachlKz"]; }
		}
		/// <summary>Restbetrag ist Skonto ( Boolean )</summary>
		public virtual Object SkontoKz
		{
			get { return this["SkontoKz"]; }
		}
		/// <summary>Zahlungsverkehr wurde erstellt ( Boolean )</summary>
		public virtual Object ZVkErstKz
		{
			get { return this["ZVkErstKz"]; }
		}
		/// <summary>Zahlungsverkehrsatz ID ( Integer )</summary>
		public virtual Int32 ZvkID
		{
			get { return Convert.ToInt32(this["ZvkID"]); }
			set { this["ZvkID"] = value; }
		}
		/// <summary>Buchungssatz wurde erstellt ( Boolean )</summary>
		public virtual Object BchErstKz
		{
			get { return this["BchErstKz"]; }
		}
		/// <summary>Buchungssatz ID ( Integer )</summary>
		public virtual Int32 BchID
		{
			get { return Convert.ToInt32(this["BchID"]); }
			set { this["BchID"] = value; }
		}
		/// <summary>unverbuchte FiBu Buchung existiert (Feldwert ist bei mehreren Buchungsstzen undefiniert!) ( Boolean )</summary>
		public virtual Object FiBuBuchungKz
		{
			get { return this["FiBuBuchungKz"]; }
		}
		/// <summary>Mahnbescheid vorgemerkt ( Boolean )</summary>
		public virtual Object MaBeVorMKz
		{
			get { return this["MaBeVorMKz"]; }
		}
		/// <summary>Inkasso erstellt ( Boolean )</summary>
		public virtual Object InKaKz
		{
			get { return this["InKaKz"]; }
		}
		/// <summary>Inkasso vorgemerkt ( Boolean )</summary>
		public virtual Object InKaVorMKz
		{
			get { return this["InKaVorMKz"]; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Statusimage ( Integer )</summary>
		public virtual Int32 StatusImg
		{
			get { return Convert.ToInt32(this["StatusImg"]); }
		}
		/// <summary>Zahlungsart ( Integer )</summary>
		public virtual Int32 ZahlArt
		{
			get { return Convert.ToInt32(this["ZahlArt"]); }
			set { this["ZahlArt"] = value; }
		}
		/// <summary>Bankleitzahl ( String )</summary>
		public virtual String BLZ
		{
			get { return Convert.ToString(this["BLZ"]); }
			set { this["BLZ"] = value; }
		}
		/// <summary>laufende Banknummer ( Integer )</summary>
		public virtual Int32 BLZNr
		{
			get { return Convert.ToInt32(this["BLZNr"]); }
			set { this["BLZNr"] = value; }
		}
		/// <summary>Bankkurzbezeichnung ( String )</summary>
		public virtual String BkKuBez
		{
			get { return Convert.ToString(this["BkKuBez"]); }
		}
		/// <summary>Kontonummer fr Bankverbindung ( String )</summary>
		public virtual String KNr
		{
			get { return Convert.ToString(this["KNr"]); }
			set { this["KNr"] = value; }
		}
		/// <summary>IBAN (Internationale Bankverbindung) ( String )</summary>
		public virtual String IBAN
		{
			get { return Convert.ToString(this["IBAN"]); }
			set { this["IBAN"] = value; }
		}
		/// <summary>Art der Karte ( Integer )</summary>
		public virtual Int32 KartArt
		{
			get { return Convert.ToInt32(this["KartArt"]); }
			set { this["KartArt"] = value; }
		}
		/// <summary>Kartennummer der Kreditkarte ( String )</summary>
		public virtual String KartNr
		{
			get { return Convert.ToString(this["KartNr"]); }
			set { this["KartNr"] = value; }
		}
		/// <summary>Gltigkeit der Karte (MMJJ) ( String )</summary>
		public virtual String KartGueltig
		{
			get { return Convert.ToString(this["KartGueltig"]); }
			set { this["KartGueltig"] = value; }
		}
		/// <summary>Name des Karteninhabers ( String )</summary>
		public virtual String KartInhab
		{
			get { return Convert.ToString(this["KartInhab"]); }
			set { this["KartInhab"] = value; }
		}
		/// <summary>Hausbank ( Integer )</summary>
		public virtual Int32 ZahlHBk
		{
			get { return Convert.ToInt32(this["ZahlHBk"]); }
			set { this["ZahlHBk"] = value; }
		}
		/// <summary>Zahlungsbedingung ( String )</summary>
		public virtual String ZahlBed
		{
			get { return Convert.ToString(this["ZahlBed"]); }
			set { this["ZahlBed"] = value; }
		}
		/// <summary>Skonto (in %) 1 ( Double )</summary>
		public virtual Object SktoSz1
		{
			get { return this["SktoSz1"]; }
			set { this["SktoSz1"] = value; }
		}
		/// <summary>Skontotage 1 ( Integer )</summary>
		public virtual Int32 SktoTg1
		{
			get { return Convert.ToInt32(this["SktoTg1"]); }
			set { this["SktoTg1"] = value; }
		}
		/// <summary>Skonto (in %) 2 ( Double )</summary>
		public virtual Object SktoSz2
		{
			get { return this["SktoSz2"]; }
			set { this["SktoSz2"] = value; }
		}
		/// <summary>Skontotage 2 ( Integer )</summary>
		public virtual Int32 SktoTg2
		{
			get { return Convert.ToInt32(this["SktoTg2"]); }
			set { this["SktoTg2"] = value; }
		}
		/// <summary>Nettotage ( Integer )</summary>
		public virtual Int32 NettoTg
		{
			get { return Convert.ToInt32(this["NettoTg"]); }
			set { this["NettoTg"] = value; }
		}
		/// <summary>Datensatz vom Forderungsmanagement ausschliessen ( Boolean )</summary>
		public virtual Object KeinFoMaKz
		{
			get { return this["KeinFoMaKz"]; }
			set { this["KeinFoMaKz"] = value; }
		}
		/// <summary>Ist Forderung vonr einer Gegeleistung abhngig ( Integer )</summary>
		public virtual Int32 FoMaGegLeist
		{
			get { return Convert.ToInt32(this["FoMaGegLeist"]); }
			set { this["FoMaGegLeist"] = value; }
		}
		/// <summary>Anspruch aus Leistungen ( Integer )</summary>
		public virtual Int32 FoMaAnspruch
		{
			get { return Convert.ToInt32(this["FoMaAnspruch"]); }
			set { this["FoMaAnspruch"] = value; }
		}
		/// <summary>Datensatz wird vom Forderungsmanagement verarbeitet ( Boolean )</summary>
		public virtual Object InFoMaKz
		{
			get { return this["InFoMaKz"]; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Umsatz Netto ( Double )</summary>
		public virtual Object UmsNetto
		{
			get { return this["UmsNetto"]; }
			set { this["UmsNetto"] = value; }
		}
		/// <summary>Umsatz Ek (fr Roherls) ( Double )</summary>
		public virtual Object UmsEkRoh
		{
			get { return this["UmsEkRoh"]; }
			set { this["UmsEkRoh"] = value; }
		}
		/// <summary>Bankverbindung bei Ausgleich ( String )</summary>
		public virtual String AglBnkVb
		{
			get { return Convert.ToString(this["AglBnkVb"]); }
		}
		/// <summary>Ausgleich-Bankleitzahl ( String )</summary>
		public virtual String AglBLZ
		{
			get { return Convert.ToString(this["AglBLZ"]); }
			set { this["AglBLZ"] = value; }
		}
		/// <summary>Ausgleich-laufende Banknummer ( Integer )</summary>
		public virtual Int32 AglBLZNr
		{
			get { return Convert.ToInt32(this["AglBLZNr"]); }
			set { this["AglBLZNr"] = value; }
		}
		/// <summary>Ausgleich-Bankkurzbezeichnung ( String )</summary>
		public virtual String AglBkKuBez
		{
			get { return Convert.ToString(this["AglBkKuBez"]); }
		}
		/// <summary>Ausgleich-Kontonummer fr Bankverbindung ( String )</summary>
		public virtual String AglKNr
		{
			get { return Convert.ToString(this["AglKNr"]); }
			set { this["AglKNr"] = value; }
		}
		/// <summary>IBAN (Internationale Bankverbindung) bei Ausgleich ( String )</summary>
		public virtual String AglIBAN
		{
			get { return Convert.ToString(this["AglIBAN"]); }
			set { this["AglIBAN"] = value; }
		}
		/// <summary>Art der Karte bei Ausgleich ( Integer )</summary>
		public virtual Int32 AglKartArt
		{
			get { return Convert.ToInt32(this["AglKartArt"]); }
			set { this["AglKartArt"] = value; }
		}
		/// <summary>Kartennummer der Kreditkarte bei Ausgleich ( String )</summary>
		public virtual String AglKartNr
		{
			get { return Convert.ToString(this["AglKartNr"]); }
			set { this["AglKartNr"] = value; }
		}
		/// <summary>Gltigkeit der Karte (MMJJ) bei Ausgleich ( String )</summary>
		public virtual String AglKartGueltig
		{
			get { return Convert.ToString(this["AglKartGueltig"]); }
			set { this["AglKartGueltig"] = value; }
		}
		/// <summary>Name des Karteninhabers bei Ausgleich ( String )</summary>
		public virtual String AglKartInhab
		{
			get { return Convert.ToString(this["AglKartInhab"]); }
			set { this["AglKartInhab"] = value; }
		}
		/// <summary>Offener Betrag vor Ausgleich ( Double )</summary>
		public virtual Object AglOPBet
		{
			get { return this["AglOPBet"]; }
			set { this["AglOPBet"] = value; }
		}
		/// <summary>Ausgleich-Zahlungsbetrag ( Double )</summary>
		public virtual Object AglZahlBet
		{
			get { return this["AglZahlBet"]; }
			set { this["AglZahlBet"] = value; }
		}
		/// <summary>Ausgleich-Whrung ( String )</summary>
		public virtual String AglWaehr
		{
			get { return Convert.ToString(this["AglWaehr"]); }
			set { this["AglWaehr"] = value; }
		}
		/// <summary>Ausgleich-Fremdwhrungsfaktor ( Double )</summary>
		public virtual Object AglFrWFak
		{
			get { return this["AglFrWFak"]; }
			set { this["AglFrWFak"] = value; }
		}
		/// <summary>Ausgleich-Basiswhrungsfaktor ( Double )</summary>
		public virtual Object AglBaWFak
		{
			get { return this["AglBaWFak"]; }
			set { this["AglBaWFak"] = value; }
		}
		/// <summary>Ausgleich-Schecknummer ( String )</summary>
		public virtual String AglScheckNr
		{
			get { return Convert.ToString(this["AglScheckNr"]); }
			set { this["AglScheckNr"] = value; }
		}
		/// <summary>Restbetrag bei berzahlung ( Double )</summary>
		public virtual Object UeberBet
		{
			get { return this["UeberBet"]; }
			set { this["UeberBet"] = value; }
		}
		/// <summary>Kontonummer ( String )</summary>
		public virtual String KtoNr
		{
			get { return Convert.ToString(this["KtoNr"]); }
			set { this["KtoNr"] = value; }
		}
		/// <summary>Historydatum ( DateTime )</summary>
		public virtual DateTime HyDat
		{
			get { return Convert.ToDateTime(this["HyDat"]); }
			set { this["HyDat"] = value; }
		}
		/// <summary>Benutzer bei Erstellung des Historyeintrags ( String )</summary>
		public virtual String HyBzr
		{
			get { return Convert.ToString(this["HyBzr"]); }
			set { this["HyBzr"] = value; }
		}
		/// <summary>Historyinformation ( String )</summary>
		public virtual String HyInfo
		{
			get { return Convert.ToString(this["HyInfo"]); }
			set { this["HyInfo"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>QuickInfo ( Array )</summary>
		public virtual Object QuickInfo
		{
			get { return this["QuickInfo"]; }
		}
		/// <summary>Art des History-Satzes ( Integer )</summary>
		public virtual Int32 HisArt
		{
			get { return Convert.ToInt32(this["HisArt"]); }
			set { this["HisArt"] = value; }
		}


		#endregion
	}
}
