using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class PostleitzahlenSet : BpnEntitySet<Postleitzahlen>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Postleitzahlen";
			
		public static PostleitzahlenSet CreateInstance(BpnConnection connection)
		{
		    var postleitzahlensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var postleitzahlensetDataSet = postleitzahlensetInfo.CreateDataSet();
		
		    var ret = new PostleitzahlenSet(postleitzahlensetDataSet);
		    return ret;
		}
		
		internal PostleitzahlenSet(BpNT.AutoDataSet postleitzahlenDataSet) 
			: base(postleitzahlenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected PostleitzahlenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new PostleitzahlenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected PostleitzahlenSet parentSet;
		
			protected PostleitzahlenSetLandIndex landIndex;
			protected PostleitzahlenSetPLZIndex pLZIndex;
			protected PostleitzahlenSetOrtIndex ortIndex;
			protected PostleitzahlenSetLandVWIndex landVWIndex;
		
			internal IndicesClass(PostleitzahlenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				landIndex = new PostleitzahlenSetLandIndex(parentSet.DataSet);
				pLZIndex = new PostleitzahlenSetPLZIndex(parentSet.DataSet);
				ortIndex = new PostleitzahlenSetOrtIndex(parentSet.DataSet);
				landVWIndex = new PostleitzahlenSetLandVWIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Land</summary>
			public PostleitzahlenSetLandIndex LandIndex
			{
				get { return landIndex; }
			}
			
			/// <summary>Postleitzahl</summary>
			public PostleitzahlenSetPLZIndex PLZIndex
			{
				get { return pLZIndex; }
			}
			
			/// <summary>Ort</summary>
			public PostleitzahlenSetOrtIndex OrtIndex
			{
				get { return ortIndex; }
			}
			
			/// <summary>LandVW</summary>
			public PostleitzahlenSetLandVWIndex LandVWIndex
			{
				get { return landVWIndex; }
			}
			
		
			#endregion
		}

		public PostleitzahlenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
