using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ProjektArten : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "ProjektArten";
			
		public static ProjektArten CreateInstance(BpnConnection connection)
		{
		    var projektartenInfo = connection.GetDataSetInfo(DS_NAME);
		    var projektartenDataSet = projektartenInfo.CreateDataSet();
		
		    var ret = new ProjektArten(projektartenDataSet);
		    return ret;
		}
		
		public ProjektArten(BpNT.AutoDataSet projektartenDataSet) 
			: base(projektartenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>Nummer ( Byte )</summary>
		public virtual Object Nr
		{
			get { return this["Nr"]; }
			set { this["Nr"] = value; }
		}
		/// <summary>Zeilennummer ( Byte )</summary>
		public virtual Object ZeilenNr
		{
			get { return this["ZeilenNr"]; }
			set { this["ZeilenNr"] = value; }
		}
		/// <summary>Kurzbezeichnung ( String )</summary>
		public virtual String KuBez
		{
			get { return Convert.ToString(this["KuBez"]); }
			set { this["KuBez"] = value; }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>ist Standard Kennzeichen ( Boolean )</summary>
		public virtual Object StdKz
		{
			get { return this["StdKz"]; }
		}
		/// <summary>nchste laufende Projektnummer ( String )</summary>
		public virtual String PrjLfdNr
		{
			get { return Convert.ToString(this["PrjLfdNr"]); }
			set { this["PrjLfdNr"] = value; }
		}
		/// <summary>Layout fr Projektnummer ( String )</summary>
		public virtual String PrjNrLay
		{
			get { return Convert.ToString(this["PrjNrLay"]); }
			set { this["PrjNrLay"] = value; }
		}
		/// <summary>Bei Jahreswechsel laufende Projektnummer-Nr. zurcksetzen ( Boolean )</summary>
		public virtual Object PrjNrJWKz
		{
			get { return this["PrjNrJWKz"]; }
		}
		/// <summary>Berechtigungsgruppe ( Byte )</summary>
		public virtual Object BerechtGrp
		{
			get { return this["BerechtGrp"]; }
			set { this["BerechtGrp"] = value; }
		}
		/// <summary>Bild ( Integer )</summary>
		public virtual Int32 BildID
		{
			get { return Convert.ToInt32(this["BildID"]); }
			set { this["BildID"] = value; }
		}
		/// <summary>Vorgabe Projektbezeichnung ( String )</summary>
		public virtual String VgbBez
		{
			get { return Convert.ToString(this["VgbBez"]); }
			set { this["VgbBez"] = value; }
		}
		/// <summary>Vorgabe Projektstatus ( Byte )</summary>
		public virtual Object VgbPrjSts
		{
			get { return this["VgbPrjSts"]; }
			set { this["VgbPrjSts"] = value; }
		}
		/// <summary>Vorgangsart ( Byte )</summary>
		public virtual Object Art
		{
			get { return this["Art"]; }
			set { this["Art"] = value; }
		}
		/// <summary>Automatischer Kontakt erstellen ( Boolean )</summary>
		public virtual Object KktAutoKz
		{
			get { return this["KktAutoKz"]; }
		}
		/// <summary>Kurzinfo des automatischen Kontaktes  ( String )</summary>
		public virtual String KktKuInfo
		{
			get { return Convert.ToString(this["KktKuInfo"]); }
			set { this["KktKuInfo"] = value; }
		}
		/// <summary>Vorgabe fr Sachbearbeiter (Benutzer) ( Byte )</summary>
		public virtual Object KktVgbSBzr
		{
			get { return this["KktVgbSBzr"]; }
			set { this["KktVgbSBzr"] = value; }
		}
		/// <summary>Kontakt mit Abfrage erstellen ( Boolean )</summary>
		public virtual Object KktAbfrKz
		{
			get { return this["KktAbfrKz"]; }
		}
		/// <summary>Automatischer Wiedervorlage erstellen ( Boolean )</summary>
		public virtual Object WvlAutoKz
		{
			get { return this["WvlAutoKz"]; }
		}
		/// <summary>Kurzinfo ( String )</summary>
		public virtual String KdrKuInfo
		{
			get { return Convert.ToString(this["KdrKuInfo"]); }
			set { this["KdrKuInfo"] = value; }
		}
		/// <summary>Tage fr Wiedervorlagestufe 1 ( Integer )</summary>
		public virtual Int32 WvlTgStf1
		{
			get { return Convert.ToInt32(this["WvlTgStf1"]); }
			set { this["WvlTgStf1"] = value; }
		}
		/// <summary>Tage fr Wiedervorlagestufe 2 ( Integer )</summary>
		public virtual Int32 WvlTgStf2
		{
			get { return Convert.ToInt32(this["WvlTgStf2"]); }
			set { this["WvlTgStf2"] = value; }
		}
		/// <summary>Tage fr Wiedervorlagestufe 3 ( Integer )</summary>
		public virtual Int32 WvlTgStf3
		{
			get { return Convert.ToInt32(this["WvlTgStf3"]); }
			set { this["WvlTgStf3"] = value; }
		}
		/// <summary>Vorgabe fr Sachbearbeiter (Benutzer) ( Byte )</summary>
		public virtual Object WvlVgbSBzr
		{
			get { return this["WvlVgbSBzr"]; }
			set { this["WvlVgbSBzr"] = value; }
		}
		/// <summary>Anhang (Aktion) ( Integer )</summary>
		public virtual Int32 AnhAktion
		{
			get { return Convert.ToInt32(this["AnhAktion"]); }
			set { this["AnhAktion"] = value; }
		}
		/// <summary>Wiedervorlage mit Abfrage erstellen ( Boolean )</summary>
		public virtual Object WvlAbfrKz
		{
			get { return this["WvlAbfrKz"]; }
		}
		/// <summary>Wiedervorlage mit aktiviertem Erinnerungskennzeichen erstellen ( Boolean )</summary>
		public virtual Object WvlMeldKz
		{
			get { return this["WvlMeldKz"]; }
		}
		/// <summary>Checkliste ( Integer )</summary>
		public virtual Int32 PrjSle
		{
			get { return Convert.ToInt32(this["PrjSle"]); }
			set { this["PrjSle"] = value; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
