using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Projekte : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Projekte";
			
		public static Projekte CreateInstance(BpnConnection connection)
		{
		    var projekteInfo = connection.GetDataSetInfo(DS_NAME);
		    var projekteDataSet = projekteInfo.CreateDataSet();
		
		    var ret = new Projekte(projekteDataSet);
		    return ret;
		}
		
		public Projekte(BpNT.AutoDataSet projekteDataSet) 
			: base(projekteDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Projektnummer ( String )</summary>
		public virtual String PrjNr
		{
			get { return Convert.ToString(this["PrjNr"]); }
			set { this["PrjNr"] = value; }
		}
		/// <summary>Projektart ( Byte )</summary>
		public virtual Object Art
		{
			get { return this["Art"]; }
			set { this["Art"] = value; }
		}
		/// <summary>Projektart Image ( Integer )</summary>
		public virtual Int32 ArtImg
		{
			get { return Convert.ToInt32(this["ArtImg"]); }
		}
		/// <summary>Datum ( Date )</summary>
		public virtual DateTime Dat
		{
			get { return Convert.ToDateTime(this["Dat"]); }
			set { this["Dat"] = value; }
		}
		/// <summary>Projektbezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Wichtigkeit ( Byte )</summary>
		public virtual Object Wichtig
		{
			get { return this["Wichtig"]; }
			set { this["Wichtig"] = value; }
		}
		/// <summary>Erledigt Kennzeichen ( Boolean )</summary>
		public virtual Object ErledigtKz
		{
			get { return this["ErledigtKz"]; }
			set { this["ErledigtKz"] = value; }
		}
		/// <summary>Projektstatus ( Integer )</summary>
		public virtual Int32 PrjSts
		{
			get { return Convert.ToInt32(this["PrjSts"]); }
			set { this["PrjSts"] = value; }
		}
		/// <summary>Projektstatus Image ( Integer )</summary>
		public virtual Int32 PrjStsImg
		{
			get { return Convert.ToInt32(this["PrjStsImg"]); }
		}
		/// <summary>Prioritt ( Integer )</summary>
		public virtual Int32 Prio
		{
			get { return Convert.ToInt32(this["Prio"]); }
			set { this["Prio"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Suchbegriff ( String )</summary>
		public virtual String SuchBeg
		{
			get { return Convert.ToString(this["SuchBeg"]); }
			set { this["SuchBeg"] = value; }
		}
		/// <summary>Sachbearbeiter (Benutzernummer) ( String )</summary>
		public virtual String SBzrNr
		{
			get { return Convert.ToString(this["SBzrNr"]); }
			set { this["SBzrNr"] = value; }
		}
		/// <summary>Sachbearbeiter (Benutzer) ( String )</summary>
		public virtual String SBzrNrInfo
		{
			get { return Convert.ToString(this["SBzrNrInfo"]); }
		}
		/// <summary>Auftragsnummer ( String )</summary>
		public virtual String AuftrNr
		{
			get { return Convert.ToString(this["AuftrNr"]); }
			set { this["AuftrNr"] = value; }
		}
		/// <summary>Kostenstellennummer ( String )</summary>
		public virtual String KstNr
		{
			get { return Convert.ToString(this["KstNr"]); }
			set { this["KstNr"] = value; }
		}
		/// <summary>Kostenstelle ( String )</summary>
		public virtual String KstNrInfo
		{
			get { return Convert.ToString(this["KstNrInfo"]); }
		}
		/// <summary>Adressnummer ( String )</summary>
		public virtual String AdrNr
		{
			get { return Convert.ToString(this["AdrNr"]); }
			set { this["AdrNr"] = value; }
		}
		/// <summary>Anschriftennummer ( Integer )</summary>
		public virtual Int32 AnsNr
		{
			get { return Convert.ToInt32(this["AnsNr"]); }
			set { this["AnsNr"] = value; }
		}
		/// <summary>Adresse ( String )</summary>
		public virtual String AdrNrInfo
		{
			get { return Convert.ToString(this["AdrNrInfo"]); }
		}
		/// <summary>Ansprechpartner ( String )</summary>
		public virtual String Ansp
		{
			get { return Convert.ToString(this["Ansp"]); }
			set { this["Ansp"] = value; }
		}
		/// <summary>Anrede fr Serienbrief ( String )</summary>
		public virtual String AnrSB
		{
			get { return Convert.ToString(this["AnrSB"]); }
			set { this["AnrSB"] = value; }
		}
		/// <summary>Telefon 1 ( String )</summary>
		public virtual String Tel1
		{
			get { return Convert.ToString(this["Tel1"]); }
			set { this["Tel1"] = value; }
		}
		/// <summary>Telefon 2 ( String )</summary>
		public virtual String Tel2
		{
			get { return Convert.ToString(this["Tel2"]); }
			set { this["Tel2"] = value; }
		}
		/// <summary>Mobil-Telefon ( String )</summary>
		public virtual String MTel
		{
			get { return Convert.ToString(this["MTel"]); }
			set { this["MTel"] = value; }
		}
		/// <summary>Telefax ( String )</summary>
		public virtual String Fax
		{
			get { return Convert.ToString(this["Fax"]); }
			set { this["Fax"] = value; }
		}
		/// <summary>E-Mail 1 ( String )</summary>
		public virtual String EMail1
		{
			get { return Convert.ToString(this["EMail1"]); }
			set { this["EMail1"] = value; }
		}
		/// <summary>E-Mail 2 ( String )</summary>
		public virtual String EMail2
		{
			get { return Convert.ToString(this["EMail2"]); }
			set { this["EMail2"] = value; }
		}
		/// <summary>Strae ( String )</summary>
		public virtual String Str
		{
			get { return Convert.ToString(this["Str"]); }
			set { this["Str"] = value; }
		}
		/// <summary>Land ( Integer )</summary>
		public virtual Int32 Land
		{
			get { return Convert.ToInt32(this["Land"]); }
			set { this["Land"] = value; }
		}
		/// <summary>Lnderkennzeichen ( String )</summary>
		public virtual String LandKennz
		{
			get { return Convert.ToString(this["LandKennz"]); }
		}
		/// <summary>Postleitzahl ( String )</summary>
		public virtual String PLZ
		{
			get { return Convert.ToString(this["PLZ"]); }
			set { this["PLZ"] = value; }
		}
		/// <summary>Land & PLZ ( String )</summary>
		public virtual String PLZInfo
		{
			get { return Convert.ToString(this["PLZInfo"]); }
		}
		/// <summary>Ort ( String )</summary>
		public virtual String Ort
		{
			get { return Convert.ToString(this["Ort"]); }
			set { this["Ort"] = value; }
		}
		/// <summary>PLZ & Ort ( String )</summary>
		public virtual String PLZOrtInfo
		{
			get { return Convert.ToString(this["PLZOrtInfo"]); }
		}
		/// <summary>Checklisten Nummer ( Integer )</summary>
		public virtual Int32 ClENr
		{
			get { return Convert.ToInt32(this["ClENr"]); }
			set { this["ClENr"] = value; }
		}
		/// <summary>Checklisten Bezeichnung ( String )</summary>
		public virtual String ClEBez
		{
			get { return Convert.ToString(this["ClEBez"]); }
			set { this["ClEBez"] = value; }
		}
		/// <summary>ChecklistenEintraege ( BlobTable )</summary>
		public virtual Object ClE
		{
			get { return this["ClE"]; }
			set { this["ClE"] = value; }
		}
		/// <summary>ProjektProtokoll ( BlobTable )</summary>
		public virtual Object PPtk
		{
			get { return this["PPtk"]; }
			set { this["PPtk"] = value; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Memo-Information ( Info )</summary>
		public virtual Object Memo
		{
			get { return this["Memo"]; }
			set { this["Memo"] = value; }
		}
		/// <summary>Memo-Information Kennzeichen ( Boolean )</summary>
		public virtual Object MemoKz
		{
			get { return this["MemoKz"]; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Bild ( Bild )</summary>
		public virtual Object Bild
		{
			get { return this["Bild"]; }
			set { this["Bild"] = value; }
		}
		/// <summary>Bild Kennzeichen ( Boolean )</summary>
		public virtual Object BildKz
		{
			get { return this["BildKz"]; }
		}
		/// <summary>Umsatz ( BlobTable )</summary>
		public virtual Object Ums
		{
			get { return this["Ums"]; }
			set { this["Ums"] = value; }
		}
		/// <summary>Letzter Umsatz ( Date )</summary>
		public virtual DateTime LtzUmsDat
		{
			get { return Convert.ToDateTime(this["LtzUmsDat"]); }
			set { this["LtzUmsDat"] = value; }
		}
		/// <summary>Historydatum ( DateTime )</summary>
		public virtual DateTime HyDat
		{
			get { return Convert.ToDateTime(this["HyDat"]); }
			set { this["HyDat"] = value; }
		}
		/// <summary>Benutzer bei Erstellung des Historyeintrags ( String )</summary>
		public virtual String HyBzr
		{
			get { return Convert.ToString(this["HyBzr"]); }
			set { this["HyBzr"] = value; }
		}
		/// <summary>Historyinformation ( String )</summary>
		public virtual String HyInfo
		{
			get { return Convert.ToString(this["HyInfo"]); }
			set { this["HyInfo"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>QuickInfo ( Array )</summary>
		public virtual Object QuickInfo
		{
			get { return this["QuickInfo"]; }
		}


		#endregion
	}
}
