using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ProjekteHistorySet : BpnEntitySet<ProjekteHistory>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "ProjekteHistory";
			
		public static ProjekteHistorySet CreateInstance(BpnConnection connection)
		{
		    var projektehistorysetInfo = connection.GetDataSetInfo(DS_NAME);
		    var projektehistorysetDataSet = projektehistorysetInfo.CreateDataSet();
		
		    var ret = new ProjekteHistorySet(projektehistorysetDataSet);
		    return ret;
		}
		
		internal ProjekteHistorySet(BpNT.AutoDataSet projektehistoryDataSet) 
			: base(projektehistoryDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected ProjekteHistorySet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new ProjekteHistorySet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected ProjekteHistorySet parentSet;
		
			protected ProjekteHistorySetHiDatIndex hiDatIndex;
			protected ProjekteHistorySetArtHiDatIndex artHiDatIndex;
			protected ProjekteHistorySetIDIndex iDIndex;
			protected ProjekteHistorySetPrioIndex prioIndex;
			protected ProjekteHistorySetNrIndex nrIndex;
			protected ProjekteHistorySetBezIndex bezIndex;
			protected ProjekteHistorySetAuftrNrIndex auftrNrIndex;
			protected ProjekteHistorySetSuchBegIndex suchBegIndex;
			protected ProjekteHistorySetAdrNrIndex adrNrIndex;
			protected ProjekteHistorySetAnspIndex anspIndex;
			protected ProjekteHistorySetDatIndex datIndex;
			protected ProjekteHistorySetBzrNrIndex bzrNrIndex;
			protected ProjekteHistorySetArtPrioIndex artPrioIndex;
			protected ProjekteHistorySetArtNrIndex artNrIndex;
			protected ProjekteHistorySetArtBezIndex artBezIndex;
			protected ProjekteHistorySetArtAuftrNrIndex artAuftrNrIndex;
			protected ProjekteHistorySetArtSuchBegIndex artSuchBegIndex;
			protected ProjekteHistorySetArtAdrNrIndex artAdrNrIndex;
			protected ProjekteHistorySetArtAnspIndex artAnspIndex;
			protected ProjekteHistorySetArtDatIndex artDatIndex;
			protected ProjekteHistorySetArtBzrNrIndex artBzrNrIndex;
			protected ProjekteHistorySetLtzUmsatzIndex ltzUmsatzIndex;
		
			internal IndicesClass(ProjekteHistorySet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				hiDatIndex = new ProjekteHistorySetHiDatIndex(parentSet.DataSet);
				artHiDatIndex = new ProjekteHistorySetArtHiDatIndex(parentSet.DataSet);
				iDIndex = new ProjekteHistorySetIDIndex(parentSet.DataSet);
				prioIndex = new ProjekteHistorySetPrioIndex(parentSet.DataSet);
				nrIndex = new ProjekteHistorySetNrIndex(parentSet.DataSet);
				bezIndex = new ProjekteHistorySetBezIndex(parentSet.DataSet);
				auftrNrIndex = new ProjekteHistorySetAuftrNrIndex(parentSet.DataSet);
				suchBegIndex = new ProjekteHistorySetSuchBegIndex(parentSet.DataSet);
				adrNrIndex = new ProjekteHistorySetAdrNrIndex(parentSet.DataSet);
				anspIndex = new ProjekteHistorySetAnspIndex(parentSet.DataSet);
				datIndex = new ProjekteHistorySetDatIndex(parentSet.DataSet);
				bzrNrIndex = new ProjekteHistorySetBzrNrIndex(parentSet.DataSet);
				artPrioIndex = new ProjekteHistorySetArtPrioIndex(parentSet.DataSet);
				artNrIndex = new ProjekteHistorySetArtNrIndex(parentSet.DataSet);
				artBezIndex = new ProjekteHistorySetArtBezIndex(parentSet.DataSet);
				artAuftrNrIndex = new ProjekteHistorySetArtAuftrNrIndex(parentSet.DataSet);
				artSuchBegIndex = new ProjekteHistorySetArtSuchBegIndex(parentSet.DataSet);
				artAdrNrIndex = new ProjekteHistorySetArtAdrNrIndex(parentSet.DataSet);
				artAnspIndex = new ProjekteHistorySetArtAnspIndex(parentSet.DataSet);
				artDatIndex = new ProjekteHistorySetArtDatIndex(parentSet.DataSet);
				artBzrNrIndex = new ProjekteHistorySetArtBzrNrIndex(parentSet.DataSet);
				ltzUmsatzIndex = new ProjekteHistorySetLtzUmsatzIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Historydatum</summary>
			public ProjekteHistorySetHiDatIndex HiDatIndex
			{
				get { return hiDatIndex; }
			}
			
			/// <summary>Historydatum</summary>
			public ProjekteHistorySetArtHiDatIndex ArtHiDatIndex
			{
				get { return artHiDatIndex; }
			}
			
			/// <summary>ID</summary>
			public ProjekteHistorySetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Prioritt</summary>
			public ProjekteHistorySetPrioIndex PrioIndex
			{
				get { return prioIndex; }
			}
			
			/// <summary>Nummer</summary>
			public ProjekteHistorySetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public ProjekteHistorySetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public ProjekteHistorySetAuftrNrIndex AuftrNrIndex
			{
				get { return auftrNrIndex; }
			}
			
			/// <summary>Suchbegriff</summary>
			public ProjekteHistorySetSuchBegIndex SuchBegIndex
			{
				get { return suchBegIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public ProjekteHistorySetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
			/// <summary>Ansprechpartner</summary>
			public ProjekteHistorySetAnspIndex AnspIndex
			{
				get { return anspIndex; }
			}
			
			/// <summary>Datum</summary>
			public ProjekteHistorySetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>Sachbearbeiter (Benutzernummer)</summary>
			public ProjekteHistorySetBzrNrIndex BzrNrIndex
			{
				get { return bzrNrIndex; }
			}
			
			/// <summary>Prioritt</summary>
			public ProjekteHistorySetArtPrioIndex ArtPrioIndex
			{
				get { return artPrioIndex; }
			}
			
			/// <summary>Nummer</summary>
			public ProjekteHistorySetArtNrIndex ArtNrIndex
			{
				get { return artNrIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public ProjekteHistorySetArtBezIndex ArtBezIndex
			{
				get { return artBezIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public ProjekteHistorySetArtAuftrNrIndex ArtAuftrNrIndex
			{
				get { return artAuftrNrIndex; }
			}
			
			/// <summary>Suchbegriff</summary>
			public ProjekteHistorySetArtSuchBegIndex ArtSuchBegIndex
			{
				get { return artSuchBegIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public ProjekteHistorySetArtAdrNrIndex ArtAdrNrIndex
			{
				get { return artAdrNrIndex; }
			}
			
			/// <summary>Ansprechpartner</summary>
			public ProjekteHistorySetArtAnspIndex ArtAnspIndex
			{
				get { return artAnspIndex; }
			}
			
			/// <summary>Datum</summary>
			public ProjekteHistorySetArtDatIndex ArtDatIndex
			{
				get { return artDatIndex; }
			}
			
			/// <summary>Sachbearbeiter (Benutzernummer)</summary>
			public ProjekteHistorySetArtBzrNrIndex ArtBzrNrIndex
			{
				get { return artBzrNrIndex; }
			}
			
			/// <summary>Letzter Umsatz</summary>
			public ProjekteHistorySetLtzUmsatzIndex LtzUmsatzIndex
			{
				get { return ltzUmsatzIndex; }
			}
			
		
			#endregion
		}

		public ProjekteHistorySet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
