using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ProjekteHistorySetArtPrioIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ArtPrio";
			

		internal ProjekteHistorySetArtPrioIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ProjekteHistorySetArtPrioIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ProjekteHistorySetArtPrioIndex.IndexFields rangeBegin, ProjekteHistorySetArtPrioIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Projektart ( Byte )</summary>
			public virtual Object Art {
				get { return this["Art"]; }
				set { this["Art"] = value; }
			}
			/// <summary>Prioritt ( Integer )</summary>
			public virtual Int32 Prio {
				get { return Convert.ToInt32(this["Prio"]); }
				set { this["Prio"] = value; }
			}
			/// <summary>Wichtigkeit ( Byte )</summary>
			public virtual Object Wichtig {
				get { return this["Wichtig"]; }
				set { this["Wichtig"] = value; }
			}
			/// <summary>Datum ( Date )</summary>
			public virtual DateTime Dat {
				get { return Convert.ToDateTime(this["Dat"]); }
				set { this["Dat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
