using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Protokolle : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Protokolle";
			
		public static Protokolle CreateInstance(BpnConnection connection)
		{
		    var protokolleInfo = connection.GetDataSetInfo(DS_NAME);
		    var protokolleDataSet = protokolleInfo.CreateDataSet();
		
		    var ret = new Protokolle(protokolleDataSet);
		    return ret;
		}
		
		public Protokolle(BpNT.AutoDataSet protokolleDataSet) 
			: base(protokolleDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Wichtigkeit ( Byte )</summary>
		public virtual Object Wichtig
		{
			get { return this["Wichtig"]; }
			set { this["Wichtig"] = value; }
		}
		/// <summary>Protokoll Art ( Integer )</summary>
		public virtual Int32 PtkArt
		{
			get { return Convert.ToInt32(this["PtkArt"]); }
			set { this["PtkArt"] = value; }
		}
		/// <summary>Im Protokoll enthaltenen Eintragstypen ( Array )</summary>
		public virtual Object Types
		{
			get { return this["Types"]; }
			set { this["Types"] = value; }
		}
		/// <summary>ProtokolleSaetze ( BlobTable )</summary>
		public virtual Object Pts
		{
			get { return this["Pts"]; }
			set { this["Pts"] = value; }
		}
		/// <summary>Data ( StringList )</summary>
		public virtual Object Data
		{
			get { return this["Data"]; }
			set { this["Data"] = value; }
		}
		/// <summary>Systemeintrag ( Boolean )</summary>
		public virtual Object SystemKz
		{
			get { return this["SystemKz"]; }
			set { this["SystemKz"] = value; }
		}
		/// <summary>gelschter Eintrag ( Boolean )</summary>
		public virtual Object DeletedKz
		{
			get { return this["DeletedKz"]; }
			set { this["DeletedKz"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
			set { this["ErstDat"] = value; }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
			set { this["ErstBzr"] = value; }
		}
		/// <summary>Gelesen  ( Boolean )</summary>
		public virtual Object GelKz
		{
			get { return this["GelKz"]; }
			set { this["GelKz"] = value; }
		}
		/// <summary>Gelesen Datum ( DateTime )</summary>
		public virtual DateTime GelDat
		{
			get { return Convert.ToDateTime(this["GelDat"]); }
			set { this["GelDat"] = value; }
		}
		/// <summary>Gelesen von ( String )</summary>
		public virtual String GelBzr
		{
			get { return Convert.ToString(this["GelBzr"]); }
			set { this["GelBzr"] = value; }
		}


		#endregion
	}
}
