using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class RAJournalSet : BpnEntitySet<RAJournal>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "RAJournal";
			
		public static RAJournalSet CreateInstance(BpnConnection connection)
		{
		    var rajournalsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var rajournalsetDataSet = rajournalsetInfo.CreateDataSet();
		
		    var ret = new RAJournalSet(rajournalsetDataSet);
		    return ret;
		}
		
		internal RAJournalSet(BpNT.AutoDataSet rajournalDataSet) 
			: base(rajournalDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected RAJournalSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new RAJournalSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected RAJournalSet parentSet;
		
			protected RAJournalSetIDIndex iDIndex;
			protected RAJournalSetBelegNrIndex belegNrIndex;
			protected RAJournalSetAuftrNrIndex auftrNrIndex;
			protected RAJournalSetAdrNrIndex adrNrIndex;
			protected RAJournalSetLiAdrNrIndex liAdrNrIndex;
			protected RAJournalSetDatIndex datIndex;
		
			internal IndicesClass(RAJournalSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new RAJournalSetIDIndex(parentSet.DataSet);
				belegNrIndex = new RAJournalSetBelegNrIndex(parentSet.DataSet);
				auftrNrIndex = new RAJournalSetAuftrNrIndex(parentSet.DataSet);
				adrNrIndex = new RAJournalSetAdrNrIndex(parentSet.DataSet);
				liAdrNrIndex = new RAJournalSetLiAdrNrIndex(parentSet.DataSet);
				datIndex = new RAJournalSetDatIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public RAJournalSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Belegnummer</summary>
			public RAJournalSetBelegNrIndex BelegNrIndex
			{
				get { return belegNrIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public RAJournalSetAuftrNrIndex AuftrNrIndex
			{
				get { return auftrNrIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public RAJournalSetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
			/// <summary>Adr.-Nr. der Lieferanschrift</summary>
			public RAJournalSetLiAdrNrIndex LiAdrNrIndex
			{
				get { return liAdrNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public RAJournalSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
		
			#endregion
		}

		public RAJournalSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
