using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class RegelnSet : BpnEntitySet<Regeln>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Regeln";
			
		public static RegelnSet CreateInstance(BpnConnection connection)
		{
		    var regelnsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var regelnsetDataSet = regelnsetInfo.CreateDataSet();
		
		    var ret = new RegelnSet(regelnsetDataSet);
		    return ret;
		}
		
		internal RegelnSet(BpNT.AutoDataSet regelnDataSet) 
			: base(regelnDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected RegelnSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new RegelnSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected RegelnSet parentSet;
		
			protected RegelnSetIDIndex iDIndex;
			protected RegelnSetBZNrIndex bZNrIndex;
			protected RegelnSetBNrIndex bNrIndex;
		
			internal IndicesClass(RegelnSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new RegelnSetIDIndex(parentSet.DataSet);
				bZNrIndex = new RegelnSetBZNrIndex(parentSet.DataSet);
				bNrIndex = new RegelnSetBNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public RegelnSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>BZNr</summary>
			public RegelnSetBZNrIndex BZNrIndex
			{
				get { return bZNrIndex; }
			}
			
			/// <summary>Nummer</summary>
			public RegelnSetBNrIndex BNrIndex
			{
				get { return bNrIndex; }
			}
			
		
			#endregion
		}

		public RegelnSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
