using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ServiceVertraegeHisSet : BpnEntitySet<ServiceVertraegeHis>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "ServiceVertraegeHis";
			
		public static ServiceVertraegeHisSet CreateInstance(BpnConnection connection)
		{
		    var servicevertraegehissetInfo = connection.GetDataSetInfo(DS_NAME);
		    var servicevertraegehissetDataSet = servicevertraegehissetInfo.CreateDataSet();
		
		    var ret = new ServiceVertraegeHisSet(servicevertraegehissetDataSet);
		    return ret;
		}
		
		internal ServiceVertraegeHisSet(BpNT.AutoDataSet servicevertraegehisDataSet) 
			: base(servicevertraegehisDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected ServiceVertraegeHisSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new ServiceVertraegeHisSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected ServiceVertraegeHisSet parentSet;
		
			protected ServiceVertraegeHisSetHiDatIndex hiDatIndex;
			protected ServiceVertraegeHisSetAdrNrHiDatIndex adrNrHiDatIndex;
			protected ServiceVertraegeHisSetIDIndex iDIndex;
			protected ServiceVertraegeHisSetAdrNrArtNrIndex adrNrArtNrIndex;
			protected ServiceVertraegeHisSetArtNrAdrNrIndex artNrAdrNrIndex;
			protected ServiceVertraegeHisSetBezIndex bezIndex;
			protected ServiceVertraegeHisSetAdrNrBezIndex adrNrBezIndex;
			protected ServiceVertraegeHisSetPrjNrIndex prjNrIndex;
			protected ServiceVertraegeHisSetAdrNrPrjNrIndex adrNrPrjNrIndex;
			protected ServiceVertraegeHisSetKstNrIndex kstNrIndex;
			protected ServiceVertraegeHisSetAdrNrKstNrIndex adrNrKstNrIndex;
			protected ServiceVertraegeHisSetStOrtIndex stOrtIndex;
			protected ServiceVertraegeHisSetAdrNrStOrtIndex adrNrStOrtIndex;
			protected ServiceVertraegeHisSetSNrIndex sNrIndex;
			protected ServiceVertraegeHisSetAdrNrSNrIndex adrNrSNrIndex;
			protected ServiceVertraegeHisSetSDatIndex sDatIndex;
			protected ServiceVertraegeHisSetAdrNrSDatIndex adrNrSDatIndex;
			protected ServiceVertraegeHisSetEDatIndex eDatIndex;
			protected ServiceVertraegeHisSetAdrNrEDatIndex adrNrEDatIndex;
			protected ServiceVertraegeHisSetGekDatIndex gekDatIndex;
			protected ServiceVertraegeHisSetAdrNrGekDatIndex adrNrGekDatIndex;
			protected ServiceVertraegeHisSetRaVtAdrIndex raVtAdrIndex;
			protected ServiceVertraegeHisSetErstDatIndex erstDatIndex;
			protected ServiceVertraegeHisSetSVtIDIndex sVtIDIndex;
		
			internal IndicesClass(ServiceVertraegeHisSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				hiDatIndex = new ServiceVertraegeHisSetHiDatIndex(parentSet.DataSet);
				adrNrHiDatIndex = new ServiceVertraegeHisSetAdrNrHiDatIndex(parentSet.DataSet);
				iDIndex = new ServiceVertraegeHisSetIDIndex(parentSet.DataSet);
				adrNrArtNrIndex = new ServiceVertraegeHisSetAdrNrArtNrIndex(parentSet.DataSet);
				artNrAdrNrIndex = new ServiceVertraegeHisSetArtNrAdrNrIndex(parentSet.DataSet);
				bezIndex = new ServiceVertraegeHisSetBezIndex(parentSet.DataSet);
				adrNrBezIndex = new ServiceVertraegeHisSetAdrNrBezIndex(parentSet.DataSet);
				prjNrIndex = new ServiceVertraegeHisSetPrjNrIndex(parentSet.DataSet);
				adrNrPrjNrIndex = new ServiceVertraegeHisSetAdrNrPrjNrIndex(parentSet.DataSet);
				kstNrIndex = new ServiceVertraegeHisSetKstNrIndex(parentSet.DataSet);
				adrNrKstNrIndex = new ServiceVertraegeHisSetAdrNrKstNrIndex(parentSet.DataSet);
				stOrtIndex = new ServiceVertraegeHisSetStOrtIndex(parentSet.DataSet);
				adrNrStOrtIndex = new ServiceVertraegeHisSetAdrNrStOrtIndex(parentSet.DataSet);
				sNrIndex = new ServiceVertraegeHisSetSNrIndex(parentSet.DataSet);
				adrNrSNrIndex = new ServiceVertraegeHisSetAdrNrSNrIndex(parentSet.DataSet);
				sDatIndex = new ServiceVertraegeHisSetSDatIndex(parentSet.DataSet);
				adrNrSDatIndex = new ServiceVertraegeHisSetAdrNrSDatIndex(parentSet.DataSet);
				eDatIndex = new ServiceVertraegeHisSetEDatIndex(parentSet.DataSet);
				adrNrEDatIndex = new ServiceVertraegeHisSetAdrNrEDatIndex(parentSet.DataSet);
				gekDatIndex = new ServiceVertraegeHisSetGekDatIndex(parentSet.DataSet);
				adrNrGekDatIndex = new ServiceVertraegeHisSetAdrNrGekDatIndex(parentSet.DataSet);
				raVtAdrIndex = new ServiceVertraegeHisSetRaVtAdrIndex(parentSet.DataSet);
				erstDatIndex = new ServiceVertraegeHisSetErstDatIndex(parentSet.DataSet);
				sVtIDIndex = new ServiceVertraegeHisSetSVtIDIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Historydatum</summary>
			public ServiceVertraegeHisSetHiDatIndex HiDatIndex
			{
				get { return hiDatIndex; }
			}
			
			/// <summary>Historydatum</summary>
			public ServiceVertraegeHisSetAdrNrHiDatIndex AdrNrHiDatIndex
			{
				get { return adrNrHiDatIndex; }
			}
			
			/// <summary>ID</summary>
			public ServiceVertraegeHisSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public ServiceVertraegeHisSetAdrNrArtNrIndex AdrNrArtNrIndex
			{
				get { return adrNrArtNrIndex; }
			}
			
			/// <summary>Artikelnummer</summary>
			public ServiceVertraegeHisSetArtNrAdrNrIndex ArtNrAdrNrIndex
			{
				get { return artNrAdrNrIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public ServiceVertraegeHisSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public ServiceVertraegeHisSetAdrNrBezIndex AdrNrBezIndex
			{
				get { return adrNrBezIndex; }
			}
			
			/// <summary>Projektnummer</summary>
			public ServiceVertraegeHisSetPrjNrIndex PrjNrIndex
			{
				get { return prjNrIndex; }
			}
			
			/// <summary>Projektnummer</summary>
			public ServiceVertraegeHisSetAdrNrPrjNrIndex AdrNrPrjNrIndex
			{
				get { return adrNrPrjNrIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public ServiceVertraegeHisSetKstNrIndex KstNrIndex
			{
				get { return kstNrIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public ServiceVertraegeHisSetAdrNrKstNrIndex AdrNrKstNrIndex
			{
				get { return adrNrKstNrIndex; }
			}
			
			/// <summary>Standort</summary>
			public ServiceVertraegeHisSetStOrtIndex StOrtIndex
			{
				get { return stOrtIndex; }
			}
			
			/// <summary>Standort</summary>
			public ServiceVertraegeHisSetAdrNrStOrtIndex AdrNrStOrtIndex
			{
				get { return adrNrStOrtIndex; }
			}
			
			/// <summary>Seriennummer</summary>
			public ServiceVertraegeHisSetSNrIndex SNrIndex
			{
				get { return sNrIndex; }
			}
			
			/// <summary>Seriennummer</summary>
			public ServiceVertraegeHisSetAdrNrSNrIndex AdrNrSNrIndex
			{
				get { return adrNrSNrIndex; }
			}
			
			/// <summary>Startdatum</summary>
			public ServiceVertraegeHisSetSDatIndex SDatIndex
			{
				get { return sDatIndex; }
			}
			
			/// <summary>Startdatum</summary>
			public ServiceVertraegeHisSetAdrNrSDatIndex AdrNrSDatIndex
			{
				get { return adrNrSDatIndex; }
			}
			
			/// <summary>Enddatum</summary>
			public ServiceVertraegeHisSetEDatIndex EDatIndex
			{
				get { return eDatIndex; }
			}
			
			/// <summary>Enddatum</summary>
			public ServiceVertraegeHisSetAdrNrEDatIndex AdrNrEDatIndex
			{
				get { return adrNrEDatIndex; }
			}
			
			/// <summary>Gekndigtdatum</summary>
			public ServiceVertraegeHisSetGekDatIndex GekDatIndex
			{
				get { return gekDatIndex; }
			}
			
			/// <summary>Gekndigtdatum</summary>
			public ServiceVertraegeHisSetAdrNrGekDatIndex AdrNrGekDatIndex
			{
				get { return adrNrGekDatIndex; }
			}
			
			/// <summary>Rahmenvertrag fr Adresse</summary>
			public ServiceVertraegeHisSetRaVtAdrIndex RaVtAdrIndex
			{
				get { return raVtAdrIndex; }
			}
			
			/// <summary>Erstellungsdatum</summary>
			public ServiceVertraegeHisSetErstDatIndex ErstDatIndex
			{
				get { return erstDatIndex; }
			}
			
			/// <summary>SVtID</summary>
			public ServiceVertraegeHisSetSVtIDIndex SVtIDIndex
			{
				get { return sVtIDIndex; }
			}
			
		
			#endregion
		}

		public ServiceVertraegeHisSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
