using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ServiceVertraegeSet : BpnEntitySet<ServiceVertraege>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "ServiceVertraege";
			
		public static ServiceVertraegeSet CreateInstance(BpnConnection connection)
		{
		    var servicevertraegesetInfo = connection.GetDataSetInfo(DS_NAME);
		    var servicevertraegesetDataSet = servicevertraegesetInfo.CreateDataSet();
		
		    var ret = new ServiceVertraegeSet(servicevertraegesetDataSet);
		    return ret;
		}
		
		internal ServiceVertraegeSet(BpNT.AutoDataSet servicevertraegeDataSet) 
			: base(servicevertraegeDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected ServiceVertraegeSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new ServiceVertraegeSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected ServiceVertraegeSet parentSet;
		
			protected ServiceVertraegeSetIDIndex iDIndex;
			protected ServiceVertraegeSetAdrNrArtNrIndex adrNrArtNrIndex;
			protected ServiceVertraegeSetArtNrAdrNrIndex artNrAdrNrIndex;
			protected ServiceVertraegeSetBezIndex bezIndex;
			protected ServiceVertraegeSetAdrNrBezIndex adrNrBezIndex;
			protected ServiceVertraegeSetPrjNrIndex prjNrIndex;
			protected ServiceVertraegeSetAdrNrPrjNrIndex adrNrPrjNrIndex;
			protected ServiceVertraegeSetKstNrIndex kstNrIndex;
			protected ServiceVertraegeSetAdrNrKstNrIndex adrNrKstNrIndex;
			protected ServiceVertraegeSetStOrtIndex stOrtIndex;
			protected ServiceVertraegeSetAdrNrStOrtIndex adrNrStOrtIndex;
			protected ServiceVertraegeSetSNrIndex sNrIndex;
			protected ServiceVertraegeSetAdrNrSNrIndex adrNrSNrIndex;
			protected ServiceVertraegeSetSDatIndex sDatIndex;
			protected ServiceVertraegeSetAdrNrSDatIndex adrNrSDatIndex;
			protected ServiceVertraegeSetEDatIndex eDatIndex;
			protected ServiceVertraegeSetAdrNrEDatIndex adrNrEDatIndex;
			protected ServiceVertraegeSetNaechAbrDatIndex naechAbrDatIndex;
			protected ServiceVertraegeSetAdrNrNaechAbrDatIndex adrNrNaechAbrDatIndex;
			protected ServiceVertraegeSetGekDatIndex gekDatIndex;
			protected ServiceVertraegeSetAdrNrGekDatIndex adrNrGekDatIndex;
			protected ServiceVertraegeSetRaVtAdrIndex raVtAdrIndex;
			protected ServiceVertraegeSetErstDatIndex erstDatIndex;
		
			internal IndicesClass(ServiceVertraegeSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new ServiceVertraegeSetIDIndex(parentSet.DataSet);
				adrNrArtNrIndex = new ServiceVertraegeSetAdrNrArtNrIndex(parentSet.DataSet);
				artNrAdrNrIndex = new ServiceVertraegeSetArtNrAdrNrIndex(parentSet.DataSet);
				bezIndex = new ServiceVertraegeSetBezIndex(parentSet.DataSet);
				adrNrBezIndex = new ServiceVertraegeSetAdrNrBezIndex(parentSet.DataSet);
				prjNrIndex = new ServiceVertraegeSetPrjNrIndex(parentSet.DataSet);
				adrNrPrjNrIndex = new ServiceVertraegeSetAdrNrPrjNrIndex(parentSet.DataSet);
				kstNrIndex = new ServiceVertraegeSetKstNrIndex(parentSet.DataSet);
				adrNrKstNrIndex = new ServiceVertraegeSetAdrNrKstNrIndex(parentSet.DataSet);
				stOrtIndex = new ServiceVertraegeSetStOrtIndex(parentSet.DataSet);
				adrNrStOrtIndex = new ServiceVertraegeSetAdrNrStOrtIndex(parentSet.DataSet);
				sNrIndex = new ServiceVertraegeSetSNrIndex(parentSet.DataSet);
				adrNrSNrIndex = new ServiceVertraegeSetAdrNrSNrIndex(parentSet.DataSet);
				sDatIndex = new ServiceVertraegeSetSDatIndex(parentSet.DataSet);
				adrNrSDatIndex = new ServiceVertraegeSetAdrNrSDatIndex(parentSet.DataSet);
				eDatIndex = new ServiceVertraegeSetEDatIndex(parentSet.DataSet);
				adrNrEDatIndex = new ServiceVertraegeSetAdrNrEDatIndex(parentSet.DataSet);
				naechAbrDatIndex = new ServiceVertraegeSetNaechAbrDatIndex(parentSet.DataSet);
				adrNrNaechAbrDatIndex = new ServiceVertraegeSetAdrNrNaechAbrDatIndex(parentSet.DataSet);
				gekDatIndex = new ServiceVertraegeSetGekDatIndex(parentSet.DataSet);
				adrNrGekDatIndex = new ServiceVertraegeSetAdrNrGekDatIndex(parentSet.DataSet);
				raVtAdrIndex = new ServiceVertraegeSetRaVtAdrIndex(parentSet.DataSet);
				erstDatIndex = new ServiceVertraegeSetErstDatIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public ServiceVertraegeSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public ServiceVertraegeSetAdrNrArtNrIndex AdrNrArtNrIndex
			{
				get { return adrNrArtNrIndex; }
			}
			
			/// <summary>Artikelnummer</summary>
			public ServiceVertraegeSetArtNrAdrNrIndex ArtNrAdrNrIndex
			{
				get { return artNrAdrNrIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public ServiceVertraegeSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public ServiceVertraegeSetAdrNrBezIndex AdrNrBezIndex
			{
				get { return adrNrBezIndex; }
			}
			
			/// <summary>Projektnummer</summary>
			public ServiceVertraegeSetPrjNrIndex PrjNrIndex
			{
				get { return prjNrIndex; }
			}
			
			/// <summary>Projektnummer</summary>
			public ServiceVertraegeSetAdrNrPrjNrIndex AdrNrPrjNrIndex
			{
				get { return adrNrPrjNrIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public ServiceVertraegeSetKstNrIndex KstNrIndex
			{
				get { return kstNrIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public ServiceVertraegeSetAdrNrKstNrIndex AdrNrKstNrIndex
			{
				get { return adrNrKstNrIndex; }
			}
			
			/// <summary>Standort</summary>
			public ServiceVertraegeSetStOrtIndex StOrtIndex
			{
				get { return stOrtIndex; }
			}
			
			/// <summary>Standort</summary>
			public ServiceVertraegeSetAdrNrStOrtIndex AdrNrStOrtIndex
			{
				get { return adrNrStOrtIndex; }
			}
			
			/// <summary>Seriennummer</summary>
			public ServiceVertraegeSetSNrIndex SNrIndex
			{
				get { return sNrIndex; }
			}
			
			/// <summary>Seriennummer</summary>
			public ServiceVertraegeSetAdrNrSNrIndex AdrNrSNrIndex
			{
				get { return adrNrSNrIndex; }
			}
			
			/// <summary>Startdatum</summary>
			public ServiceVertraegeSetSDatIndex SDatIndex
			{
				get { return sDatIndex; }
			}
			
			/// <summary>Startdatum</summary>
			public ServiceVertraegeSetAdrNrSDatIndex AdrNrSDatIndex
			{
				get { return adrNrSDatIndex; }
			}
			
			/// <summary>Enddatum</summary>
			public ServiceVertraegeSetEDatIndex EDatIndex
			{
				get { return eDatIndex; }
			}
			
			/// <summary>Enddatum</summary>
			public ServiceVertraegeSetAdrNrEDatIndex AdrNrEDatIndex
			{
				get { return adrNrEDatIndex; }
			}
			
			/// <summary>Datum der nchsten Abrechnung</summary>
			public ServiceVertraegeSetNaechAbrDatIndex NaechAbrDatIndex
			{
				get { return naechAbrDatIndex; }
			}
			
			/// <summary>Datum der nchsten Abrechnung</summary>
			public ServiceVertraegeSetAdrNrNaechAbrDatIndex AdrNrNaechAbrDatIndex
			{
				get { return adrNrNaechAbrDatIndex; }
			}
			
			/// <summary>Gekndigtdatum</summary>
			public ServiceVertraegeSetGekDatIndex GekDatIndex
			{
				get { return gekDatIndex; }
			}
			
			/// <summary>Gekndigtdatum</summary>
			public ServiceVertraegeSetAdrNrGekDatIndex AdrNrGekDatIndex
			{
				get { return adrNrGekDatIndex; }
			}
			
			/// <summary>Rahmenvertrag fr Adresse</summary>
			public ServiceVertraegeSetRaVtAdrIndex RaVtAdrIndex
			{
				get { return raVtAdrIndex; }
			}
			
			/// <summary>Erstellungsdatum</summary>
			public ServiceVertraegeSetErstDatIndex ErstDatIndex
			{
				get { return erstDatIndex; }
			}
			
		
			#endregion
		}

		public ServiceVertraegeSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
