using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Support2 : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Support2";
			
		public static Support2 CreateInstance(BpnConnection connection)
		{
		    var support2Info = connection.GetDataSetInfo(DS_NAME);
		    var support2DataSet = support2Info.CreateDataSet();
		
		    var ret = new Support2(support2DataSet);
		    return ret;
		}
		
		public Support2(BpNT.AutoDataSet support2DataSet) 
			: base(support2DataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Bereich ( String )</summary>
		public virtual String Bereich
		{
			get { return Convert.ToString(this["Bereich"]); }
			set { this["Bereich"] = value; }
		}
		/// <summary>Kurzbezeichnung ( String )</summary>
		public virtual String KuBez
		{
			get { return Convert.ToString(this["KuBez"]); }
			set { this["KuBez"] = value; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Version ( String )</summary>
		public virtual String Version
		{
			get { return Convert.ToString(this["Version"]); }
			set { this["Version"] = value; }
		}
		/// <summary>Wichtigkeit ( Byte )</summary>
		public virtual Object Wichtig
		{
			get { return this["Wichtig"]; }
			set { this["Wichtig"] = value; }
		}
		/// <summary>Erledigt Kennzeichen ( Boolean )</summary>
		public virtual Object ErledigtKz
		{
			get { return this["ErledigtKz"]; }
			set { this["ErledigtKz"] = value; }
		}
		/// <summary>Freigegeben Kennzeichen ( Boolean )</summary>
		public virtual Object FreigegebenKz
		{
			get { return this["FreigegebenKz"]; }
			set { this["FreigegebenKz"] = value; }
		}
		/// <summary>Berechtigungsgruppe ( Byte )</summary>
		public virtual Object BerechtGrp
		{
			get { return this["BerechtGrp"]; }
			set { this["BerechtGrp"] = value; }
		}
		/// <summary>Stufe ( Byte )</summary>
		public virtual Object Stufe
		{
			get { return this["Stufe"]; }
			set { this["Stufe"] = value; }
		}
		/// <summary>Geprftkennzeichen ( Boolean )</summary>
		public virtual Object GeprKz
		{
			get { return this["GeprKz"]; }
			set { this["GeprKz"] = value; }
		}
		/// <summary>Benutzer der Eintrag geprft hat ( String )</summary>
		public virtual String GeprBzr
		{
			get { return Convert.ToString(this["GeprBzr"]); }
			set { this["GeprBzr"] = value; }
		}
		/// <summary>Prf - Sachbearbeiter (Benutzernummer) ( String )</summary>
		public virtual String GeprSBzrNr
		{
			get { return Convert.ToString(this["GeprSBzrNr"]); }
			set { this["GeprSBzrNr"] = value; }
		}
		/// <summary>Datum der Prfung ( DateTime )</summary>
		public virtual DateTime GeprDat
		{
			get { return Convert.ToDateTime(this["GeprDat"]); }
			set { this["GeprDat"] = value; }
		}
		/// <summary>Prfungsintervall ( Integer )</summary>
		public virtual Int32 GeprInt
		{
			get { return Convert.ToInt32(this["GeprInt"]); }
			set { this["GeprInt"] = value; }
		}
		/// <summary>Nchstes Datum der Prfung ( DateTime )</summary>
		public virtual DateTime GeprDatNaechst
		{
			get { return Convert.ToDateTime(this["GeprDatNaechst"]); }
			set { this["GeprDatNaechst"] = value; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Memo-Information ( Info )</summary>
		public virtual Object Memo
		{
			get { return this["Memo"]; }
			set { this["Memo"] = value; }
		}
		/// <summary>Memo-Information Kennzeichen ( Boolean )</summary>
		public virtual Object MemoKz
		{
			get { return this["MemoKz"]; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Kurzbezeichnung ist Vorgabe fr Kurzinformation bei Kontaktneuerstellung Kennzeichen ( Boolean )</summary>
		public virtual Object KuBezInKKtKz
		{
			get { return this["KuBezInKKtKz"]; }
		}
		/// <summary>Gelesene Supporteintrge ( FilterBits )</summary>
		public virtual Object Gelesen
		{
			get { return this["Gelesen"]; }
			set { this["Gelesen"] = value; }
		}
		/// <summary>Aktueller Benutzer hat diesen Eintrag gelesen ( Boolean )</summary>
		public virtual Object GelesenKz
		{
			get { return this["GelesenKz"]; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime IntErstDat
		{
			get { return Convert.ToDateTime(this["IntErstDat"]); }
			set { this["IntErstDat"] = value; }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime IntAendDat
		{
			get { return Convert.ToDateTime(this["IntAendDat"]); }
			set { this["IntAendDat"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>Erstellt ( String )</summary>
		public virtual String IntErstDatInfo
		{
			get { return Convert.ToString(this["IntErstDatInfo"]); }
		}
		/// <summary>nderung ( String )</summary>
		public virtual String IntAendDatInfo
		{
			get { return Convert.ToString(this["IntAendDatInfo"]); }
		}
		/// <summary>RecordRevision ( SmallInt )</summary>
		public virtual Object RecRev
		{
			get { return this["RecRev"]; }
			set { this["RecRev"] = value; }
		}


		#endregion
	}
}
