using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Support3Set : BpnEntitySet<Support3>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Support3";
			
		public static Support3Set CreateInstance(BpnConnection connection)
		{
		    var support3setInfo = connection.GetDataSetInfo(DS_NAME);
		    var support3setDataSet = support3setInfo.CreateDataSet();
		
		    var ret = new Support3Set(support3setDataSet);
		    return ret;
		}
		
		internal Support3Set(BpNT.AutoDataSet support3DataSet) 
			: base(support3DataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected Support3Set.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new Support3Set.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected Support3Set parentSet;
		
			protected Support3SetIDIndex iDIndex;
			protected Support3SetBereichKuBezIndex bereichKuBezIndex;
			protected Support3SetKuBezIndex kuBezIndex;
			protected Support3SetBereichStufeIndex bereichStufeIndex;
			protected Support3SetStufeIndex stufeIndex;
			protected Support3SetBereichErstDatIndex bereichErstDatIndex;
			protected Support3SetErstDatIndex erstDatIndex;
			protected Support3SetBereichAendDatIndex bereichAendDatIndex;
			protected Support3SetAendDatIndex aendDatIndex;
			protected Support3SetPruefSBzrNrIndex pruefSBzrNrIndex;
			protected Support3SetPruefSBzrNrZPIndex pruefSBzrNrZPIndex;
			protected Support3SetNaechPruefDatIndex naechPruefDatIndex;
		
			internal IndicesClass(Support3Set parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new Support3SetIDIndex(parentSet.DataSet);
				bereichKuBezIndex = new Support3SetBereichKuBezIndex(parentSet.DataSet);
				kuBezIndex = new Support3SetKuBezIndex(parentSet.DataSet);
				bereichStufeIndex = new Support3SetBereichStufeIndex(parentSet.DataSet);
				stufeIndex = new Support3SetStufeIndex(parentSet.DataSet);
				bereichErstDatIndex = new Support3SetBereichErstDatIndex(parentSet.DataSet);
				erstDatIndex = new Support3SetErstDatIndex(parentSet.DataSet);
				bereichAendDatIndex = new Support3SetBereichAendDatIndex(parentSet.DataSet);
				aendDatIndex = new Support3SetAendDatIndex(parentSet.DataSet);
				pruefSBzrNrIndex = new Support3SetPruefSBzrNrIndex(parentSet.DataSet);
				pruefSBzrNrZPIndex = new Support3SetPruefSBzrNrZPIndex(parentSet.DataSet);
				naechPruefDatIndex = new Support3SetNaechPruefDatIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public Support3SetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Bereich</summary>
			public Support3SetBereichKuBezIndex BereichKuBezIndex
			{
				get { return bereichKuBezIndex; }
			}
			
			/// <summary>Kurzbezeichnung</summary>
			public Support3SetKuBezIndex KuBezIndex
			{
				get { return kuBezIndex; }
			}
			
			/// <summary>Stufe</summary>
			public Support3SetBereichStufeIndex BereichStufeIndex
			{
				get { return bereichStufeIndex; }
			}
			
			/// <summary>Stufe</summary>
			public Support3SetStufeIndex StufeIndex
			{
				get { return stufeIndex; }
			}
			
			/// <summary>Erstellungsdatum</summary>
			public Support3SetBereichErstDatIndex BereichErstDatIndex
			{
				get { return bereichErstDatIndex; }
			}
			
			/// <summary>Erstellungsdatum</summary>
			public Support3SetErstDatIndex ErstDatIndex
			{
				get { return erstDatIndex; }
			}
			
			/// <summary>nderungsdatum</summary>
			public Support3SetBereichAendDatIndex BereichAendDatIndex
			{
				get { return bereichAendDatIndex; }
			}
			
			/// <summary>nderungsdatum</summary>
			public Support3SetAendDatIndex AendDatIndex
			{
				get { return aendDatIndex; }
			}
			
			/// <summary>Prfsachbearbeiter</summary>
			public Support3SetPruefSBzrNrIndex PruefSBzrNrIndex
			{
				get { return pruefSBzrNrIndex; }
			}
			
			/// <summary>Prfsachbearbeiter (zu prfen)</summary>
			public Support3SetPruefSBzrNrZPIndex PruefSBzrNrZPIndex
			{
				get { return pruefSBzrNrZPIndex; }
			}
			
			/// <summary>Nchstes Prfdatum</summary>
			public Support3SetNaechPruefDatIndex NaechPruefDatIndex
			{
				get { return naechPruefDatIndex; }
			}
			
		
			#endregion
		}

		public Support3Set.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
