using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Tabellenansichten : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Tabellenansichten";
			
		public static Tabellenansichten CreateInstance(BpnConnection connection)
		{
		    var tabellenansichtenInfo = connection.GetDataSetInfo(DS_NAME);
		    var tabellenansichtenDataSet = tabellenansichtenInfo.CreateDataSet();
		
		    var ret = new Tabellenansichten(tabellenansichtenDataSet);
		    return ret;
		}
		
		public Tabellenansichten(BpNT.AutoDataSet tabellenansichtenDataSet) 
			: base(tabellenansichtenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>Programmversion ( String )</summary>
		public virtual String PrgV
		{
			get { return Convert.ToString(this["PrgV"]); }
			set { this["PrgV"] = value; }
		}
		/// <summary>Modulkurzbezeichnung ( String )</summary>
		public virtual String ModKuBez
		{
			get { return Convert.ToString(this["ModKuBez"]); }
			set { this["ModKuBez"] = value; }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Bereich ( String )</summary>
		public virtual String DBKuNa
		{
			get { return Convert.ToString(this["DBKuNa"]); }
			set { this["DBKuNa"] = value; }
		}
		/// <summary>Berechtigungsbezeichnung ( String )</summary>
		public virtual String BerBez
		{
			get { return Convert.ToString(this["BerBez"]); }
			set { this["BerBez"] = value; }
		}
		/// <summary>Programmpositions-Info ( String )</summary>
		public virtual String PPInfo
		{
			get { return Convert.ToString(this["PPInfo"]); }
			set { this["PPInfo"] = value; }
		}
		/// <summary>BKZ-Info ( String )</summary>
		public virtual String BKZBezInfo
		{
			get { return Convert.ToString(this["BKZBezInfo"]); }
			set { this["BKZBezInfo"] = value; }
		}
		/// <summary>Tabellenansicht ( BlobTable )</summary>
		public virtual Object TAs
		{
			get { return this["TAs"]; }
			set { this["TAs"] = value; }
		}
		/// <summary>Information ( String )</summary>
		public virtual String Info
		{
			get { return Convert.ToString(this["Info"]); }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
