using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class TabellenansichtenSet : BpnEntitySet<Tabellenansichten>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Tabellenansichten";
			
		public static TabellenansichtenSet CreateInstance(BpnConnection connection)
		{
		    var tabellenansichtensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var tabellenansichtensetDataSet = tabellenansichtensetInfo.CreateDataSet();
		
		    var ret = new TabellenansichtenSet(tabellenansichtensetDataSet);
		    return ret;
		}
		
		internal TabellenansichtenSet(BpNT.AutoDataSet tabellenansichtenDataSet) 
			: base(tabellenansichtenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected TabellenansichtenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new TabellenansichtenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected TabellenansichtenSet parentSet;
		
			protected TabellenansichtenSetBezIndex bezIndex;
			protected TabellenansichtenSetVersModBezIndex versModBezIndex;
			protected TabellenansichtenSetDBKuNaVersModBezIndex dBKuNaVersModBezIndex;
		
			internal IndicesClass(TabellenansichtenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				bezIndex = new TabellenansichtenSetBezIndex(parentSet.DataSet);
				versModBezIndex = new TabellenansichtenSetVersModBezIndex(parentSet.DataSet);
				dBKuNaVersModBezIndex = new TabellenansichtenSetDBKuNaVersModBezIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Bez</summary>
			public TabellenansichtenSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
			/// <summary>VersModBez</summary>
			public TabellenansichtenSetVersModBezIndex VersModBezIndex
			{
				get { return versModBezIndex; }
			}
			
			/// <summary>DBKuNaVersModBez</summary>
			public TabellenansichtenSetDBKuNaVersModBezIndex DBKuNaVersModBezIndex
			{
				get { return dBKuNaVersModBezIndex; }
			}
			
		
			#endregion
		}

		public TabellenansichtenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
