using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class TaetigkeitenSet : BpnEntitySet<Taetigkeiten>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Taetigkeiten";
			
		public static TaetigkeitenSet CreateInstance(BpnConnection connection)
		{
		    var taetigkeitensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var taetigkeitensetDataSet = taetigkeitensetInfo.CreateDataSet();
		
		    var ret = new TaetigkeitenSet(taetigkeitensetDataSet);
		    return ret;
		}
		
		internal TaetigkeitenSet(BpNT.AutoDataSet taetigkeitenDataSet) 
			: base(taetigkeitenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected TaetigkeitenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new TaetigkeitenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected TaetigkeitenSet parentSet;
		
			protected TaetigkeitenSetNrIndex nrIndex;
			protected TaetigkeitenSetBezIndex bezIndex;
		
			internal IndicesClass(TaetigkeitenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				nrIndex = new TaetigkeitenSetNrIndex(parentSet.DataSet);
				bezIndex = new TaetigkeitenSetBezIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Nummer</summary>
			public TaetigkeitenSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public TaetigkeitenSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
		
			#endregion
		}

		public TaetigkeitenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
