using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class TelefonSet : BpnEntitySet<Telefon>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Telefon";
			
		public static TelefonSet CreateInstance(BpnConnection connection)
		{
		    var telefonsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var telefonsetDataSet = telefonsetInfo.CreateDataSet();
		
		    var ret = new TelefonSet(telefonsetDataSet);
		    return ret;
		}
		
		internal TelefonSet(BpNT.AutoDataSet telefonDataSet) 
			: base(telefonDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected TelefonSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new TelefonSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected TelefonSet parentSet;
		
			protected TelefonSetNrIndex nrIndex;
			protected TelefonSetBereichIDIndex bereichIDIndex;
		
			internal IndicesClass(TelefonSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				nrIndex = new TelefonSetNrIndex(parentSet.DataSet);
				bereichIDIndex = new TelefonSetBereichIDIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Nr</summary>
			public TelefonSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>BereichID</summary>
			public TelefonSetBereichIDIndex BereichIDIndex
			{
				get { return bereichIDIndex; }
			}
			
		
			#endregion
		}

		public TelefonSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
