using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class TerminalBenutzerSet : BpnEntitySet<TerminalBenutzer>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "TerminalBenutzer";
			
		public static TerminalBenutzerSet CreateInstance(BpnConnection connection)
		{
		    var terminalbenutzersetInfo = connection.GetDataSetInfo(DS_NAME);
		    var terminalbenutzersetDataSet = terminalbenutzersetInfo.CreateDataSet();
		
		    var ret = new TerminalBenutzerSet(terminalbenutzersetDataSet);
		    return ret;
		}
		
		internal TerminalBenutzerSet(BpNT.AutoDataSet terminalbenutzerDataSet) 
			: base(terminalbenutzerDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected TerminalBenutzerSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new TerminalBenutzerSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected TerminalBenutzerSet parentSet;
		
			protected TerminalBenutzerSetIDIndex iDIndex;
			protected TerminalBenutzerSetTMaNrAnmNaIndex tMaNrAnmNaIndex;
			protected TerminalBenutzerSetAnmNaIndex anmNaIndex;
		
			internal IndicesClass(TerminalBenutzerSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new TerminalBenutzerSetIDIndex(parentSet.DataSet);
				tMaNrAnmNaIndex = new TerminalBenutzerSetTMaNrAnmNaIndex(parentSet.DataSet);
				anmNaIndex = new TerminalBenutzerSetAnmNaIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public TerminalBenutzerSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Terminal-Mandant Nummer</summary>
			public TerminalBenutzerSetTMaNrAnmNaIndex TMaNrAnmNaIndex
			{
				get { return tMaNrAnmNaIndex; }
			}
			
			/// <summary>Anmeldename</summary>
			public TerminalBenutzerSetAnmNaIndex AnmNaIndex
			{
				get { return anmNaIndex; }
			}
			
		
			#endregion
		}

		public TerminalBenutzerSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
