using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class TerminalMandantenSet : BpnEntitySet<TerminalMandanten>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "TerminalMandanten";
			
		public static TerminalMandantenSet CreateInstance(BpnConnection connection)
		{
		    var terminalmandantensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var terminalmandantensetDataSet = terminalmandantensetInfo.CreateDataSet();
		
		    var ret = new TerminalMandantenSet(terminalmandantensetDataSet);
		    return ret;
		}
		
		internal TerminalMandantenSet(BpNT.AutoDataSet terminalmandantenDataSet) 
			: base(terminalmandantenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected TerminalMandantenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new TerminalMandantenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected TerminalMandantenSet parentSet;
		
			protected TerminalMandantenSetIDIndex iDIndex;
			protected TerminalMandantenSetNrIndex nrIndex;
			protected TerminalMandantenSetBezIndex bezIndex;
		
			internal IndicesClass(TerminalMandantenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new TerminalMandantenSetIDIndex(parentSet.DataSet);
				nrIndex = new TerminalMandantenSetNrIndex(parentSet.DataSet);
				bezIndex = new TerminalMandantenSetBezIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public TerminalMandantenSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Nummer</summary>
			public TerminalMandantenSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public TerminalMandantenSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
		
			#endregion
		}

		public TerminalMandantenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
