using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VersandArchivSet : BpnEntitySet<VersandArchiv>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "VersandArchiv";
			
		public static VersandArchivSet CreateInstance(BpnConnection connection)
		{
		    var versandarchivsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var versandarchivsetDataSet = versandarchivsetInfo.CreateDataSet();
		
		    var ret = new VersandArchivSet(versandarchivsetDataSet);
		    return ret;
		}
		
		internal VersandArchivSet(BpNT.AutoDataSet versandarchivDataSet) 
			: base(versandarchivDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected VersandArchivSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new VersandArchivSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected VersandArchivSet parentSet;
		
			protected VersandArchivSetHiDatIndex hiDatIndex;
			protected VersandArchivSetVsdHiDatIndex vsdHiDatIndex;
			protected VersandArchivSetIDIndex iDIndex;
			protected VersandArchivSetPktNrIndex pktNrIndex;
			protected VersandArchivSetVsdArtLfdPktNrIndex vsdArtLfdPktNrIndex;
			protected VersandArchivSetAdrNrIndex adrNrIndex;
			protected VersandArchivSetAdrNrDatIndex adrNrDatIndex;
			protected VersandArchivSetBelegNrIndex belegNrIndex;
			protected VersandArchivSetPrjNrIndex prjNrIndex;
			protected VersandArchivSetVsdPktNrIndex vsdPktNrIndex;
			protected VersandArchivSetVsdAdrNrIndex vsdAdrNrIndex;
			protected VersandArchivSetVsdBelegNrIndex vsdBelegNrIndex;
		
			internal IndicesClass(VersandArchivSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				hiDatIndex = new VersandArchivSetHiDatIndex(parentSet.DataSet);
				vsdHiDatIndex = new VersandArchivSetVsdHiDatIndex(parentSet.DataSet);
				iDIndex = new VersandArchivSetIDIndex(parentSet.DataSet);
				pktNrIndex = new VersandArchivSetPktNrIndex(parentSet.DataSet);
				vsdArtLfdPktNrIndex = new VersandArchivSetVsdArtLfdPktNrIndex(parentSet.DataSet);
				adrNrIndex = new VersandArchivSetAdrNrIndex(parentSet.DataSet);
				adrNrDatIndex = new VersandArchivSetAdrNrDatIndex(parentSet.DataSet);
				belegNrIndex = new VersandArchivSetBelegNrIndex(parentSet.DataSet);
				prjNrIndex = new VersandArchivSetPrjNrIndex(parentSet.DataSet);
				vsdPktNrIndex = new VersandArchivSetVsdPktNrIndex(parentSet.DataSet);
				vsdAdrNrIndex = new VersandArchivSetVsdAdrNrIndex(parentSet.DataSet);
				vsdBelegNrIndex = new VersandArchivSetVsdBelegNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Historydatum</summary>
			public VersandArchivSetHiDatIndex HiDatIndex
			{
				get { return hiDatIndex; }
			}
			
			/// <summary>Historydatum</summary>
			public VersandArchivSetVsdHiDatIndex VsdHiDatIndex
			{
				get { return vsdHiDatIndex; }
			}
			
			/// <summary>ID</summary>
			public VersandArchivSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Paketnummer</summary>
			public VersandArchivSetPktNrIndex PktNrIndex
			{
				get { return pktNrIndex; }
			}
			
			/// <summary>Versandart</summary>
			public VersandArchivSetVsdArtLfdPktNrIndex VsdArtLfdPktNrIndex
			{
				get { return vsdArtLfdPktNrIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public VersandArchivSetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
			/// <summary>Adressnummer & Datum</summary>
			public VersandArchivSetAdrNrDatIndex AdrNrDatIndex
			{
				get { return adrNrDatIndex; }
			}
			
			/// <summary>Belegnummer</summary>
			public VersandArchivSetBelegNrIndex BelegNrIndex
			{
				get { return belegNrIndex; }
			}
			
			/// <summary>Projektnummer</summary>
			public VersandArchivSetPrjNrIndex PrjNrIndex
			{
				get { return prjNrIndex; }
			}
			
			/// <summary>Paketnummer</summary>
			public VersandArchivSetVsdPktNrIndex VsdPktNrIndex
			{
				get { return vsdPktNrIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public VersandArchivSetVsdAdrNrIndex VsdAdrNrIndex
			{
				get { return vsdAdrNrIndex; }
			}
			
			/// <summary>Belegnummer</summary>
			public VersandArchivSetVsdBelegNrIndex VsdBelegNrIndex
			{
				get { return vsdBelegNrIndex; }
			}
			
		
			#endregion
		}

		public VersandArchivSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
