using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VersandArten : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "VersandArten";
			
		public static VersandArten CreateInstance(BpnConnection connection)
		{
		    var versandartenInfo = connection.GetDataSetInfo(DS_NAME);
		    var versandartenDataSet = versandartenInfo.CreateDataSet();
		
		    var ret = new VersandArten(versandartenDataSet);
		    return ret;
		}
		
		public VersandArten(BpNT.AutoDataSet versandartenDataSet) 
			: base(versandartenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>Nummer ( Integer )</summary>
		public virtual Int32 Nr
		{
			get { return Convert.ToInt32(this["Nr"]); }
			set { this["Nr"] = value; }
		}
		/// <summary>Versender ( String )</summary>
		public virtual String Versender
		{
			get { return Convert.ToString(this["Versender"]); }
			set { this["Versender"] = value; }
		}
		/// <summary>Zeilennummer ( SmallInt )</summary>
		public virtual Object ZeilenNr
		{
			get { return this["ZeilenNr"]; }
			set { this["ZeilenNr"] = value; }
		}
		/// <summary>Versandart ( String )</summary>
		public virtual String VsdArt
		{
			get { return Convert.ToString(this["VsdArt"]); }
			set { this["VsdArt"] = value; }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Kundennummer ( String )</summary>
		public virtual String KdNr
		{
			get { return Convert.ToString(this["KdNr"]); }
			set { this["KdNr"] = value; }
		}
		/// <summary>nchste Absendebelegnummer ( String )</summary>
		public virtual String NAbsBelegNr
		{
			get { return Convert.ToString(this["NAbsBelegNr"]); }
			set { this["NAbsBelegNr"] = value; }
		}
		/// <summary>Inklusive Steuer ( Boolean )</summary>
		public virtual Object IklStKz
		{
			get { return this["IklStKz"]; }
		}
		/// <summary>Steuerschlssel ( Byte )</summary>
		public virtual Object StSchl
		{
			get { return this["StSchl"]; }
			set { this["StSchl"] = value; }
		}
		/// <summary>Paketnummernkreis ( Integer )</summary>
		public virtual Int32 PktNrKreis
		{
			get { return Convert.ToInt32(this["PktNrKreis"]); }
			set { this["PktNrKreis"] = value; }
		}
		/// <summary>Art der Prfziffer ( Integer )</summary>
		public virtual Int32 PrfZiffer
		{
			get { return Convert.ToInt32(this["PrfZiffer"]); }
			set { this["PrfZiffer"] = value; }
		}
		/// <summary>nchste laufende Paketnummer ( String )</summary>
		public virtual String PktLfdNr
		{
			get { return Convert.ToString(this["PktLfdNr"]); }
			set { this["PktLfdNr"] = value; }
		}
		/// <summary>Layout fr Paketnummer ( String )</summary>
		public virtual String PktNrLay
		{
			get { return Convert.ToString(this["PktNrLay"]); }
			set { this["PktNrLay"] = value; }
		}
		/// <summary>Optimierung der Paketnummer ( Boolean )</summary>
		public virtual Object PktNrOpt
		{
			get { return this["PktNrOpt"]; }
		}
		/// <summary>Register "Nachnahme" ausblenden ( Boolean )</summary>
		public virtual Object RegNNKz
		{
			get { return this["RegNNKz"]; }
		}
		/// <summary>Register "Versicherung" ausblenden ( Boolean )</summary>
		public virtual Object RegVersKz
		{
			get { return this["RegVersKz"]; }
		}
		/// <summary>Register "Aufchlag" ausblenden ( Boolean )</summary>
		public virtual Object RegAufschlagKz
		{
			get { return this["RegAufschlagKz"]; }
		}
		/// <summary>Nur fr Land ( Integer )</summary>
		public virtual Int32 NurLand
		{
			get { return Convert.ToInt32(this["NurLand"]); }
			set { this["NurLand"] = value; }
		}
		/// <summary>Wenn Vorgang storniert wird, Versanddatensatz in Archiv verschieben ( Boolean )</summary>
		public virtual Object VogStornoVerschKz
		{
			get { return this["VogStornoVerschKz"]; }
		}
		/// <summary>Tarif-Spezifikation ( Blob )</summary>
		public virtual Object TarifSpez
		{
			get { return this["TarifSpez"]; }
			set { this["TarifSpez"] = value; }
		}
		/// <summary>AusgabeVerteiler ( BlobTable )</summary>
		public virtual Object AgV
		{
			get { return this["AgV"]; }
			set { this["AgV"] = value; }
		}
		/// <summary>Ausland Packetart ( Integer )</summary>
		public virtual Int32 FpPktArt
		{
			get { return Convert.ToInt32(this["FpPktArt"]); }
			set { this["FpPktArt"] = value; }
		}
		/// <summary>InlNorm ProductCode ( String )</summary>
		public virtual String InlNormPc
		{
			get { return Convert.ToString(this["InlNormPc"]); }
			set { this["InlNormPc"] = value; }
		}
		/// <summary>InlNormNN ProductCode ( String )</summary>
		public virtual String InlNormNNPc
		{
			get { return Convert.ToString(this["InlNormNNPc"]); }
			set { this["InlNormNNPc"] = value; }
		}
		/// <summary>InlMehr ProductCode ( String )</summary>
		public virtual String InlMehrPc
		{
			get { return Convert.ToString(this["InlMehrPc"]); }
			set { this["InlMehrPc"] = value; }
		}
		/// <summary>InlMehrNN ProductCode ( String )</summary>
		public virtual String InlMehrNNPc
		{
			get { return Convert.ToString(this["InlMehrNNPc"]); }
			set { this["InlMehrNNPc"] = value; }
		}
		/// <summary>AuslNorm ProductCode ( String )</summary>
		public virtual String AuslNormPc
		{
			get { return Convert.ToString(this["AuslNormPc"]); }
			set { this["AuslNormPc"] = value; }
		}
		/// <summary>AuslNormNN ProductCode ( String )</summary>
		public virtual String AuslNormNNPc
		{
			get { return Convert.ToString(this["AuslNormNNPc"]); }
			set { this["AuslNormNNPc"] = value; }
		}
		/// <summary>Register "Leitcode" ausblenden ( Boolean )</summary>
		public virtual Object RegDPLCKz
		{
			get { return this["RegDPLCKz"]; }
		}
		/// <summary>UPS Versandart ( String )</summary>
		public virtual String UPSService
		{
			get { return Convert.ToString(this["UPSService"]); }
			set { this["UPSService"] = value; }
		}
		/// <summary>UPS Paket Type ( String )</summary>
		public virtual String UPSPackType
		{
			get { return Convert.ToString(this["UPSPackType"]); }
			set { this["UPSPackType"] = value; }
		}
		/// <summary>UPS Bezahlungsart ( String )</summary>
		public virtual String UPSBillOpt
		{
			get { return Convert.ToString(this["UPSBillOpt"]); }
			set { this["UPSBillOpt"] = value; }
		}
		/// <summary>UPS Samstagzustellung ( String )</summary>
		public virtual String UPSSatDel
		{
			get { return Convert.ToString(this["UPSSatDel"]); }
			set { this["UPSSatDel"] = value; }
		}
		/// <summary>UPS nur Dokumente ( Boolean )</summary>
		public virtual Object UPSDocKz
		{
			get { return this["UPSDocKz"]; }
			set { this["UPSDocKz"] = value; }
		}
		/// <summary>Waren nicht im freiem Umlauf ( Boolean )</summary>
		public virtual Object UPSFreeKz
		{
			get { return this["UPSFreeKz"]; }
			set { this["UPSFreeKz"] = value; }
		}
		/// <summary>Beschreibung der Sendung ( String )</summary>
		public virtual String UPSBesch
		{
			get { return Convert.ToString(this["UPSBesch"]); }
			set { this["UPSBesch"] = value; }
		}
		/// <summary>Sperriges Transportgut ( Boolean )</summary>
		public virtual Object UPSHandlingKz
		{
			get { return this["UPSHandlingKz"]; }
		}
		/// <summary>UPS Empfangsbesttigung anfordern ( Boolean )</summary>
		public virtual Object UPSEmpfKz
		{
			get { return this["UPSEmpfKz"]; }
		}
		/// <summary>UPS Versandnachricht anfordern ( Boolean )</summary>
		public virtual Object UPSEMailKz
		{
			get { return this["UPSEMailKz"]; }
		}
		/// <summary>Versandnachricht Info ( String )</summary>
		public virtual String UPSEMailInfo
		{
			get { return Convert.ToString(this["UPSEMailInfo"]); }
			set { this["UPSEMailInfo"] = value; }
		}
		/// <summary>E-Mail im Fehlerfall ( String )</summary>
		public virtual String EMailErr
		{
			get { return Convert.ToString(this["EMailErr"]); }
			set { this["EMailErr"] = value; }
		}
		/// <summary>Register "WorldShip" ausblenden ( Boolean )</summary>
		public virtual Object RegUPSWorldShipKz
		{
			get { return this["RegUPSWorldShipKz"]; }
		}
		/// <summary>Register "Zonen" ausblenden (Tarif gilt fr allen Zonen) ( Boolean )</summary>
		public virtual Object RegZoneKz
		{
			get { return this["RegZoneKz"]; }
		}
		/// <summary>Keinen Versanddatensatz erstellen (z.B.: Versandart Abholung) ( Boolean )</summary>
		public virtual Object AbholungKz
		{
			get { return this["AbholungKz"]; }
		}
		/// <summary>Zonen mit Lnderkennzeichen verwalten ( Boolean )</summary>
		public virtual Object LandInZoneKz
		{
			get { return this["LandInZoneKz"]; }
		}
		/// <summary>UPS Kundennummer ( String )</summary>
		public virtual String UPSKdNR
		{
			get { return Convert.ToString(this["UPSKdNR"]); }
			set { this["UPSKdNR"] = value; }
		}
		/// <summary>E-Mail fr Empfangsbesttigung ( String )</summary>
		public virtual String UPSEmpfEMail
		{
			get { return Convert.ToString(this["UPSEmpfEMail"]); }
			set { this["UPSEmpfEMail"] = value; }
		}
		/// <summary>Unterschrift eines Erwachsenen ( Boolean )</summary>
		public virtual Object UPSAdultKzKz
		{
			get { return this["UPSAdultKzKz"]; }
		}
		/// <summary>UPS Samstagzustellung ( Boolean )</summary>
		public virtual Object UPSSatDelKz
		{
			get { return this["UPSSatDelKz"]; }
		}
		/// <summary>UPS WorldShip 9 Formartierung ( Boolean )</summary>
		public virtual Object UPSWSV9Kz
		{
			get { return this["UPSWSV9Kz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>RecordRevision ( SmallInt )</summary>
		public virtual Object RecRev
		{
			get { return this["RecRev"]; }
			set { this["RecRev"] = value; }
		}


		#endregion
	}
}
