using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VersandArtenSet : BpnEntitySet<VersandArten>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "VersandArten";
			
		public static VersandArtenSet CreateInstance(BpnConnection connection)
		{
		    var versandartensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var versandartensetDataSet = versandartensetInfo.CreateDataSet();
		
		    var ret = new VersandArtenSet(versandartensetDataSet);
		    return ret;
		}
		
		internal VersandArtenSet(BpNT.AutoDataSet versandartenDataSet) 
			: base(versandartenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected VersandArtenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new VersandArtenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected VersandArtenSet parentSet;
		
			protected VersandArtenSetNrIndex nrIndex;
			protected VersandArtenSetVersenderIndex versenderIndex;
			protected VersandArtenSetZeilenNrIndex zeilenNrIndex;
		
			internal IndicesClass(VersandArtenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				nrIndex = new VersandArtenSetNrIndex(parentSet.DataSet);
				versenderIndex = new VersandArtenSetVersenderIndex(parentSet.DataSet);
				zeilenNrIndex = new VersandArtenSetZeilenNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Nummer</summary>
			public VersandArtenSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Versender</summary>
			public VersandArtenSetVersenderIndex VersenderIndex
			{
				get { return versenderIndex; }
			}
			
			/// <summary>ZeilenNr</summary>
			public VersandArtenSetZeilenNrIndex ZeilenNrIndex
			{
				get { return zeilenNrIndex; }
			}
			
		
			#endregion
		}

		public VersandArtenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
