using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Vertreter : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Vertreter";
			
		public static Vertreter CreateInstance(BpnConnection connection)
		{
		    var vertreterInfo = connection.GetDataSetInfo(DS_NAME);
		    var vertreterDataSet = vertreterInfo.CreateDataSet();
		
		    var ret = new Vertreter(vertreterDataSet);
		    return ret;
		}
		
		public Vertreter(BpNT.AutoDataSet vertreterDataSet) 
			: base(vertreterDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Vertreternummer ( String )</summary>
		public virtual String VtrNr
		{
			get { return Convert.ToString(this["VtrNr"]); }
			set { this["VtrNr"] = value; }
		}
		/// <summary>Suchbegriff ( String )</summary>
		public virtual String SuchBeg
		{
			get { return Convert.ToString(this["SuchBeg"]); }
			set { this["SuchBeg"] = value; }
		}
		/// <summary>Name 1 (Anrede) ( String )</summary>
		public virtual String Na1
		{
			get { return Convert.ToString(this["Na1"]); }
			set { this["Na1"] = value; }
		}
		/// <summary>Name 2 ( String )</summary>
		public virtual String Na2
		{
			get { return Convert.ToString(this["Na2"]); }
			set { this["Na2"] = value; }
		}
		/// <summary>Name 3 (Zusatz) ( String )</summary>
		public virtual String Na3
		{
			get { return Convert.ToString(this["Na3"]); }
			set { this["Na3"] = value; }
		}
		/// <summary>Strae ( String )</summary>
		public virtual String Str
		{
			get { return Convert.ToString(this["Str"]); }
			set { this["Str"] = value; }
		}
		/// <summary>Land ( Integer )</summary>
		public virtual Int32 Land
		{
			get { return Convert.ToInt32(this["Land"]); }
			set { this["Land"] = value; }
		}
		/// <summary>Lnderkennzeichen ( String )</summary>
		public virtual String LandKennz
		{
			get { return Convert.ToString(this["LandKennz"]); }
		}
		/// <summary>Postleitzahl ( String )</summary>
		public virtual String PLZ
		{
			get { return Convert.ToString(this["PLZ"]); }
			set { this["PLZ"] = value; }
		}
		/// <summary>Land & PLZ ( String )</summary>
		public virtual String PLZInfo
		{
			get { return Convert.ToString(this["PLZInfo"]); }
		}
		/// <summary>Ort ( String )</summary>
		public virtual String Ort
		{
			get { return Convert.ToString(this["Ort"]); }
			set { this["Ort"] = value; }
		}
		/// <summary>PLZ & Ort ( String )</summary>
		public virtual String PLZOrtInfo
		{
			get { return Convert.ToString(this["PLZOrtInfo"]); }
		}
		/// <summary>Postfach ( String )</summary>
		public virtual String Postf
		{
			get { return Convert.ToString(this["Postf"]); }
			set { this["Postf"] = value; }
		}
		/// <summary>Postfach Postleitzahl ( String )</summary>
		public virtual String PfPLZ
		{
			get { return Convert.ToString(this["PfPLZ"]); }
			set { this["PfPLZ"] = value; }
		}
		/// <summary>Postfach Ort ( String )</summary>
		public virtual String PfOrt
		{
			get { return Convert.ToString(this["PfOrt"]); }
			set { this["PfOrt"] = value; }
		}
		/// <summary>Telefon 1 ( String )</summary>
		public virtual String Tel1
		{
			get { return Convert.ToString(this["Tel1"]); }
			set { this["Tel1"] = value; }
		}
		/// <summary>Telefon 2 ( String )</summary>
		public virtual String Tel2
		{
			get { return Convert.ToString(this["Tel2"]); }
			set { this["Tel2"] = value; }
		}
		/// <summary>Telefon 3 ( String )</summary>
		public virtual String Tel3
		{
			get { return Convert.ToString(this["Tel3"]); }
			set { this["Tel3"] = value; }
		}
		/// <summary>Mobil-Telefon ( String )</summary>
		public virtual String MTel
		{
			get { return Convert.ToString(this["MTel"]); }
			set { this["MTel"] = value; }
		}
		/// <summary>Telefax ( String )</summary>
		public virtual String Fax
		{
			get { return Convert.ToString(this["Fax"]); }
			set { this["Fax"] = value; }
		}
		/// <summary>Webseite ( String )</summary>
		public virtual String WSeite
		{
			get { return Convert.ToString(this["WSeite"]); }
			set { this["WSeite"] = value; }
		}
		/// <summary>E-Mail 1 ( String )</summary>
		public virtual String EMail1
		{
			get { return Convert.ToString(this["EMail1"]); }
			set { this["EMail1"] = value; }
		}
		/// <summary>E-Mail 2 ( String )</summary>
		public virtual String EMail2
		{
			get { return Convert.ToString(this["EMail2"]); }
			set { this["EMail2"] = value; }
		}
		/// <summary>Kommunikation ( BlobTable )</summary>
		public virtual Object Kom
		{
			get { return this["Kom"]; }
			set { this["Kom"] = value; }
		}
		/// <summary>Steuernummer (Finanzamt) ( String )</summary>
		public virtual String SteuNr
		{
			get { return Convert.ToString(this["SteuNr"]); }
			set { this["SteuNr"] = value; }
		}
		/// <summary>Grundlage fr provisionsfhigen Betrag ( Integer )</summary>
		public virtual Int32 GlProvBet
		{
			get { return Convert.ToInt32(this["GlProvBet"]); }
			set { this["GlProvBet"] = value; }
		}
		/// <summary>Formel fr provisionsfhigen Betrag ( String )</summary>
		public virtual String FlProvBet
		{
			get { return Convert.ToString(this["FlProvBet"]); }
			set { this["FlProvBet"] = value; }
		}
		/// <summary>Provisionssatz (in %) ( Double )</summary>
		public virtual Object ProvSz
		{
			get { return this["ProvSz"]; }
			set { this["ProvSz"] = value; }
		}
		/// <summary>Memo-Information ( Info )</summary>
		public virtual Object Memo
		{
			get { return this["Memo"]; }
			set { this["Memo"] = value; }
		}
		/// <summary>Memo-Information Kennzeichen ( Boolean )</summary>
		public virtual Object MemoKz
		{
			get { return this["MemoKz"]; }
		}
		/// <summary>Geburtsdatum ( Date )</summary>
		public virtual DateTime GebDat
		{
			get { return Convert.ToDateTime(this["GebDat"]); }
			set { this["GebDat"] = value; }
		}
		/// <summary>Alter aufgrund Geburtsdatum ( Integer )</summary>
		public virtual Int32 GebDatAlter
		{
			get { return Convert.ToInt32(this["GebDatAlter"]); }
		}
		/// <summary>Bild ( Bild )</summary>
		public virtual Object Bild
		{
			get { return this["Bild"]; }
			set { this["Bild"] = value; }
		}
		/// <summary>Bild Kennzeichen ( Boolean )</summary>
		public virtual Object BildKz
		{
			get { return this["BildKz"]; }
		}
		/// <summary>Bankleitzahl ( String )</summary>
		public virtual String BLZ
		{
			get { return Convert.ToString(this["BLZ"]); }
			set { this["BLZ"] = value; }
		}
		/// <summary>laufende Banknummer ( Integer )</summary>
		public virtual Int32 BLZNr
		{
			get { return Convert.ToInt32(this["BLZNr"]); }
			set { this["BLZNr"] = value; }
		}
		/// <summary>Bankkurzbezeichnung ( String )</summary>
		public virtual String BkKuBez
		{
			get { return Convert.ToString(this["BkKuBez"]); }
		}
		/// <summary>Kontonummer fr Bankverbindung ( String )</summary>
		public virtual String KNr
		{
			get { return Convert.ToString(this["KNr"]); }
			set { this["KNr"] = value; }
		}
		/// <summary>Zahlungsart ( Integer )</summary>
		public virtual Int32 ZahlArt
		{
			get { return Convert.ToInt32(this["ZahlArt"]); }
			set { this["ZahlArt"] = value; }
		}
		/// <summary>Hausbank ( Integer )</summary>
		public virtual Int32 ZahlHBk
		{
			get { return Convert.ToInt32(this["ZahlHBk"]); }
			set { this["ZahlHBk"] = value; }
		}
		/// <summary>Name des Kontoinhabers ( String )</summary>
		public virtual String Inhab
		{
			get { return Convert.ToString(this["Inhab"]); }
			set { this["Inhab"] = value; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>VertreterArtProv ( Table )</summary>
		public virtual Object VtrAP
		{
			get { return this["VtrAP"]; }
		}
		/// <summary>VertreterWgrProv ( Table )</summary>
		public virtual Object VtrP
		{
			get { return this["VtrP"]; }
		}
		/// <summary>Umsatz ( BlobTable )</summary>
		public virtual Object Ums
		{
			get { return this["Ums"]; }
			set { this["Ums"] = value; }
		}
		/// <summary>Letzter Umsatz ( Date )</summary>
		public virtual DateTime LtzUmsDat
		{
			get { return Convert.ToDateTime(this["LtzUmsDat"]); }
			set { this["LtzUmsDat"] = value; }
		}
		/// <summary>Verteiler ( Integer )</summary>
		public virtual Int32 Verteiler
		{
			get { return Convert.ToInt32(this["Verteiler"]); }
			set { this["Verteiler"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>QuickInfo ( Array )</summary>
		public virtual Object QuickInfo
		{
			get { return this["QuickInfo"]; }
		}


		#endregion
	}
}
