using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VertreterProvAbr : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "VertreterProvAbr";
			
		public static VertreterProvAbr CreateInstance(BpnConnection connection)
		{
		    var vertreterprovabrInfo = connection.GetDataSetInfo(DS_NAME);
		    var vertreterprovabrDataSet = vertreterprovabrInfo.CreateDataSet();
		
		    var ret = new VertreterProvAbr(vertreterprovabrDataSet);
		    return ret;
		}
		
		public VertreterProvAbr(BpNT.AutoDataSet vertreterprovabrDataSet) 
			: base(vertreterprovabrDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Vertreternummer ( String )</summary>
		public virtual String VtrNr
		{
			get { return Convert.ToString(this["VtrNr"]); }
			set { this["VtrNr"] = value; }
		}
		/// <summary>Vertreter ( String )</summary>
		public virtual String VtrNrInfo
		{
			get { return Convert.ToString(this["VtrNrInfo"]); }
		}
		/// <summary>Adressnummer ( String )</summary>
		public virtual String AdrNr
		{
			get { return Convert.ToString(this["AdrNr"]); }
			set { this["AdrNr"] = value; }
		}
		/// <summary>Anschriftennummer ( Integer )</summary>
		public virtual Int32 AnsNr
		{
			get { return Convert.ToInt32(this["AnsNr"]); }
			set { this["AnsNr"] = value; }
		}
		/// <summary>Adresse ( String )</summary>
		public virtual String AdrNrInfo
		{
			get { return Convert.ToString(this["AdrNrInfo"]); }
		}
		/// <summary>Flags ( Byte )</summary>
		public virtual Object Flags
		{
			get { return this["Flags"]; }
			set { this["Flags"] = value; }
		}
		/// <summary>Wurde storniert ( Boolean )</summary>
		public virtual Object StornoKz
		{
			get { return this["StornoKz"]; }
		}
		/// <summary>Eintrag wurde ber Gutschrift erstellt ( Boolean )</summary>
		public virtual Object GutschriftKz
		{
			get { return this["GutschriftKz"]; }
		}
		/// <summary>Gutschrift wurde storniert ( Boolean )</summary>
		public virtual Object GutStornoKz
		{
			get { return this["GutStornoKz"]; }
		}
		/// <summary>Belegnummer ( String )</summary>
		public virtual String BelegNr
		{
			get { return Convert.ToString(this["BelegNr"]); }
			set { this["BelegNr"] = value; }
		}
		/// <summary>Belegpositionsnummer ( SmallInt )</summary>
		public virtual Object BelegPosNr
		{
			get { return this["BelegPosNr"]; }
			set { this["BelegPosNr"] = value; }
		}
		/// <summary>Projektnummer ( String )</summary>
		public virtual String PrjNr
		{
			get { return Convert.ToString(this["PrjNr"]); }
			set { this["PrjNr"] = value; }
		}
		/// <summary>Projekt ( String )</summary>
		public virtual String PrjNrInfo
		{
			get { return Convert.ToString(this["PrjNrInfo"]); }
		}
		/// <summary>Auftragsnummer ( String )</summary>
		public virtual String AuftrNr
		{
			get { return Convert.ToString(this["AuftrNr"]); }
			set { this["AuftrNr"] = value; }
		}
		/// <summary>Datum ( Date )</summary>
		public virtual DateTime Dat
		{
			get { return Convert.ToDateTime(this["Dat"]); }
			set { this["Dat"] = value; }
		}
		/// <summary>Artikelnummer ( String )</summary>
		public virtual String ArtNr
		{
			get { return Convert.ToString(this["ArtNr"]); }
			set { this["ArtNr"] = value; }
		}
		/// <summary>Artikel ( String )</summary>
		public virtual String ArtNrInfo
		{
			get { return Convert.ToString(this["ArtNrInfo"]); }
		}
		/// <summary>Warengruppennummer ( String )</summary>
		public virtual String WgrNr
		{
			get { return Convert.ToString(this["WgrNr"]); }
			set { this["WgrNr"] = value; }
		}
		/// <summary>Warengruppe ( String )</summary>
		public virtual String WgrNrInfo
		{
			get { return Convert.ToString(this["WgrNrInfo"]); }
		}
		/// <summary>Menge ( Double )</summary>
		public virtual Object Mge
		{
			get { return this["Mge"]; }
			set { this["Mge"] = value; }
		}
		/// <summary>Einzel-Ek (fr Roherls) ( Double )</summary>
		public virtual Object EEkRoh
		{
			get { return this["EEkRoh"]; }
		}
		/// <summary>ges. Einkaufspreis (Roherls) ( Double )</summary>
		public virtual Object GEkRoh
		{
			get { return this["GEkRoh"]; }
			set { this["GEkRoh"] = value; }
		}
		/// <summary>Einzel-Rabattbetrag (Netto) ( Double )</summary>
		public virtual Object ERabBetNt
		{
			get { return this["ERabBetNt"]; }
		}
		/// <summary>ges. Rabattbetrag ( Double )</summary>
		public virtual Object GRabBet
		{
			get { return this["GRabBet"]; }
			set { this["GRabBet"] = value; }
		}
		/// <summary>Einzel Verkaufspreis ( Double )</summary>
		public virtual Object EVk
		{
			get { return this["EVk"]; }
		}
		/// <summary>ges. Verkaufspreis ( Double )</summary>
		public virtual Object GVk
		{
			get { return this["GVk"]; }
			set { this["GVk"] = value; }
		}
		/// <summary>Einzelpreis den Kunde bezahlt hat ( Double )</summary>
		public virtual Object KdBezEPr
		{
			get { return this["KdBezEPr"]; }
		}
		/// <summary>Betrag den Kunde bezahlt hat ( Double )</summary>
		public virtual Object KdBezBet
		{
			get { return this["KdBezBet"]; }
			set { this["KdBezBet"] = value; }
		}
		/// <summary>Restbetrag ist Preisnachlass ( Boolean )</summary>
		public virtual Object RBetPrNaKz
		{
			get { return this["RBetPrNaKz"]; }
		}
		/// <summary>Formel fr provisionsfhigen Betrag ( String )</summary>
		public virtual String FlProvBet
		{
			get { return Convert.ToString(this["FlProvBet"]); }
			set { this["FlProvBet"] = value; }
		}
		/// <summary>provisionsfhiger Betrag ( Double )</summary>
		public virtual Object ProvFBet
		{
			get { return this["ProvFBet"]; }
		}
		/// <summary>Provisionssatz (in %) ( Double )</summary>
		public virtual Object ProvSz
		{
			get { return this["ProvSz"]; }
			set { this["ProvSz"] = value; }
		}
		/// <summary>Provisionsbetrag ( Double )</summary>
		public virtual Object ProvBet
		{
			get { return this["ProvBet"]; }
		}
		/// <summary>ausgezahlter Provisionsbetrag ( Double )</summary>
		public virtual Object ProvBetAus
		{
			get { return this["ProvBetAus"]; }
			set { this["ProvBetAus"] = value; }
		}
		/// <summary>offener Provisionsbetrag ( Double )</summary>
		public virtual Object ProvBetOff
		{
			get { return this["ProvBetOff"]; }
		}
		/// <summary>Provision komplett ausgezahlt ( Boolean )</summary>
		public virtual Object ProvKAusKz
		{
			get { return this["ProvKAusKz"]; }
		}
		/// <summary>Historydatum ( DateTime )</summary>
		public virtual DateTime HyDat
		{
			get { return Convert.ToDateTime(this["HyDat"]); }
			set { this["HyDat"] = value; }
		}
		/// <summary>Benutzer bei Erstellung des Historyeintrags ( String )</summary>
		public virtual String HyBzr
		{
			get { return Convert.ToString(this["HyBzr"]); }
			set { this["HyBzr"] = value; }
		}
		/// <summary>Historyinformation ( String )</summary>
		public virtual String HyInfo
		{
			get { return Convert.ToString(this["HyInfo"]); }
			set { this["HyInfo"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>QuickInfo ( Array )</summary>
		public virtual Object QuickInfo
		{
			get { return this["QuickInfo"]; }
		}


		#endregion
	}
}
