using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VertreterProvAbrSet : BpnEntitySet<VertreterProvAbr>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "VertreterProvAbr";
			
		public static VertreterProvAbrSet CreateInstance(BpnConnection connection)
		{
		    var vertreterprovabrsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var vertreterprovabrsetDataSet = vertreterprovabrsetInfo.CreateDataSet();
		
		    var ret = new VertreterProvAbrSet(vertreterprovabrsetDataSet);
		    return ret;
		}
		
		internal VertreterProvAbrSet(BpNT.AutoDataSet vertreterprovabrDataSet) 
			: base(vertreterprovabrDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected VertreterProvAbrSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new VertreterProvAbrSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected VertreterProvAbrSet parentSet;
		
			protected VertreterProvAbrSetIDIndex iDIndex;
			protected VertreterProvAbrSetVtrNrIndex vtrNrIndex;
			protected VertreterProvAbrSetAdrNrIndex adrNrIndex;
			protected VertreterProvAbrSetBelegNrIndex belegNrIndex;
			protected VertreterProvAbrSetAuftrNrIndex auftrNrIndex;
			protected VertreterProvAbrSetDatIndex datIndex;
			protected VertreterProvAbrSetArtNrIndex artNrIndex;
			protected VertreterProvAbrSetVtrNrWgrNrDatIndex vtrNrWgrNrDatIndex;
		
			internal IndicesClass(VertreterProvAbrSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new VertreterProvAbrSetIDIndex(parentSet.DataSet);
				vtrNrIndex = new VertreterProvAbrSetVtrNrIndex(parentSet.DataSet);
				adrNrIndex = new VertreterProvAbrSetAdrNrIndex(parentSet.DataSet);
				belegNrIndex = new VertreterProvAbrSetBelegNrIndex(parentSet.DataSet);
				auftrNrIndex = new VertreterProvAbrSetAuftrNrIndex(parentSet.DataSet);
				datIndex = new VertreterProvAbrSetDatIndex(parentSet.DataSet);
				artNrIndex = new VertreterProvAbrSetArtNrIndex(parentSet.DataSet);
				vtrNrWgrNrDatIndex = new VertreterProvAbrSetVtrNrWgrNrDatIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public VertreterProvAbrSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Vertreternummer</summary>
			public VertreterProvAbrSetVtrNrIndex VtrNrIndex
			{
				get { return vtrNrIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public VertreterProvAbrSetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
			/// <summary>Belegnummer</summary>
			public VertreterProvAbrSetBelegNrIndex BelegNrIndex
			{
				get { return belegNrIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public VertreterProvAbrSetAuftrNrIndex AuftrNrIndex
			{
				get { return auftrNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public VertreterProvAbrSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>Artikelnummer</summary>
			public VertreterProvAbrSetArtNrIndex ArtNrIndex
			{
				get { return artNrIndex; }
			}
			
			/// <summary>VtrNrWgrNrDat</summary>
			public VertreterProvAbrSetVtrNrWgrNrDatIndex VtrNrWgrNrDatIndex
			{
				get { return vtrNrWgrNrDatIndex; }
			}
			
		
			#endregion
		}

		public VertreterProvAbrSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
