using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VertreterSet : BpnEntitySet<Vertreter>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Vertreter";
			
		public static VertreterSet CreateInstance(BpnConnection connection)
		{
		    var vertretersetInfo = connection.GetDataSetInfo(DS_NAME);
		    var vertretersetDataSet = vertretersetInfo.CreateDataSet();
		
		    var ret = new VertreterSet(vertretersetDataSet);
		    return ret;
		}
		
		internal VertreterSet(BpNT.AutoDataSet vertreterDataSet) 
			: base(vertreterDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected VertreterSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new VertreterSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected VertreterSet parentSet;
		
			protected VertreterSetIDIndex iDIndex;
			protected VertreterSetNrIndex nrIndex;
			protected VertreterSetNrNumIndex nrNumIndex;
			protected VertreterSetSuchBegIndex suchBegIndex;
			protected VertreterSetNa2Index na2Index;
			protected VertreterSetLandPLZIndex landPLZIndex;
			protected VertreterSetPLZIndex pLZIndex;
			protected VertreterSetOrtIndex ortIndex;
			protected VertreterSetTel1Index tel1Index;
			protected VertreterSetLtzUmsatzIndex ltzUmsatzIndex;
		
			internal IndicesClass(VertreterSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new VertreterSetIDIndex(parentSet.DataSet);
				nrIndex = new VertreterSetNrIndex(parentSet.DataSet);
				nrNumIndex = new VertreterSetNrNumIndex(parentSet.DataSet);
				suchBegIndex = new VertreterSetSuchBegIndex(parentSet.DataSet);
				na2Index = new VertreterSetNa2Index(parentSet.DataSet);
				landPLZIndex = new VertreterSetLandPLZIndex(parentSet.DataSet);
				pLZIndex = new VertreterSetPLZIndex(parentSet.DataSet);
				ortIndex = new VertreterSetOrtIndex(parentSet.DataSet);
				tel1Index = new VertreterSetTel1Index(parentSet.DataSet);
				ltzUmsatzIndex = new VertreterSetLtzUmsatzIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public VertreterSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Nummer</summary>
			public VertreterSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Nummer (numerisch)</summary>
			public VertreterSetNrNumIndex NrNumIndex
			{
				get { return nrNumIndex; }
			}
			
			/// <summary>Suchbegriff</summary>
			public VertreterSetSuchBegIndex SuchBegIndex
			{
				get { return suchBegIndex; }
			}
			
			/// <summary>Name 2</summary>
			public VertreterSetNa2Index Na2Index
			{
				get { return na2Index; }
			}
			
			/// <summary>Land</summary>
			public VertreterSetLandPLZIndex LandPLZIndex
			{
				get { return landPLZIndex; }
			}
			
			/// <summary>Postleitzahl</summary>
			public VertreterSetPLZIndex PLZIndex
			{
				get { return pLZIndex; }
			}
			
			/// <summary>Ort</summary>
			public VertreterSetOrtIndex OrtIndex
			{
				get { return ortIndex; }
			}
			
			/// <summary>Telefon 1</summary>
			public VertreterSetTel1Index Tel1Index
			{
				get { return tel1Index; }
			}
			
			/// <summary>Letzter Umsatz</summary>
			public VertreterSetLtzUmsatzIndex LtzUmsatzIndex
			{
				get { return ltzUmsatzIndex; }
			}
			
		
			#endregion
		}

		public VertreterSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
