using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VertreterWgrProvSet : BpnEntitySet<VertreterWgrProv>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "VertreterWgrProv";
			
		public static VertreterWgrProvSet CreateInstance(BpnConnection connection)
		{
		    var vertreterwgrprovsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var vertreterwgrprovsetDataSet = vertreterwgrprovsetInfo.CreateDataSet();
		
		    var ret = new VertreterWgrProvSet(vertreterwgrprovsetDataSet);
		    return ret;
		}
		
		internal VertreterWgrProvSet(BpNT.AutoDataSet vertreterwgrprovDataSet) 
			: base(vertreterwgrprovDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected VertreterWgrProvSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new VertreterWgrProvSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected VertreterWgrProvSet parentSet;
		
			protected VertreterWgrProvSetVtrNrWgrNrIndex vtrNrWgrNrIndex;
			protected VertreterWgrProvSetWgrNrVtrNrIndex wgrNrVtrNrIndex;
		
			internal IndicesClass(VertreterWgrProvSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				vtrNrWgrNrIndex = new VertreterWgrProvSetVtrNrWgrNrIndex(parentSet.DataSet);
				wgrNrVtrNrIndex = new VertreterWgrProvSetWgrNrVtrNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Vertreternummer</summary>
			public VertreterWgrProvSetVtrNrWgrNrIndex VtrNrWgrNrIndex
			{
				get { return vtrNrWgrNrIndex; }
			}
			
			/// <summary>Warengruppennummer</summary>
			public VertreterWgrProvSetWgrNrVtrNrIndex WgrNrVtrNrIndex
			{
				get { return wgrNrVtrNrIndex; }
			}
			
		
			#endregion
		}

		public VertreterWgrProvSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
