using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Vorbestellung : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Vorbestellung";
			
		public static Vorbestellung CreateInstance(BpnConnection connection)
		{
		    var vorbestellungInfo = connection.GetDataSetInfo(DS_NAME);
		    var vorbestellungDataSet = vorbestellungInfo.CreateDataSet();
		
		    var ret = new Vorbestellung(vorbestellungDataSet);
		    return ret;
		}
		
		public Vorbestellung(BpNT.AutoDataSet vorbestellungDataSet) 
			: base(vorbestellungDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Belegnummer ( String )</summary>
		public virtual String BelegNr
		{
			get { return Convert.ToString(this["BelegNr"]); }
			set { this["BelegNr"] = value; }
		}
		/// <summary>Bezeichnung ( Integer )</summary>
		public virtual Int32 Bez
		{
			get { return Convert.ToInt32(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Vorbestellungart ( Integer )</summary>
		public virtual Int32 VbgVbaArt
		{
			get { return Convert.ToInt32(this["VbgVbaArt"]); }
			set { this["VbgVbaArt"] = value; }
		}
		/// <summary>Erledigt um ( DateTime )</summary>
		public virtual DateTime VbgErlDat
		{
			get { return Convert.ToDateTime(this["VbgErlDat"]); }
			set { this["VbgErlDat"] = value; }
		}
		/// <summary>Erledigt nach ( Time )</summary>
		public virtual Object VbgErlNach
		{
			get { return this["VbgErlNach"]; }
			set { this["VbgErlNach"] = value; }
		}
		/// <summary>Erledigt ( Boolean )</summary>
		public virtual Object VbgErlKz
		{
			get { return this["VbgErlKz"]; }
			set { this["VbgErlKz"] = value; }
		}
		/// <summary>Anzahl Vorbestellungspositionen ( Integer )</summary>
		public virtual Int32 VbgVbpAz
		{
			get { return Convert.ToInt32(this["VbgVbpAz"]); }
			set { this["VbgVbpAz"] = value; }
		}
		/// <summary>Anzahl erledigter Vorbestellungspositionen ( Integer )</summary>
		public virtual Int32 VbgVbpErlAz
		{
			get { return Convert.ToInt32(this["VbgVbpErlAz"]); }
			set { this["VbgVbpErlAz"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
