using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VorbestellungPosition : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "VorbestellungPosition";
			
		public static VorbestellungPosition CreateInstance(BpnConnection connection)
		{
		    var vorbestellungpositionInfo = connection.GetDataSetInfo(DS_NAME);
		    var vorbestellungpositionDataSet = vorbestellungpositionInfo.CreateDataSet();
		
		    var ret = new VorbestellungPosition(vorbestellungpositionDataSet);
		    return ret;
		}
		
		public VorbestellungPosition(BpNT.AutoDataSet vorbestellungpositionDataSet) 
			: base(vorbestellungpositionDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Artikelnummer ( String )</summary>
		public virtual String ArtNr
		{
			get { return Convert.ToString(this["ArtNr"]); }
			set { this["ArtNr"] = value; }
		}
		/// <summary>Menge ( Double )</summary>
		public virtual Object Mge
		{
			get { return this["Mge"]; }
			set { this["Mge"] = value; }
		}
		/// <summary>Einheit ( String )</summary>
		public virtual String Einh
		{
			get { return Convert.ToString(this["Einh"]); }
			set { this["Einh"] = value; }
		}
		/// <summary>Belegnummer ( String )</summary>
		public virtual String BelegNr
		{
			get { return Convert.ToString(this["BelegNr"]); }
			set { this["BelegNr"] = value; }
		}
		/// <summary>Belegpositionsnummer ( SmallInt )</summary>
		public virtual Object BelegPosNr
		{
			get { return this["BelegPosNr"]; }
			set { this["BelegPosNr"] = value; }
		}
		/// <summary>Vorbestellungart ( Integer )</summary>
		public virtual Int32 VbpVbaArt
		{
			get { return Convert.ToInt32(this["VbpVbaArt"]); }
			set { this["VbpVbaArt"] = value; }
		}
		/// <summary>Erledigt ( Boolean )</summary>
		public virtual Object VbpErlKz
		{
			get { return this["VbpErlKz"]; }
			set { this["VbpErlKz"] = value; }
		}
		/// <summary>Erledigtdatum ( DateTime )</summary>
		public virtual DateTime VbpErlDat
		{
			get { return Convert.ToDateTime(this["VbpErlDat"]); }
			set { this["VbpErlDat"] = value; }
		}
		/// <summary>Storniert ( Boolean )</summary>
		public virtual Object VbpStoKz
		{
			get { return this["VbpStoKz"]; }
			set { this["VbpStoKz"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
