using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VorgangArchivSet : BpnEntitySet<VorgangArchiv>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "VorgangArchiv";
			
		public static VorgangArchivSet CreateInstance(BpnConnection connection)
		{
		    var vorgangarchivsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var vorgangarchivsetDataSet = vorgangarchivsetInfo.CreateDataSet();
		
		    var ret = new VorgangArchivSet(vorgangarchivsetDataSet);
		    return ret;
		}
		
		internal VorgangArchivSet(BpNT.AutoDataSet vorgangarchivDataSet) 
			: base(vorgangarchivDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected VorgangArchivSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new VorgangArchivSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected VorgangArchivSet parentSet;
		
			protected VorgangArchivSetHiDatIndex hiDatIndex;
			protected VorgangArchivSetArtHiDatIndex artHiDatIndex;
			protected VorgangArchivSetIDIndex iDIndex;
			protected VorgangArchivSetBelegNrIndex belegNrIndex;
			protected VorgangArchivSetPrjNrIndex prjNrIndex;
			protected VorgangArchivSetAuftrNrIndex auftrNrIndex;
			protected VorgangArchivSetSuchBegIndex suchBegIndex;
			protected VorgangArchivSetAdrNrIndex adrNrIndex;
			protected VorgangArchivSetAdrNrDatIndex adrNrDatIndex;
			protected VorgangArchivSetLiAdrNrIndex liAdrNrIndex;
			protected VorgangArchivSetVerkIndex verkIndex;
			protected VorgangArchivSetVtrNrIndex vtrNrIndex;
			protected VorgangArchivSetDatIndex datIndex;
			protected VorgangArchivSetKstNrIndex kstNrIndex;
			protected VorgangArchivSetAucWebIdIndex aucWebIdIndex;
			protected VorgangArchivSetArtBelegNrIndex artBelegNrIndex;
			protected VorgangArchivSetArtPrjNrIndex artPrjNrIndex;
			protected VorgangArchivSetArtAuftrNrIndex artAuftrNrIndex;
			protected VorgangArchivSetArtAdrNrIndex artAdrNrIndex;
			protected VorgangArchivSetArtDatIndex artDatIndex;
			protected VorgangArchivSetArtKstNrIndex artKstNrIndex;
		
			internal IndicesClass(VorgangArchivSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				hiDatIndex = new VorgangArchivSetHiDatIndex(parentSet.DataSet);
				artHiDatIndex = new VorgangArchivSetArtHiDatIndex(parentSet.DataSet);
				iDIndex = new VorgangArchivSetIDIndex(parentSet.DataSet);
				belegNrIndex = new VorgangArchivSetBelegNrIndex(parentSet.DataSet);
				prjNrIndex = new VorgangArchivSetPrjNrIndex(parentSet.DataSet);
				auftrNrIndex = new VorgangArchivSetAuftrNrIndex(parentSet.DataSet);
				suchBegIndex = new VorgangArchivSetSuchBegIndex(parentSet.DataSet);
				adrNrIndex = new VorgangArchivSetAdrNrIndex(parentSet.DataSet);
				adrNrDatIndex = new VorgangArchivSetAdrNrDatIndex(parentSet.DataSet);
				liAdrNrIndex = new VorgangArchivSetLiAdrNrIndex(parentSet.DataSet);
				verkIndex = new VorgangArchivSetVerkIndex(parentSet.DataSet);
				vtrNrIndex = new VorgangArchivSetVtrNrIndex(parentSet.DataSet);
				datIndex = new VorgangArchivSetDatIndex(parentSet.DataSet);
				kstNrIndex = new VorgangArchivSetKstNrIndex(parentSet.DataSet);
				aucWebIdIndex = new VorgangArchivSetAucWebIdIndex(parentSet.DataSet);
				artBelegNrIndex = new VorgangArchivSetArtBelegNrIndex(parentSet.DataSet);
				artPrjNrIndex = new VorgangArchivSetArtPrjNrIndex(parentSet.DataSet);
				artAuftrNrIndex = new VorgangArchivSetArtAuftrNrIndex(parentSet.DataSet);
				artAdrNrIndex = new VorgangArchivSetArtAdrNrIndex(parentSet.DataSet);
				artDatIndex = new VorgangArchivSetArtDatIndex(parentSet.DataSet);
				artKstNrIndex = new VorgangArchivSetArtKstNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Historydatum</summary>
			public VorgangArchivSetHiDatIndex HiDatIndex
			{
				get { return hiDatIndex; }
			}
			
			/// <summary>Historydatum</summary>
			public VorgangArchivSetArtHiDatIndex ArtHiDatIndex
			{
				get { return artHiDatIndex; }
			}
			
			/// <summary>ID</summary>
			public VorgangArchivSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Belegnummer</summary>
			public VorgangArchivSetBelegNrIndex BelegNrIndex
			{
				get { return belegNrIndex; }
			}
			
			/// <summary>Projektnummer</summary>
			public VorgangArchivSetPrjNrIndex PrjNrIndex
			{
				get { return prjNrIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public VorgangArchivSetAuftrNrIndex AuftrNrIndex
			{
				get { return auftrNrIndex; }
			}
			
			/// <summary>Suchbegriff</summary>
			public VorgangArchivSetSuchBegIndex SuchBegIndex
			{
				get { return suchBegIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public VorgangArchivSetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
			/// <summary>Adressnummer & Datum</summary>
			public VorgangArchivSetAdrNrDatIndex AdrNrDatIndex
			{
				get { return adrNrDatIndex; }
			}
			
			/// <summary>Adr.-Nr. der Lieferanschrift</summary>
			public VorgangArchivSetLiAdrNrIndex LiAdrNrIndex
			{
				get { return liAdrNrIndex; }
			}
			
			/// <summary>Verkufer</summary>
			public VorgangArchivSetVerkIndex VerkIndex
			{
				get { return verkIndex; }
			}
			
			/// <summary>Vertreternummer</summary>
			public VorgangArchivSetVtrNrIndex VtrNrIndex
			{
				get { return vtrNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public VorgangArchivSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public VorgangArchivSetKstNrIndex KstNrIndex
			{
				get { return kstNrIndex; }
			}
			
			/// <summary>Auktionsplattform ID</summary>
			public VorgangArchivSetAucWebIdIndex AucWebIdIndex
			{
				get { return aucWebIdIndex; }
			}
			
			/// <summary>Belegnummer</summary>
			public VorgangArchivSetArtBelegNrIndex ArtBelegNrIndex
			{
				get { return artBelegNrIndex; }
			}
			
			/// <summary>Projektnummer</summary>
			public VorgangArchivSetArtPrjNrIndex ArtPrjNrIndex
			{
				get { return artPrjNrIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public VorgangArchivSetArtAuftrNrIndex ArtAuftrNrIndex
			{
				get { return artAuftrNrIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public VorgangArchivSetArtAdrNrIndex ArtAdrNrIndex
			{
				get { return artAdrNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public VorgangArchivSetArtDatIndex ArtDatIndex
			{
				get { return artDatIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public VorgangArchivSetArtKstNrIndex ArtKstNrIndex
			{
				get { return artKstNrIndex; }
			}
			
		
			#endregion
		}

		public VorgangArchivSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
