using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VorgangArtenSet : BpnEntitySet<VorgangArten>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "VorgangArten";
			
		public static VorgangArtenSet CreateInstance(BpnConnection connection)
		{
		    var vorgangartensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var vorgangartensetDataSet = vorgangartensetInfo.CreateDataSet();
		
		    var ret = new VorgangArtenSet(vorgangartensetDataSet);
		    return ret;
		}
		
		internal VorgangArtenSet(BpNT.AutoDataSet vorgangartenDataSet) 
			: base(vorgangartenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected VorgangArtenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new VorgangArtenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected VorgangArtenSet parentSet;
		
			protected VorgangArtenSetNrIndex nrIndex;
			protected VorgangArtenSetZNrIndex zNrIndex;
		
			internal IndicesClass(VorgangArtenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				nrIndex = new VorgangArtenSetNrIndex(parentSet.DataSet);
				zNrIndex = new VorgangArtenSetZNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Nummer</summary>
			public VorgangArtenSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>ZNr</summary>
			public VorgangArtenSetZNrIndex ZNrIndex
			{
				get { return zNrIndex; }
			}
			
		
			#endregion
		}

		public VorgangArtenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
