using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VorgangPositionArchiv : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "VorgangPositionArchiv";
			
		public static VorgangPositionArchiv CreateInstance(BpnConnection connection)
		{
		    var vorgangpositionarchivInfo = connection.GetDataSetInfo(DS_NAME);
		    var vorgangpositionarchivDataSet = vorgangpositionarchivInfo.CreateDataSet();
		
		    var ret = new VorgangPositionArchiv(vorgangpositionarchivDataSet);
		    return ret;
		}
		
		public VorgangPositionArchiv(BpNT.AutoDataSet vorgangpositionarchivDataSet) 
			: base(vorgangpositionarchivDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Belegnummer ( String )</summary>
		public virtual String BelegNr
		{
			get { return Convert.ToString(this["BelegNr"]); }
			set { this["BelegNr"] = value; }
		}
		/// <summary>interne Belegnummer ( Integer )</summary>
		public virtual Int32 IntBelegNr
		{
			get { return Convert.ToInt32(this["IntBelegNr"]); }
			set { this["IntBelegNr"] = value; }
		}
		/// <summary>Zeilennummer ( SmallInt )</summary>
		public virtual Object ZeilenNr
		{
			get { return this["ZeilenNr"]; }
			set { this["ZeilenNr"] = value; }
		}
		/// <summary>Belegpositionsnummer ( SmallInt )</summary>
		public virtual Object BelegPosNr
		{
			get { return this["BelegPosNr"]; }
			set { this["BelegPosNr"] = value; }
		}
		/// <summary>Vorgangsgruppe ( Byte )</summary>
		public virtual Object Grp
		{
			get { return this["Grp"]; }
			set { this["Grp"] = value; }
		}
		/// <summary>Adressnummer ( String )</summary>
		public virtual String AdrNr
		{
			get { return Convert.ToString(this["AdrNr"]); }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Flags 2 ( Integer )</summary>
		public virtual Int32 Flags2
		{
			get { return Convert.ToInt32(this["Flags2"]); }
			set { this["Flags2"] = value; }
		}
		/// <summary>Flags 3 ( Integer )</summary>
		public virtual Int32 Flags3
		{
			get { return Convert.ToInt32(this["Flags3"]); }
			set { this["Flags3"] = value; }
		}
		/// <summary>Eintrag bei Ausgabe ausblenden ( Boolean )</summary>
		public virtual Object AusblendenKz
		{
			get { return this["AusblendenKz"]; }
		}
		/// <summary>Ist Abrechnungsposition ( Boolean )</summary>
		public virtual Object AbrPosKz
		{
			get { return this["AbrPosKz"]; }
		}
		/// <summary>Ebenennummer ( SmallInt )</summary>
		public virtual Object EbenenNr
		{
			get { return this["EbenenNr"]; }
			set { this["EbenenNr"] = value; }
		}
		/// <summary>Positionsnummer ( SmallInt )</summary>
		public virtual Object PosNr
		{
			get { return this["PosNr"]; }
			set { this["PosNr"] = value; }
		}
		/// <summary>Titelnummer ( SmallInt )</summary>
		public virtual Object TitelNr
		{
			get { return this["TitelNr"]; }
			set { this["TitelNr"] = value; }
		}
		/// <summary>Los ( String )</summary>
		public virtual String Los
		{
			get { return Convert.ToString(this["Los"]); }
			set { this["Los"] = value; }
		}
		/// <summary>Position ( String )</summary>
		public virtual String Pos
		{
			get { return Convert.ToString(this["Pos"]); }
			set { this["Pos"] = value; }
		}
		/// <summary>Ebene ( String )</summary>
		public virtual String Ebene
		{
			get { return Convert.ToString(this["Ebene"]); }
			set { this["Ebene"] = value; }
		}
		/// <summary>Ist Alternativ-, Optional-, Rckstands- oder Geliefert-Position ( Boolean )</summary>
		public virtual Object AORGPosKz
		{
			get { return this["AORGPosKz"]; }
		}
		/// <summary>Seitenwechsel ( Boolean )</summary>
		public virtual Object NeueSeiteKz
		{
			get { return this["NeueSeiteKz"]; }
		}
		/// <summary>Artikelnummer ( String )</summary>
		public virtual String ArtNr
		{
			get { return Convert.ToString(this["ArtNr"]); }
			set { this["ArtNr"] = value; }
		}
		/// <summary>Artikelart Info-Image ( Integer )</summary>
		public virtual Int32 ArtArtInfoImg
		{
			get { return Convert.ToInt32(this["ArtArtInfoImg"]); }
		}
		/// <summary>Ist Artikelposition ( Boolean )</summary>
		public virtual Object ArtKz
		{
			get { return this["ArtKz"]; }
		}
		/// <summary>Ist Artikel mit Varianten ( Boolean )</summary>
		public virtual Object ArtMitVarKz
		{
			get { return this["ArtMitVarKz"]; }
		}
		/// <summary>Ist Artikelvariante ( Boolean )</summary>
		public virtual Object ArtVarianteKz
		{
			get { return this["ArtVarianteKz"]; }
		}
		/// <summary>Varianteninfo ( String )</summary>
		public virtual String VarInfo
		{
			get { return Convert.ToString(this["VarInfo"]); }
		}
		/// <summary>Hat Stckliste ( Boolean )</summary>
		public virtual Object ArtSLiKz
		{
			get { return this["ArtSLiKz"]; }
		}
		/// <summary>Ist Stcklisteposition ( Boolean )</summary>
		public virtual Object ArtSLiPosKz
		{
			get { return this["ArtSLiPosKz"]; }
		}
		/// <summary>Ist Fertigungsartikel ( Boolean )</summary>
		public virtual Object FertArtKz
		{
			get { return this["FertArtKz"]; }
		}
		/// <summary>Fertigungsartikel Info-Image ( Integer )</summary>
		public virtual Int32 FertArtInfoImg
		{
			get { return Convert.ToInt32(this["FertArtInfoImg"]); }
		}
		/// <summary>Wandeln ( Boolean )</summary>
		public virtual Object WandelnKz
		{
			get { return this["WandelnKz"]; }
		}
		/// <summary>Gruppenauswahl ( Integer )</summary>
		public virtual Int32 RadioSelKz
		{
			get { return Convert.ToInt32(this["RadioSelKz"]); }
		}
		/// <summary>Ist Titelposition ( Boolean )</summary>
		public virtual Object TitelKz
		{
			get { return this["TitelKz"]; }
		}
		/// <summary>Ist Titelfuss-Position ( Boolean )</summary>
		public virtual Object TitelFusKz
		{
			get { return this["TitelFusKz"]; }
		}
		/// <summary>Ist Floskel-Position ( Boolean )</summary>
		public virtual Object FloskelKz
		{
			get { return this["FloskelKz"]; }
		}
		/// <summary>Ist Zwischensumme ( Boolean )</summary>
		public virtual Object ZWSumKz
		{
			get { return this["ZWSumKz"]; }
		}
		/// <summary>Ist Gruppensumme ( Boolean )</summary>
		public virtual Object GrpSumKz
		{
			get { return this["GrpSumKz"]; }
		}
		/// <summary>Ist Gruppenposition ( Boolean )</summary>
		public virtual Object GrpPosKz
		{
			get { return this["GrpPosKz"]; }
		}
		/// <summary>Ist Rabattsumme (Rabattposition) ( Boolean )</summary>
		public virtual Object RabSumKz
		{
			get { return this["RabSumKz"]; }
		}
		/// <summary>Ist Gesamtbetrags-Summe ( Boolean )</summary>
		public virtual Object GBSumKz
		{
			get { return this["GBSumKz"]; }
		}
		/// <summary>Ist Teilzahlungsposition ( Boolean )</summary>
		public virtual Object TZPosKz
		{
			get { return this["TZPosKz"]; }
		}
		/// <summary>Ist Reserviert ( Boolean )</summary>
		public virtual Object ReservKz
		{
			get { return this["ReservKz"]; }
		}
		/// <summary>Artikel wurde in kundenspezifischem Lager zurckgelegt ( Boolean )</summary>
		public virtual Object ArtZurueckKz
		{
			get { return this["ArtZurueckKz"]; }
		}
		/// <summary>Einzelpreis als Gesamtpreis auswerten ( Boolean )</summary>
		public virtual Object EPrIstGPrKz
		{
			get { return this["EPrIstGPrKz"]; }
		}
		/// <summary>Bezeichnung ( Info )</summary>
		public virtual Object Bez
		{
			get { return this["Bez"]; }
			set { this["Bez"] = value; }
		}
		/// <summary>Bezeichnung Kennzeichen ( Boolean )</summary>
		public virtual Object BezKz
		{
			get { return this["BezKz"]; }
		}
		/// <summary>Positions-Abschlusstext (Nummer) ( Integer )</summary>
		public virtual Int32 PaTxtNr
		{
			get { return Convert.ToInt32(this["PaTxtNr"]); }
			set { this["PaTxtNr"] = value; }
		}
		/// <summary>Abschlusstext ( String )</summary>
		public virtual String AbschlTxt
		{
			get { return Convert.ToString(this["AbschlTxt"]); }
		}
		/// <summary>Felder fr Bezeichnung ( StringList )</summary>
		public virtual Object BezFelder
		{
			get { return this["BezFelder"]; }
			set { this["BezFelder"] = value; }
		}
		/// <summary>Abweichende Artikelnummer ( String )</summary>
		public virtual String AbwArtNr
		{
			get { return Convert.ToString(this["AbwArtNr"]); }
		}
		/// <summary>ID des Servicevertrags ( String )</summary>
		public virtual String SVtID
		{
			get { return Convert.ToString(this["SVtID"]); }
		}
		/// <summary>ID der Stcklistenposition ( String )</summary>
		public virtual String ASlID
		{
			get { return Convert.ToString(this["ASlID"]); }
		}
		/// <summary>Aus Lager (Kennzeichen) ( Byte )</summary>
		public virtual Object AusLag
		{
			get { return this["AusLag"]; }
			set { this["AusLag"] = value; }
		}
		/// <summary>Aus Lagernummer ( String )</summary>
		public virtual String AusLagNr
		{
			get { return Convert.ToString(this["AusLagNr"]); }
			set { this["AusLagNr"] = value; }
		}
		/// <summary>Aus Lagernummer Info ( String )</summary>
		public virtual String AusLagInfoNr
		{
			get { return Convert.ToString(this["AusLagInfoNr"]); }
		}
		/// <summary>Nach Lager (Kennzeichen) ( Byte )</summary>
		public virtual Object NachLag
		{
			get { return this["NachLag"]; }
			set { this["NachLag"] = value; }
		}
		/// <summary>Nach Lagernummer ( String )</summary>
		public virtual String NachLagNr
		{
			get { return Convert.ToString(this["NachLagNr"]); }
			set { this["NachLagNr"] = value; }
		}
		/// <summary>Nach Lagernummer Info ( String )</summary>
		public virtual String NachLagInfoNr
		{
			get { return Convert.ToString(this["NachLagInfoNr"]); }
		}
		/// <summary>Lagerbestandsinfo Image ( Integer )</summary>
		public virtual Int32 LagBstInfoImg
		{
			get { return Convert.ToInt32(this["LagBstInfoImg"]); }
		}
		/// <summary>Bestellnummer ( String )</summary>
		public virtual String BstNr
		{
			get { return Convert.ToString(this["BstNr"]); }
			set { this["BstNr"] = value; }
		}
		/// <summary>Bestell-/Seriennummer(n) ( StringList )</summary>
		public virtual Object BSNr
		{
			get { return this["BSNr"]; }
			set { this["BSNr"] = value; }
		}
		/// <summary>Charge ( StringList )</summary>
		public virtual Object Charge
		{
			get { return this["Charge"]; }
			set { this["Charge"] = value; }
		}
		/// <summary>Fakturierter Lagerbestand ( String )</summary>
		public virtual String FaktLbe
		{
			get { return Convert.ToString(this["FaktLbe"]); }
		}
		/// <summary>Verfallsdatum ( String )</summary>
		public virtual String VerfallDat
		{
			get { return Convert.ToString(this["VerfallDat"]); }
		}
		/// <summary>Einheit ( String )</summary>
		public virtual String Einh
		{
			get { return Convert.ToString(this["Einh"]); }
			set { this["Einh"] = value; }
		}
		/// <summary>Menge ( Double )</summary>
		public virtual Object Mge
		{
			get { return this["Mge"]; }
			set { this["Mge"] = value; }
		}
		/// <summary>Mengenfaktor ( Double )</summary>
		public virtual Object MgeFak
		{
			get { return this["MgeFak"]; }
			set { this["MgeFak"] = value; }
		}
		/// <summary>Buchungsmenge (= Menge * Mengenfaktor) ( Double )</summary>
		public virtual Object BuchMge
		{
			get { return this["BuchMge"]; }
		}
		/// <summary>Liefermenge ( Double )</summary>
		public virtual Object LiefMge
		{
			get { return this["LiefMge"]; }
			set { this["LiefMge"] = value; }
		}
		/// <summary>nicht verbuchter lagerfhiger Artikel ( Boolean )</summary>
		public virtual Object NVbLagArtKz
		{
			get { return this["NVbLagArtKz"]; }
			set { this["NVbLagArtKz"] = value; }
		}
		/// <summary>Lieferdatum ( Date )</summary>
		public virtual DateTime LiefDat
		{
			get { return Convert.ToDateTime(this["LiefDat"]); }
			set { this["LiefDat"] = value; }
		}
		/// <summary>Bereits ausgelieferte Menge ( Double )</summary>
		public virtual Object GLiefMge
		{
			get { return this["GLiefMge"]; }
			set { this["GLiefMge"] = value; }
		}
		/// <summary>Inklusive Steuer ( Boolean )</summary>
		public virtual Object IklStKz
		{
			get { return this["IklStKz"]; }
		}
		/// <summary>Einzel-Ek (fr Kalkulation) ( Double )</summary>
		public virtual Object EEkKalk
		{
			get { return this["EEkKalk"]; }
			set { this["EEkKalk"] = value; }
		}
		/// <summary>Einzel-Ek (fr Roherls) ( Double )</summary>
		public virtual Object EEkRoh
		{
			get { return this["EEkRoh"]; }
		}
		/// <summary>Einzel-Ek (fr Roherls)  in Leitwhrung 1 ( Double )</summary>
		public virtual Object EEkRohL1
		{
			get { return this["EEkRohL1"]; }
		}
		/// <summary>Einzel-Ek (Vorgabe fr Roherls) ( Double )</summary>
		public virtual Object EEkRohVgb
		{
			get { return this["EEkRohVgb"]; }
			set { this["EEkRohVgb"] = value; }
		}
		/// <summary>Einzel-Ek (fr Roherls) Brutto ( Double )</summary>
		public virtual Object EEkRohBrt
		{
			get { return this["EEkRohBrt"]; }
		}
		/// <summary>Einzel Einkaufspreis Vorgabe fr Kalkulation und Roherls ( Double )</summary>
		public virtual Object EEkVgbKalkRoh
		{
			get { return this["EEkVgbKalkRoh"]; }
		}
		/// <summary>Nicht Roherlsfhig ( Boolean )</summary>
		public virtual Object NichtRohKz
		{
			get { return this["NichtRohKz"]; }
		}
		/// <summary>Ist OP Position  ( Boolean )</summary>
		public virtual Object OPKz
		{
			get { return this["OPKz"]; }
		}
		/// <summary>Einzelpreis darf als neuer Einkaufspreis im Lieferanten gebucht werden ( Boolean )</summary>
		public virtual Object EPrAlsEkKz
		{
			get { return this["EPrAlsEkKz"]; }
		}
		/// <summary>Artikelpreisgruppe ( Byte )</summary>
		public virtual Object ArtPrGrp
		{
			get { return this["ArtPrGrp"]; }
			set { this["ArtPrGrp"] = value; }
		}
		/// <summary>Original rabattierter Einzelpreis (Netto, Steuerverteilung aus Einzelpreis!) ( Double )</summary>
		public virtual Object EPrNetOR
		{
			get { return this["EPrNetOR"]; }
		}
		/// <summary>Original rabattierter Einzelpreis (Brutto) ( Double )</summary>
		public virtual Object EPrBrtOR
		{
			get { return this["EPrBrtOR"]; }
			set { this["EPrBrtOR"] = value; }
		}
		/// <summary>Einzelpreis (Berechneter Einzelpreis ohne Mengenfaktor) ( Double )</summary>
		public virtual Object EPreisOMf
		{
			get { return this["EPreisOMf"]; }
		}
		/// <summary>Einzelpreis ( Array )</summary>
		public virtual Object EPr
		{
			get { return this["EPr"]; }
			set { this["EPr"] = value; }
		}
		/// <summary>Einzelpreis [2 Mehrwertsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object EPrM7Nt
		{
			get { return this["EPrM7Nt"]; }
		}
		/// <summary>Einzelpreis [2 Mehrwertsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object EPrM7St
		{
			get { return this["EPrM7St"]; }
		}
		/// <summary>Einzelpreis [2 Mehrwertsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object EPrM7Bt
		{
			get { return this["EPrM7Bt"]; }
		}
		/// <summary>Einzelpreis [3 Mehrwertsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object EPrM16Nt
		{
			get { return this["EPrM16Nt"]; }
		}
		/// <summary>Einzelpreis [3 Mehrwertsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object EPrM16St
		{
			get { return this["EPrM16St"]; }
		}
		/// <summary>Einzelpreis [3 Mehrwertsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object EPrM16Bt
		{
			get { return this["EPrM16Bt"]; }
		}
		/// <summary>Einzelpreis [4 Mehrwertsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object EPrM19Nt
		{
			get { return this["EPrM19Nt"]; }
		}
		/// <summary>Einzelpreis [4 Mehrwertsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object EPrM19St
		{
			get { return this["EPrM19St"]; }
		}
		/// <summary>Einzelpreis [4 Mehrwertsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object EPrM19Bt
		{
			get { return this["EPrM19Bt"]; }
		}
		/// <summary>Einzelpreis [5 Mehrwertsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object EPrM15Nt
		{
			get { return this["EPrM15Nt"]; }
		}
		/// <summary>Einzelpreis [5 Mehrwertsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object EPrM15St
		{
			get { return this["EPrM15St"]; }
		}
		/// <summary>Einzelpreis [5 Mehrwertsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object EPrM15Bt
		{
			get { return this["EPrM15Bt"]; }
		}
		/// <summary>Einzelpreis [6 Vorsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object EPrV19Nt
		{
			get { return this["EPrV19Nt"]; }
		}
		/// <summary>Einzelpreis [6 Vorsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object EPrV19St
		{
			get { return this["EPrV19St"]; }
		}
		/// <summary>Einzelpreis [6 Vorsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object EPrV19Bt
		{
			get { return this["EPrV19Bt"]; }
		}
		/// <summary>Einzelpreis [7 Vorsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object EPrV15Nt
		{
			get { return this["EPrV15Nt"]; }
		}
		/// <summary>Einzelpreis [7 Vorsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object EPrV15St
		{
			get { return this["EPrV15St"]; }
		}
		/// <summary>Einzelpreis [7 Vorsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object EPrV15Bt
		{
			get { return this["EPrV15Bt"]; }
		}
		/// <summary>Einzelpreis [8 Vorsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object EPrV7Nt
		{
			get { return this["EPrV7Nt"]; }
		}
		/// <summary>Einzelpreis [8 Vorsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object EPrV7St
		{
			get { return this["EPrV7St"]; }
		}
		/// <summary>Einzelpreis [8 Vorsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object EPrV7Bt
		{
			get { return this["EPrV7Bt"]; }
		}
		/// <summary>Einzelpreis [9 Vorsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object EPrV16Nt
		{
			get { return this["EPrV16Nt"]; }
		}
		/// <summary>Einzelpreis [9 Vorsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object EPrV16St
		{
			get { return this["EPrV16St"]; }
		}
		/// <summary>Einzelpreis [9 Vorsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object EPrV16Bt
		{
			get { return this["EPrV16Bt"]; }
		}
		/// <summary>Einzelpreis [10 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object EPrUSFNt
		{
			get { return this["EPrUSFNt"]; }
		}
		/// <summary>Einzelpreis [10 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object EPrUSFSt
		{
			get { return this["EPrUSFSt"]; }
		}
		/// <summary>Einzelpreis [10 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object EPrUSFBt
		{
			get { return this["EPrUSFBt"]; }
		}
		/// <summary>Einzelpreis [11 EU Umsatzsteuerfrei mit ID-Nr.] (Netto) ( Double )</summary>
		public virtual Object EPrEFINt
		{
			get { return this["EPrEFINt"]; }
		}
		/// <summary>Einzelpreis [11 EU Umsatzsteuerfrei mit ID-Nr.] (Steuer) ( Double )</summary>
		public virtual Object EPrEFISt
		{
			get { return this["EPrEFISt"]; }
		}
		/// <summary>Einzelpreis [11 EU Umsatzsteuerfrei mit ID-Nr.] (Brutto) ( Double )</summary>
		public virtual Object EPrEFIBt
		{
			get { return this["EPrEFIBt"]; }
		}
		/// <summary>Einzelpreis [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object EPrEM7Nt
		{
			get { return this["EPrEM7Nt"]; }
		}
		/// <summary>Einzelpreis [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object EPrEM7St
		{
			get { return this["EPrEM7St"]; }
		}
		/// <summary>Einzelpreis [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object EPrEM7Bt
		{
			get { return this["EPrEM7Bt"]; }
		}
		/// <summary>Einzelpreis [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object EPrEM16Nt
		{
			get { return this["EPrEM16Nt"]; }
		}
		/// <summary>Einzelpreis [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object EPrEM16St
		{
			get { return this["EPrEM16St"]; }
		}
		/// <summary>Einzelpreis [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object EPrEM16Bt
		{
			get { return this["EPrEM16Bt"]; }
		}
		/// <summary>Einzelpreis [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object EPrEM19Nt
		{
			get { return this["EPrEM19Nt"]; }
		}
		/// <summary>Einzelpreis [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object EPrEM19St
		{
			get { return this["EPrEM19St"]; }
		}
		/// <summary>Einzelpreis [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object EPrEM19Bt
		{
			get { return this["EPrEM19Bt"]; }
		}
		/// <summary>Einzelpreis [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object EPrEM15Nt
		{
			get { return this["EPrEM15Nt"]; }
		}
		/// <summary>Einzelpreis [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object EPrEM15St
		{
			get { return this["EPrEM15St"]; }
		}
		/// <summary>Einzelpreis [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object EPrEM15Bt
		{
			get { return this["EPrEM15Bt"]; }
		}
		/// <summary>Einzelpreis [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object EPrEV19Nt
		{
			get { return this["EPrEV19Nt"]; }
		}
		/// <summary>Einzelpreis [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object EPrEV19St
		{
			get { return this["EPrEV19St"]; }
		}
		/// <summary>Einzelpreis [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object EPrEV19Bt
		{
			get { return this["EPrEV19Bt"]; }
		}
		/// <summary>Einzelpreis [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object EPrEV15Nt
		{
			get { return this["EPrEV15Nt"]; }
		}
		/// <summary>Einzelpreis [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object EPrEV15St
		{
			get { return this["EPrEV15St"]; }
		}
		/// <summary>Einzelpreis [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object EPrEV15Bt
		{
			get { return this["EPrEV15Bt"]; }
		}
		/// <summary>Einzelpreis [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object EPrEV7Nt
		{
			get { return this["EPrEV7Nt"]; }
		}
		/// <summary>Einzelpreis [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object EPrEV7St
		{
			get { return this["EPrEV7St"]; }
		}
		/// <summary>Einzelpreis [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object EPrEV7Bt
		{
			get { return this["EPrEV7Bt"]; }
		}
		/// <summary>Einzelpreis [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object EPrEV16Nt
		{
			get { return this["EPrEV16Nt"]; }
		}
		/// <summary>Einzelpreis [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object EPrEV16St
		{
			get { return this["EPrEV16St"]; }
		}
		/// <summary>Einzelpreis [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object EPrEV16Bt
		{
			get { return this["EPrEV16Bt"]; }
		}
		/// <summary>Einzelpreis [48 VSt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object EPrBV19Nt
		{
			get { return this["EPrBV19Nt"]; }
		}
		/// <summary>Einzelpreis [48 VSt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object EPrBV19St
		{
			get { return this["EPrBV19St"]; }
		}
		/// <summary>Einzelpreis [48 VSt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object EPrBV19Bt
		{
			get { return this["EPrBV19Bt"]; }
		}
		/// <summary>Einzelpreis [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object EPrBV16Nt
		{
			get { return this["EPrBV16Nt"]; }
		}
		/// <summary>Einzelpreis [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object EPrBV16St
		{
			get { return this["EPrBV16St"]; }
		}
		/// <summary>Einzelpreis [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object EPrBV16Bt
		{
			get { return this["EPrBV16Bt"]; }
		}
		/// <summary>Einzelpreis [58 USt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object EPrBU19Nt
		{
			get { return this["EPrBU19Nt"]; }
		}
		/// <summary>Einzelpreis [58 USt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object EPrBU19St
		{
			get { return this["EPrBU19St"]; }
		}
		/// <summary>Einzelpreis [58 USt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object EPrBU19Bt
		{
			get { return this["EPrBU19Bt"]; }
		}
		/// <summary>Einzelpreis [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object EPrBU16Nt
		{
			get { return this["EPrBU16Nt"]; }
		}
		/// <summary>Einzelpreis [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object EPrBU16St
		{
			get { return this["EPrBU16St"]; }
		}
		/// <summary>Einzelpreis [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object EPrBU16Bt
		{
			get { return this["EPrBU16Bt"]; }
		}
		/// <summary>Einzelpreis [69 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object EPrBOSNt
		{
			get { return this["EPrBOSNt"]; }
		}
		/// <summary>Einzelpreis [69 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object EPrBOSSt
		{
			get { return this["EPrBOSSt"]; }
		}
		/// <summary>Einzelpreis [69 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object EPrBOSBt
		{
			get { return this["EPrBOSBt"]; }
		}
		/// <summary>Einzelpreis [101 Ohne Steuer (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object EPrOSNt
		{
			get { return this["EPrOSNt"]; }
		}
		/// <summary>Einzelpreis [101 Ohne Steuer (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object EPrOSSt
		{
			get { return this["EPrOSSt"]; }
		}
		/// <summary>Einzelpreis [101 Ohne Steuer (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object EPrOSBt
		{
			get { return this["EPrOSBt"]; }
		}
		/// <summary>Einzelpreis [102 Ohne Steuer (Einkauf)] (Netto) ( Double )</summary>
		public virtual Object EPrOS_EKNt
		{
			get { return this["EPrOS_EKNt"]; }
		}
		/// <summary>Einzelpreis [102 Ohne Steuer (Einkauf)] (Steuer) ( Double )</summary>
		public virtual Object EPrOS_EKSt
		{
			get { return this["EPrOS_EKSt"]; }
		}
		/// <summary>Einzelpreis [102 Ohne Steuer (Einkauf)] (Brutto) ( Double )</summary>
		public virtual Object EPrOS_EKBt
		{
			get { return this["EPrOS_EKBt"]; }
		}
		/// <summary>Einzelpreis (Netto) ( Double )</summary>
		public virtual Object EPrNt
		{
			get { return this["EPrNt"]; }
		}
		/// <summary>Einzelpreis (Steuer) ( Double )</summary>
		public virtual Object EPrSt
		{
			get { return this["EPrSt"]; }
		}
		/// <summary>Einzelpreis (Brutto) ( Double )</summary>
		public virtual Object EPrBt
		{
			get { return this["EPrBt"]; }
		}
		/// <summary>Einzelpreis ( Double )</summary>
		public virtual Object EPreis
		{
			get { return this["EPreis"]; }
		}
		/// <summary>Einzelpreisfaktor ( Double )</summary>
		public virtual Object EPreisFak
		{
			get { return this["EPreisFak"]; }
			set { this["EPreisFak"] = value; }
		}
		/// <summary>Einzelpreise gelten fr Menge ( Double )</summary>
		public virtual Object EPreisMge
		{
			get { return this["EPreisMge"]; }
			set { this["EPreisMge"] = value; }
		}
		/// <summary>Roherls (in %) ( Double )</summary>
		public virtual Object RohSz
		{
			get { return this["RohSz"]; }
		}
		/// <summary>Roherlsbetrag ( Double )</summary>
		public virtual Object RohBet
		{
			get { return this["RohBet"]; }
		}
		/// <summary>Ek (fr Kalkulation) ( Double )</summary>
		public virtual Object EkKalk
		{
			get { return this["EkKalk"]; }
		}
		/// <summary>Ek (fr Roherls) ( Double )</summary>
		public virtual Object EkRoh
		{
			get { return this["EkRoh"]; }
		}
		/// <summary>Ek (fr Roherls) Brutto ( Double )</summary>
		public virtual Object EkRohBrt
		{
			get { return this["EkRohBrt"]; }
		}
		/// <summary>Rabatt wird in Rabattsumme (Rabattposition) ausgewiesen ( Boolean )</summary>
		public virtual Object RabInRabSumKz
		{
			get { return this["RabInRabSumKz"]; }
		}
		/// <summary>Rabatt (in %) ( Double )</summary>
		public virtual Object RabSz
		{
			get { return this["RabSz"]; }
			set { this["RabSz"] = value; }
		}
		/// <summary>Rabattbetrag ( Double )</summary>
		public virtual Object RabBet
		{
			get { return this["RabBet"]; }
		}
		/// <summary>Einzelpreis (rabattiert, gerundet) ( Double )</summary>
		public virtual Object EPrRab
		{
			get { return this["EPrRab"]; }
		}
		/// <summary>Rabattbetrag BG ( Array )</summary>
		public virtual Object RabBetBG
		{
			get { return this["RabBetBG"]; }
			set { this["RabBetBG"] = value; }
		}
		/// <summary>Rabattbetrag (Netto) ( Double )</summary>
		public virtual Object RabBetNt
		{
			get { return this["RabBetNt"]; }
		}
		/// <summary>Rabattbetrag (Steuer) ( Double )</summary>
		public virtual Object RabBetSt
		{
			get { return this["RabBetSt"]; }
		}
		/// <summary>Rabattbetrag (Brutto) ( Double )</summary>
		public virtual Object RabBetBt
		{
			get { return this["RabBetBt"]; }
		}
		/// <summary>Zuschlagsgruppe ( Integer )</summary>
		public virtual Int32 ZuschlGrp
		{
			get { return Convert.ToInt32(this["ZuschlGrp"]); }
			set { this["ZuschlGrp"] = value; }
		}
		/// <summary>Zuschlagssatz ( Double )</summary>
		public virtual Object ZuschlSz
		{
			get { return this["ZuschlSz"]; }
			set { this["ZuschlSz"] = value; }
		}
		/// <summary>Zuschlagsformel (Berechnungsformel) ( String )</summary>
		public virtual String ZuschlFl
		{
			get { return Convert.ToString(this["ZuschlFl"]); }
			set { this["ZuschlFl"] = value; }
		}
		/// <summary>Zuschlagsbetrag ( Double )</summary>
		public virtual Object ZuschlBet
		{
			get { return this["ZuschlBet"]; }
			set { this["ZuschlBet"] = value; }
		}
		/// <summary>Preis ( Double )</summary>
		public virtual Object Preis
		{
			get { return this["Preis"]; }
		}
		/// <summary>Preis ( Array )</summary>
		public virtual Object Pr
		{
			get { return this["Pr"]; }
		}
		/// <summary>Preis [2 Mehrwertsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object PrM7Nt
		{
			get { return this["PrM7Nt"]; }
		}
		/// <summary>Preis [2 Mehrwertsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object PrM7St
		{
			get { return this["PrM7St"]; }
		}
		/// <summary>Preis [2 Mehrwertsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object PrM7Bt
		{
			get { return this["PrM7Bt"]; }
		}
		/// <summary>Preis [3 Mehrwertsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object PrM16Nt
		{
			get { return this["PrM16Nt"]; }
		}
		/// <summary>Preis [3 Mehrwertsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object PrM16St
		{
			get { return this["PrM16St"]; }
		}
		/// <summary>Preis [3 Mehrwertsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object PrM16Bt
		{
			get { return this["PrM16Bt"]; }
		}
		/// <summary>Preis [4 Mehrwertsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object PrM19Nt
		{
			get { return this["PrM19Nt"]; }
		}
		/// <summary>Preis [4 Mehrwertsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object PrM19St
		{
			get { return this["PrM19St"]; }
		}
		/// <summary>Preis [4 Mehrwertsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object PrM19Bt
		{
			get { return this["PrM19Bt"]; }
		}
		/// <summary>Preis [5 Mehrwertsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object PrM15Nt
		{
			get { return this["PrM15Nt"]; }
		}
		/// <summary>Preis [5 Mehrwertsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object PrM15St
		{
			get { return this["PrM15St"]; }
		}
		/// <summary>Preis [5 Mehrwertsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object PrM15Bt
		{
			get { return this["PrM15Bt"]; }
		}
		/// <summary>Preis [6 Vorsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object PrV19Nt
		{
			get { return this["PrV19Nt"]; }
		}
		/// <summary>Preis [6 Vorsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object PrV19St
		{
			get { return this["PrV19St"]; }
		}
		/// <summary>Preis [6 Vorsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object PrV19Bt
		{
			get { return this["PrV19Bt"]; }
		}
		/// <summary>Preis [7 Vorsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object PrV15Nt
		{
			get { return this["PrV15Nt"]; }
		}
		/// <summary>Preis [7 Vorsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object PrV15St
		{
			get { return this["PrV15St"]; }
		}
		/// <summary>Preis [7 Vorsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object PrV15Bt
		{
			get { return this["PrV15Bt"]; }
		}
		/// <summary>Preis [8 Vorsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object PrV7Nt
		{
			get { return this["PrV7Nt"]; }
		}
		/// <summary>Preis [8 Vorsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object PrV7St
		{
			get { return this["PrV7St"]; }
		}
		/// <summary>Preis [8 Vorsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object PrV7Bt
		{
			get { return this["PrV7Bt"]; }
		}
		/// <summary>Preis [9 Vorsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object PrV16Nt
		{
			get { return this["PrV16Nt"]; }
		}
		/// <summary>Preis [9 Vorsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object PrV16St
		{
			get { return this["PrV16St"]; }
		}
		/// <summary>Preis [9 Vorsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object PrV16Bt
		{
			get { return this["PrV16Bt"]; }
		}
		/// <summary>Preis [10 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object PrUSFNt
		{
			get { return this["PrUSFNt"]; }
		}
		/// <summary>Preis [10 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object PrUSFSt
		{
			get { return this["PrUSFSt"]; }
		}
		/// <summary>Preis [10 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object PrUSFBt
		{
			get { return this["PrUSFBt"]; }
		}
		/// <summary>Preis [11 EU Umsatzsteuerfrei mit ID-Nr.] (Netto) ( Double )</summary>
		public virtual Object PrEFINt
		{
			get { return this["PrEFINt"]; }
		}
		/// <summary>Preis [11 EU Umsatzsteuerfrei mit ID-Nr.] (Steuer) ( Double )</summary>
		public virtual Object PrEFISt
		{
			get { return this["PrEFISt"]; }
		}
		/// <summary>Preis [11 EU Umsatzsteuerfrei mit ID-Nr.] (Brutto) ( Double )</summary>
		public virtual Object PrEFIBt
		{
			get { return this["PrEFIBt"]; }
		}
		/// <summary>Preis [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object PrEM7Nt
		{
			get { return this["PrEM7Nt"]; }
		}
		/// <summary>Preis [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object PrEM7St
		{
			get { return this["PrEM7St"]; }
		}
		/// <summary>Preis [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object PrEM7Bt
		{
			get { return this["PrEM7Bt"]; }
		}
		/// <summary>Preis [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object PrEM16Nt
		{
			get { return this["PrEM16Nt"]; }
		}
		/// <summary>Preis [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object PrEM16St
		{
			get { return this["PrEM16St"]; }
		}
		/// <summary>Preis [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object PrEM16Bt
		{
			get { return this["PrEM16Bt"]; }
		}
		/// <summary>Preis [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object PrEM19Nt
		{
			get { return this["PrEM19Nt"]; }
		}
		/// <summary>Preis [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object PrEM19St
		{
			get { return this["PrEM19St"]; }
		}
		/// <summary>Preis [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object PrEM19Bt
		{
			get { return this["PrEM19Bt"]; }
		}
		/// <summary>Preis [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object PrEM15Nt
		{
			get { return this["PrEM15Nt"]; }
		}
		/// <summary>Preis [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object PrEM15St
		{
			get { return this["PrEM15St"]; }
		}
		/// <summary>Preis [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object PrEM15Bt
		{
			get { return this["PrEM15Bt"]; }
		}
		/// <summary>Preis [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object PrEV19Nt
		{
			get { return this["PrEV19Nt"]; }
		}
		/// <summary>Preis [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object PrEV19St
		{
			get { return this["PrEV19St"]; }
		}
		/// <summary>Preis [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object PrEV19Bt
		{
			get { return this["PrEV19Bt"]; }
		}
		/// <summary>Preis [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object PrEV15Nt
		{
			get { return this["PrEV15Nt"]; }
		}
		/// <summary>Preis [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object PrEV15St
		{
			get { return this["PrEV15St"]; }
		}
		/// <summary>Preis [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object PrEV15Bt
		{
			get { return this["PrEV15Bt"]; }
		}
		/// <summary>Preis [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object PrEV7Nt
		{
			get { return this["PrEV7Nt"]; }
		}
		/// <summary>Preis [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object PrEV7St
		{
			get { return this["PrEV7St"]; }
		}
		/// <summary>Preis [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object PrEV7Bt
		{
			get { return this["PrEV7Bt"]; }
		}
		/// <summary>Preis [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object PrEV16Nt
		{
			get { return this["PrEV16Nt"]; }
		}
		/// <summary>Preis [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object PrEV16St
		{
			get { return this["PrEV16St"]; }
		}
		/// <summary>Preis [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object PrEV16Bt
		{
			get { return this["PrEV16Bt"]; }
		}
		/// <summary>Preis [48 VSt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object PrBV19Nt
		{
			get { return this["PrBV19Nt"]; }
		}
		/// <summary>Preis [48 VSt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object PrBV19St
		{
			get { return this["PrBV19St"]; }
		}
		/// <summary>Preis [48 VSt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object PrBV19Bt
		{
			get { return this["PrBV19Bt"]; }
		}
		/// <summary>Preis [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object PrBV16Nt
		{
			get { return this["PrBV16Nt"]; }
		}
		/// <summary>Preis [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object PrBV16St
		{
			get { return this["PrBV16St"]; }
		}
		/// <summary>Preis [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object PrBV16Bt
		{
			get { return this["PrBV16Bt"]; }
		}
		/// <summary>Preis [58 USt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object PrBU19Nt
		{
			get { return this["PrBU19Nt"]; }
		}
		/// <summary>Preis [58 USt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object PrBU19St
		{
			get { return this["PrBU19St"]; }
		}
		/// <summary>Preis [58 USt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object PrBU19Bt
		{
			get { return this["PrBU19Bt"]; }
		}
		/// <summary>Preis [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object PrBU16Nt
		{
			get { return this["PrBU16Nt"]; }
		}
		/// <summary>Preis [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object PrBU16St
		{
			get { return this["PrBU16St"]; }
		}
		/// <summary>Preis [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object PrBU16Bt
		{
			get { return this["PrBU16Bt"]; }
		}
		/// <summary>Preis [69 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object PrBOSNt
		{
			get { return this["PrBOSNt"]; }
		}
		/// <summary>Preis [69 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object PrBOSSt
		{
			get { return this["PrBOSSt"]; }
		}
		/// <summary>Preis [69 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object PrBOSBt
		{
			get { return this["PrBOSBt"]; }
		}
		/// <summary>Preis [102 Ohne Steuer (Einkauf)] (Netto) ( Double )</summary>
		public virtual Object PrOS_EKNt
		{
			get { return this["PrOS_EKNt"]; }
		}
		/// <summary>Preis [102 Ohne Steuer (Einkauf)] (Steuer) ( Double )</summary>
		public virtual Object PrOS_EKSt
		{
			get { return this["PrOS_EKSt"]; }
		}
		/// <summary>Preis [102 Ohne Steuer (Einkauf)] (Brutto) ( Double )</summary>
		public virtual Object PrOS_EKBt
		{
			get { return this["PrOS_EKBt"]; }
		}
		/// <summary>Preis (Netto) ( Double )</summary>
		public virtual Object PrNt
		{
			get { return this["PrNt"]; }
		}
		/// <summary>Preis (Steuer) ( Double )</summary>
		public virtual Object PrSt
		{
			get { return this["PrSt"]; }
		}
		/// <summary>Preis (Brutto) ( Double )</summary>
		public virtual Object PrBt
		{
			get { return this["PrBt"]; }
		}
		/// <summary>Steuerschlssel ( String )</summary>
		public virtual String StSchl
		{
			get { return Convert.ToString(this["StSchl"]); }
		}
		/// <summary>Skontofhig ( Boolean )</summary>
		public virtual Object SktoKz
		{
			get { return this["SktoKz"]; }
		}
		/// <summary>Nachlassbetrag aus Beleg (Vorgang) ( Double )</summary>
		public virtual Object VogNachlBet
		{
			get { return this["VogNachlBet"]; }
			set { this["VogNachlBet"] = value; }
		}
		/// <summary>Kalk.->ArtikelKalkGruppe ( Array )</summary>
		public virtual Object Kalk_AKalG
		{
			get { return this["Kalk.AKalG"]; }
			set { this["Kalk.AKalG"] = value; }
		}
		/// <summary>Kalk.->Kalkulationsschema ( Byte )</summary>
		public virtual Object Kalk_Schema
		{
			get { return this["Kalk.Schema"]; }
		}
		/// <summary>Kalk.->Materialeinkauf-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Kalk_MEkZus1
		{
			get { return this["Kalk.MEkZus1"]; }
		}
		/// <summary>Kalk.->Materialeinkauf-Zuschlagssatz 2 ( Single )</summary>
		public virtual Object Kalk_MEkZus2
		{
			get { return this["Kalk.MEkZus2"]; }
		}
		/// <summary>Kalk.->Materialeinkauf-Zuschlagssatz 3 ( Single )</summary>
		public virtual Object Kalk_MEkZus3
		{
			get { return this["Kalk.MEkZus3"]; }
		}
		/// <summary>Kalk.->Material-Zuschlagssatz ( Single )</summary>
		public virtual Object Kalk_MZus
		{
			get { return this["Kalk.MZus"]; }
		}
		/// <summary>Kalk.->Material-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Kalk_MKGrp
		{
			get { return this["Kalk.MKGrp"]; }
		}
		/// <summary>Kalk.->Material-Kalkulationssatz ( Single )</summary>
		public virtual Object Kalk_MKSz
		{
			get { return this["Kalk.MKSz"]; }
		}
		/// <summary>Kalk.->Lohn-Zeit ( Double )</summary>
		public virtual Object Kalk_LZt
		{
			get { return this["Kalk.LZt"]; }
		}
		/// <summary>Kalk.->Lohn-Zeiteinheit ( Byte )</summary>
		public virtual Object Kalk_LZtEh
		{
			get { return this["Kalk.LZtEh"]; }
		}
		/// <summary>Kalk.->Lohn-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Kalk_LZus1
		{
			get { return this["Kalk.LZus1"]; }
		}
		/// <summary>Kalk.->Lohn-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Kalk_LKGrp
		{
			get { return this["Kalk.LKGrp"]; }
		}
		/// <summary>Kalk.->Lohn-Lohnbetrag ( Double )</summary>
		public virtual Object Kalk_LLBet
		{
			get { return this["Kalk.LLBet"]; }
		}
		/// <summary>Kalk.->Lohn-Lohn Zeiteinheit ( Byte )</summary>
		public virtual Object Kalk_LLZtEh
		{
			get { return this["Kalk.LLZtEh"]; }
		}
		/// <summary>Kalk.->Material-Anteilssatz ( Single )</summary>
		public virtual Object Kalk_MAntSz
		{
			get { return this["Kalk.MAntSz"]; }
		}
		/// <summary>Kalk.->Lohn-Anteilssatz ( Single )</summary>
		public virtual Object Kalk_LAntSz
		{
			get { return this["Kalk.LAntSz"]; }
		}
		/// <summary>Kalk.->Herstellkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Kalk_HKZus
		{
			get { return this["Kalk.HKZus"]; }
		}
		/// <summary>Kalk.->Selbstkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Kalk_SKZus
		{
			get { return this["Kalk.SKZus"]; }
		}
		/// <summary>Kalk.->SK-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Kalk_SKKGrp
		{
			get { return this["Kalk.SKKGrp"]; }
		}
		/// <summary>Kalk.->SK-Kalkulationssatz (in %) ( Single )</summary>
		public virtual Object Kalk_SKKSz
		{
			get { return this["Kalk.SKKSz"]; }
		}
		/// <summary>Kalk.->Skontosatz (in %) ( Single )</summary>
		public virtual Object Kalk_SktoSz
		{
			get { return this["Kalk.SktoSz"]; }
		}
		/// <summary>Kalk.->Provisionssatz (in %) ( Single )</summary>
		public virtual Object Kalk_ProvSz
		{
			get { return this["Kalk.ProvSz"]; }
		}
		/// <summary>Kalk.->Rabattsatz (in %) ( Single )</summary>
		public virtual Object Kalk_RabSz
		{
			get { return this["Kalk.RabSz"]; }
		}
		/// <summary>Kalk.->Preisfindungsgruppe ( Byte )</summary>
		public virtual Object Kalk_PFGrp
		{
			get { return this["Kalk.PFGrp"]; }
		}
		/// <summary>Preiszuordnung Material Satz (in %) ( Double )</summary>
		public virtual Object PrZuMatSz
		{
			get { return this["PrZuMatSz"]; }
			set { this["PrZuMatSz"] = value; }
		}
		/// <summary>Preiszuordnung Lohn Satz (in %) ( Double )</summary>
		public virtual Object PrZuLohnSz
		{
			get { return this["PrZuLohnSz"]; }
			set { this["PrZuLohnSz"] = value; }
		}
		/// <summary>Preiszuordnung Fremdleistung Satz (in %) ( Double )</summary>
		public virtual Object PrZuFremdSz
		{
			get { return this["PrZuFremdSz"]; }
			set { this["PrZuFremdSz"] = value; }
		}
		/// <summary>Preiszuordnung Sonstige Satz (in %) ( Double )</summary>
		public virtual Object PrZuSonstSz
		{
			get { return this["PrZuSonstSz"]; }
			set { this["PrZuSonstSz"] = value; }
		}
		/// <summary>Einzel-Gewicht ( Double )</summary>
		public virtual Object EGew
		{
			get { return this["EGew"]; }
			set { this["EGew"] = value; }
		}
		/// <summary>Gewicht ( Double )</summary>
		public virtual Object Gew
		{
			get { return this["Gew"]; }
		}
		/// <summary>Provisionsfhig ( Boolean )</summary>
		public virtual Object ProvKz
		{
			get { return this["ProvKz"]; }
		}
		/// <summary>Provisionssatz (in %) ( Double )</summary>
		public virtual Object ProvSz
		{
			get { return this["ProvSz"]; }
			set { this["ProvSz"] = value; }
		}
		/// <summary>Artikeldatum ( Date )</summary>
		public virtual DateTime ArtDat
		{
			get { return Convert.ToDateTime(this["ArtDat"]); }
			set { this["ArtDat"] = value; }
		}
		/// <summary>History Information ( Info )</summary>
		public virtual Object HisInfo
		{
			get { return this["HisInfo"]; }
			set { this["HisInfo"] = value; }
		}
		/// <summary>History Information Kennzeichen ( Boolean )</summary>
		public virtual Object HisInfoKz
		{
			get { return this["HisInfoKz"]; }
		}
		/// <summary>Auftragsnummer ( String )</summary>
		public virtual String AuftrNr
		{
			get { return Convert.ToString(this["AuftrNr"]); }
			set { this["AuftrNr"] = value; }
		}
		/// <summary>Kostenstellennummer ( String )</summary>
		public virtual String KstNr
		{
			get { return Convert.ToString(this["KstNr"]); }
			set { this["KstNr"] = value; }
		}
		/// <summary>Enthllt GAEB Daten ( Boolean )</summary>
		public virtual Object GaebKz
		{
			get { return this["GaebKz"]; }
		}
		/// <summary>Original GAEB-ID ( String )</summary>
		public virtual String GaebID
		{
			get { return Convert.ToString(this["GaebID"]); }
		}
		/// <summary>QuickInfo ( Array )</summary>
		public virtual Object QuickInfo
		{
			get { return this["QuickInfo"]; }
		}


		#endregion
	}
}
