using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VorgangPositionArchivSet : BpnEntitySet<VorgangPositionArchiv>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "VorgangPositionArchiv";
			
		public static VorgangPositionArchivSet CreateInstance(BpnConnection connection)
		{
		    var vorgangpositionarchivsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var vorgangpositionarchivsetDataSet = vorgangpositionarchivsetInfo.CreateDataSet();
		
		    var ret = new VorgangPositionArchivSet(vorgangpositionarchivsetDataSet);
		    return ret;
		}
		
		internal VorgangPositionArchivSet(BpNT.AutoDataSet vorgangpositionarchivDataSet) 
			: base(vorgangpositionarchivDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected VorgangPositionArchivSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new VorgangPositionArchivSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected VorgangPositionArchivSet parentSet;
		
			protected VorgangPositionArchivSetIDIndex iDIndex;
			protected VorgangPositionArchivSetNrIndex nrIndex;
			protected VorgangPositionArchivSetArtNrIndex artNrIndex;
		
			internal IndicesClass(VorgangPositionArchivSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new VorgangPositionArchivSetIDIndex(parentSet.DataSet);
				nrIndex = new VorgangPositionArchivSetNrIndex(parentSet.DataSet);
				artNrIndex = new VorgangPositionArchivSetArtNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public VorgangPositionArchivSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Belegnummer</summary>
			public VorgangPositionArchivSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Artikelnummer</summary>
			public VorgangPositionArchivSetArtNrIndex ArtNrIndex
			{
				get { return artNrIndex; }
			}
			
		
			#endregion
		}

		public VorgangPositionArchivSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
