using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Warengruppen : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Warengruppen";
			
		public static Warengruppen CreateInstance(BpnConnection connection)
		{
		    var warengruppenInfo = connection.GetDataSetInfo(DS_NAME);
		    var warengruppenDataSet = warengruppenInfo.CreateDataSet();
		
		    var ret = new Warengruppen(warengruppenDataSet);
		    return ret;
		}
		
		public Warengruppen(BpNT.AutoDataSet warengruppenDataSet) 
			: base(warengruppenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Warengruppennummer ( String )</summary>
		public virtual String WgrNr
		{
			get { return Convert.ToString(this["WgrNr"]); }
			set { this["WgrNr"] = value; }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Gewichtsfaktor ( Double )</summary>
		public virtual Object GewFak
		{
			get { return this["GewFak"]; }
			set { this["GewFak"] = value; }
		}
		/// <summary>Gewichtsaufschlag Kz ( Boolean )</summary>
		public virtual Object GewAufKz
		{
			get { return this["GewAufKz"]; }
		}
		/// <summary>Gewichtsaufschlag Sz ( Double )</summary>
		public virtual Object GewAufSz
		{
			get { return this["GewAufSz"]; }
			set { this["GewAufSz"] = value; }
		}
		/// <summary>Warengruppensumme im Vorgangsdruck ausweisen ( Boolean )</summary>
		public virtual Object WgSumVDrKz
		{
			get { return this["WgSumVDrKz"]; }
			set { this["WgSumVDrKz"] = value; }
		}
		/// <summary>Fakturierungsvolumen (Netto) ( Double )</summary>
		public virtual Object FakVolBetNt
		{
			get { return this["FakVolBetNt"]; }
			set { this["FakVolBetNt"] = value; }
		}
		/// <summary>Volumenrabatt (in %) ( Double )</summary>
		public virtual Object VolRabSz
		{
			get { return this["VolRabSz"]; }
			set { this["VolRabSz"] = value; }
		}
		/// <summary>Erfolgs-Umsatzsteuerkonten ( StringList )</summary>
		public virtual Object ErfolgsUSK
		{
			get { return this["ErfolgsUSK"]; }
			set { this["ErfolgsUSK"] = value; }
		}
		/// <summary>Abweichende FiBu Erfolgskonten verwenden ( Boolean )</summary>
		public virtual Object USKKz
		{
			get { return this["USKKz"]; }
		}
		/// <summary>Memo-Information ( Info )</summary>
		public virtual Object Memo
		{
			get { return this["Memo"]; }
			set { this["Memo"] = value; }
		}
		/// <summary>Memo-Information Kennzeichen ( Boolean )</summary>
		public virtual Object MemoKz
		{
			get { return this["MemoKz"]; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Umsatz ( BlobTable )</summary>
		public virtual Object Ums
		{
			get { return this["Ums"]; }
			set { this["Ums"] = value; }
		}
		/// <summary>Letzter Umsatz ( Date )</summary>
		public virtual DateTime LtzUmsDat
		{
			get { return Convert.ToDateTime(this["LtzUmsDat"]); }
			set { this["LtzUmsDat"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
