using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class WarengruppenSet : BpnEntitySet<Warengruppen>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Warengruppen";
			
		public static WarengruppenSet CreateInstance(BpnConnection connection)
		{
		    var warengruppensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var warengruppensetDataSet = warengruppensetInfo.CreateDataSet();
		
		    var ret = new WarengruppenSet(warengruppensetDataSet);
		    return ret;
		}
		
		internal WarengruppenSet(BpNT.AutoDataSet warengruppenDataSet) 
			: base(warengruppenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected WarengruppenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new WarengruppenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected WarengruppenSet parentSet;
		
			protected WarengruppenSetIDIndex iDIndex;
			protected WarengruppenSetNrIndex nrIndex;
			protected WarengruppenSetNrNumIndex nrNumIndex;
			protected WarengruppenSetBezIndex bezIndex;
			protected WarengruppenSetWgSumVDrKzIndex wgSumVDrKzIndex;
			protected WarengruppenSetLtzUmsatzIndex ltzUmsatzIndex;
		
			internal IndicesClass(WarengruppenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new WarengruppenSetIDIndex(parentSet.DataSet);
				nrIndex = new WarengruppenSetNrIndex(parentSet.DataSet);
				nrNumIndex = new WarengruppenSetNrNumIndex(parentSet.DataSet);
				bezIndex = new WarengruppenSetBezIndex(parentSet.DataSet);
				wgSumVDrKzIndex = new WarengruppenSetWgSumVDrKzIndex(parentSet.DataSet);
				ltzUmsatzIndex = new WarengruppenSetLtzUmsatzIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public WarengruppenSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Nummer</summary>
			public WarengruppenSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Nummer (numerisch)</summary>
			public WarengruppenSetNrNumIndex NrNumIndex
			{
				get { return nrNumIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public WarengruppenSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
			/// <summary>WgSumVDrKz</summary>
			public WarengruppenSetWgSumVDrKzIndex WgSumVDrKzIndex
			{
				get { return wgSumVDrKzIndex; }
			}
			
			/// <summary>Letzter Umsatz</summary>
			public WarengruppenSetLtzUmsatzIndex LtzUmsatzIndex
			{
				get { return ltzUmsatzIndex; }
			}
			
		
			#endregion
		}

		public WarengruppenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
