using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Warenkorb : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Warenkorb";
			
		public static Warenkorb CreateInstance(BpnConnection connection)
		{
		    var warenkorbInfo = connection.GetDataSetInfo(DS_NAME);
		    var warenkorbDataSet = warenkorbInfo.CreateDataSet();
		
		    var ret = new Warenkorb(warenkorbDataSet);
		    return ret;
		}
		
		public Warenkorb(BpNT.AutoDataSet warenkorbDataSet) 
			: base(warenkorbDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Adressnummer ( String )</summary>
		public virtual String AdrNr
		{
			get { return Convert.ToString(this["AdrNr"]); }
			set { this["AdrNr"] = value; }
		}
		/// <summary>Adresse ( String )</summary>
		public virtual String AdrNrInfo
		{
			get { return Convert.ToString(this["AdrNrInfo"]); }
		}
		/// <summary>Artikelnummer ( String )</summary>
		public virtual String ArtNr
		{
			get { return Convert.ToString(this["ArtNr"]); }
			set { this["ArtNr"] = value; }
		}
		/// <summary>Artikel ( String )</summary>
		public virtual String ArtNrInfo
		{
			get { return Convert.ToString(this["ArtNrInfo"]); }
		}
		/// <summary>Lagernummer ( String )</summary>
		public virtual String LagNr
		{
			get { return Convert.ToString(this["LagNr"]); }
			set { this["LagNr"] = value; }
		}
		/// <summary>Lager ( String )</summary>
		public virtual String LagNrInfo
		{
			get { return Convert.ToString(this["LagNrInfo"]); }
		}
		/// <summary>Lieferzeit (in Tagen) ( Integer )</summary>
		public virtual Int32 LiefZt
		{
			get { return Convert.ToInt32(this["LiefZt"]); }
			set { this["LiefZt"] = value; }
		}
		/// <summary>Frachtkosten-Betrag ( Double )</summary>
		public virtual Object FrachtBet
		{
			get { return this["FrachtBet"]; }
			set { this["FrachtBet"] = value; }
		}
		/// <summary>Auftragsnummer ( String )</summary>
		public virtual String AuftrNr
		{
			get { return Convert.ToString(this["AuftrNr"]); }
			set { this["AuftrNr"] = value; }
		}
		/// <summary>Kostenstellennummer ( String )</summary>
		public virtual String KstNr
		{
			get { return Convert.ToString(this["KstNr"]); }
			set { this["KstNr"] = value; }
		}
		/// <summary>Kostenstelle ( String )</summary>
		public virtual String KstNrInfo
		{
			get { return Convert.ToString(this["KstNrInfo"]); }
		}
		/// <summary>Menge ( Double )</summary>
		public virtual Object Mge
		{
			get { return this["Mge"]; }
			set { this["Mge"] = value; }
		}
		/// <summary>Einheit ( String )</summary>
		public virtual String Einh
		{
			get { return Convert.ToString(this["Einh"]); }
			set { this["Einh"] = value; }
		}
		/// <summary>Mengenfaktor ( Double )</summary>
		public virtual Object MgeFak
		{
			get { return this["MgeFak"]; }
			set { this["MgeFak"] = value; }
		}
		/// <summary>Einzelpreisfaktor ( Double )</summary>
		public virtual Object EPreisFak
		{
			get { return this["EPreisFak"]; }
			set { this["EPreisFak"] = value; }
		}
		/// <summary>Fester Einzelpreis Kennzeichen ( Boolean )</summary>
		public virtual Object EPrFestKz
		{
			get { return this["EPrFestKz"]; }
			set { this["EPrFestKz"] = value; }
		}
		/// <summary>Einzelpreis ( Double )</summary>
		public virtual Object EPreis
		{
			get { return this["EPreis"]; }
			set { this["EPreis"] = value; }
		}
		/// <summary>Einzelpreise gelten fr Menge ( Double )</summary>
		public virtual Object EPreisMge
		{
			get { return this["EPreisMge"]; }
			set { this["EPreisMge"] = value; }
		}
		/// <summary>Preis ( Double )</summary>
		public virtual Object Preis
		{
			get { return this["Preis"]; }
		}
		/// <summary>Preis in Leitwhrung 1 ( Double )</summary>
		public virtual Object PreisL1
		{
			get { return this["PreisL1"]; }
		}
		/// <summary>Whrung ( String )</summary>
		public virtual String Waehr
		{
			get { return Convert.ToString(this["Waehr"]); }
			set { this["Waehr"] = value; }
		}
		/// <summary>Bestellnummer ( String )</summary>
		public virtual String BstNr
		{
			get { return Convert.ToString(this["BstNr"]); }
			set { this["BstNr"] = value; }
		}
		/// <summary>Bezeichnung aus Position ( Info )</summary>
		public virtual Object BezPos
		{
			get { return this["BezPos"]; }
			set { this["BezPos"] = value; }
		}
		/// <summary>Bezeichnung aus Position Kennzeichen ( Boolean )</summary>
		public virtual Object BezPosKz
		{
			get { return this["BezPosKz"]; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>QuickInfo ( Array )</summary>
		public virtual Object QuickInfo
		{
			get { return this["QuickInfo"]; }
		}


		#endregion
	}
}
