using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Woerterbuecher : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Woerterbuecher";
			
		public static Woerterbuecher CreateInstance(BpnConnection connection)
		{
		    var woerterbuecherInfo = connection.GetDataSetInfo(DS_NAME);
		    var woerterbuecherDataSet = woerterbuecherInfo.CreateDataSet();
		
		    var ret = new Woerterbuecher(woerterbuecherDataSet);
		    return ret;
		}
		
		public Woerterbuecher(BpNT.AutoDataSet woerterbuecherDataSet) 
			: base(woerterbuecherDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
			set { this["AendDat"] = value; }
		}
		/// <summary>Data ( Blob )</summary>
		public virtual Object Data
		{
			get { return this["Data"]; }
			set { this["Data"] = value; }
		}


		#endregion
	}
}
