using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class WoerterbuecherSet : BpnEntitySet<Woerterbuecher>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Woerterbuecher";
			
		public static WoerterbuecherSet CreateInstance(BpnConnection connection)
		{
		    var woerterbuechersetInfo = connection.GetDataSetInfo(DS_NAME);
		    var woerterbuechersetDataSet = woerterbuechersetInfo.CreateDataSet();
		
		    var ret = new WoerterbuecherSet(woerterbuechersetDataSet);
		    return ret;
		}
		
		internal WoerterbuecherSet(BpNT.AutoDataSet woerterbuecherDataSet) 
			: base(woerterbuecherDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected WoerterbuecherSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new WoerterbuecherSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected WoerterbuecherSet parentSet;
		
			protected WoerterbuecherSetBezeichnungIndex bezeichnungIndex;
		
			internal IndicesClass(WoerterbuecherSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				bezeichnungIndex = new WoerterbuecherSetBezeichnungIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Bezeichnung</summary>
			public WoerterbuecherSetBezeichnungIndex BezeichnungIndex
			{
				get { return bezeichnungIndex; }
			}
			
		
			#endregion
		}

		public WoerterbuecherSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
