using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZahlungsVerkehrArchiv : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "ZahlungsVerkehrArchiv";
			
		public static ZahlungsVerkehrArchiv CreateInstance(BpnConnection connection)
		{
		    var zahlungsverkehrarchivInfo = connection.GetDataSetInfo(DS_NAME);
		    var zahlungsverkehrarchivDataSet = zahlungsverkehrarchivInfo.CreateDataSet();
		
		    var ret = new ZahlungsVerkehrArchiv(zahlungsverkehrarchivDataSet);
		    return ret;
		}
		
		public ZahlungsVerkehrArchiv(BpNT.AutoDataSet zahlungsverkehrarchivDataSet) 
			: base(zahlungsverkehrarchivDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>ID (Intern) ( Integer )</summary>
		public virtual Int32 IntID
		{
			get { return Convert.ToInt32(this["IntID"]); }
			set { this["IntID"] = value; }
		}
		/// <summary>Modulkurzbezeichnung ( String )</summary>
		public virtual String ModKuBez
		{
			get { return Convert.ToString(this["ModKuBez"]); }
			set { this["ModKuBez"] = value; }
		}
		/// <summary>Mandantnummer ( String )</summary>
		public virtual String MandNr
		{
			get { return Convert.ToString(this["MandNr"]); }
			set { this["MandNr"] = value; }
		}
		/// <summary>Filialnummer ( Integer )</summary>
		public virtual Int32 FilNr
		{
			get { return Convert.ToInt32(this["FilNr"]); }
			set { this["FilNr"] = value; }
		}
		/// <summary>Zahlungsart ( Integer )</summary>
		public virtual Int32 ZahlArt
		{
			get { return Convert.ToInt32(this["ZahlArt"]); }
			set { this["ZahlArt"] = value; }
		}
		/// <summary>Status ( Integer )</summary>
		public virtual Int32 Status
		{
			get { return Convert.ToInt32(this["Status"]); }
			set { this["Status"] = value; }
		}
		/// <summary>Namen des Absenders ( String )</summary>
		public virtual String Namen
		{
			get { return Convert.ToString(this["Namen"]); }
			set { this["Namen"] = value; }
		}
		/// <summary>Bankleitzahl des Absenders ( String )</summary>
		public virtual String BLZ
		{
			get { return Convert.ToString(this["BLZ"]); }
			set { this["BLZ"] = value; }
		}
		/// <summary>laufende Banknummer ( Integer )</summary>
		public virtual Int32 BLZNr
		{
			get { return Convert.ToInt32(this["BLZNr"]); }
			set { this["BLZNr"] = value; }
		}
		/// <summary>Bankkurzbezeichnung ( String )</summary>
		public virtual String BkKuBez
		{
			get { return Convert.ToString(this["BkKuBez"]); }
		}
		/// <summary>BLZ & Bank ( String )</summary>
		public virtual String BLZInfo
		{
			get { return Convert.ToString(this["BLZInfo"]); }
		}
		/// <summary>BIC der Absenderbank ( String )</summary>
		public virtual String BIC
		{
			get { return Convert.ToString(this["BIC"]); }
		}
		/// <summary>Kontonummer des Absenders ( String )</summary>
		public virtual String KNr
		{
			get { return Convert.ToString(this["KNr"]); }
			set { this["KNr"] = value; }
		}
		/// <summary>IBAN (Internationale Bankverbindung) der Absenderbankverbindung ( String )</summary>
		public virtual String IBAN
		{
			get { return Convert.ToString(this["IBAN"]); }
			set { this["IBAN"] = value; }
		}
		/// <summary>Art der Karte ( Integer )</summary>
		public virtual Int32 KartArt
		{
			get { return Convert.ToInt32(this["KartArt"]); }
			set { this["KartArt"] = value; }
		}
		/// <summary>Kartennummer der Kreditkarte ( String )</summary>
		public virtual String KartNr
		{
			get { return Convert.ToString(this["KartNr"]); }
			set { this["KartNr"] = value; }
		}
		/// <summary>Gltigkeit der Karte (MMJJ) ( String )</summary>
		public virtual String KartGueltig
		{
			get { return Convert.ToString(this["KartGueltig"]); }
			set { this["KartGueltig"] = value; }
		}
		/// <summary>Name des Karteninhabers ( String )</summary>
		public virtual String KartInhab
		{
			get { return Convert.ToString(this["KartInhab"]); }
			set { this["KartInhab"] = value; }
		}
		/// <summary>Belegnummer ( String )</summary>
		public virtual String BelegNr
		{
			get { return Convert.ToString(this["BelegNr"]); }
			set { this["BelegNr"] = value; }
		}
		/// <summary>Betrag ( Double )</summary>
		public virtual Object Bet
		{
			get { return this["Bet"]; }
			set { this["Bet"] = value; }
		}
		/// <summary>Whrung ( String )</summary>
		public virtual String Waehr
		{
			get { return Convert.ToString(this["Waehr"]); }
			set { this["Waehr"] = value; }
		}
		/// <summary>Verwendungszweck 1 ( String )</summary>
		public virtual String VwZweck1
		{
			get { return Convert.ToString(this["VwZweck1"]); }
			set { this["VwZweck1"] = value; }
		}
		/// <summary>Verwendungszweck 2 ( String )</summary>
		public virtual String VwZweck2
		{
			get { return Convert.ToString(this["VwZweck2"]); }
			set { this["VwZweck2"] = value; }
		}
		/// <summary>Verwendungszweck 3 ( String )</summary>
		public virtual String VwZweck3
		{
			get { return Convert.ToString(this["VwZweck3"]); }
			set { this["VwZweck3"] = value; }
		}
		/// <summary>Verwendungszweck 4 ( String )</summary>
		public virtual String VwZweck4
		{
			get { return Convert.ToString(this["VwZweck4"]); }
			set { this["VwZweck4"] = value; }
		}
		/// <summary>Verwendungszweck 5 ( String )</summary>
		public virtual String VwZweck5
		{
			get { return Convert.ToString(this["VwZweck5"]); }
			set { this["VwZweck5"] = value; }
		}
		/// <summary>Verwendungszweck 6 ( String )</summary>
		public virtual String VwZweck6
		{
			get { return Convert.ToString(this["VwZweck6"]); }
			set { this["VwZweck6"] = value; }
		}
		/// <summary>Verwendungszweck 7 ( String )</summary>
		public virtual String VwZweck7
		{
			get { return Convert.ToString(this["VwZweck7"]); }
			set { this["VwZweck7"] = value; }
		}
		/// <summary>Verwendungszweck 8 ( String )</summary>
		public virtual String VwZweck8
		{
			get { return Convert.ToString(this["VwZweck8"]); }
			set { this["VwZweck8"] = value; }
		}
		/// <summary>Verwendungszweck 9 ( String )</summary>
		public virtual String VwZweck9
		{
			get { return Convert.ToString(this["VwZweck9"]); }
			set { this["VwZweck9"] = value; }
		}
		/// <summary>Verwendungszweck 10 ( String )</summary>
		public virtual String VwZweck10
		{
			get { return Convert.ToString(this["VwZweck10"]); }
			set { this["VwZweck10"] = value; }
		}
		/// <summary>Schecknummer ( String )</summary>
		public virtual String ScheckNr
		{
			get { return Convert.ToString(this["ScheckNr"]); }
			set { this["ScheckNr"] = value; }
		}
		/// <summary>Bereich ( String )</summary>
		public virtual String DBBkzBez
		{
			get { return Convert.ToString(this["DBBkzBez"]); }
			set { this["DBBkzBez"] = value; }
		}
		/// <summary>Nummer ( String )</summary>
		public virtual String Nr
		{
			get { return Convert.ToString(this["Nr"]); }
			set { this["Nr"] = value; }
		}
		/// <summary>Empfnger ( String )</summary>
		public virtual String EmNamen
		{
			get { return Convert.ToString(this["EmNamen"]); }
			set { this["EmNamen"] = value; }
		}
		/// <summary>Strae des Empfngers ( String )</summary>
		public virtual String EmStr
		{
			get { return Convert.ToString(this["EmStr"]); }
			set { this["EmStr"] = value; }
		}
		/// <summary>Land des Empfngers ( Integer )</summary>
		public virtual Int32 EmLand
		{
			get { return Convert.ToInt32(this["EmLand"]); }
			set { this["EmLand"] = value; }
		}
		/// <summary>Postleitzahl des Empfngers ( String )</summary>
		public virtual String EmPLZ
		{
			get { return Convert.ToString(this["EmPLZ"]); }
			set { this["EmPLZ"] = value; }
		}
		/// <summary>Em Land & PLZ ( String )</summary>
		public virtual String EmPLZInfo
		{
			get { return Convert.ToString(this["EmPLZInfo"]); }
		}
		/// <summary>Ort des Empfngers ( String )</summary>
		public virtual String EmOrt
		{
			get { return Convert.ToString(this["EmOrt"]); }
			set { this["EmOrt"] = value; }
		}
		/// <summary>Em PLZ & Ort ( String )</summary>
		public virtual String EmPLZOrtInfo
		{
			get { return Convert.ToString(this["EmPLZOrtInfo"]); }
		}
		/// <summary>Bankleitzahl des Empfngers ( String )</summary>
		public virtual String EmBLZ
		{
			get { return Convert.ToString(this["EmBLZ"]); }
			set { this["EmBLZ"] = value; }
		}
		/// <summary>laufende Banknummer des Empfngers ( Integer )</summary>
		public virtual Int32 EmBLZNr
		{
			get { return Convert.ToInt32(this["EmBLZNr"]); }
			set { this["EmBLZNr"] = value; }
		}
		/// <summary>Bankkurzbezeichnung des Empfngers ( String )</summary>
		public virtual String EmBkKuBez
		{
			get { return Convert.ToString(this["EmBkKuBez"]); }
		}
		/// <summary>BLZ & Bankinfo des Empfngers ( String )</summary>
		public virtual String EmBLZInfo
		{
			get { return Convert.ToString(this["EmBLZInfo"]); }
		}
		/// <summary>BIC der Empfngerbank ( String )</summary>
		public virtual String EmBIC
		{
			get { return Convert.ToString(this["EmBIC"]); }
		}
		/// <summary>Kontonummer des Empfngers ( String )</summary>
		public virtual String EmKNr
		{
			get { return Convert.ToString(this["EmKNr"]); }
			set { this["EmKNr"] = value; }
		}
		/// <summary>IBAN (Internationale Bankverbindung) des Empfngers ( String )</summary>
		public virtual String EmIBAN
		{
			get { return Convert.ToString(this["EmIBAN"]); }
			set { this["EmIBAN"] = value; }
		}
		/// <summary>Art der Karte des Empfngers ( Integer )</summary>
		public virtual Int32 EmKartArt
		{
			get { return Convert.ToInt32(this["EmKartArt"]); }
			set { this["EmKartArt"] = value; }
		}
		/// <summary>Kartennummer der Kreditkarte des Empfngers ( String )</summary>
		public virtual String EmKartNr
		{
			get { return Convert.ToString(this["EmKartNr"]); }
			set { this["EmKartNr"] = value; }
		}
		/// <summary>Gltigkeit der Karte (MMJJ) des Empfngers ( String )</summary>
		public virtual String EmKartGueltig
		{
			get { return Convert.ToString(this["EmKartGueltig"]); }
			set { this["EmKartGueltig"] = value; }
		}
		/// <summary>Name des Karteninhabers des Empfngers ( String )</summary>
		public virtual String EmKartInhab
		{
			get { return Convert.ToString(this["EmKartInhab"]); }
			set { this["EmKartInhab"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Lohn / Gehalt Kennzeichen ( Boolean )</summary>
		public virtual Object LohnGehKz
		{
			get { return this["LohnGehKz"]; }
		}
		/// <summary>VWL-Kennzeichen ( Boolean )</summary>
		public virtual Object VWLKz
		{
			get { return this["VWLKz"]; }
		}
		/// <summary>Sparzulage (%) ( Double )</summary>
		public virtual Object SpZulSz
		{
			get { return this["SpZulSz"]; }
			set { this["SpZulSz"] = value; }
		}
		/// <summary>Jahr fr Sparzulage ( Integer )</summary>
		public virtual Int32 SpZulJahr
		{
			get { return Convert.ToInt32(this["SpZulJahr"]); }
			set { this["SpZulJahr"] = value; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Skontobetrag fr Buchungssatz ( Double )</summary>
		public virtual Object BchSktoBet
		{
			get { return this["BchSktoBet"]; }
			set { this["BchSktoBet"] = value; }
		}
		/// <summary>Historydatum ( DateTime )</summary>
		public virtual DateTime HyDat
		{
			get { return Convert.ToDateTime(this["HyDat"]); }
			set { this["HyDat"] = value; }
		}
		/// <summary>Benutzer bei Erstellung des Historyeintrags ( String )</summary>
		public virtual String HyBzr
		{
			get { return Convert.ToString(this["HyBzr"]); }
			set { this["HyBzr"] = value; }
		}
		/// <summary>Historyinformation ( String )</summary>
		public virtual String HyInfo
		{
			get { return Convert.ToString(this["HyInfo"]); }
			set { this["HyInfo"] = value; }
		}
		/// <summary>Laufende Nummer des DTA-Laufs ( Integer )</summary>
		public virtual Int32 DTALfdNr
		{
			get { return Convert.ToInt32(this["DTALfdNr"]); }
			set { this["DTALfdNr"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
