using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZahlungsVerkehrArchivSet : BpnEntitySet<ZahlungsVerkehrArchiv>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "ZahlungsVerkehrArchiv";
			
		public static ZahlungsVerkehrArchivSet CreateInstance(BpnConnection connection)
		{
		    var zahlungsverkehrarchivsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var zahlungsverkehrarchivsetDataSet = zahlungsverkehrarchivsetInfo.CreateDataSet();
		
		    var ret = new ZahlungsVerkehrArchivSet(zahlungsverkehrarchivsetDataSet);
		    return ret;
		}
		
		internal ZahlungsVerkehrArchivSet(BpNT.AutoDataSet zahlungsverkehrarchivDataSet) 
			: base(zahlungsverkehrarchivDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected ZahlungsVerkehrArchivSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new ZahlungsVerkehrArchivSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected ZahlungsVerkehrArchivSet parentSet;
		
			protected ZahlungsVerkehrArchivSetHiDatIndex hiDatIndex;
			protected ZahlungsVerkehrArchivSetZAHiDatIndex zAHiDatIndex;
			protected ZahlungsVerkehrArchivSetIDIndex iDIndex;
			protected ZahlungsVerkehrArchivSetDBBkzBezNrBNrIndex dBBkzBezNrBNrIndex;
			protected ZahlungsVerkehrArchivSetEmBezIndex emBezIndex;
			protected ZahlungsVerkehrArchivSetZAEmBezIndex zAEmBezIndex;
			protected ZahlungsVerkehrArchivSetEmKNrIndex emKNrIndex;
			protected ZahlungsVerkehrArchivSetZAEmKNrIndex zAEmKNrIndex;
			protected ZahlungsVerkehrArchivSetEmBLZIndex emBLZIndex;
			protected ZahlungsVerkehrArchivSetZAEmBLZIndex zAEmBLZIndex;
			protected ZahlungsVerkehrArchivSetVwz1Index vwz1Index;
			protected ZahlungsVerkehrArchivSetZAVwz1Index zAVwz1Index;
			protected ZahlungsVerkehrArchivSetVwz2Index vwz2Index;
			protected ZahlungsVerkehrArchivSetZAVwz2Index zAVwz2Index;
			protected ZahlungsVerkehrArchivSetAbsBezIndex absBezIndex;
			protected ZahlungsVerkehrArchivSetZAAbsBezIndex zAAbsBezIndex;
			protected ZahlungsVerkehrArchivSetAbsKNrIndex absKNrIndex;
			protected ZahlungsVerkehrArchivSetZAAbsKNrIndex zAAbsKNrIndex;
			protected ZahlungsVerkehrArchivSetAbsBLZIndex absBLZIndex;
			protected ZahlungsVerkehrArchivSetZAAbsBLZIndex zAAbsBLZIndex;
			protected ZahlungsVerkehrArchivSetZABLZKtoNrEmBezIndex zABLZKtoNrEmBezIndex;
		
			internal IndicesClass(ZahlungsVerkehrArchivSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				hiDatIndex = new ZahlungsVerkehrArchivSetHiDatIndex(parentSet.DataSet);
				zAHiDatIndex = new ZahlungsVerkehrArchivSetZAHiDatIndex(parentSet.DataSet);
				iDIndex = new ZahlungsVerkehrArchivSetIDIndex(parentSet.DataSet);
				dBBkzBezNrBNrIndex = new ZahlungsVerkehrArchivSetDBBkzBezNrBNrIndex(parentSet.DataSet);
				emBezIndex = new ZahlungsVerkehrArchivSetEmBezIndex(parentSet.DataSet);
				zAEmBezIndex = new ZahlungsVerkehrArchivSetZAEmBezIndex(parentSet.DataSet);
				emKNrIndex = new ZahlungsVerkehrArchivSetEmKNrIndex(parentSet.DataSet);
				zAEmKNrIndex = new ZahlungsVerkehrArchivSetZAEmKNrIndex(parentSet.DataSet);
				emBLZIndex = new ZahlungsVerkehrArchivSetEmBLZIndex(parentSet.DataSet);
				zAEmBLZIndex = new ZahlungsVerkehrArchivSetZAEmBLZIndex(parentSet.DataSet);
				vwz1Index = new ZahlungsVerkehrArchivSetVwz1Index(parentSet.DataSet);
				zAVwz1Index = new ZahlungsVerkehrArchivSetZAVwz1Index(parentSet.DataSet);
				vwz2Index = new ZahlungsVerkehrArchivSetVwz2Index(parentSet.DataSet);
				zAVwz2Index = new ZahlungsVerkehrArchivSetZAVwz2Index(parentSet.DataSet);
				absBezIndex = new ZahlungsVerkehrArchivSetAbsBezIndex(parentSet.DataSet);
				zAAbsBezIndex = new ZahlungsVerkehrArchivSetZAAbsBezIndex(parentSet.DataSet);
				absKNrIndex = new ZahlungsVerkehrArchivSetAbsKNrIndex(parentSet.DataSet);
				zAAbsKNrIndex = new ZahlungsVerkehrArchivSetZAAbsKNrIndex(parentSet.DataSet);
				absBLZIndex = new ZahlungsVerkehrArchivSetAbsBLZIndex(parentSet.DataSet);
				zAAbsBLZIndex = new ZahlungsVerkehrArchivSetZAAbsBLZIndex(parentSet.DataSet);
				zABLZKtoNrEmBezIndex = new ZahlungsVerkehrArchivSetZABLZKtoNrEmBezIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Historydatum</summary>
			public ZahlungsVerkehrArchivSetHiDatIndex HiDatIndex
			{
				get { return hiDatIndex; }
			}
			
			/// <summary>Historydatum</summary>
			public ZahlungsVerkehrArchivSetZAHiDatIndex ZAHiDatIndex
			{
				get { return zAHiDatIndex; }
			}
			
			/// <summary>ID</summary>
			public ZahlungsVerkehrArchivSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>DBBkzBezNrBNr</summary>
			public ZahlungsVerkehrArchivSetDBBkzBezNrBNrIndex DBBkzBezNrBNrIndex
			{
				get { return dBBkzBezNrBNrIndex; }
			}
			
			/// <summary>Empfnger</summary>
			public ZahlungsVerkehrArchivSetEmBezIndex EmBezIndex
			{
				get { return emBezIndex; }
			}
			
			/// <summary>Empfnger</summary>
			public ZahlungsVerkehrArchivSetZAEmBezIndex ZAEmBezIndex
			{
				get { return zAEmBezIndex; }
			}
			
			/// <summary>Konto-Nr. des Empfngers</summary>
			public ZahlungsVerkehrArchivSetEmKNrIndex EmKNrIndex
			{
				get { return emKNrIndex; }
			}
			
			/// <summary>Konto-Nr. des Empfngers</summary>
			public ZahlungsVerkehrArchivSetZAEmKNrIndex ZAEmKNrIndex
			{
				get { return zAEmKNrIndex; }
			}
			
			/// <summary>BLZ des Empfngers</summary>
			public ZahlungsVerkehrArchivSetEmBLZIndex EmBLZIndex
			{
				get { return emBLZIndex; }
			}
			
			/// <summary>BLZ des Empfngers</summary>
			public ZahlungsVerkehrArchivSetZAEmBLZIndex ZAEmBLZIndex
			{
				get { return zAEmBLZIndex; }
			}
			
			/// <summary>Verwendungszweck 1</summary>
			public ZahlungsVerkehrArchivSetVwz1Index Vwz1Index
			{
				get { return vwz1Index; }
			}
			
			/// <summary>Verwendungszweck 1</summary>
			public ZahlungsVerkehrArchivSetZAVwz1Index ZAVwz1Index
			{
				get { return zAVwz1Index; }
			}
			
			/// <summary>Verwendungszweck 2</summary>
			public ZahlungsVerkehrArchivSetVwz2Index Vwz2Index
			{
				get { return vwz2Index; }
			}
			
			/// <summary>Verwendungszweck 2</summary>
			public ZahlungsVerkehrArchivSetZAVwz2Index ZAVwz2Index
			{
				get { return zAVwz2Index; }
			}
			
			/// <summary>Absender</summary>
			public ZahlungsVerkehrArchivSetAbsBezIndex AbsBezIndex
			{
				get { return absBezIndex; }
			}
			
			/// <summary>Absender</summary>
			public ZahlungsVerkehrArchivSetZAAbsBezIndex ZAAbsBezIndex
			{
				get { return zAAbsBezIndex; }
			}
			
			/// <summary>Konto-Nr. des Absenders</summary>
			public ZahlungsVerkehrArchivSetAbsKNrIndex AbsKNrIndex
			{
				get { return absKNrIndex; }
			}
			
			/// <summary>Konto-Nr. des Absenders</summary>
			public ZahlungsVerkehrArchivSetZAAbsKNrIndex ZAAbsKNrIndex
			{
				get { return zAAbsKNrIndex; }
			}
			
			/// <summary>BLZ des Absenders</summary>
			public ZahlungsVerkehrArchivSetAbsBLZIndex AbsBLZIndex
			{
				get { return absBLZIndex; }
			}
			
			/// <summary>BLZ des Absenders</summary>
			public ZahlungsVerkehrArchivSetZAAbsBLZIndex ZAAbsBLZIndex
			{
				get { return zAAbsBLZIndex; }
			}
			
			/// <summary>ZABLZKtoNrEmBez</summary>
			public ZahlungsVerkehrArchivSetZABLZKtoNrEmBezIndex ZABLZKtoNrEmBezIndex
			{
				get { return zABLZKtoNrEmBezIndex; }
			}
			
		
			#endregion
		}

		public ZahlungsVerkehrArchivSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
