using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZahlungsverkehrEingang : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "ZahlungsverkehrEingang";
			
		public static ZahlungsverkehrEingang CreateInstance(BpnConnection connection)
		{
		    var zahlungsverkehreingangInfo = connection.GetDataSetInfo(DS_NAME);
		    var zahlungsverkehreingangDataSet = zahlungsverkehreingangInfo.CreateDataSet();
		
		    var ret = new ZahlungsverkehrEingang(zahlungsverkehreingangDataSet);
		    return ret;
		}
		
		public ZahlungsverkehrEingang(BpNT.AutoDataSet zahlungsverkehreingangDataSet) 
			: base(zahlungsverkehreingangDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Nummer der Hausbank (Kontoauszug) ( Integer )</summary>
		public virtual Int32 KazHBk
		{
			get { return Convert.ToInt32(this["KazHBk"]); }
			set { this["KazHBk"] = value; }
		}
		/// <summary>Hausbank (Kontoauszug) ( String )</summary>
		public virtual String KazHBkInfo
		{
			get { return Convert.ToString(this["KazHBkInfo"]); }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Buchungsdatum (Kontoauszug) ( DateTime )</summary>
		public virtual DateTime KazBchDat
		{
			get { return Convert.ToDateTime(this["KazBchDat"]); }
			set { this["KazBchDat"] = value; }
		}
		/// <summary>Valutadatum (Kontoauszug) ( DateTime )</summary>
		public virtual DateTime KazValutaDat
		{
			get { return Convert.ToDateTime(this["KazValutaDat"]); }
			set { this["KazValutaDat"] = value; }
		}
		/// <summary>Empfnger ( String )</summary>
		public virtual String KazEmName
		{
			get { return Convert.ToString(this["KazEmName"]); }
			set { this["KazEmName"] = value; }
		}
		/// <summary>Bankleitzahl des Empfngers (Kontoauszug) ( String )</summary>
		public virtual String KazEmBLZ
		{
			get { return Convert.ToString(this["KazEmBLZ"]); }
			set { this["KazEmBLZ"] = value; }
		}
		/// <summary>laufende Banknummer des Empfngers (Kontoauszug) ( Integer )</summary>
		public virtual Int32 KazEmBLZNr
		{
			get { return Convert.ToInt32(this["KazEmBLZNr"]); }
			set { this["KazEmBLZNr"] = value; }
		}
		/// <summary>Kontonummer des Empfngers (Kontoauszug) ( String )</summary>
		public virtual String KazEmKNr
		{
			get { return Convert.ToString(this["KazEmKNr"]); }
			set { this["KazEmKNr"] = value; }
		}
		/// <summary>Text ( String )</summary>
		public virtual String Txt
		{
			get { return Convert.ToString(this["Txt"]); }
			set { this["Txt"] = value; }
		}
		/// <summary>Betrag (Kontoauszug) ( Double )</summary>
		public virtual Object KazBet
		{
			get { return this["KazBet"]; }
			set { this["KazBet"] = value; }
		}
		/// <summary>Ist Saldo (Kontoauszug) ( Boolean )</summary>
		public virtual Object KazSaldoKz
		{
			get { return this["KazSaldoKz"]; }
			set { this["KazSaldoKz"] = value; }
		}
		/// <summary>Data ( StringList )</summary>
		public virtual Object Data
		{
			get { return this["Data"]; }
			set { this["Data"] = value; }
		}
		/// <summary>Status ( Integer )</summary>
		public virtual Int32 Status
		{
			get { return Convert.ToInt32(this["Status"]); }
			set { this["Status"] = value; }
		}
		/// <summary>Status Info ( Integer )</summary>
		public virtual Int32 StatusInfo
		{
			get { return Convert.ToInt32(this["StatusInfo"]); }
		}
		/// <summary>Manuell erfasst ( Boolean )</summary>
		public virtual Object ManuellKz
		{
			get { return this["ManuellKz"]; }
		}
		/// <summary>Adressnummer ( String )</summary>
		public virtual String AdrNr
		{
			get { return Convert.ToString(this["AdrNr"]); }
			set { this["AdrNr"] = value; }
		}
		/// <summary>Anschriftennummer ( Integer )</summary>
		public virtual Int32 AnsNr
		{
			get { return Convert.ToInt32(this["AnsNr"]); }
			set { this["AnsNr"] = value; }
		}
		/// <summary>Adresse ( String )</summary>
		public virtual String AdrNrInfo
		{
			get { return Convert.ToString(this["AdrNrInfo"]); }
		}
		/// <summary>Buchungskontonummer ( String )</summary>
		public virtual String BKtoNr
		{
			get { return Convert.ToString(this["BKtoNr"]); }
			set { this["BKtoNr"] = value; }
		}
		/// <summary>Buchungskonto ( String )</summary>
		public virtual String BKtoNrInfo
		{
			get { return Convert.ToString(this["BKtoNrInfo"]); }
		}
		/// <summary>Belegnummern ( StringList )</summary>
		public virtual Object BelegNr
		{
			get { return this["BelegNr"]; }
			set { this["BelegNr"] = value; }
		}
		/// <summary>Belegnummern ( String )</summary>
		public virtual String BelegNrInfo
		{
			get { return Convert.ToString(this["BelegNrInfo"]); }
			set { this["BelegNrInfo"] = value; }
		}
		/// <summary>getroffene Regeln ( String )</summary>
		public virtual String RegelHit
		{
			get { return Convert.ToString(this["RegelHit"]); }
			set { this["RegelHit"] = value; }
		}
		/// <summary>getroffene Regeln Info ( String )</summary>
		public virtual String RegelHitInfo
		{
			get { return Convert.ToString(this["RegelHitInfo"]); }
		}
		/// <summary>Geschfts Vorfall Text ( String )</summary>
		public virtual String GVCodeText
		{
			get { return Convert.ToString(this["GVCodeText"]); }
			set { this["GVCodeText"] = value; }
		}
		/// <summary>Ist Kontoauszugsposition Kennzeichen ( Boolean )</summary>
		public virtual Object IstKazKz
		{
			get { return this["IstKazKz"]; }
			set { this["IstKazKz"] = value; }
		}
		/// <summary>Original ID des Kontoauszugs ( Integer )</summary>
		public virtual Int32 KAzID
		{
			get { return Convert.ToInt32(this["KAzID"]); }
			set { this["KAzID"] = value; }
		}
		/// <summary>Datum ( Date )</summary>
		public virtual DateTime Dat
		{
			get { return Convert.ToDateTime(this["Dat"]); }
			set { this["Dat"] = value; }
		}
		/// <summary>Name des Empfngers ( String )</summary>
		public virtual String EmNamen
		{
			get { return Convert.ToString(this["EmNamen"]); }
			set { this["EmNamen"] = value; }
		}
		/// <summary>Bankleitzahl ( String )</summary>
		public virtual String BLZ
		{
			get { return Convert.ToString(this["BLZ"]); }
			set { this["BLZ"] = value; }
		}
		/// <summary>laufende Banknummer ( Integer )</summary>
		public virtual Int32 BLZNr
		{
			get { return Convert.ToInt32(this["BLZNr"]); }
			set { this["BLZNr"] = value; }
		}
		/// <summary>Bankkurzbezeichnung ( String )</summary>
		public virtual String BkKuBez
		{
			get { return Convert.ToString(this["BkKuBez"]); }
		}
		/// <summary>Kontonummer fr Bankverbindung ( String )</summary>
		public virtual String KNr
		{
			get { return Convert.ToString(this["KNr"]); }
			set { this["KNr"] = value; }
		}
		/// <summary>Betrag ( Double )</summary>
		public virtual Object Bet
		{
			get { return this["Bet"]; }
			set { this["Bet"] = value; }
		}
		/// <summary>Betrag Info ( String )</summary>
		public virtual String BetInfo
		{
			get { return Convert.ToString(this["BetInfo"]); }
		}
		/// <summary>Saldo-Betrag ( Double )</summary>
		public virtual Object SaldoBet
		{
			get { return this["SaldoBet"]; }
		}
		/// <summary>Whrung ( String )</summary>
		public virtual String Waehr
		{
			get { return Convert.ToString(this["Waehr"]); }
			set { this["Waehr"] = value; }
		}
		/// <summary>Fremdwhrungsfaktor ( Double )</summary>
		public virtual Object FrWFak
		{
			get { return this["FrWFak"]; }
			set { this["FrWFak"] = value; }
		}
		/// <summary>Basiswhrungsfaktor ( Double )</summary>
		public virtual Object BaWFak
		{
			get { return this["BaWFak"]; }
			set { this["BaWFak"] = value; }
		}
		/// <summary>Schecknummer ( String )</summary>
		public virtual String ScheckNr
		{
			get { return Convert.ToString(this["ScheckNr"]); }
			set { this["ScheckNr"] = value; }
		}
		/// <summary>Von Name des Empfngers ( String )</summary>
		public virtual String VonEmNamen
		{
			get { return Convert.ToString(this["VonEmNamen"]); }
			set { this["VonEmNamen"] = value; }
		}
		/// <summary>Von Bankleitzahl ( String )</summary>
		public virtual String VonBLZ
		{
			get { return Convert.ToString(this["VonBLZ"]); }
			set { this["VonBLZ"] = value; }
		}
		/// <summary>Von laufende Banknummer ( Integer )</summary>
		public virtual Int32 VonBLZNr
		{
			get { return Convert.ToInt32(this["VonBLZNr"]); }
			set { this["VonBLZNr"] = value; }
		}
		/// <summary>Von Kontonummer fr Bankverbindung ( String )</summary>
		public virtual String VonKNr
		{
			get { return Convert.ToString(this["VonKNr"]); }
			set { this["VonKNr"] = value; }
		}
		/// <summary>Zahlungsart ( Integer )</summary>
		public virtual Int32 ZahlArt
		{
			get { return Convert.ToInt32(this["ZahlArt"]); }
			set { this["ZahlArt"] = value; }
		}
		/// <summary>Lastschriftkennzeichen ( Boolean )</summary>
		public virtual Object LastKz
		{
			get { return this["LastKz"]; }
		}
		/// <summary>Keine OPs zugeordnet ( Boolean )</summary>
		public virtual Object OhneZuordKz
		{
			get { return this["OhneZuordKz"]; }
		}
		/// <summary>Hat offenen Restbetrag ( Boolean )</summary>
		public virtual Object HatRestKz
		{
			get { return this["HatRestKz"]; }
		}
		/// <summary>Nur Buchungssatz erzeugen ( Boolean )</summary>
		public virtual Object NurBchSatzKz
		{
			get { return this["NurBchSatzKz"]; }
		}
		/// <summary>Fr Restbetrag OP erzeugen ( Boolean )</summary>
		public virtual Object RestBetOPNeuKz
		{
			get { return this["RestBetOPNeuKz"]; }
		}
		/// <summary>Ist Rckrechnung bzw. Rckberweisung ( Boolean )</summary>
		public virtual Object RueckKz
		{
			get { return this["RueckKz"]; }
		}
		/// <summary>Statusimage ( Integer )</summary>
		public virtual Int32 StatusImg
		{
			get { return Convert.ToInt32(this["StatusImg"]); }
		}
		/// <summary>ZahlungsverkehrEingangZuw ( BlobTable )</summary>
		public virtual Object ZvEZuw
		{
			get { return this["ZvEZuw"]; }
			set { this["ZvEZuw"] = value; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Memo-Information ( Info )</summary>
		public virtual Object Memo
		{
			get { return this["Memo"]; }
			set { this["Memo"] = value; }
		}
		/// <summary>Memo-Information Kennzeichen ( Boolean )</summary>
		public virtual Object MemoKz
		{
			get { return this["MemoKz"]; }
		}
		/// <summary>Bei berzahlung Splittbuchung erzeugen ( Boolean )</summary>
		public virtual Object UeberzahlKz
		{
			get { return this["UeberzahlKz"]; }
		}
		/// <summary>Kontonummer Ueberzahlung ( String )</summary>
		public virtual String KtoNrUeberzahl
		{
			get { return Convert.ToString(this["KtoNrUeberzahl"]); }
			set { this["KtoNrUeberzahl"] = value; }
		}
		/// <summary>Konto fr berzahlung ( String )</summary>
		public virtual String KtoNrUeberzahlInfo
		{
			get { return Convert.ToString(this["KtoNrUeberzahlInfo"]); }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>Historydatum ( DateTime )</summary>
		public virtual DateTime HyDat
		{
			get { return Convert.ToDateTime(this["HyDat"]); }
			set { this["HyDat"] = value; }
		}
		/// <summary>Benutzer bei Erstellung des Historyeintrags ( String )</summary>
		public virtual String HyBzr
		{
			get { return Convert.ToString(this["HyBzr"]); }
			set { this["HyBzr"] = value; }
		}
		/// <summary>Historyinformation ( String )</summary>
		public virtual String HyInfo
		{
			get { return Convert.ToString(this["HyInfo"]); }
			set { this["HyInfo"] = value; }
		}


		#endregion
	}
}
