using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZahlungsverkehrEingangHisSet : BpnEntitySet<ZahlungsverkehrEingangHis>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "ZahlungsverkehrEingangHis";
			
		public static ZahlungsverkehrEingangHisSet CreateInstance(BpnConnection connection)
		{
		    var zahlungsverkehreinganghissetInfo = connection.GetDataSetInfo(DS_NAME);
		    var zahlungsverkehreinganghissetDataSet = zahlungsverkehreinganghissetInfo.CreateDataSet();
		
		    var ret = new ZahlungsverkehrEingangHisSet(zahlungsverkehreinganghissetDataSet);
		    return ret;
		}
		
		internal ZahlungsverkehrEingangHisSet(BpNT.AutoDataSet zahlungsverkehreinganghisDataSet) 
			: base(zahlungsverkehreinganghisDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected ZahlungsverkehrEingangHisSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new ZahlungsverkehrEingangHisSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected ZahlungsverkehrEingangHisSet parentSet;
		
			protected ZahlungsverkehrEingangHisSetHiDatIndex hiDatIndex;
			protected ZahlungsverkehrEingangHisSetZAHiDatIndex zAHiDatIndex;
			protected ZahlungsverkehrEingangHisSetIDIndex iDIndex;
			protected ZahlungsverkehrEingangHisSetDatIndex datIndex;
			protected ZahlungsverkehrEingangHisSetHBkDatIndex hBkDatIndex;
			protected ZahlungsverkehrEingangHisSetEmNameIndex emNameIndex;
			protected ZahlungsverkehrEingangHisSetHBkEmNameIndex hBkEmNameIndex;
			protected ZahlungsverkehrEingangHisSetTextIndex textIndex;
			protected ZahlungsverkehrEingangHisSetHBkTextIndex hBkTextIndex;
			protected ZahlungsverkehrEingangHisSetBetIndex betIndex;
			protected ZahlungsverkehrEingangHisSetHBkBetIndex hBkBetIndex;
			protected ZahlungsverkehrEingangHisSetAdrNrIndex adrNrIndex;
			protected ZahlungsverkehrEingangHisSetHBkAdrNrIndex hBkAdrNrIndex;
			protected ZahlungsverkehrEingangHisSetBelegNrIndex belegNrIndex;
			protected ZahlungsverkehrEingangHisSetHBkBelegNrIndex hBkBelegNrIndex;
			protected ZahlungsverkehrEingangHisSetKazIDIndex kazIDIndex;
		
			internal IndicesClass(ZahlungsverkehrEingangHisSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				hiDatIndex = new ZahlungsverkehrEingangHisSetHiDatIndex(parentSet.DataSet);
				zAHiDatIndex = new ZahlungsverkehrEingangHisSetZAHiDatIndex(parentSet.DataSet);
				iDIndex = new ZahlungsverkehrEingangHisSetIDIndex(parentSet.DataSet);
				datIndex = new ZahlungsverkehrEingangHisSetDatIndex(parentSet.DataSet);
				hBkDatIndex = new ZahlungsverkehrEingangHisSetHBkDatIndex(parentSet.DataSet);
				emNameIndex = new ZahlungsverkehrEingangHisSetEmNameIndex(parentSet.DataSet);
				hBkEmNameIndex = new ZahlungsverkehrEingangHisSetHBkEmNameIndex(parentSet.DataSet);
				textIndex = new ZahlungsverkehrEingangHisSetTextIndex(parentSet.DataSet);
				hBkTextIndex = new ZahlungsverkehrEingangHisSetHBkTextIndex(parentSet.DataSet);
				betIndex = new ZahlungsverkehrEingangHisSetBetIndex(parentSet.DataSet);
				hBkBetIndex = new ZahlungsverkehrEingangHisSetHBkBetIndex(parentSet.DataSet);
				adrNrIndex = new ZahlungsverkehrEingangHisSetAdrNrIndex(parentSet.DataSet);
				hBkAdrNrIndex = new ZahlungsverkehrEingangHisSetHBkAdrNrIndex(parentSet.DataSet);
				belegNrIndex = new ZahlungsverkehrEingangHisSetBelegNrIndex(parentSet.DataSet);
				hBkBelegNrIndex = new ZahlungsverkehrEingangHisSetHBkBelegNrIndex(parentSet.DataSet);
				kazIDIndex = new ZahlungsverkehrEingangHisSetKazIDIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Historydatum</summary>
			public ZahlungsverkehrEingangHisSetHiDatIndex HiDatIndex
			{
				get { return hiDatIndex; }
			}
			
			/// <summary>Historydatum</summary>
			public ZahlungsverkehrEingangHisSetZAHiDatIndex ZAHiDatIndex
			{
				get { return zAHiDatIndex; }
			}
			
			/// <summary>ID</summary>
			public ZahlungsverkehrEingangHisSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Datum</summary>
			public ZahlungsverkehrEingangHisSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>Datum</summary>
			public ZahlungsverkehrEingangHisSetHBkDatIndex HBkDatIndex
			{
				get { return hBkDatIndex; }
			}
			
			/// <summary>Empfnger</summary>
			public ZahlungsverkehrEingangHisSetEmNameIndex EmNameIndex
			{
				get { return emNameIndex; }
			}
			
			/// <summary>Empfnger</summary>
			public ZahlungsverkehrEingangHisSetHBkEmNameIndex HBkEmNameIndex
			{
				get { return hBkEmNameIndex; }
			}
			
			/// <summary>Text (Verwendungszweck)</summary>
			public ZahlungsverkehrEingangHisSetTextIndex TextIndex
			{
				get { return textIndex; }
			}
			
			/// <summary>Text (Verwendungszweck)</summary>
			public ZahlungsverkehrEingangHisSetHBkTextIndex HBkTextIndex
			{
				get { return hBkTextIndex; }
			}
			
			/// <summary>Betrag</summary>
			public ZahlungsverkehrEingangHisSetBetIndex BetIndex
			{
				get { return betIndex; }
			}
			
			/// <summary>Betrag</summary>
			public ZahlungsverkehrEingangHisSetHBkBetIndex HBkBetIndex
			{
				get { return hBkBetIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public ZahlungsverkehrEingangHisSetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public ZahlungsverkehrEingangHisSetHBkAdrNrIndex HBkAdrNrIndex
			{
				get { return hBkAdrNrIndex; }
			}
			
			/// <summary>Belegnummern</summary>
			public ZahlungsverkehrEingangHisSetBelegNrIndex BelegNrIndex
			{
				get { return belegNrIndex; }
			}
			
			/// <summary>Belegnummern</summary>
			public ZahlungsverkehrEingangHisSetHBkBelegNrIndex HBkBelegNrIndex
			{
				get { return hBkBelegNrIndex; }
			}
			
			/// <summary>KazID</summary>
			public ZahlungsverkehrEingangHisSetKazIDIndex KazIDIndex
			{
				get { return kazIDIndex; }
			}
			
		
			#endregion
		}

		public ZahlungsverkehrEingangHisSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
