using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZeitErfassung : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "ZeitErfassung";
			
		public static ZeitErfassung CreateInstance(BpnConnection connection)
		{
		    var zeiterfassungInfo = connection.GetDataSetInfo(DS_NAME);
		    var zeiterfassungDataSet = zeiterfassungInfo.CreateDataSet();
		
		    var ret = new ZeitErfassung(zeiterfassungDataSet);
		    return ret;
		}
		
		public ZeitErfassung(BpNT.AutoDataSet zeiterfassungDataSet) 
			: base(zeiterfassungDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>Mitarbeiternummer ( Integer )</summary>
		public virtual Int32 MitNr
		{
			get { return Convert.ToInt32(this["MitNr"]); }
			set { this["MitNr"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>StechArt ( Boolean )</summary>
		public virtual Object StechArt
		{
			get { return this["StechArt"]; }
		}
		/// <summary>Lohnartennummer ( String )</summary>
		public virtual String LoANr
		{
			get { return Convert.ToString(this["LoANr"]); }
			set { this["LoANr"] = value; }
		}
		/// <summary>Startdatum ( Date )</summary>
		public virtual DateTime StartDat
		{
			get { return Convert.ToDateTime(this["StartDat"]); }
			set { this["StartDat"] = value; }
		}
		/// <summary>Enddatum ( Date )</summary>
		public virtual DateTime EndDat
		{
			get { return Convert.ToDateTime(this["EndDat"]); }
			set { this["EndDat"] = value; }
		}
		/// <summary>Startzeit ( Time )</summary>
		public virtual Object StartZt
		{
			get { return this["StartZt"]; }
			set { this["StartZt"] = value; }
		}
		/// <summary>Endzeit ( Time )</summary>
		public virtual Object EndZt
		{
			get { return this["EndZt"]; }
			set { this["EndZt"] = value; }
		}
		/// <summary>Zeitraum ( String )</summary>
		public virtual String ZtRaum
		{
			get { return Convert.ToString(this["ZtRaum"]); }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
