using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZeitErfassungSet : BpnEntitySet<ZeitErfassung>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "ZeitErfassung";
			
		public static ZeitErfassungSet CreateInstance(BpnConnection connection)
		{
		    var zeiterfassungsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var zeiterfassungsetDataSet = zeiterfassungsetInfo.CreateDataSet();
		
		    var ret = new ZeitErfassungSet(zeiterfassungsetDataSet);
		    return ret;
		}
		
		internal ZeitErfassungSet(BpNT.AutoDataSet zeiterfassungDataSet) 
			: base(zeiterfassungDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected ZeitErfassungSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new ZeitErfassungSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected ZeitErfassungSet parentSet;
		
			protected ZeitErfassungSetMitNrIndex mitNrIndex;
		
			internal IndicesClass(ZeitErfassungSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				mitNrIndex = new ZeitErfassungSetMitNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Mitarbeiternummer</summary>
			public ZeitErfassungSetMitNrIndex MitNrIndex
			{
				get { return mitNrIndex; }
			}
			
		
			#endregion
		}

		public ZeitErfassungSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
