using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZwischenBelegeSet : BpnEntitySet<ZwischenBelege>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "ZwischenBelege";
			
		public static ZwischenBelegeSet CreateInstance(BpnConnection connection)
		{
		    var zwischenbelegesetInfo = connection.GetDataSetInfo(DS_NAME);
		    var zwischenbelegesetDataSet = zwischenbelegesetInfo.CreateDataSet();
		
		    var ret = new ZwischenBelegeSet(zwischenbelegesetDataSet);
		    return ret;
		}
		
		internal ZwischenBelegeSet(BpNT.AutoDataSet zwischenbelegeDataSet) 
			: base(zwischenbelegeDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected ZwischenBelegeSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new ZwischenBelegeSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected ZwischenBelegeSet parentSet;
		
			protected ZwischenBelegeSetIDIndex iDIndex;
			protected ZwischenBelegeSetBelegNrIndex belegNrIndex;
			protected ZwischenBelegeSetPrjNrIndex prjNrIndex;
			protected ZwischenBelegeSetAuftrNrIndex auftrNrIndex;
			protected ZwischenBelegeSetSuchBegIndex suchBegIndex;
			protected ZwischenBelegeSetAdrNrIndex adrNrIndex;
			protected ZwischenBelegeSetAdrNrDatIndex adrNrDatIndex;
			protected ZwischenBelegeSetLiAdrNrIndex liAdrNrIndex;
			protected ZwischenBelegeSetVerkIndex verkIndex;
			protected ZwischenBelegeSetVtrNrIndex vtrNrIndex;
			protected ZwischenBelegeSetDatIndex datIndex;
			protected ZwischenBelegeSetKstNrIndex kstNrIndex;
			protected ZwischenBelegeSetAucWebIdIndex aucWebIdIndex;
			protected ZwischenBelegeSetArtBelegNrIndex artBelegNrIndex;
			protected ZwischenBelegeSetArtPrjNrIndex artPrjNrIndex;
			protected ZwischenBelegeSetArtAuftrNrIndex artAuftrNrIndex;
			protected ZwischenBelegeSetArtAdrNrIndex artAdrNrIndex;
			protected ZwischenBelegeSetArtDatIndex artDatIndex;
			protected ZwischenBelegeSetArtKstNrIndex artKstNrIndex;
			protected ZwischenBelegeSetGrpBelegNrIndex grpBelegNrIndex;
			protected ZwischenBelegeSetGrpPrjNrIndex grpPrjNrIndex;
			protected ZwischenBelegeSetGrpAuftrNrIndex grpAuftrNrIndex;
			protected ZwischenBelegeSetGrpSuchBegIndex grpSuchBegIndex;
			protected ZwischenBelegeSetGrpAdrNrIndex grpAdrNrIndex;
			protected ZwischenBelegeSetGrpDatIndex grpDatIndex;
			protected ZwischenBelegeSetGrpAucWebIdIndex grpAucWebIdIndex;
		
			internal IndicesClass(ZwischenBelegeSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new ZwischenBelegeSetIDIndex(parentSet.DataSet);
				belegNrIndex = new ZwischenBelegeSetBelegNrIndex(parentSet.DataSet);
				prjNrIndex = new ZwischenBelegeSetPrjNrIndex(parentSet.DataSet);
				auftrNrIndex = new ZwischenBelegeSetAuftrNrIndex(parentSet.DataSet);
				suchBegIndex = new ZwischenBelegeSetSuchBegIndex(parentSet.DataSet);
				adrNrIndex = new ZwischenBelegeSetAdrNrIndex(parentSet.DataSet);
				adrNrDatIndex = new ZwischenBelegeSetAdrNrDatIndex(parentSet.DataSet);
				liAdrNrIndex = new ZwischenBelegeSetLiAdrNrIndex(parentSet.DataSet);
				verkIndex = new ZwischenBelegeSetVerkIndex(parentSet.DataSet);
				vtrNrIndex = new ZwischenBelegeSetVtrNrIndex(parentSet.DataSet);
				datIndex = new ZwischenBelegeSetDatIndex(parentSet.DataSet);
				kstNrIndex = new ZwischenBelegeSetKstNrIndex(parentSet.DataSet);
				aucWebIdIndex = new ZwischenBelegeSetAucWebIdIndex(parentSet.DataSet);
				artBelegNrIndex = new ZwischenBelegeSetArtBelegNrIndex(parentSet.DataSet);
				artPrjNrIndex = new ZwischenBelegeSetArtPrjNrIndex(parentSet.DataSet);
				artAuftrNrIndex = new ZwischenBelegeSetArtAuftrNrIndex(parentSet.DataSet);
				artAdrNrIndex = new ZwischenBelegeSetArtAdrNrIndex(parentSet.DataSet);
				artDatIndex = new ZwischenBelegeSetArtDatIndex(parentSet.DataSet);
				artKstNrIndex = new ZwischenBelegeSetArtKstNrIndex(parentSet.DataSet);
				grpBelegNrIndex = new ZwischenBelegeSetGrpBelegNrIndex(parentSet.DataSet);
				grpPrjNrIndex = new ZwischenBelegeSetGrpPrjNrIndex(parentSet.DataSet);
				grpAuftrNrIndex = new ZwischenBelegeSetGrpAuftrNrIndex(parentSet.DataSet);
				grpSuchBegIndex = new ZwischenBelegeSetGrpSuchBegIndex(parentSet.DataSet);
				grpAdrNrIndex = new ZwischenBelegeSetGrpAdrNrIndex(parentSet.DataSet);
				grpDatIndex = new ZwischenBelegeSetGrpDatIndex(parentSet.DataSet);
				grpAucWebIdIndex = new ZwischenBelegeSetGrpAucWebIdIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public ZwischenBelegeSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Belegnummer</summary>
			public ZwischenBelegeSetBelegNrIndex BelegNrIndex
			{
				get { return belegNrIndex; }
			}
			
			/// <summary>Projektnummer</summary>
			public ZwischenBelegeSetPrjNrIndex PrjNrIndex
			{
				get { return prjNrIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public ZwischenBelegeSetAuftrNrIndex AuftrNrIndex
			{
				get { return auftrNrIndex; }
			}
			
			/// <summary>Suchbegriff</summary>
			public ZwischenBelegeSetSuchBegIndex SuchBegIndex
			{
				get { return suchBegIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public ZwischenBelegeSetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
			/// <summary>Adressnummer & Datum</summary>
			public ZwischenBelegeSetAdrNrDatIndex AdrNrDatIndex
			{
				get { return adrNrDatIndex; }
			}
			
			/// <summary>Adr.-Nr. der Lieferanschrift</summary>
			public ZwischenBelegeSetLiAdrNrIndex LiAdrNrIndex
			{
				get { return liAdrNrIndex; }
			}
			
			/// <summary>Verkufer</summary>
			public ZwischenBelegeSetVerkIndex VerkIndex
			{
				get { return verkIndex; }
			}
			
			/// <summary>Vertreternummer</summary>
			public ZwischenBelegeSetVtrNrIndex VtrNrIndex
			{
				get { return vtrNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public ZwischenBelegeSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public ZwischenBelegeSetKstNrIndex KstNrIndex
			{
				get { return kstNrIndex; }
			}
			
			/// <summary>Auktionsplattform ID</summary>
			public ZwischenBelegeSetAucWebIdIndex AucWebIdIndex
			{
				get { return aucWebIdIndex; }
			}
			
			/// <summary>Belegnummer</summary>
			public ZwischenBelegeSetArtBelegNrIndex ArtBelegNrIndex
			{
				get { return artBelegNrIndex; }
			}
			
			/// <summary>Projektnummer</summary>
			public ZwischenBelegeSetArtPrjNrIndex ArtPrjNrIndex
			{
				get { return artPrjNrIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public ZwischenBelegeSetArtAuftrNrIndex ArtAuftrNrIndex
			{
				get { return artAuftrNrIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public ZwischenBelegeSetArtAdrNrIndex ArtAdrNrIndex
			{
				get { return artAdrNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public ZwischenBelegeSetArtDatIndex ArtDatIndex
			{
				get { return artDatIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public ZwischenBelegeSetArtKstNrIndex ArtKstNrIndex
			{
				get { return artKstNrIndex; }
			}
			
			/// <summary>Belegnummer</summary>
			public ZwischenBelegeSetGrpBelegNrIndex GrpBelegNrIndex
			{
				get { return grpBelegNrIndex; }
			}
			
			/// <summary>Projektnummer</summary>
			public ZwischenBelegeSetGrpPrjNrIndex GrpPrjNrIndex
			{
				get { return grpPrjNrIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public ZwischenBelegeSetGrpAuftrNrIndex GrpAuftrNrIndex
			{
				get { return grpAuftrNrIndex; }
			}
			
			/// <summary>Suchbegriff</summary>
			public ZwischenBelegeSetGrpSuchBegIndex GrpSuchBegIndex
			{
				get { return grpSuchBegIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public ZwischenBelegeSetGrpAdrNrIndex GrpAdrNrIndex
			{
				get { return grpAdrNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public ZwischenBelegeSetGrpDatIndex GrpDatIndex
			{
				get { return grpDatIndex; }
			}
			
			/// <summary>Auktionsplattform ID</summary>
			public ZwischenBelegeSetGrpAucWebIdIndex GrpAucWebIdIndex
			{
				get { return grpAucWebIdIndex; }
			}
			
		
			#endregion
		}

		public ZwischenBelegeSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
